package androidx.camera.core.internal;

import androidx.camera.core.impl.Config;
import androidx.camera.core.impl.ReadableConfig;
import b.d.a.q2.k;
import java.util.concurrent.Executor;

public interface ThreadConfig extends ReadableConfig {
    public static final Config.a<Executor> OPTION_BACKGROUND_EXECUTOR = new k("camerax.core.thread.backgroundExecutor", Executor.class, null);

    public interface Builder<B> {
        B setBackgroundExecutor(Executor executor);
    }

    Executor getBackgroundExecutor();

    Executor getBackgroundExecutor(Executor executor);
}
