package androidx.constraintlayout.core.parser;

import b.h.a.e.a;
import tv.danmaku.ijk.media.player.IjkMediaMeta;

public class CLParsingException extends Exception {
    private final String mElementClass;
    private final int mLineNumber;
    private final String mReason;

    public CLParsingException(String str, a aVar) {
        this.mReason = str;
        if (aVar != null) {
            this.mElementClass = aVar.a();
            this.mLineNumber = 0;
            return;
        }
        this.mElementClass = IjkMediaMeta.IJKM_VAL_TYPE__UNKNOWN;
        this.mLineNumber = 0;
    }

    public String reason() {
        StringBuilder sb = new StringBuilder();
        sb.append(this.mReason);
        sb.append(" (");
        sb.append(this.mElementClass);
        sb.append(" at line ");
        return d.a.a.a.a.v(sb, this.mLineNumber, ")");
    }

    public String toString() {
        StringBuilder B = d.a.a.a.a.B("CLParsingException (");
        B.append(hashCode());
        B.append(") : ");
        B.append(reason());
        return B.toString();
    }
}
