package androidx.constraintlayout.core.widgets;

import androidx.constraintlayout.core.ArrayRow;
import androidx.constraintlayout.core.LinearSystem;
import androidx.constraintlayout.core.SolverVariable;
import androidx.constraintlayout.core.widgets.ConstraintAnchor;
import androidx.constraintlayout.core.widgets.ConstraintWidget;
import d.a.a.a.a;
import java.util.HashMap;

public class Barrier extends HelperWidget {
    public int Q0 = 0;
    public boolean R0 = true;
    public int S0 = 0;
    public boolean T0 = false;

    @Override // androidx.constraintlayout.core.widgets.ConstraintWidget
    public boolean E() {
        return this.T0;
    }

    @Override // androidx.constraintlayout.core.widgets.ConstraintWidget
    public boolean F() {
        return this.T0;
    }

    public boolean X() {
        int i2;
        int i3;
        int i4;
        int i5 = 0;
        boolean z = true;
        while (true) {
            i2 = this.P0;
            if (i5 >= i2) {
                break;
            }
            ConstraintWidget constraintWidget = this.O0[i5];
            if ((this.R0 || constraintWidget.e()) && ((((i3 = this.Q0) == 0 || i3 == 1) && !constraintWidget.E()) || (((i4 = this.Q0) == 2 || i4 == 3) && !constraintWidget.F()))) {
                z = false;
            }
            i5++;
        }
        if (!z || i2 <= 0) {
            return false;
        }
        int i6 = 0;
        boolean z2 = false;
        for (int i7 = 0; i7 < this.P0; i7++) {
            ConstraintWidget constraintWidget2 = this.O0[i7];
            if (this.R0 || constraintWidget2.e()) {
                if (!z2) {
                    int i8 = this.Q0;
                    if (i8 == 0) {
                        i6 = constraintWidget2.l(ConstraintAnchor.Type.LEFT).d();
                    } else if (i8 == 1) {
                        i6 = constraintWidget2.l(ConstraintAnchor.Type.RIGHT).d();
                    } else if (i8 == 2) {
                        i6 = constraintWidget2.l(ConstraintAnchor.Type.TOP).d();
                    } else if (i8 == 3) {
                        i6 = constraintWidget2.l(ConstraintAnchor.Type.BOTTOM).d();
                    }
                    z2 = true;
                }
                int i9 = this.Q0;
                if (i9 == 0) {
                    i6 = Math.min(i6, constraintWidget2.l(ConstraintAnchor.Type.LEFT).d());
                } else if (i9 == 1) {
                    i6 = Math.max(i6, constraintWidget2.l(ConstraintAnchor.Type.RIGHT).d());
                } else if (i9 == 2) {
                    i6 = Math.min(i6, constraintWidget2.l(ConstraintAnchor.Type.TOP).d());
                } else if (i9 == 3) {
                    i6 = Math.max(i6, constraintWidget2.l(ConstraintAnchor.Type.BOTTOM).d());
                }
            }
        }
        int i10 = i6 + this.S0;
        int i11 = this.Q0;
        if (i11 == 0 || i11 == 1) {
            L(i10, i10);
        } else {
            M(i10, i10);
        }
        this.T0 = true;
        return true;
    }

    public int Y() {
        int i2 = this.Q0;
        if (i2 == 0 || i2 == 1) {
            return 0;
        }
        return (i2 == 2 || i2 == 3) ? 1 : -1;
    }

    @Override // androidx.constraintlayout.core.widgets.ConstraintWidget
    public void d(LinearSystem linearSystem, boolean z) {
        Object[] objArr;
        boolean z2;
        int i2;
        int i3;
        int i4;
        ConstraintAnchor[] constraintAnchorArr = this.U;
        constraintAnchorArr[0] = this.M;
        constraintAnchorArr[2] = this.N;
        constraintAnchorArr[1] = this.O;
        constraintAnchorArr[3] = this.P;
        int i5 = 0;
        while (true) {
            objArr = this.U;
            if (i5 >= objArr.length) {
                break;
            }
            objArr[i5].f1001i = linearSystem.l(objArr[i5]);
            i5++;
        }
        int i6 = this.Q0;
        if (i6 >= 0 && i6 < 4) {
            ConstraintAnchor constraintAnchor = objArr[i6];
            if (!this.T0) {
                X();
            }
            if (this.T0) {
                this.T0 = false;
                int i7 = this.Q0;
                if (i7 == 0 || i7 == 1) {
                    linearSystem.e(this.M.f1001i, this.d0);
                    linearSystem.e(this.O.f1001i, this.d0);
                } else if (i7 == 2 || i7 == 3) {
                    linearSystem.e(this.N.f1001i, this.e0);
                    linearSystem.e(this.P.f1001i, this.e0);
                }
            } else {
                int i8 = 0;
                while (true) {
                    if (i8 >= this.P0) {
                        z2 = false;
                        break;
                    }
                    ConstraintWidget constraintWidget = this.O0[i8];
                    if ((this.R0 || constraintWidget.e()) && ((((i3 = this.Q0) == 0 || i3 == 1) && constraintWidget.p() == ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT && constraintWidget.M.f998f != null && constraintWidget.O.f998f != null) || (((i4 = this.Q0) == 2 || i4 == 3) && constraintWidget.t() == ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT && constraintWidget.N.f998f != null && constraintWidget.P.f998f != null))) {
                        z2 = true;
                    } else {
                        i8++;
                    }
                }
                z2 = true;
                boolean z3 = this.M.g() || this.O.g();
                boolean z4 = this.N.g() || this.P.g();
                boolean z5 = !z2 && (((i2 = this.Q0) == 0 && z3) || ((i2 == 2 && z4) || ((i2 == 1 && z3) || (i2 == 3 && z4))));
                int i9 = 5;
                if (!z5) {
                    i9 = 4;
                }
                for (int i10 = 0; i10 < this.P0; i10++) {
                    ConstraintWidget constraintWidget2 = this.O0[i10];
                    if (this.R0 || constraintWidget2.e()) {
                        SolverVariable l2 = linearSystem.l(constraintWidget2.U[this.Q0]);
                        ConstraintAnchor[] constraintAnchorArr2 = constraintWidget2.U;
                        int i11 = this.Q0;
                        constraintAnchorArr2[i11].f1001i = l2;
                        int i12 = (constraintAnchorArr2[i11].f998f == null || constraintAnchorArr2[i11].f998f.f996d != this) ? 0 : constraintAnchorArr2[i11].f999g + 0;
                        if (i11 == 0 || i11 == 2) {
                            ArrayRow m = linearSystem.m();
                            SolverVariable n = linearSystem.n();
                            n.f861l = 0;
                            m.d(constraintAnchor.f1001i, l2, n, this.S0 - i12);
                            linearSystem.c(m);
                        } else {
                            ArrayRow m2 = linearSystem.m();
                            SolverVariable n2 = linearSystem.n();
                            n2.f861l = 0;
                            m2.c(constraintAnchor.f1001i, l2, n2, this.S0 + i12);
                            linearSystem.c(m2);
                        }
                        linearSystem.d(constraintAnchor.f1001i, l2, this.S0 + i12, i9);
                    }
                }
                int i13 = this.Q0;
                if (i13 == 0) {
                    linearSystem.d(this.O.f1001i, this.M.f1001i, 0, 8);
                    linearSystem.d(this.M.f1001i, this.Y.O.f1001i, 0, 4);
                    linearSystem.d(this.M.f1001i, this.Y.M.f1001i, 0, 0);
                } else if (i13 == 1) {
                    linearSystem.d(this.M.f1001i, this.O.f1001i, 0, 8);
                    linearSystem.d(this.M.f1001i, this.Y.M.f1001i, 0, 4);
                    linearSystem.d(this.M.f1001i, this.Y.O.f1001i, 0, 0);
                } else if (i13 == 2) {
                    linearSystem.d(this.P.f1001i, this.N.f1001i, 0, 8);
                    linearSystem.d(this.N.f1001i, this.Y.P.f1001i, 0, 4);
                    linearSystem.d(this.N.f1001i, this.Y.N.f1001i, 0, 0);
                } else if (i13 == 3) {
                    linearSystem.d(this.N.f1001i, this.P.f1001i, 0, 8);
                    linearSystem.d(this.N.f1001i, this.Y.N.f1001i, 0, 4);
                    linearSystem.d(this.N.f1001i, this.Y.P.f1001i, 0, 0);
                }
            }
        }
    }

    @Override // androidx.constraintlayout.core.widgets.ConstraintWidget
    public boolean e() {
        return true;
    }

    @Override // androidx.constraintlayout.core.widgets.ConstraintWidget, androidx.constraintlayout.core.widgets.HelperWidget
    public void i(ConstraintWidget constraintWidget, HashMap<ConstraintWidget, ConstraintWidget> hashMap) {
        super.i(constraintWidget, hashMap);
        Barrier barrier = (Barrier) constraintWidget;
        this.Q0 = barrier.Q0;
        this.R0 = barrier.R0;
        this.S0 = barrier.S0;
    }

    @Override // androidx.constraintlayout.core.widgets.ConstraintWidget
    public String toString() {
        String y = a.y(a.B("[Barrier] "), this.r0, " {");
        for (int i2 = 0; i2 < this.P0; i2++) {
            ConstraintWidget constraintWidget = this.O0[i2];
            if (i2 > 0) {
                y = a.s(y, ", ");
            }
            StringBuilder B = a.B(y);
            B.append(constraintWidget.r0);
            y = B.toString();
        }
        return a.s(y, "}");
    }
}
