package androidx.constraintlayout.core.widgets;

import androidx.appcompat.app.AppCompatDelegateImpl;
import androidx.constraintlayout.core.LinearSystem;
import androidx.constraintlayout.core.widgets.ConstraintAnchor;
import androidx.constraintlayout.core.widgets.ConstraintWidget;
import androidx.constraintlayout.core.widgets.analyzer.BasicMeasure;
import androidx.constraintlayout.core.widgets.analyzer.ChainRun;
import androidx.constraintlayout.core.widgets.analyzer.WidgetRun;
import b.h.a.g.a;
import b.h.a.g.c.b;
import b.h.a.g.c.d;
import b.h.a.g.c.h;
import com.luck.picture.lib.camera.CustomCameraView;
import java.io.PrintStream;
import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.HashSet;
import java.util.Iterator;
import java.util.Objects;

public class ConstraintWidgetContainer extends WidgetContainer {
    public BasicMeasure P0 = new BasicMeasure(this);
    public b Q0 = new b(this);
    public int R0;
    public BasicMeasure.Measurer S0 = null;
    public boolean T0 = false;
    public LinearSystem U0 = new LinearSystem();
    public int V0;
    public int W0;
    public int X0 = 0;
    public int Y0 = 0;
    public a[] Z0 = new a[4];
    public a[] a1 = new a[4];
    public int b1 = CustomCameraView.BUTTON_STATE_ONLY_CAPTURE;
    public boolean c1 = false;
    public boolean d1 = false;
    public WeakReference<ConstraintAnchor> e1 = null;
    public WeakReference<ConstraintAnchor> f1 = null;
    public WeakReference<ConstraintAnchor> g1 = null;
    public WeakReference<ConstraintAnchor> h1 = null;
    public HashSet<ConstraintWidget> i1 = new HashSet<>();
    public BasicMeasure.a j1 = new BasicMeasure.a();

    public static boolean f0(ConstraintWidget constraintWidget, BasicMeasure.Measurer measurer, BasicMeasure.a aVar, int i2) {
        int i3;
        int i4;
        if (measurer == null) {
            return false;
        }
        if (constraintWidget.q0 == 8 || (constraintWidget instanceof Guideline) || (constraintWidget instanceof Barrier)) {
            aVar.f1033e = 0;
            aVar.f1034f = 0;
            return false;
        }
        aVar.f1029a = constraintWidget.p();
        aVar.f1030b = constraintWidget.t();
        aVar.f1031c = constraintWidget.u();
        aVar.f1032d = constraintWidget.o();
        aVar.f1037i = false;
        aVar.f1038j = i2;
        ConstraintWidget.DimensionBehaviour dimensionBehaviour = aVar.f1029a;
        ConstraintWidget.DimensionBehaviour dimensionBehaviour2 = ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT;
        boolean z = dimensionBehaviour == dimensionBehaviour2;
        boolean z2 = aVar.f1030b == dimensionBehaviour2;
        boolean z3 = z && constraintWidget.b0 > 0.0f;
        boolean z4 = z2 && constraintWidget.b0 > 0.0f;
        if (z && constraintWidget.x(0) && constraintWidget.s == 0 && !z3) {
            aVar.f1029a = ConstraintWidget.DimensionBehaviour.WRAP_CONTENT;
            if (z2 && constraintWidget.t == 0) {
                aVar.f1029a = ConstraintWidget.DimensionBehaviour.FIXED;
            }
            z = false;
        }
        if (z2 && constraintWidget.x(1) && constraintWidget.t == 0 && !z4) {
            aVar.f1030b = ConstraintWidget.DimensionBehaviour.WRAP_CONTENT;
            if (z && constraintWidget.s == 0) {
                aVar.f1030b = ConstraintWidget.DimensionBehaviour.FIXED;
            }
            z2 = false;
        }
        if (constraintWidget.E()) {
            aVar.f1029a = ConstraintWidget.DimensionBehaviour.FIXED;
            z = false;
        }
        if (constraintWidget.F()) {
            aVar.f1030b = ConstraintWidget.DimensionBehaviour.FIXED;
            z2 = false;
        }
        if (z3) {
            if (constraintWidget.u[0] == 4) {
                aVar.f1029a = ConstraintWidget.DimensionBehaviour.FIXED;
            } else if (!z2) {
                ConstraintWidget.DimensionBehaviour dimensionBehaviour3 = aVar.f1030b;
                ConstraintWidget.DimensionBehaviour dimensionBehaviour4 = ConstraintWidget.DimensionBehaviour.FIXED;
                if (dimensionBehaviour3 == dimensionBehaviour4) {
                    i4 = aVar.f1032d;
                } else {
                    aVar.f1029a = ConstraintWidget.DimensionBehaviour.WRAP_CONTENT;
                    measurer.measure(constraintWidget, aVar);
                    i4 = aVar.f1034f;
                }
                aVar.f1029a = dimensionBehaviour4;
                aVar.f1031c = (int) (constraintWidget.b0 * ((float) i4));
            }
        }
        if (z4) {
            if (constraintWidget.u[1] == 4) {
                aVar.f1030b = ConstraintWidget.DimensionBehaviour.FIXED;
            } else if (!z) {
                ConstraintWidget.DimensionBehaviour dimensionBehaviour5 = aVar.f1029a;
                ConstraintWidget.DimensionBehaviour dimensionBehaviour6 = ConstraintWidget.DimensionBehaviour.FIXED;
                if (dimensionBehaviour5 == dimensionBehaviour6) {
                    i3 = aVar.f1031c;
                } else {
                    aVar.f1030b = ConstraintWidget.DimensionBehaviour.WRAP_CONTENT;
                    measurer.measure(constraintWidget, aVar);
                    i3 = aVar.f1033e;
                }
                aVar.f1030b = dimensionBehaviour6;
                if (constraintWidget.c0 == -1) {
                    aVar.f1032d = (int) (((float) i3) / constraintWidget.b0);
                } else {
                    aVar.f1032d = (int) (constraintWidget.b0 * ((float) i3));
                }
            }
        }
        measurer.measure(constraintWidget, aVar);
        constraintWidget.S(aVar.f1033e);
        constraintWidget.N(aVar.f1034f);
        constraintWidget.H = aVar.f1036h;
        constraintWidget.K(aVar.f1035g);
        aVar.f1038j = 0;
        return aVar.f1037i;
    }

    @Override // androidx.constraintlayout.core.widgets.ConstraintWidget, androidx.constraintlayout.core.widgets.WidgetContainer
    public void G() {
        this.U0.u();
        this.V0 = 0;
        this.W0 = 0;
        super.G();
    }

    @Override // androidx.constraintlayout.core.widgets.ConstraintWidget
    public void U(boolean z, boolean z2) {
        super.U(z, z2);
        int size = this.O0.size();
        for (int i2 = 0; i2 < size; i2++) {
            this.O0.get(i2).U(z, z2);
        }
    }

    /* JADX WARN: Type inference failed for: r12v3, types: [boolean] */
    /* JADX WARN: Type inference failed for: r12v7 */
    /* JADX WARN: Type inference failed for: r12v8 */
    /* JADX WARNING: Removed duplicated region for block: B:329:0x05a5  */
    /* JADX WARNING: Removed duplicated region for block: B:356:0x0601  */
    /* JADX WARNING: Removed duplicated region for block: B:361:0x0617  */
    /* JADX WARNING: Removed duplicated region for block: B:369:0x0636  */
    /* JADX WARNING: Removed duplicated region for block: B:379:0x065d  */
    /* JADX WARNING: Removed duplicated region for block: B:385:0x0672  */
    /* JADX WARNING: Removed duplicated region for block: B:391:0x068f  */
    /* JADX WARNING: Removed duplicated region for block: B:431:0x078a  */
    /* JADX WARNING: Removed duplicated region for block: B:443:0x07d1  */
    /* JADX WARNING: Removed duplicated region for block: B:454:0x07fe A[LOOP:32: B:453:0x07fc->B:454:0x07fe, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:466:0x0867  */
    /* JADX WARNING: Removed duplicated region for block: B:469:0x0884  */
    /* JADX WARNING: Removed duplicated region for block: B:470:0x0892  */
    /* JADX WARNING: Removed duplicated region for block: B:472:0x0895  */
    /* JADX WARNING: Removed duplicated region for block: B:486:0x08d7  */
    /* JADX WARNING: Removed duplicated region for block: B:487:0x08d9  */
    /* JADX WARNING: Removed duplicated region for block: B:491:0x08e4  */
    /* JADX WARNING: Unknown variable types count: 1 */
    @Override // androidx.constraintlayout.core.widgets.WidgetContainer
    public void W() {
        int i2;
        ConstraintWidget.DimensionBehaviour dimensionBehaviour;
        int i3;
        int i4;
        ConstraintWidget.DimensionBehaviour dimensionBehaviour2;
        boolean z;
        ConstraintWidget.DimensionBehaviour p;
        ConstraintWidget.DimensionBehaviour dimensionBehaviour3;
        boolean z2;
        int i5;
        int i6;
        boolean z3;
        boolean z4;
        boolean z5;
        int max;
        int max2;
        ?? r12;
        int i7;
        int i8;
        int max3;
        int max4;
        ConstraintWidget.DimensionBehaviour dimensionBehaviour4;
        Exception e2;
        int i9;
        int i10;
        ConstraintWidget.DimensionBehaviour dimensionBehaviour5;
        int i11;
        int i12;
        ConstraintWidget.DimensionBehaviour dimensionBehaviour6;
        ConstraintWidget.DimensionBehaviour dimensionBehaviour7;
        h hVar;
        h hVar2;
        boolean z6;
        int c2;
        int c3;
        int i13;
        int i14;
        this.d0 = 0;
        this.e0 = 0;
        this.c1 = false;
        this.d1 = false;
        int size = this.O0.size();
        int max5 = Math.max(0, u());
        int max6 = Math.max(0, o());
        ConstraintWidget.DimensionBehaviour[] dimensionBehaviourArr = this.X;
        ConstraintWidget.DimensionBehaviour dimensionBehaviour8 = dimensionBehaviourArr[1];
        ConstraintWidget.DimensionBehaviour dimensionBehaviour9 = dimensionBehaviourArr[0];
        if (this.R0 == 0 && b.h.a.g.b.b(this.b1, 1)) {
            BasicMeasure.Measurer measurer = this.S0;
            ConstraintWidget.DimensionBehaviour p2 = p();
            ConstraintWidget.DimensionBehaviour t = t();
            d.f3007b = 0;
            d.f3008c = 0;
            I();
            ArrayList<ConstraintWidget> arrayList = this.O0;
            int size2 = arrayList.size();
            for (int i15 = 0; i15 < size2; i15++) {
                arrayList.get(i15).I();
            }
            boolean z7 = this.T0;
            if (p2 == ConstraintWidget.DimensionBehaviour.FIXED) {
                L(0, u());
            } else {
                ConstraintAnchor constraintAnchor = this.M;
                constraintAnchor.f994b = 0;
                constraintAnchor.f995c = true;
                this.d0 = 0;
            }
            boolean z8 = false;
            boolean z9 = false;
            for (int i16 = 0; i16 < size2; i16++) {
                ConstraintWidget constraintWidget = arrayList.get(i16);
                if (constraintWidget instanceof Guideline) {
                    Guideline guideline = (Guideline) constraintWidget;
                    if (guideline.S0 == 1) {
                        int i17 = guideline.P0;
                        if (i17 != -1) {
                            guideline.W(i17);
                        } else if (guideline.Q0 != -1 && E()) {
                            guideline.W(u() - guideline.Q0);
                        } else if (E()) {
                            guideline.W((int) ((guideline.O0 * ((float) u())) + 0.5f));
                        }
                        z8 = true;
                    }
                } else if ((constraintWidget instanceof Barrier) && ((Barrier) constraintWidget).Y() == 0) {
                    z9 = true;
                }
            }
            if (z8) {
                for (int i18 = 0; i18 < size2; i18++) {
                    ConstraintWidget constraintWidget2 = arrayList.get(i18);
                    if (constraintWidget2 instanceof Guideline) {
                        Guideline guideline2 = (Guideline) constraintWidget2;
                        if (guideline2.S0 == 1) {
                            d.b(0, guideline2, measurer, z7);
                        }
                    }
                }
            }
            d.b(0, this, measurer, z7);
            if (z9) {
                for (int i19 = 0; i19 < size2; i19++) {
                    ConstraintWidget constraintWidget3 = arrayList.get(i19);
                    if (constraintWidget3 instanceof Barrier) {
                        Barrier barrier = (Barrier) constraintWidget3;
                        if (barrier.Y() == 0 && barrier.X()) {
                            d.b(1, barrier, measurer, z7);
                        }
                    }
                }
            }
            if (t == ConstraintWidget.DimensionBehaviour.FIXED) {
                M(0, o());
            } else {
                ConstraintAnchor constraintAnchor2 = this.N;
                constraintAnchor2.f994b = 0;
                constraintAnchor2.f995c = true;
                this.e0 = 0;
            }
            boolean z10 = false;
            boolean z11 = false;
            for (int i20 = 0; i20 < size2; i20++) {
                ConstraintWidget constraintWidget4 = arrayList.get(i20);
                if (constraintWidget4 instanceof Guideline) {
                    Guideline guideline3 = (Guideline) constraintWidget4;
                    if (guideline3.S0 == 0) {
                        int i21 = guideline3.P0;
                        if (i21 != -1) {
                            guideline3.W(i21);
                        } else if (guideline3.Q0 != -1 && F()) {
                            guideline3.W(o() - guideline3.Q0);
                        } else if (F()) {
                            guideline3.W((int) ((guideline3.O0 * ((float) o())) + 0.5f));
                        }
                        z10 = true;
                    }
                } else if ((constraintWidget4 instanceof Barrier) && ((Barrier) constraintWidget4).Y() == 1) {
                    z11 = true;
                }
            }
            if (z10) {
                for (int i22 = 0; i22 < size2; i22++) {
                    ConstraintWidget constraintWidget5 = arrayList.get(i22);
                    if (constraintWidget5 instanceof Guideline) {
                        Guideline guideline4 = (Guideline) constraintWidget5;
                        if (guideline4.S0 == 0) {
                            d.g(1, guideline4, measurer);
                        }
                    }
                }
            }
            d.g(0, this, measurer);
            if (z11) {
                for (int i23 = 0; i23 < size2; i23++) {
                    ConstraintWidget constraintWidget6 = arrayList.get(i23);
                    if (constraintWidget6 instanceof Barrier) {
                        Barrier barrier2 = (Barrier) constraintWidget6;
                        if (barrier2.Y() == 1 && barrier2.X()) {
                            d.g(1, barrier2, measurer);
                        }
                    }
                }
            }
            for (int i24 = 0; i24 < size2; i24++) {
                ConstraintWidget constraintWidget7 = arrayList.get(i24);
                if (constraintWidget7.D() && d.a(constraintWidget7)) {
                    f0(constraintWidget7, measurer, d.f3006a, 0);
                    if (!(constraintWidget7 instanceof Guideline)) {
                        d.b(0, constraintWidget7, measurer, z7);
                        d.g(0, constraintWidget7, measurer);
                    } else if (((Guideline) constraintWidget7).S0 == 0) {
                        d.g(0, constraintWidget7, measurer);
                    } else {
                        d.b(0, constraintWidget7, measurer, z7);
                    }
                }
            }
            for (int i25 = 0; i25 < size; i25++) {
                ConstraintWidget constraintWidget8 = this.O0.get(i25);
                if (constraintWidget8.D() && !(constraintWidget8 instanceof Guideline) && !(constraintWidget8 instanceof Barrier) && !(constraintWidget8 instanceof VirtualLayout) && !constraintWidget8.J) {
                    ConstraintWidget.DimensionBehaviour n = constraintWidget8.n(0);
                    ConstraintWidget.DimensionBehaviour n2 = constraintWidget8.n(1);
                    ConstraintWidget.DimensionBehaviour dimensionBehaviour10 = ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT;
                    if (!(n == dimensionBehaviour10 && constraintWidget8.s != 1 && n2 == dimensionBehaviour10 && constraintWidget8.t != 1)) {
                        f0(constraintWidget8, this.S0, new BasicMeasure.a(), 0);
                    }
                }
            }
        }
        if (size <= 2 || (!(dimensionBehaviour9 == (dimensionBehaviour5 = ConstraintWidget.DimensionBehaviour.WRAP_CONTENT) || dimensionBehaviour8 == dimensionBehaviour5) || !b.h.a.g.b.b(this.b1, 1024))) {
            i2 = size;
            i9 = max6;
            dimensionBehaviour2 = dimensionBehaviour9;
            dimensionBehaviour = dimensionBehaviour8;
            i10 = max5;
        } else {
            BasicMeasure.Measurer measurer2 = this.S0;
            ArrayList<ConstraintWidget> arrayList2 = this.O0;
            int size3 = arrayList2.size();
            int i26 = 0;
            while (true) {
                if (i26 < size3) {
                    ConstraintWidget constraintWidget9 = arrayList2.get(i26);
                    if (AppCompatDelegateImpl.e.K0(p(), t(), constraintWidget9.p(), constraintWidget9.t()) && !(constraintWidget9 instanceof Flow)) {
                        i26++;
                    }
                } else {
                    ArrayList arrayList3 = null;
                    int i27 = 0;
                    ArrayList arrayList4 = null;
                    ArrayList arrayList5 = null;
                    ArrayList arrayList6 = null;
                    ArrayList arrayList7 = null;
                    ArrayList arrayList8 = null;
                    while (i27 < size3) {
                        ConstraintWidget constraintWidget10 = arrayList2.get(i27);
                        if (!AppCompatDelegateImpl.e.K0(p(), t(), constraintWidget10.p(), constraintWidget10.t())) {
                            f0(constraintWidget10, measurer2, this.j1, 0);
                        }
                        boolean z12 = constraintWidget10 instanceof Guideline;
                        if (z12) {
                            Guideline guideline5 = (Guideline) constraintWidget10;
                            if (guideline5.S0 == 0) {
                                if (arrayList5 == null) {
                                    arrayList5 = new ArrayList();
                                }
                                arrayList5.add(guideline5);
                            }
                            if (guideline5.S0 == 1) {
                                if (arrayList3 == null) {
                                    arrayList3 = new ArrayList();
                                }
                                arrayList3.add(guideline5);
                            }
                        }
                        if (constraintWidget10 instanceof HelperWidget) {
                            if (constraintWidget10 instanceof Barrier) {
                                Barrier barrier3 = (Barrier) constraintWidget10;
                                if (barrier3.Y() == 0) {
                                    if (arrayList4 == null) {
                                        arrayList4 = new ArrayList();
                                    }
                                    arrayList4.add(barrier3);
                                }
                                if (barrier3.Y() == 1) {
                                    if (arrayList6 == null) {
                                        arrayList6 = new ArrayList();
                                    }
                                    arrayList6.add(barrier3);
                                }
                            } else {
                                HelperWidget helperWidget = (HelperWidget) constraintWidget10;
                                if (arrayList4 == null) {
                                    arrayList4 = new ArrayList();
                                }
                                arrayList4.add(helperWidget);
                                if (arrayList6 == null) {
                                    arrayList6 = new ArrayList();
                                }
                                arrayList6.add(helperWidget);
                            }
                        }
                        if (constraintWidget10.M.f998f == null && constraintWidget10.O.f998f == null && !z12 && !(constraintWidget10 instanceof Barrier)) {
                            if (arrayList7 == null) {
                                arrayList7 = new ArrayList();
                            }
                            arrayList7.add(constraintWidget10);
                        }
                        if (constraintWidget10.N.f998f == null && constraintWidget10.P.f998f == null && constraintWidget10.Q.f998f == null && !z12 && !(constraintWidget10 instanceof Barrier)) {
                            if (arrayList8 == null) {
                                arrayList8 = new ArrayList();
                            }
                            arrayList8.add(constraintWidget10);
                        }
                        i27++;
                        max6 = max6;
                        size = size;
                        dimensionBehaviour8 = dimensionBehaviour8;
                        max5 = max5;
                        dimensionBehaviour9 = dimensionBehaviour9;
                    }
                    i11 = max5;
                    i2 = size;
                    i12 = max6;
                    dimensionBehaviour6 = dimensionBehaviour9;
                    dimensionBehaviour7 = dimensionBehaviour8;
                    ArrayList<h> arrayList9 = new ArrayList<>();
                    if (arrayList3 != null) {
                        Iterator it = arrayList3.iterator();
                        while (it.hasNext()) {
                            AppCompatDelegateImpl.e.C((Guideline) it.next(), 0, arrayList9, null);
                        }
                    }
                    h hVar3 = null;
                    int i28 = 0;
                    if (arrayList4 != null) {
                        Iterator it2 = arrayList4.iterator();
                        while (it2.hasNext()) {
                            HelperWidget helperWidget2 = (HelperWidget) it2.next();
                            h C = AppCompatDelegateImpl.e.C(helperWidget2, i28, arrayList9, hVar3);
                            helperWidget2.W(arrayList9, i28, C);
                            C.b(arrayList9);
                            hVar3 = null;
                            i28 = 0;
                        }
                    }
                    HashSet<ConstraintAnchor> hashSet = l(ConstraintAnchor.Type.LEFT).f993a;
                    if (hashSet != null) {
                        Iterator<ConstraintAnchor> it3 = hashSet.iterator();
                        while (it3.hasNext()) {
                            AppCompatDelegateImpl.e.C(it3.next().f996d, 0, arrayList9, null);
                        }
                    }
                    HashSet<ConstraintAnchor> hashSet2 = l(ConstraintAnchor.Type.RIGHT).f993a;
                    if (hashSet2 != null) {
                        Iterator<ConstraintAnchor> it4 = hashSet2.iterator();
                        while (it4.hasNext()) {
                            AppCompatDelegateImpl.e.C(it4.next().f996d, 0, arrayList9, null);
                        }
                    }
                    HashSet<ConstraintAnchor> hashSet3 = l(ConstraintAnchor.Type.CENTER).f993a;
                    if (hashSet3 != null) {
                        Iterator<ConstraintAnchor> it5 = hashSet3.iterator();
                        while (it5.hasNext()) {
                            AppCompatDelegateImpl.e.C(it5.next().f996d, 0, arrayList9, null);
                        }
                    }
                    h hVar4 = null;
                    if (arrayList7 != null) {
                        Iterator it6 = arrayList7.iterator();
                        while (it6.hasNext()) {
                            AppCompatDelegateImpl.e.C((ConstraintWidget) it6.next(), 0, arrayList9, null);
                        }
                    }
                    if (arrayList5 != null) {
                        Iterator it7 = arrayList5.iterator();
                        while (it7.hasNext()) {
                            AppCompatDelegateImpl.e.C((Guideline) it7.next(), 1, arrayList9, null);
                        }
                    }
                    int i29 = 1;
                    if (arrayList6 != null) {
                        Iterator it8 = arrayList6.iterator();
                        while (it8.hasNext()) {
                            HelperWidget helperWidget3 = (HelperWidget) it8.next();
                            h C2 = AppCompatDelegateImpl.e.C(helperWidget3, i29, arrayList9, hVar4);
                            helperWidget3.W(arrayList9, i29, C2);
                            C2.b(arrayList9);
                            hVar4 = null;
                            i29 = 1;
                        }
                    }
                    HashSet<ConstraintAnchor> hashSet4 = l(ConstraintAnchor.Type.TOP).f993a;
                    if (hashSet4 != null) {
                        Iterator<ConstraintAnchor> it9 = hashSet4.iterator();
                        while (it9.hasNext()) {
                            AppCompatDelegateImpl.e.C(it9.next().f996d, 1, arrayList9, null);
                        }
                    }
                    HashSet<ConstraintAnchor> hashSet5 = l(ConstraintAnchor.Type.BASELINE).f993a;
                    if (hashSet5 != null) {
                        Iterator<ConstraintAnchor> it10 = hashSet5.iterator();
                        while (it10.hasNext()) {
                            AppCompatDelegateImpl.e.C(it10.next().f996d, 1, arrayList9, null);
                        }
                    }
                    HashSet<ConstraintAnchor> hashSet6 = l(ConstraintAnchor.Type.BOTTOM).f993a;
                    if (hashSet6 != null) {
                        Iterator<ConstraintAnchor> it11 = hashSet6.iterator();
                        while (it11.hasNext()) {
                            AppCompatDelegateImpl.e.C(it11.next().f996d, 1, arrayList9, null);
                        }
                    }
                    HashSet<ConstraintAnchor> hashSet7 = l(ConstraintAnchor.Type.CENTER).f993a;
                    if (hashSet7 != null) {
                        Iterator<ConstraintAnchor> it12 = hashSet7.iterator();
                        while (it12.hasNext()) {
                            AppCompatDelegateImpl.e.C(it12.next().f996d, 1, arrayList9, null);
                        }
                    }
                    if (arrayList8 != null) {
                        Iterator it13 = arrayList8.iterator();
                        while (it13.hasNext()) {
                            AppCompatDelegateImpl.e.C((ConstraintWidget) it13.next(), 1, arrayList9, null);
                        }
                    }
                    for (int i30 = 0; i30 < size3; i30++) {
                        ConstraintWidget constraintWidget11 = arrayList2.get(i30);
                        ConstraintWidget.DimensionBehaviour[] dimensionBehaviourArr2 = constraintWidget11.X;
                        ConstraintWidget.DimensionBehaviour dimensionBehaviour11 = dimensionBehaviourArr2[0];
                        ConstraintWidget.DimensionBehaviour dimensionBehaviour12 = ConstraintWidget.DimensionBehaviour.MATCH_CONSTRAINT;
                        if (dimensionBehaviour11 == dimensionBehaviour12 && dimensionBehaviourArr2[1] == dimensionBehaviour12) {
                            h D = AppCompatDelegateImpl.e.D(arrayList9, constraintWidget11.M0);
                            h D2 = AppCompatDelegateImpl.e.D(arrayList9, constraintWidget11.N0);
                            if (!(D == null || D2 == null)) {
                                D.d(0, D2);
                                D2.f3015d = 2;
                                arrayList9.remove(D);
                            }
                        }
                    }
                    if (arrayList9.size() > 1) {
                        if (p() == ConstraintWidget.DimensionBehaviour.WRAP_CONTENT) {
                            Iterator<h> it14 = arrayList9.iterator();
                            hVar = null;
                            int i31 = 0;
                            while (it14.hasNext()) {
                                h next = it14.next();
                                if (next.f3015d != 1 && (c3 = next.c(this.U0, 0)) > i31) {
                                    hVar = next;
                                    i31 = c3;
                                }
                            }
                            if (hVar != null) {
                                O(ConstraintWidget.DimensionBehaviour.FIXED);
                                S(i31);
                                if (t() == ConstraintWidget.DimensionBehaviour.WRAP_CONTENT) {
                                    Iterator<h> it15 = arrayList9.iterator();
                                    hVar2 = null;
                                    int i32 = 0;
                                    while (it15.hasNext()) {
                                        h next2 = it15.next();
                                        if (next2.f3015d != 0 && (c2 = next2.c(this.U0, 1)) > i32) {
                                            hVar2 = next2;
                                            i32 = c2;
                                        }
                                    }
                                    if (hVar2 != null) {
                                        R(ConstraintWidget.DimensionBehaviour.FIXED);
                                        N(i32);
                                        if (!(hVar == null && hVar2 == null)) {
                                            z6 = true;
                                        }
                                    }
                                }
                                hVar2 = null;
                                z6 = true;
                            }
                        }
                        hVar = null;
                        if (t() == ConstraintWidget.DimensionBehaviour.WRAP_CONTENT) {
                        }
                        hVar2 = null;
                        z6 = true;
                    }
                }
            }
            i11 = max5;
            i2 = size;
            i12 = max6;
            dimensionBehaviour6 = dimensionBehaviour9;
            dimensionBehaviour7 = dimensionBehaviour8;
            z6 = false;
            if (z6) {
                ConstraintWidget.DimensionBehaviour dimensionBehaviour13 = ConstraintWidget.DimensionBehaviour.WRAP_CONTENT;
                dimensionBehaviour2 = dimensionBehaviour6;
                if (dimensionBehaviour2 == dimensionBehaviour13) {
                    i14 = i11;
                    if (i14 >= u() || i14 <= 0) {
                        i4 = u();
                        dimensionBehaviour = dimensionBehaviour7;
                        if (dimensionBehaviour != dimensionBehaviour13) {
                            i13 = i12;
                            if (i13 >= o() || i13 <= 0) {
                                i3 = o();
                                z = true;
                                boolean z13 = !g0(64) || g0(128);
                                LinearSystem linearSystem = this.U0;
                                Objects.requireNonNull(linearSystem);
                                linearSystem.f847j = false;
                                if (this.b1 != 0 && z13) {
                                    linearSystem.f847j = true;
                                }
                                ArrayList<ConstraintWidget> arrayList10 = this.O0;
                                p = p();
                                dimensionBehaviour3 = ConstraintWidget.DimensionBehaviour.WRAP_CONTENT;
                                if (p != dimensionBehaviour3 || t() == dimensionBehaviour3) {
                                    i5 = 0;
                                    z2 = true;
                                } else {
                                    i5 = 0;
                                    z2 = false;
                                }
                                this.X0 = i5;
                                this.Y0 = i5;
                                for (i6 = 0; i6 < i2; i6++) {
                                    ConstraintWidget constraintWidget12 = this.O0.get(i6);
                                    if (constraintWidget12 instanceof WidgetContainer) {
                                        ((WidgetContainer) constraintWidget12).W();
                                    }
                                }
                                boolean g0 = g0(64);
                                z3 = z;
                                int i33 = 0;
                                z4 = true;
                                while (z4) {
                                    int i34 = i33 + 1;
                                    try {
                                        this.U0.u();
                                        this.X0 = 0;
                                        this.Y0 = 0;
                                        j(this.U0);
                                        for (int i35 = 0; i35 < i2; i35++) {
                                            this.O0.get(i35).j(this.U0);
                                        }
                                        Y(this.U0);
                                        try {
                                            WeakReference<ConstraintAnchor> weakReference = this.e1;
                                            if (!(weakReference == null || weakReference.get() == null)) {
                                                this.U0.f(this.U0.l(this.e1.get()), this.U0.l(this.N), 0, 5);
                                                try {
                                                    this.e1 = null;
                                                } catch (Exception e3) {
                                                    e2 = e3;
                                                    z4 = true;
                                                    e2.printStackTrace();
                                                    PrintStream printStream = System.out;
                                                    printStream.println("EXCEPTION : " + e2);
                                                    if (!z4) {
                                                    }
                                                    int i36 = 0;
                                                    int i37 = 0;
                                                    while (i8 < i2) {
                                                    }
                                                    max3 = Math.max(this.k0, i37);
                                                    max4 = Math.max(this.l0, i36);
                                                    dimensionBehaviour4 = ConstraintWidget.DimensionBehaviour.WRAP_CONTENT;
                                                    S(max3);
                                                    this.X[0] = dimensionBehaviour4;
                                                    z3 = true;
                                                    z5 = true;
                                                    N(max4);
                                                    this.X[1] = dimensionBehaviour4;
                                                    z3 = true;
                                                    z5 = true;
                                                    max = Math.max(this.k0, u());
                                                    if (max > u()) {
                                                    }
                                                    max2 = Math.max(this.l0, o());
                                                    if (max2 <= o()) {
                                                    }
                                                    if (!z3) {
                                                    }
                                                    i7 = 8;
                                                    if (i34 > i7) {
                                                    }
                                                    i33 = i34;
                                                }
                                            }
                                            WeakReference<ConstraintAnchor> weakReference2 = this.g1;
                                            if (!(weakReference2 == null || weakReference2.get() == null)) {
                                                this.U0.f(this.U0.l(this.P), this.U0.l(this.g1.get()), 0, 5);
                                                this.g1 = null;
                                            }
                                            WeakReference<ConstraintAnchor> weakReference3 = this.f1;
                                            if (!(weakReference3 == null || weakReference3.get() == null)) {
                                                this.U0.f(this.U0.l(this.f1.get()), this.U0.l(this.M), 0, 5);
                                                this.f1 = null;
                                            }
                                            WeakReference<ConstraintAnchor> weakReference4 = this.h1;
                                            if (weakReference4 != null && weakReference4.get() != null) {
                                                this.U0.f(this.U0.l(this.O), this.U0.l(this.h1.get()), 0, 5);
                                                this.h1 = null;
                                            }
                                            this.U0.q();
                                            z4 = true;
                                        } catch (Exception e4) {
                                            e2 = e4;
                                            z4 = true;
                                            e2.printStackTrace();
                                            PrintStream printStream2 = System.out;
                                            printStream2.println("EXCEPTION : " + e2);
                                            if (!z4) {
                                            }
                                            int i362 = 0;
                                            int i372 = 0;
                                            while (i8 < i2) {
                                            }
                                            max3 = Math.max(this.k0, i372);
                                            max4 = Math.max(this.l0, i362);
                                            dimensionBehaviour4 = ConstraintWidget.DimensionBehaviour.WRAP_CONTENT;
                                            S(max3);
                                            this.X[0] = dimensionBehaviour4;
                                            z3 = true;
                                            z5 = true;
                                            N(max4);
                                            this.X[1] = dimensionBehaviour4;
                                            z3 = true;
                                            z5 = true;
                                            max = Math.max(this.k0, u());
                                            if (max > u()) {
                                            }
                                            max2 = Math.max(this.l0, o());
                                            if (max2 <= o()) {
                                            }
                                            if (!z3) {
                                            }
                                            i7 = 8;
                                            if (i34 > i7) {
                                            }
                                            i33 = i34;
                                        }
                                    } catch (Exception e5) {
                                        e2 = e5;
                                        e2.printStackTrace();
                                        PrintStream printStream22 = System.out;
                                        printStream22.println("EXCEPTION : " + e2);
                                        if (!z4) {
                                        }
                                        int i3622 = 0;
                                        int i3722 = 0;
                                        while (i8 < i2) {
                                        }
                                        max3 = Math.max(this.k0, i3722);
                                        max4 = Math.max(this.l0, i3622);
                                        dimensionBehaviour4 = ConstraintWidget.DimensionBehaviour.WRAP_CONTENT;
                                        S(max3);
                                        this.X[0] = dimensionBehaviour4;
                                        z3 = true;
                                        z5 = true;
                                        N(max4);
                                        this.X[1] = dimensionBehaviour4;
                                        z3 = true;
                                        z5 = true;
                                        max = Math.max(this.k0, u());
                                        if (max > u()) {
                                        }
                                        max2 = Math.max(this.l0, o());
                                        if (max2 <= o()) {
                                        }
                                        if (!z3) {
                                        }
                                        i7 = 8;
                                        if (i34 > i7) {
                                        }
                                        i33 = i34;
                                    }
                                    if (!z4) {
                                        LinearSystem linearSystem2 = this.U0;
                                        b.h.a.g.b.f2997a[2] = false;
                                        boolean g02 = g0(64);
                                        V(linearSystem2, g02);
                                        int size4 = this.O0.size();
                                        int i38 = 0;
                                        z5 = false;
                                        while (i38 < size4) {
                                            ConstraintWidget constraintWidget13 = this.O0.get(i38);
                                            constraintWidget13.V(linearSystem2, g02);
                                            if ((constraintWidget13.f1010i == -1 && constraintWidget13.f1011j == -1) ? false : true) {
                                                z5 = true;
                                            }
                                            i38++;
                                            linearSystem2 = linearSystem2;
                                            g02 = g02;
                                        }
                                    } else {
                                        V(this.U0, g0);
                                        for (int i39 = 0; i39 < i2; i39++) {
                                            this.O0.get(i39).V(this.U0, g0);
                                        }
                                        z5 = false;
                                    }
                                    if (z2 && i34 < 8 && b.h.a.g.b.f2997a[2]) {
                                        int i36222 = 0;
                                        int i37222 = 0;
                                        for (i8 = 0; i8 < i2; i8++) {
                                            ConstraintWidget constraintWidget14 = this.O0.get(i8);
                                            i37222 = Math.max(i37222, constraintWidget14.u() + constraintWidget14.d0);
                                            i36222 = Math.max(i36222, constraintWidget14.o() + constraintWidget14.e0);
                                        }
                                        max3 = Math.max(this.k0, i37222);
                                        max4 = Math.max(this.l0, i36222);
                                        dimensionBehaviour4 = ConstraintWidget.DimensionBehaviour.WRAP_CONTENT;
                                        if (dimensionBehaviour2 == dimensionBehaviour4 && u() < max3) {
                                            S(max3);
                                            this.X[0] = dimensionBehaviour4;
                                            z3 = true;
                                            z5 = true;
                                        }
                                        if (dimensionBehaviour == dimensionBehaviour4 && o() < max4) {
                                            N(max4);
                                            this.X[1] = dimensionBehaviour4;
                                            z3 = true;
                                            z5 = true;
                                        }
                                    }
                                    max = Math.max(this.k0, u());
                                    if (max > u()) {
                                        S(max);
                                        this.X[0] = ConstraintWidget.DimensionBehaviour.FIXED;
                                        z3 = true;
                                        z5 = true;
                                    }
                                    max2 = Math.max(this.l0, o());
                                    if (max2 <= o()) {
                                        N(max2);
                                        r12 = 1;
                                        this.X[1] = ConstraintWidget.DimensionBehaviour.FIXED;
                                        z3 = true;
                                        z5 = true;
                                    } else {
                                        r12 = 1;
                                    }
                                    if (!z3) {
                                        ConstraintWidget.DimensionBehaviour dimensionBehaviour14 = this.X[0];
                                        ConstraintWidget.DimensionBehaviour dimensionBehaviour15 = ConstraintWidget.DimensionBehaviour.WRAP_CONTENT;
                                        if (dimensionBehaviour14 == dimensionBehaviour15 && i4 > 0 && u() > i4) {
                                            this.c1 = r12;
                                            this.X[0] = ConstraintWidget.DimensionBehaviour.FIXED;
                                            S(i4);
                                            z3 = true;
                                            z5 = true;
                                        }
                                        ConstraintWidget.DimensionBehaviour[] dimensionBehaviourArr3 = this.X;
                                        char c4 = r12 == true ? 1 : 0;
                                        char c5 = r12 == true ? 1 : 0;
                                        char c6 = r12 == true ? 1 : 0;
                                        if (dimensionBehaviourArr3[c4] == dimensionBehaviour15 && i3 > 0 && o() > i3) {
                                            this.d1 = r12;
                                            this.X[r12] = ConstraintWidget.DimensionBehaviour.FIXED;
                                            N(i3);
                                            i7 = 8;
                                            z3 = true;
                                            z5 = true;
                                            z4 = i34 > i7 ? false : z5;
                                            i33 = i34;
                                        }
                                    }
                                    i7 = 8;
                                    if (i34 > i7) {
                                    }
                                    i33 = i34;
                                }
                                this.O0 = arrayList10;
                                if (z3) {
                                    ConstraintWidget.DimensionBehaviour[] dimensionBehaviourArr4 = this.X;
                                    dimensionBehaviourArr4[0] = dimensionBehaviour2;
                                    dimensionBehaviourArr4[1] = dimensionBehaviour;
                                }
                                J(this.U0.o);
                            }
                            N(i13);
                            this.d1 = true;
                        } else {
                            i13 = i12;
                        }
                        i3 = i13;
                        z = true;
                        if (!g0(64)) {
                        }
                        LinearSystem linearSystem3 = this.U0;
                        Objects.requireNonNull(linearSystem3);
                        linearSystem3.f847j = false;
                        linearSystem3.f847j = true;
                        ArrayList<ConstraintWidget> arrayList102 = this.O0;
                        p = p();
                        dimensionBehaviour3 = ConstraintWidget.DimensionBehaviour.WRAP_CONTENT;
                        if (p != dimensionBehaviour3) {
                        }
                        i5 = 0;
                        z2 = true;
                        this.X0 = i5;
                        this.Y0 = i5;
                        while (i6 < i2) {
                        }
                        boolean g03 = g0(64);
                        z3 = z;
                        int i332 = 0;
                        z4 = true;
                        while (z4) {
                        }
                        this.O0 = arrayList102;
                        if (z3) {
                        }
                        J(this.U0.o);
                    }
                    S(i14);
                    this.c1 = true;
                } else {
                    i14 = i11;
                }
                i4 = i14;
                dimensionBehaviour = dimensionBehaviour7;
                if (dimensionBehaviour != dimensionBehaviour13) {
                }
                i3 = i13;
                z = true;
                if (!g0(64)) {
                }
                LinearSystem linearSystem32 = this.U0;
                Objects.requireNonNull(linearSystem32);
                linearSystem32.f847j = false;
                linearSystem32.f847j = true;
                ArrayList<ConstraintWidget> arrayList1022 = this.O0;
                p = p();
                dimensionBehaviour3 = ConstraintWidget.DimensionBehaviour.WRAP_CONTENT;
                if (p != dimensionBehaviour3) {
                }
                i5 = 0;
                z2 = true;
                this.X0 = i5;
                this.Y0 = i5;
                while (i6 < i2) {
                }
                boolean g032 = g0(64);
                z3 = z;
                int i3322 = 0;
                z4 = true;
                while (z4) {
                }
                this.O0 = arrayList1022;
                if (z3) {
                }
                J(this.U0.o);
            }
            i9 = i12;
            dimensionBehaviour = dimensionBehaviour7;
            i10 = i11;
            dimensionBehaviour2 = dimensionBehaviour6;
        }
        i4 = i10;
        i3 = i9;
        z = false;
        if (!g0(64)) {
        }
        LinearSystem linearSystem322 = this.U0;
        Objects.requireNonNull(linearSystem322);
        linearSystem322.f847j = false;
        linearSystem322.f847j = true;
        ArrayList<ConstraintWidget> arrayList10222 = this.O0;
        p = p();
        dimensionBehaviour3 = ConstraintWidget.DimensionBehaviour.WRAP_CONTENT;
        if (p != dimensionBehaviour3) {
        }
        i5 = 0;
        z2 = true;
        this.X0 = i5;
        this.Y0 = i5;
        while (i6 < i2) {
        }
        boolean g0322 = g0(64);
        z3 = z;
        int i33222 = 0;
        z4 = true;
        while (z4) {
        }
        this.O0 = arrayList10222;
        if (z3) {
        }
        J(this.U0.o);
    }

    public void X(ConstraintWidget constraintWidget, int i2) {
        if (i2 == 0) {
            int i3 = this.X0 + 1;
            a[] aVarArr = this.a1;
            if (i3 >= aVarArr.length) {
                this.a1 = (a[]) Arrays.copyOf(aVarArr, aVarArr.length * 2);
            }
            a[] aVarArr2 = this.a1;
            int i4 = this.X0;
            aVarArr2[i4] = new a(constraintWidget, 0, this.T0);
            this.X0 = i4 + 1;
        } else if (i2 == 1) {
            int i5 = this.Y0 + 1;
            a[] aVarArr3 = this.Z0;
            if (i5 >= aVarArr3.length) {
                this.Z0 = (a[]) Arrays.copyOf(aVarArr3, aVarArr3.length * 2);
            }
            a[] aVarArr4 = this.Z0;
            int i6 = this.Y0;
            aVarArr4[i6] = new a(constraintWidget, 1, this.T0);
            this.Y0 = i6 + 1;
        }
    }

    public boolean Y(LinearSystem linearSystem) {
        boolean z;
        boolean g0 = g0(64);
        d(linearSystem, g0);
        int size = this.O0.size();
        boolean z2 = false;
        for (int i2 = 0; i2 < size; i2++) {
            ConstraintWidget constraintWidget = this.O0.get(i2);
            boolean[] zArr = constraintWidget.W;
            zArr[0] = false;
            zArr[1] = false;
            if (constraintWidget instanceof Barrier) {
                z2 = true;
            }
        }
        if (z2) {
            for (int i3 = 0; i3 < size; i3++) {
                ConstraintWidget constraintWidget2 = this.O0.get(i3);
                if (constraintWidget2 instanceof Barrier) {
                    Barrier barrier = (Barrier) constraintWidget2;
                    for (int i4 = 0; i4 < barrier.P0; i4++) {
                        ConstraintWidget constraintWidget3 = barrier.O0[i4];
                        if (barrier.R0 || constraintWidget3.e()) {
                            int i5 = barrier.Q0;
                            if (i5 == 0 || i5 == 1) {
                                constraintWidget3.W[0] = true;
                            } else if (i5 == 2 || i5 == 3) {
                                constraintWidget3.W[1] = true;
                            }
                        }
                    }
                }
            }
        }
        this.i1.clear();
        for (int i6 = 0; i6 < size; i6++) {
            ConstraintWidget constraintWidget4 = this.O0.get(i6);
            if (constraintWidget4.c()) {
                if (constraintWidget4 instanceof VirtualLayout) {
                    this.i1.add(constraintWidget4);
                } else {
                    constraintWidget4.d(linearSystem, g0);
                }
            }
        }
        while (this.i1.size() > 0) {
            int size2 = this.i1.size();
            Iterator<ConstraintWidget> it = this.i1.iterator();
            while (true) {
                if (!it.hasNext()) {
                    break;
                }
                VirtualLayout virtualLayout = (VirtualLayout) it.next();
                HashSet<ConstraintWidget> hashSet = this.i1;
                int i7 = 0;
                while (true) {
                    if (i7 >= virtualLayout.P0) {
                        z = false;
                        continue;
                        break;
                    } else if (hashSet.contains(virtualLayout.O0[i7])) {
                        z = true;
                        continue;
                        break;
                    } else {
                        i7++;
                    }
                }
                if (z) {
                    virtualLayout.d(linearSystem, g0);
                    this.i1.remove(virtualLayout);
                    break;
                }
            }
            if (size2 == this.i1.size()) {
                Iterator<ConstraintWidget> it2 = this.i1.iterator();
                while (it2.hasNext()) {
                    it2.next().d(linearSystem, g0);
                }
                this.i1.clear();
            }
        }
        if (LinearSystem.f838a) {
            HashSet<ConstraintWidget> hashSet2 = new HashSet<>();
            for (int i8 = 0; i8 < size; i8++) {
                ConstraintWidget constraintWidget5 = this.O0.get(i8);
                if (!constraintWidget5.c()) {
                    hashSet2.add(constraintWidget5);
                }
            }
            b(this, linearSystem, hashSet2, p() == ConstraintWidget.DimensionBehaviour.WRAP_CONTENT ? 0 : 1, false);
            Iterator<ConstraintWidget> it3 = hashSet2.iterator();
            while (it3.hasNext()) {
                ConstraintWidget next = it3.next();
                b.h.a.g.b.a(this, linearSystem, next);
                next.d(linearSystem, g0);
            }
        } else {
            for (int i9 = 0; i9 < size; i9++) {
                ConstraintWidget constraintWidget6 = this.O0.get(i9);
                if (constraintWidget6 instanceof ConstraintWidgetContainer) {
                    ConstraintWidget.DimensionBehaviour[] dimensionBehaviourArr = constraintWidget6.X;
                    ConstraintWidget.DimensionBehaviour dimensionBehaviour = dimensionBehaviourArr[0];
                    ConstraintWidget.DimensionBehaviour dimensionBehaviour2 = dimensionBehaviourArr[1];
                    ConstraintWidget.DimensionBehaviour dimensionBehaviour3 = ConstraintWidget.DimensionBehaviour.WRAP_CONTENT;
                    if (dimensionBehaviour == dimensionBehaviour3) {
                        constraintWidget6.O(ConstraintWidget.DimensionBehaviour.FIXED);
                    }
                    if (dimensionBehaviour2 == dimensionBehaviour3) {
                        constraintWidget6.R(ConstraintWidget.DimensionBehaviour.FIXED);
                    }
                    constraintWidget6.d(linearSystem, g0);
                    if (dimensionBehaviour == dimensionBehaviour3) {
                        constraintWidget6.O(dimensionBehaviour);
                    }
                    if (dimensionBehaviour2 == dimensionBehaviour3) {
                        constraintWidget6.R(dimensionBehaviour2);
                    }
                } else {
                    b.h.a.g.b.a(this, linearSystem, constraintWidget6);
                    if (!constraintWidget6.c()) {
                        constraintWidget6.d(linearSystem, g0);
                    }
                }
            }
        }
        if (this.X0 > 0) {
            AppCompatDelegateImpl.e.a(this, linearSystem, null, 0);
        }
        if (this.Y0 > 0) {
            AppCompatDelegateImpl.e.a(this, linearSystem, null, 1);
        }
        return true;
    }

    public void Z(ConstraintAnchor constraintAnchor) {
        WeakReference<ConstraintAnchor> weakReference = this.h1;
        if (weakReference == null || weakReference.get() == null || constraintAnchor.d() > this.h1.get().d()) {
            this.h1 = new WeakReference<>(constraintAnchor);
        }
    }

    public void a0(ConstraintAnchor constraintAnchor) {
        WeakReference<ConstraintAnchor> weakReference = this.f1;
        if (weakReference == null || weakReference.get() == null || constraintAnchor.d() > this.f1.get().d()) {
            this.f1 = new WeakReference<>(constraintAnchor);
        }
    }

    public void b0(ConstraintAnchor constraintAnchor) {
        WeakReference<ConstraintAnchor> weakReference = this.g1;
        if (weakReference == null || weakReference.get() == null || constraintAnchor.d() > this.g1.get().d()) {
            this.g1 = new WeakReference<>(constraintAnchor);
        }
    }

    public void c0(ConstraintAnchor constraintAnchor) {
        WeakReference<ConstraintAnchor> weakReference = this.e1;
        if (weakReference == null || weakReference.get() == null || constraintAnchor.d() > this.e1.get().d()) {
            this.e1 = new WeakReference<>(constraintAnchor);
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:38:0x00f1  */
    /* JADX WARNING: Removed duplicated region for block: B:48:0x0117  */
    /* JADX WARNING: Removed duplicated region for block: B:77:0x0144 A[EDGE_INSN: B:77:0x0144->B:62:0x0144 ?: BREAK  , SYNTHETIC] */
    public boolean d0(boolean z, int i2) {
        boolean z2;
        Iterator<WidgetRun> it;
        Iterator<WidgetRun> it2;
        ConstraintWidget.DimensionBehaviour dimensionBehaviour;
        b bVar = this.Q0;
        boolean z3 = true;
        boolean z4 = z & true;
        ConstraintWidget.DimensionBehaviour n = bVar.f2998a.n(0);
        ConstraintWidget.DimensionBehaviour n2 = bVar.f2998a.n(1);
        int v = bVar.f2998a.v();
        int w = bVar.f2998a.w();
        if (z4 && (n == (dimensionBehaviour = ConstraintWidget.DimensionBehaviour.WRAP_CONTENT) || n2 == dimensionBehaviour)) {
            Iterator<WidgetRun> it3 = bVar.f3002e.iterator();
            while (true) {
                if (!it3.hasNext()) {
                    break;
                }
                WidgetRun next = it3.next();
                if (next.f1061f == i2 && !next.j()) {
                    z4 = false;
                    break;
                }
            }
            if (i2 == 0) {
                if (z4 && n == ConstraintWidget.DimensionBehaviour.WRAP_CONTENT) {
                    bVar.f2998a.O(ConstraintWidget.DimensionBehaviour.FIXED);
                    ConstraintWidgetContainer constraintWidgetContainer = bVar.f2998a;
                    constraintWidgetContainer.S(bVar.d(constraintWidgetContainer, 0));
                    ConstraintWidgetContainer constraintWidgetContainer2 = bVar.f2998a;
                    constraintWidgetContainer2.f1005d.f1060e.b(constraintWidgetContainer2.u());
                }
            } else if (z4 && n2 == ConstraintWidget.DimensionBehaviour.WRAP_CONTENT) {
                bVar.f2998a.R(ConstraintWidget.DimensionBehaviour.FIXED);
                ConstraintWidgetContainer constraintWidgetContainer3 = bVar.f2998a;
                constraintWidgetContainer3.N(bVar.d(constraintWidgetContainer3, 1));
                ConstraintWidgetContainer constraintWidgetContainer4 = bVar.f2998a;
                constraintWidgetContainer4.f1006e.f1060e.b(constraintWidgetContainer4.o());
            }
        }
        if (i2 == 0) {
            ConstraintWidgetContainer constraintWidgetContainer5 = bVar.f2998a;
            ConstraintWidget.DimensionBehaviour[] dimensionBehaviourArr = constraintWidgetContainer5.X;
            if (dimensionBehaviourArr[0] == ConstraintWidget.DimensionBehaviour.FIXED || dimensionBehaviourArr[0] == ConstraintWidget.DimensionBehaviour.MATCH_PARENT) {
                int u = constraintWidgetContainer5.u() + v;
                bVar.f2998a.f1005d.f1064i.b(u);
                bVar.f2998a.f1005d.f1060e.b(u - v);
                z2 = true;
                bVar.g();
                it = bVar.f3002e.iterator();
                while (it.hasNext()) {
                    WidgetRun next2 = it.next();
                    if (next2.f1061f == i2 && (next2.f1057b != bVar.f2998a || next2.f1062g)) {
                        next2.d();
                    }
                }
                it2 = bVar.f3002e.iterator();
                while (true) {
                    if (!it2.hasNext()) {
                        break;
                    }
                    WidgetRun next3 = it2.next();
                    if (next3.f1061f == i2 && ((z2 || next3.f1057b != bVar.f2998a) && (!next3.f1063h.f1050j || !next3.f1064i.f1050j || (!(next3 instanceof ChainRun) && !next3.f1060e.f1050j)))) {
                        z3 = false;
                    }
                }
                z3 = false;
                bVar.f2998a.O(n);
                bVar.f2998a.R(n2);
                return z3;
            }
        } else {
            ConstraintWidgetContainer constraintWidgetContainer6 = bVar.f2998a;
            ConstraintWidget.DimensionBehaviour[] dimensionBehaviourArr2 = constraintWidgetContainer6.X;
            if (dimensionBehaviourArr2[1] == ConstraintWidget.DimensionBehaviour.FIXED || dimensionBehaviourArr2[1] == ConstraintWidget.DimensionBehaviour.MATCH_PARENT) {
                int o = constraintWidgetContainer6.o() + w;
                bVar.f2998a.f1006e.f1064i.b(o);
                bVar.f2998a.f1006e.f1060e.b(o - w);
                z2 = true;
                bVar.g();
                it = bVar.f3002e.iterator();
                while (it.hasNext()) {
                }
                it2 = bVar.f3002e.iterator();
                while (true) {
                    if (!it2.hasNext()) {
                    }
                }
                z3 = false;
                bVar.f2998a.O(n);
                bVar.f2998a.R(n2);
                return z3;
            }
        }
        z2 = false;
        bVar.g();
        it = bVar.f3002e.iterator();
        while (it.hasNext()) {
        }
        it2 = bVar.f3002e.iterator();
        while (true) {
            if (!it2.hasNext()) {
            }
        }
        z3 = false;
        bVar.f2998a.O(n);
        bVar.f2998a.R(n2);
        return z3;
    }

    public void e0() {
        this.Q0.f2999b = true;
    }

    public boolean g0(int i2) {
        return (this.b1 & i2) == i2;
    }

    public void h0(BasicMeasure.Measurer measurer) {
        this.S0 = measurer;
        this.Q0.f3003f = measurer;
    }

    public void i0(int i2) {
        this.b1 = i2;
        LinearSystem.f838a = g0(512);
    }
}
