package androidx.lifecycle;

import androidx.lifecycle.ViewModelProvider;
import b.q.k;

public abstract class AbstractSavedStateViewModelFactory extends ViewModelProvider.a {
    @Override // androidx.lifecycle.ViewModelProvider.b
    public void a(k kVar) {
        SavedStateHandleController.a(kVar, null, null);
    }

    @Override // androidx.lifecycle.ViewModelProvider.a
    public final <T extends k> T b(String str, Class<T> cls) {
        SavedStateHandleController.c(null, null, str, null);
        throw null;
    }

    @Override // androidx.lifecycle.ViewModelProvider.a, androidx.lifecycle.ViewModelProvider.Factory
    public final <T extends k> T create(Class<T> cls) {
        String canonicalName = cls.getCanonicalName();
        if (canonicalName == null) {
            throw new IllegalArgumentException("Local and anonymous classes can not be ViewModels");
        }
        SavedStateHandleController.c(null, null, canonicalName, null);
        throw null;
    }
}
