package com.androidx.lv.base.bean;

import android.text.TextUtils;
import d.a.a.a.a;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class LocalVideoBean implements Serializable {
    public String checkSum;
    public List<String> coverImg = new ArrayList();
    public int height;
    public String id;
    public boolean mainVideo;
    public int playTime;
    public int position;
    public long size;
    public int state = -1;
    public String title;
    public String type;
    public String upToken;
    public String url;
    public int videoId;
    public String videoUrl;
    public int width;

    public LocalVideoBean() {
    }

    public String getCheckSum() {
        return this.checkSum;
    }

    public List<String> getCoverImg() {
        return this.coverImg;
    }

    public int getHeight() {
        return this.height;
    }

    public String getId() {
        return this.id;
    }

    public int getPlayTime() {
        return this.playTime;
    }

    public long getSize() {
        return this.size;
    }

    public int getState() {
        return this.state;
    }

    public String getTitle() {
        return this.title;
    }

    public String getType() {
        if (TextUtils.isEmpty(this.type)) {
            return "0";
        }
        return this.type;
    }

    public String getUpToken() {
        return this.upToken;
    }

    public String getVideoUrl() {
        return this.videoUrl;
    }

    public int getWidth() {
        return this.width;
    }

    public void setCheckSum(String str) {
        this.checkSum = str;
    }

    public void setCoverImg(List<String> list) {
        this.coverImg = list;
    }

    public void setHeight(int i2) {
        this.height = i2;
    }

    public void setId(String str) {
        this.id = str;
    }

    public void setPlayTime(int i2) {
        this.playTime = i2;
    }

    public void setSize(long j2) {
        this.size = j2;
    }

    public void setState(int i2) {
        this.state = i2;
    }

    public void setTitle(String str) {
        this.title = str;
    }

    public void setType(String str) {
        this.type = str;
    }

    public void setUpToken(String str) {
        this.upToken = str;
    }

    public void setVideoUrl(String str) {
        this.videoUrl = str;
    }

    public void setWidth(int i2) {
        this.width = i2;
    }

    public String toString() {
        StringBuilder B = a.B("LocalVideoBean{title='");
        a.W(B, this.title, '\'', ", type='");
        a.W(B, this.type, '\'', ", id='");
        a.W(B, this.id, '\'', ", size=");
        B.append(this.size);
        B.append(", width=");
        B.append(this.width);
        B.append(", height=");
        B.append(this.height);
        B.append(", playTime=");
        B.append(this.playTime);
        B.append(", upToken='");
        a.W(B, this.upToken, '\'', ", checkSum='");
        a.W(B, this.checkSum, '\'', ", videoUrl='");
        a.W(B, this.videoUrl, '\'', ", url='");
        a.W(B, this.url, '\'', ", state=");
        B.append(this.state);
        B.append(", coverImg=");
        B.append(this.coverImg);
        B.append(", position=");
        B.append(this.position);
        B.append(", mainVideo=");
        B.append(this.mainVideo);
        B.append('}');
        return B.toString();
    }

    public LocalVideoBean(String str) {
        this.url = str;
    }

    public LocalVideoBean(String str, String str2, String str3) {
        this.url = str;
        this.type = str3;
        this.videoUrl = str2;
    }
}
