package com.androidx.lv.base.bean;

import androidx.databinding.BaseObservable;
import java.io.Serializable;
import java.util.List;

public class UserInfo extends BaseObservable implements Serializable {
    private int attentionBrokerNum;
    private boolean attentionHe;
    private String avatarFrame;
    private String bgImg;
    private int bgImgStatus;
    private List<String> bgImgs;
    private String birthday;
    private boolean blogger;
    public int broker;
    private int brokerId;
    private int bu;
    private int bzRecommendNum;
    private List<UserBgImgCheck> checkImgs;
    private String cinemaExpiredVip;
    private int cinemaVipType;
    private String cityCode;
    private String cityName;
    private String coverImg;
    private int dyNum;
    private int dynamicNum;
    private String expiredVip;
    private int fakeUrgeNum;
    private int fansGroupNum;
    private boolean fansMember;
    private int favoritesNum;
    private List<String> feedbackImgs;
    private boolean forbiddenWord;
    private String freeVip;
    private int freeWatches;
    private int gender;
    private int goldWatchNum;
    private boolean hasFansGroup;
    private boolean hasPassRecommend;
    public boolean hasWelfare;
    private String imgDomain;
    private String inviteCode;
    private int inviteUserNum;
    public boolean isBuyMeetCard;
    private boolean isOfficial;
    private boolean isSDKAd;
    private boolean isUpUser;
    private boolean isVIP;
    private int level;
    private long liked;
    private int lockNum;
    private String logo;
    private boolean meetCard;
    private boolean meetLock;
    private int meetPrice;
    private String mobile;
    private List<String> newFans;
    private String nickName;
    private int noticeNotReadNum;
    private String personSign;
    private String phone;
    private String provinceCode;
    private String provinceName;
    private int purVideosNum;
    private String qq;
    private int realLockNum;
    private int realUrgeNum;
    private boolean recharge;
    public int releaseNum;
    private int releaseType;
    private int subscribeNum;
    private String token;
    private int topicSubNum;
    private int ua;
    private boolean urgeToHe;
    private int userId;
    private int userType;
    private int videoFavoritesNum;
    public int viewedNum;
    private double vipGoldVideoDis;
    private int vipType;
    private int watched;
    private String wechat;
    private int workNum;

    public static class UserBgImgCheck implements Serializable {
        private List<String> bgImgs;
        private int bgUserId;
        private String createdAt;
        private String id;
        private String reason;
        private String reviewDate;
        private int status;
        private String updatedAt;
        private int userId;

        public List<String> getBgImgs() {
            return this.bgImgs;
        }

        public int getBgUserId() {
            return this.bgUserId;
        }

        public String getCreatedAt() {
            return this.createdAt;
        }

        public String getId() {
            return this.id;
        }

        public String getReason() {
            return this.reason;
        }

        public String getReviewDate() {
            return this.reviewDate;
        }

        public int getStatus() {
            return this.status;
        }

        public String getUpdatedAt() {
            return this.updatedAt;
        }

        public int getUserId() {
            return this.userId;
        }

        public void setBgImgs(List<String> list) {
            this.bgImgs = list;
        }

        public void setBgUserId(int i2) {
            this.bgUserId = i2;
        }

        public void setCreatedAt(String str) {
            this.createdAt = str;
        }

        public void setId(String str) {
            this.id = str;
        }

        public void setReason(String str) {
            this.reason = str;
        }

        public void setReviewDate(String str) {
            this.reviewDate = str;
        }

        public void setStatus(int i2) {
            this.status = i2;
        }

        public void setUpdatedAt(String str) {
            this.updatedAt = str;
        }

        public void setUserId(int i2) {
            this.userId = i2;
        }
    }

    public int getAttentionBrokerNum() {
        return this.attentionBrokerNum;
    }

    public String getAvatarFrame() {
        return this.avatarFrame;
    }

    public String getBgImg() {
        return this.bgImg;
    }

    public int getBgImgStatus() {
        return this.bgImgStatus;
    }

    public List<String> getBgImgs() {
        return this.bgImgs;
    }

    public String getBirthday() {
        return this.birthday;
    }

    public int getBroker() {
        return this.broker;
    }

    public int getBrokerId() {
        return this.brokerId;
    }

    public int getBu() {
        return this.bu;
    }

    public int getBzRecommendNum() {
        return this.bzRecommendNum;
    }

    public List<UserBgImgCheck> getCheckImgs() {
        return this.checkImgs;
    }

    public String getCinemaExpiredVip() {
        return this.cinemaExpiredVip;
    }

    public int getCinemaVipType() {
        return this.cinemaVipType;
    }

    public String getCityCode() {
        return this.cityCode;
    }

    public String getCityName() {
        return this.cityName;
    }

    public String getCoverImg() {
        return this.coverImg;
    }

    public int getDyNum() {
        return this.dyNum;
    }

    public int getDynamicNum() {
        return this.dynamicNum;
    }

    public String getExpiredVip() {
        return this.expiredVip;
    }

    public int getFakeUrgeNum() {
        return this.fakeUrgeNum;
    }

    public int getFansGroupNum() {
        return this.fansGroupNum;
    }

    public String getFansOne() {
        List<String> list = this.newFans;
        return (list == null || list.isEmpty()) ? "" : this.newFans.get(0);
    }

    public String getFansThree() {
        List<String> list = this.newFans;
        return (list == null || list.size() <= 2) ? "" : this.newFans.get(2);
    }

    public String getFansTwo() {
        List<String> list = this.newFans;
        return (list == null || list.size() <= 1) ? "" : this.newFans.get(1);
    }

    public int getFavoritesNum() {
        return this.favoritesNum;
    }

    public List<String> getFeedbackImgs() {
        return this.feedbackImgs;
    }

    public String getFreeVip() {
        return this.freeVip;
    }

    public int getFreeWatches() {
        return this.freeWatches;
    }

    public int getGender() {
        return this.gender;
    }

    public int getGoldWatchNum() {
        return this.goldWatchNum;
    }

    public String getImgDomain() {
        return this.imgDomain;
    }

    public String getInviteCode() {
        return this.inviteCode;
    }

    public int getInviteUserNum() {
        return this.inviteUserNum;
    }

    public int getLevel() {
        return this.level;
    }

    public long getLiked() {
        return this.liked;
    }

    public int getLockNum() {
        return this.lockNum;
    }

    public String getLogo() {
        return this.logo;
    }

    public int getMeetPrice() {
        return this.meetPrice;
    }

    public String getMobile() {
        return this.mobile;
    }

    public List<String> getNewFans() {
        return this.newFans;
    }

    public String getNickName() {
        return this.nickName;
    }

    public int getNoticeNotReadNum() {
        return this.noticeNotReadNum;
    }

    public String getPersonSign() {
        return this.personSign;
    }

    public String getPhone() {
        return this.phone;
    }

    public String getProvinceCode() {
        return this.provinceCode;
    }

    public String getProvinceName() {
        return this.provinceName;
    }

    public int getPurVideosNum() {
        return this.purVideosNum;
    }

    public String getQq() {
        return this.qq;
    }

    public int getRealLockNum() {
        return this.realLockNum;
    }

    public int getRealUrgeNum() {
        return this.realUrgeNum;
    }

    public int getReleaseNum() {
        return this.releaseNum;
    }

    public int getReleaseType() {
        return this.releaseType;
    }

    public int getSubscribeNum() {
        return this.subscribeNum;
    }

    public String getToken() {
        return this.token;
    }

    public int getTopicSubNum() {
        return this.topicSubNum;
    }

    public int getUa() {
        return this.ua;
    }

    public int getUserId() {
        return this.userId;
    }

    public int getUserType() {
        return this.userType;
    }

    public int getVideoFavoritesNum() {
        return this.videoFavoritesNum;
    }

    public double getVipGoldVideoDis() {
        return this.vipGoldVideoDis;
    }

    public int getVipType() {
        return this.vipType;
    }

    public int getWatched() {
        return this.watched;
    }

    public String getWechat() {
        return this.wechat;
    }

    public int getWorkNum() {
        return this.workNum;
    }

    public boolean isAttentionHe() {
        return this.attentionHe;
    }

    public boolean isBlogger() {
        return this.blogger;
    }

    public boolean isFansMember() {
        return this.fansMember;
    }

    public boolean isForbiddenWord() {
        return this.forbiddenWord;
    }

    public boolean isHasFansGroup() {
        return this.hasFansGroup;
    }

    public boolean isHasPassRecommend() {
        return this.hasPassRecommend;
    }

    public boolean isIsSDKAd() {
        return this.isSDKAd;
    }

    public boolean isMeetCard() {
        return this.meetCard;
    }

    public boolean isMeetLock() {
        return this.meetLock;
    }

    public boolean isOfficial() {
        return this.isOfficial;
    }

    public boolean isRecharge() {
        return this.recharge;
    }

    public boolean isUpUser() {
        return this.isUpUser;
    }

    public boolean isUrgeToHe() {
        return this.urgeToHe;
    }

    public boolean isVIP() {
        return this.vipType > 0;
    }

    public void setAttentionBrokerNum(int i2) {
        this.attentionBrokerNum = i2;
    }

    public void setAttentionHe(boolean z) {
        this.attentionHe = z;
        notifyPropertyChanged(7);
    }

    public void setAvatarFrame(String str) {
        this.avatarFrame = str;
    }

    public void setBgImg(String str) {
        this.bgImg = str;
    }

    public void setBgImgStatus(int i2) {
        this.bgImgStatus = i2;
    }

    public void setBgImgs(List<String> list) {
        this.bgImgs = list;
        notifyPropertyChanged(11);
    }

    public void setBirthday(String str) {
        this.birthday = str;
        notifyPropertyChanged(12);
    }

    public void setBlogger(boolean z) {
        this.blogger = z;
        notifyPropertyChanged(13);
    }

    public void setBroker(int i2) {
        this.broker = i2;
    }

    public void setBrokerId(int i2) {
        this.brokerId = i2;
    }

    public void setBu(int i2) {
        this.bu = i2;
        notifyPropertyChanged(18);
    }

    public void setBzRecommendNum(int i2) {
        this.bzRecommendNum = i2;
    }

    public void setCheckImgs(List<UserBgImgCheck> list) {
        this.checkImgs = list;
    }

    public void setCinemaExpiredVip(String str) {
        this.cinemaExpiredVip = str;
    }

    public void setCinemaVipType(int i2) {
        this.cinemaVipType = i2;
        notifyPropertyChanged(22);
    }

    public void setCityCode(String str) {
        this.cityCode = str;
        notifyPropertyChanged(23);
    }

    public void setCityName(String str) {
        this.cityName = str;
        notifyPropertyChanged(24);
    }

    public void setCoverImg(String str) {
        this.coverImg = str;
    }

    public void setDyNum(int i2) {
        this.dyNum = i2;
    }

    public void setDynamicNum(int i2) {
        this.dynamicNum = i2;
        notifyPropertyChanged(40);
    }

    public void setExpiredVip(String str) {
        this.expiredVip = str;
        notifyPropertyChanged(45);
    }

    public void setFakeUrgeNum(int i2) {
        this.fakeUrgeNum = i2;
    }

    public void setFansGroupNum(int i2) {
        this.fansGroupNum = i2;
    }

    public void setFansMember(boolean z) {
        this.fansMember = z;
    }

    public void setFavoritesNum(int i2) {
        this.favoritesNum = i2;
        notifyPropertyChanged(58);
    }

    public void setFeedbackImgs(List<String> list) {
        this.feedbackImgs = list;
        notifyPropertyChanged(60);
    }

    public void setForbiddenWord(boolean z) {
        this.forbiddenWord = z;
        notifyPropertyChanged(62);
    }

    public void setFreeVip(String str) {
        this.freeVip = str;
        notifyPropertyChanged(64);
    }

    public void setFreeWatches(int i2) {
        this.freeWatches = i2;
        notifyPropertyChanged(65);
    }

    public void setGender(int i2) {
        this.gender = i2;
        notifyPropertyChanged(66);
    }

    public void setGoldWatchNum(int i2) {
        this.goldWatchNum = i2;
        notifyPropertyChanged(69);
    }

    public void setHasFansGroup(boolean z) {
        this.hasFansGroup = z;
    }

    public void setHasPassRecommend(boolean z) {
        this.hasPassRecommend = z;
    }

    public void setImgDomain(String str) {
        this.imgDomain = str;
        notifyPropertyChanged(78);
    }

    public void setInviteCode(String str) {
        this.inviteCode = str;
        notifyPropertyChanged(85);
    }

    public void setInviteUserNum(int i2) {
        this.inviteUserNum = i2;
        notifyPropertyChanged(87);
    }

    public void setIsSDKAd(boolean z) {
        this.isSDKAd = z;
        notifyPropertyChanged(92);
    }

    public void setLevel(int i2) {
        this.level = i2;
        notifyPropertyChanged(97);
    }

    public void setLiked(long j2) {
        this.liked = j2;
        notifyPropertyChanged(100);
    }

    public void setLockNum(int i2) {
        this.lockNum = i2;
    }

    public void setLogo(String str) {
        this.logo = str;
        notifyPropertyChanged(103);
    }

    public void setMeetCard(boolean z) {
        this.meetCard = z;
        notifyPropertyChanged(106);
    }

    public void setMeetLock(boolean z) {
        this.meetLock = z;
        notifyPropertyChanged(107);
    }

    public void setMeetPrice(int i2) {
        this.meetPrice = i2;
        notifyPropertyChanged(108);
    }

    public void setMobile(String str) {
        this.mobile = str;
        notifyPropertyChanged(109);
    }

    public void setNewFans(List<String> list) {
        this.newFans = list;
    }

    public void setNickName(String str) {
        this.nickName = str;
        notifyPropertyChanged(114);
    }

    public void setNoticeNotReadNum(int i2) {
        this.noticeNotReadNum = i2;
        notifyPropertyChanged(115);
    }

    public void setOfficial(boolean z) {
        this.isOfficial = z;
        notifyPropertyChanged(118);
    }

    public void setPersonSign(String str) {
        this.personSign = str;
        notifyPropertyChanged(123);
    }

    public void setPhone(String str) {
        this.phone = str;
        notifyPropertyChanged(124);
    }

    public void setProvinceCode(String str) {
        this.provinceCode = str;
        notifyPropertyChanged(133);
    }

    public void setProvinceName(String str) {
        this.provinceName = str;
        notifyPropertyChanged(134);
    }

    public void setPurVideosNum(int i2) {
        this.purVideosNum = i2;
        notifyPropertyChanged(136);
    }

    public void setQq(String str) {
        this.qq = str;
        notifyPropertyChanged(137);
    }

    public void setRealLockNum(int i2) {
        this.realLockNum = i2;
    }

    public void setRealUrgeNum(int i2) {
        this.realUrgeNum = i2;
    }

    public void setRecharge(boolean z) {
        this.recharge = z;
        notifyPropertyChanged(141);
    }

    public void setReleaseNum(int i2) {
        this.releaseNum = i2;
    }

    public void setReleaseType(int i2) {
        this.releaseType = i2;
    }

    public void setSubscribeNum(int i2) {
        this.subscribeNum = i2;
        notifyPropertyChanged(153);
    }

    public void setToken(String str) {
        this.token = str;
        notifyPropertyChanged(159);
    }

    public void setTopicSubNum(int i2) {
        this.topicSubNum = i2;
        notifyPropertyChanged(161);
    }

    public void setUa(int i2) {
        this.ua = i2;
        notifyPropertyChanged(166);
    }

    public void setUpUser(boolean z) {
        this.isUpUser = z;
    }

    public void setUrgeToHe(boolean z) {
        this.urgeToHe = z;
    }

    public void setUserId(int i2) {
        this.userId = i2;
        notifyPropertyChanged(170);
    }

    public void setUserType(int i2) {
        this.userType = i2;
        notifyPropertyChanged(172);
    }

    public void setVIP(boolean z) {
        this.isVIP = z;
        notifyPropertyChanged(173);
    }

    public void setVideoFavoritesNum(int i2) {
        this.videoFavoritesNum = i2;
    }

    public void setVipGoldVideoDis(double d2) {
        this.vipGoldVideoDis = d2;
    }

    public void setVipType(int i2) {
        this.vipType = i2;
        notifyPropertyChanged(182);
    }

    public void setWatched(int i2) {
        this.watched = i2;
        notifyPropertyChanged(183);
    }

    public void setWechat(String str) {
        this.wechat = str;
        notifyPropertyChanged(185);
    }

    public void setWorkNum(int i2) {
        this.workNum = i2;
        notifyPropertyChanged(187);
    }
}
