package com.androidx.lv.base.utils;

import com.androidx.lv.base.BaseApp;
import com.androidx.lv.base.bean.MangaHistory;
import com.androidx.lv.base.db.MangaHistoryDao;
import f.a.a;
import f.a.b;
import f.a.d;
import f.a.g;
import f.a.i;
import io.reactivex.BackpressureStrategy;
import io.reactivex.internal.operators.completable.CompletableCreate;
import io.reactivex.internal.operators.flowable.FlowableCreate;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;
import k.b.b.i.f;
import k.b.b.i.h;

public class MangaHistoryUtils {
    public static MangaHistoryUtils mangaHistoryUtils;

    public static MangaHistoryUtils getInstance() {
        if (mangaHistoryUtils == null) {
            mangaHistoryUtils = new MangaHistoryUtils();
        }
        return mangaHistoryUtils;
    }

    public a delete(final List<MangaHistory> list) {
        return new CompletableCreate(new d() {
            /* class com.androidx.lv.base.utils.MangaHistoryUtils.AnonymousClass2 */

            @Override // f.a.d
            public void subscribe(b bVar) {
                MangaHistoryUtils.this.getDao().g(list);
                bVar.onComplete();
            }
        });
    }

    public MangaHistoryDao getDao() {
        return BaseApp.f4097d.f7638i;
    }

    public a insert(final MangaHistory mangaHistory) {
        return new CompletableCreate(new d() {
            /* class com.androidx.lv.base.utils.MangaHistoryUtils.AnonymousClass1 */

            @Override // f.a.d
            public void subscribe(b bVar) {
                MangaHistoryDao dao = MangaHistoryUtils.this.getDao();
                Objects.requireNonNull(dao);
                f fVar = new f(dao);
                fVar.f13579a.a(MangaHistoryDao.Properties.MangaId.a(Integer.valueOf(mangaHistory.getMangaId())), new h[0]);
                MangaHistory mangaHistory = null;
                ArrayList arrayList = (ArrayList) fVar.a().a();
                if (arrayList.size() > 0) {
                    mangaHistory = (MangaHistory) arrayList.get(0);
                }
                if (mangaHistory != null) {
                    dao.d(mangaHistory);
                }
                dao.i(mangaHistory);
                bVar.onComplete();
            }
        });
    }

    public g<List<MangaHistory>> select(final int i2) {
        AnonymousClass4 r0 = new i<List<MangaHistory>>() {
            /* class com.androidx.lv.base.utils.MangaHistoryUtils.AnonymousClass4 */

            @Override // f.a.i
            public void subscribe(f.a.h<List<MangaHistory>> hVar) {
                MangaHistoryDao dao = MangaHistoryUtils.this.getDao();
                Objects.requireNonNull(dao);
                f fVar = new f(dao);
                fVar.d(MangaHistoryDao.Properties.Id);
                fVar.c(i2 * 30);
                fVar.b(30);
                hVar.onNext(fVar.a().a());
            }
        };
        BackpressureStrategy backpressureStrategy = BackpressureStrategy.ERROR;
        int i3 = g.f13146d;
        Objects.requireNonNull(backpressureStrategy, "mode is null");
        return new FlowableCreate(r0, backpressureStrategy);
    }

    public a delete(final MangaHistory mangaHistory) {
        return new CompletableCreate(new d() {
            /* class com.androidx.lv.base.utils.MangaHistoryUtils.AnonymousClass3 */

            @Override // f.a.d
            public void subscribe(b bVar) {
                MangaHistoryUtils.this.getDao().d(mangaHistory);
                bVar.onComplete();
            }
        });
    }
}
