package com.grass.mh.bean;

import androidx.databinding.BaseObservable;
import com.androidx.lv.base.bean.LocalVideoBean;
import com.androidx.lv.base.utils.TimeUtils;
import com.chad.library.adapter.base.entity.MultiItemEntity;
import com.lzy.okgo.cookie.SerializableCookie;
import com.shuyu.gsyvideoplayer.utils.NeuQuant;
import d.a.a.a.a;
import h.p.b.o;
import java.util.Iterator;
import java.util.List;
import okhttp3.internal.http2.Http2;

/* compiled from: EngagementBean.kt */
public final class EngagementBean extends BaseObservable implements MultiItemEntity {
    private String address;
    private final int age;
    private final List<LocalVideoBean> bgImgs;
    private int brokerId;
    private BrokerBean brokerUserDto;
    private int bu;
    private final String bust;
    private final LocalVideoBean certVideo;
    private String cityName;
    private String consumptionForm;
    private String contactDtl;
    private String createdAt;
    private final String domain;
    private final List<String> figure;
    private final int freeNum;
    private final String heightNum;
    private final String info;
    private boolean isAttention;
    private final boolean isBuyMeetCard;
    private boolean isFreeLock;
    private boolean isUnlock;
    private boolean isVip;
    private final int itemType;
    private int lockNum;
    private String logo;
    private final String mediaDomain;
    private final int meetType;
    private BrokerBean meetUser;
    private long meetUserId;
    private String nickName;
    private int nightPrice;
    private String positionName;
    private int price;
    private String priceDel;
    private final String provinceName;
    private int releaseNum;
    private final BrokerBean releaseUser;
    private List<String> serviceTags;
    private String serviceTime;
    private final int unlockGold;
    private String updatedAt;
    private final boolean videoCert;

    public EngagementBean(int i2, String str, long j2, String str2, String str3, int i3, int i4, String str4, int i5, int i6, String str5, int i7, String str6, BrokerBean brokerBean, BrokerBean brokerBean2, String str7, String str8, String str9, List<LocalVideoBean> list, List<String> list2, String str10, String str11, String str12, boolean z, String str13, int i8, boolean z2, boolean z3, BrokerBean brokerBean3, LocalVideoBean localVideoBean, List<String> list3, int i9, int i10, boolean z4, boolean z5, String str14, int i11, String str15, boolean z6, String str16, String str17, int i12) {
        o.e(str, "logo");
        o.e(str2, "nickName");
        o.e(str3, "cityName");
        o.e(str4, "address");
        o.e(str5, "bust");
        o.e(str6, "heightNum");
        o.e(str7, "priceDel");
        o.e(str8, "updatedAt");
        o.e(str9, "createdAt");
        o.e(list, "bgImgs");
        o.e(list2, "serviceTags");
        o.e(str10, "provinceName");
        o.e(str11, "contactDtl");
        o.e(str12, "serviceTime");
        o.e(str13, "info");
        o.e(brokerBean3, "releaseUser");
        o.e(list3, "figure");
        o.e(str14, "consumptionForm");
        o.e(str15, "positionName");
        o.e(str16, SerializableCookie.DOMAIN);
        o.e(str17, "mediaDomain");
        this.brokerId = i2;
        this.logo = str;
        this.meetUserId = j2;
        this.nickName = str2;
        this.cityName = str3;
        this.nightPrice = i3;
        this.price = i4;
        this.address = str4;
        this.releaseNum = i5;
        this.age = i6;
        this.bust = str5;
        this.meetType = i7;
        this.heightNum = str6;
        this.brokerUserDto = brokerBean;
        this.meetUser = brokerBean2;
        this.priceDel = str7;
        this.updatedAt = str8;
        this.createdAt = str9;
        this.bgImgs = list;
        this.serviceTags = list2;
        this.provinceName = str10;
        this.contactDtl = str11;
        this.serviceTime = str12;
        this.isUnlock = z;
        this.info = str13;
        this.unlockGold = i8;
        this.videoCert = z2;
        this.isAttention = z3;
        this.releaseUser = brokerBean3;
        this.certVideo = localVideoBean;
        this.figure = list3;
        this.bu = i9;
        this.freeNum = i10;
        this.isVip = z4;
        this.isFreeLock = z5;
        this.consumptionForm = str14;
        this.lockNum = i11;
        this.positionName = str15;
        this.isBuyMeetCard = z6;
        this.domain = str16;
        this.mediaDomain = str17;
        this.itemType = i12;
    }

    public static /* synthetic */ EngagementBean copy$default(EngagementBean engagementBean, int i2, String str, long j2, String str2, String str3, int i3, int i4, String str4, int i5, int i6, String str5, int i7, String str6, BrokerBean brokerBean, BrokerBean brokerBean2, String str7, String str8, String str9, List list, List list2, String str10, String str11, String str12, boolean z, String str13, int i8, boolean z2, boolean z3, BrokerBean brokerBean3, LocalVideoBean localVideoBean, List list3, int i9, int i10, boolean z4, boolean z5, String str14, int i11, String str15, boolean z6, String str16, String str17, int i12, int i13, int i14, Object obj) {
        return engagementBean.copy((i13 & 1) != 0 ? engagementBean.brokerId : i2, (i13 & 2) != 0 ? engagementBean.logo : str, (i13 & 4) != 0 ? engagementBean.meetUserId : j2, (i13 & 8) != 0 ? engagementBean.nickName : str2, (i13 & 16) != 0 ? engagementBean.cityName : str3, (i13 & 32) != 0 ? engagementBean.nightPrice : i3, (i13 & 64) != 0 ? engagementBean.price : i4, (i13 & 128) != 0 ? engagementBean.address : str4, (i13 & 256) != 0 ? engagementBean.releaseNum : i5, (i13 & 512) != 0 ? engagementBean.age : i6, (i13 & 1024) != 0 ? engagementBean.bust : str5, (i13 & 2048) != 0 ? engagementBean.meetType : i7, (i13 & 4096) != 0 ? engagementBean.heightNum : str6, (i13 & 8192) != 0 ? engagementBean.brokerUserDto : brokerBean, (i13 & Http2.INITIAL_MAX_FRAME_SIZE) != 0 ? engagementBean.meetUser : brokerBean2, (i13 & 32768) != 0 ? engagementBean.priceDel : str7, (i13 & 65536) != 0 ? engagementBean.updatedAt : str8, (i13 & 131072) != 0 ? engagementBean.createdAt : str9, (i13 & NeuQuant.alpharadbias) != 0 ? engagementBean.bgImgs : list, (i13 & 524288) != 0 ? engagementBean.serviceTags : list2, (i13 & 1048576) != 0 ? engagementBean.provinceName : str10, (i13 & 2097152) != 0 ? engagementBean.contactDtl : str11, (i13 & 4194304) != 0 ? engagementBean.serviceTime : str12, (i13 & 8388608) != 0 ? engagementBean.isUnlock : z, (i13 & 16777216) != 0 ? engagementBean.info : str13, (i13 & 33554432) != 0 ? engagementBean.unlockGold : i8, (i13 & 67108864) != 0 ? engagementBean.videoCert : z2, (i13 & 134217728) != 0 ? engagementBean.isAttention : z3, (i13 & 268435456) != 0 ? engagementBean.releaseUser : brokerBean3, (i13 & 536870912) != 0 ? engagementBean.certVideo : localVideoBean, (i13 & 1073741824) != 0 ? engagementBean.figure : list3, (i13 & Integer.MIN_VALUE) != 0 ? engagementBean.bu : i9, (i14 & 1) != 0 ? engagementBean.freeNum : i10, (i14 & 2) != 0 ? engagementBean.isVip : z4, (i14 & 4) != 0 ? engagementBean.isFreeLock : z5, (i14 & 8) != 0 ? engagementBean.consumptionForm : str14, (i14 & 16) != 0 ? engagementBean.lockNum : i11, (i14 & 32) != 0 ? engagementBean.positionName : str15, (i14 & 64) != 0 ? engagementBean.isBuyMeetCard : z6, (i14 & 128) != 0 ? engagementBean.domain : str16, (i14 & 256) != 0 ? engagementBean.mediaDomain : str17, (i14 & 512) != 0 ? engagementBean.getItemType() : i12);
    }

    public final int component1() {
        return this.brokerId;
    }

    public final int component10() {
        return this.age;
    }

    public final String component11() {
        return this.bust;
    }

    public final int component12() {
        return this.meetType;
    }

    public final String component13() {
        return this.heightNum;
    }

    public final BrokerBean component14() {
        return this.brokerUserDto;
    }

    public final BrokerBean component15() {
        return this.meetUser;
    }

    public final String component16() {
        return this.priceDel;
    }

    public final String component17() {
        return this.updatedAt;
    }

    public final String component18() {
        return this.createdAt;
    }

    public final List<LocalVideoBean> component19() {
        return this.bgImgs;
    }

    public final String component2() {
        return this.logo;
    }

    public final List<String> component20() {
        return this.serviceTags;
    }

    public final String component21() {
        return this.provinceName;
    }

    public final String component22() {
        return this.contactDtl;
    }

    public final String component23() {
        return this.serviceTime;
    }

    public final boolean component24() {
        return this.isUnlock;
    }

    public final String component25() {
        return this.info;
    }

    public final int component26() {
        return this.unlockGold;
    }

    public final boolean component27() {
        return this.videoCert;
    }

    public final boolean component28() {
        return this.isAttention;
    }

    public final BrokerBean component29() {
        return this.releaseUser;
    }

    public final long component3() {
        return this.meetUserId;
    }

    public final LocalVideoBean component30() {
        return this.certVideo;
    }

    public final List<String> component31() {
        return this.figure;
    }

    public final int component32() {
        return this.bu;
    }

    public final int component33() {
        return this.freeNum;
    }

    public final boolean component34() {
        return this.isVip;
    }

    public final boolean component35() {
        return this.isFreeLock;
    }

    public final String component36() {
        return this.consumptionForm;
    }

    public final int component37() {
        return this.lockNum;
    }

    public final String component38() {
        return this.positionName;
    }

    public final boolean component39() {
        return this.isBuyMeetCard;
    }

    public final String component4() {
        return this.nickName;
    }

    public final String component40() {
        return this.domain;
    }

    public final String component41() {
        return this.mediaDomain;
    }

    public final int component42() {
        return getItemType();
    }

    public final String component5() {
        return this.cityName;
    }

    public final int component6() {
        return this.nightPrice;
    }

    public final int component7() {
        return this.price;
    }

    public final String component8() {
        return this.address;
    }

    public final int component9() {
        return this.releaseNum;
    }

    public final EngagementBean copy(int i2, String str, long j2, String str2, String str3, int i3, int i4, String str4, int i5, int i6, String str5, int i7, String str6, BrokerBean brokerBean, BrokerBean brokerBean2, String str7, String str8, String str9, List<LocalVideoBean> list, List<String> list2, String str10, String str11, String str12, boolean z, String str13, int i8, boolean z2, boolean z3, BrokerBean brokerBean3, LocalVideoBean localVideoBean, List<String> list3, int i9, int i10, boolean z4, boolean z5, String str14, int i11, String str15, boolean z6, String str16, String str17, int i12) {
        o.e(str, "logo");
        o.e(str2, "nickName");
        o.e(str3, "cityName");
        o.e(str4, "address");
        o.e(str5, "bust");
        o.e(str6, "heightNum");
        o.e(str7, "priceDel");
        o.e(str8, "updatedAt");
        o.e(str9, "createdAt");
        o.e(list, "bgImgs");
        o.e(list2, "serviceTags");
        o.e(str10, "provinceName");
        o.e(str11, "contactDtl");
        o.e(str12, "serviceTime");
        o.e(str13, "info");
        o.e(brokerBean3, "releaseUser");
        o.e(list3, "figure");
        o.e(str14, "consumptionForm");
        o.e(str15, "positionName");
        o.e(str16, SerializableCookie.DOMAIN);
        o.e(str17, "mediaDomain");
        return new EngagementBean(i2, str, j2, str2, str3, i3, i4, str4, i5, i6, str5, i7, str6, brokerBean, brokerBean2, str7, str8, str9, list, list2, str10, str11, str12, z, str13, i8, z2, z3, brokerBean3, localVideoBean, list3, i9, i10, z4, z5, str14, i11, str15, z6, str16, str17, i12);
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof EngagementBean)) {
            return false;
        }
        EngagementBean engagementBean = (EngagementBean) obj;
        return this.brokerId == engagementBean.brokerId && o.a(this.logo, engagementBean.logo) && this.meetUserId == engagementBean.meetUserId && o.a(this.nickName, engagementBean.nickName) && o.a(this.cityName, engagementBean.cityName) && this.nightPrice == engagementBean.nightPrice && this.price == engagementBean.price && o.a(this.address, engagementBean.address) && this.releaseNum == engagementBean.releaseNum && this.age == engagementBean.age && o.a(this.bust, engagementBean.bust) && this.meetType == engagementBean.meetType && o.a(this.heightNum, engagementBean.heightNum) && o.a(this.brokerUserDto, engagementBean.brokerUserDto) && o.a(this.meetUser, engagementBean.meetUser) && o.a(this.priceDel, engagementBean.priceDel) && o.a(this.updatedAt, engagementBean.updatedAt) && o.a(this.createdAt, engagementBean.createdAt) && o.a(this.bgImgs, engagementBean.bgImgs) && o.a(this.serviceTags, engagementBean.serviceTags) && o.a(this.provinceName, engagementBean.provinceName) && o.a(this.contactDtl, engagementBean.contactDtl) && o.a(this.serviceTime, engagementBean.serviceTime) && this.isUnlock == engagementBean.isUnlock && o.a(this.info, engagementBean.info) && this.unlockGold == engagementBean.unlockGold && this.videoCert == engagementBean.videoCert && this.isAttention == engagementBean.isAttention && o.a(this.releaseUser, engagementBean.releaseUser) && o.a(this.certVideo, engagementBean.certVideo) && o.a(this.figure, engagementBean.figure) && this.bu == engagementBean.bu && this.freeNum == engagementBean.freeNum && this.isVip == engagementBean.isVip && this.isFreeLock == engagementBean.isFreeLock && o.a(this.consumptionForm, engagementBean.consumptionForm) && this.lockNum == engagementBean.lockNum && o.a(this.positionName, engagementBean.positionName) && this.isBuyMeetCard == engagementBean.isBuyMeetCard && o.a(this.domain, engagementBean.domain) && o.a(this.mediaDomain, engagementBean.mediaDomain) && getItemType() == engagementBean.getItemType();
    }

    public final String getAddress() {
        return this.address;
    }

    public final int getAge() {
        return this.age;
    }

    public final List<LocalVideoBean> getBgImgs() {
        return this.bgImgs;
    }

    public final int getBrokerId() {
        return this.brokerId;
    }

    public final BrokerBean getBrokerUserDto() {
        return this.brokerUserDto;
    }

    public final int getBu() {
        return this.bu;
    }

    public final String getBust() {
        return this.bust;
    }

    public final LocalVideoBean getCertVideo() {
        return this.certVideo;
    }

    public final String getCityName() {
        return this.cityName;
    }

    public final String getConsumptionForm() {
        return this.consumptionForm;
    }

    public final String getContactDtl() {
        return this.contactDtl;
    }

    public final String getCreatedAt() {
        return this.createdAt;
    }

    public final String getDomain() {
        return this.domain;
    }

    public final List<String> getFigure() {
        return this.figure;
    }

    public final int getFreeNum() {
        return this.freeNum;
    }

    public final String getHeightNum() {
        return this.heightNum;
    }

    public final String getInfo() {
        return this.info;
    }

    @Override // com.chad.library.adapter.base.entity.MultiItemEntity
    public int getItemType() {
        return this.itemType;
    }

    public final int getLockNum() {
        return this.lockNum;
    }

    public final String getLogo() {
        return this.logo;
    }

    public final String getMediaDomain() {
        return this.mediaDomain;
    }

    public final int getMeetType() {
        return this.meetType;
    }

    public final BrokerBean getMeetUser() {
        return this.meetUser;
    }

    public final long getMeetUserId() {
        return this.meetUserId;
    }

    public final String getNickName() {
        return this.nickName;
    }

    public final int getNightPrice() {
        return this.nightPrice;
    }

    public final String getPositionName() {
        return this.positionName;
    }

    public final int getPrice() {
        return this.price;
    }

    public final String getPriceDel() {
        return this.priceDel;
    }

    public final String getPriceDetails() {
        if (this.meetType >= 3) {
            return a.v(new StringBuilder(), this.price, "/次");
        }
        StringBuilder sb = new StringBuilder();
        sb.append(this.price);
        sb.append("/P  ");
        return a.v(sb, this.nightPrice, "/包夜");
    }

    public final String getProvinceName() {
        return this.provinceName;
    }

    public final int getReleaseNum() {
        return this.releaseNum;
    }

    public final BrokerBean getReleaseUser() {
        return this.releaseUser;
    }

    public final List<String> getServiceTags() {
        return this.serviceTags;
    }

    public final String getServiceTime() {
        return this.serviceTime;
    }

    public final String getTags() {
        StringBuilder sb = new StringBuilder();
        List<String> list = this.serviceTags;
        boolean z = false;
        if (!(list == null || list.isEmpty())) {
            Iterator<T> it = this.serviceTags.iterator();
            while (it.hasNext()) {
                sb.append((String) it.next());
                sb.append(',');
            }
        }
        if (sb.length() > 0) {
            z = true;
        }
        if (!z) {
            return "";
        }
        StringBuilder deleteCharAt = sb.deleteCharAt(sb.length() - 1);
        o.d(deleteCharAt, "this.deleteCharAt(index)");
        String sb2 = deleteCharAt.toString();
        o.d(sb2, "{\n            sb.deleteA…- 1).toString()\n        }");
        return sb2;
    }

    public final int getUnlockGold() {
        return this.unlockGold;
    }

    public final String getUpdateTime() {
        String utc2Common = TimeUtils.utc2Common(this.createdAt);
        o.d(utc2Common, "utc2Common(createdAt)");
        return utc2Common;
    }

    public final String getUpdatedAt() {
        return this.updatedAt;
    }

    public final boolean getVideoCert() {
        return this.videoCert;
    }

    public int hashCode() {
        int a0 = a.a0(this.nickName, (d.i.a.e.a.a(this.meetUserId) + a.a0(this.logo, this.brokerId * 31, 31)) * 31, 31);
        int a02 = a.a0(this.heightNum, (a.a0(this.bust, (((a.a0(this.address, (((a.a0(this.cityName, a0, 31) + this.nightPrice) * 31) + this.price) * 31, 31) + this.releaseNum) * 31) + this.age) * 31, 31) + this.meetType) * 31, 31);
        BrokerBean brokerBean = this.brokerUserDto;
        int i2 = 0;
        int hashCode = (a02 + (brokerBean == null ? 0 : brokerBean.hashCode())) * 31;
        BrokerBean brokerBean2 = this.meetUser;
        int a03 = a.a0(this.serviceTime, a.a0(this.contactDtl, a.a0(this.provinceName, (this.serviceTags.hashCode() + ((this.bgImgs.hashCode() + a.a0(this.createdAt, a.a0(this.updatedAt, a.a0(this.priceDel, (hashCode + (brokerBean2 == null ? 0 : brokerBean2.hashCode())) * 31, 31), 31), 31)) * 31)) * 31, 31), 31), 31);
        boolean z = this.isUnlock;
        int i3 = 1;
        if (z) {
            z = true;
        }
        int i4 = z ? 1 : 0;
        int i5 = z ? 1 : 0;
        int i6 = z ? 1 : 0;
        int a04 = (a.a0(this.info, (a03 + i4) * 31, 31) + this.unlockGold) * 31;
        boolean z2 = this.videoCert;
        if (z2) {
            z2 = true;
        }
        int i7 = z2 ? 1 : 0;
        int i8 = z2 ? 1 : 0;
        int i9 = z2 ? 1 : 0;
        int i10 = (a04 + i7) * 31;
        boolean z3 = this.isAttention;
        if (z3) {
            z3 = true;
        }
        int i11 = z3 ? 1 : 0;
        int i12 = z3 ? 1 : 0;
        int i13 = z3 ? 1 : 0;
        int hashCode2 = (this.releaseUser.hashCode() + ((i10 + i11) * 31)) * 31;
        LocalVideoBean localVideoBean = this.certVideo;
        if (localVideoBean != null) {
            i2 = localVideoBean.hashCode();
        }
        int hashCode3 = (((((this.figure.hashCode() + ((hashCode2 + i2) * 31)) * 31) + this.bu) * 31) + this.freeNum) * 31;
        boolean z4 = this.isVip;
        if (z4) {
            z4 = true;
        }
        int i14 = z4 ? 1 : 0;
        int i15 = z4 ? 1 : 0;
        int i16 = z4 ? 1 : 0;
        int i17 = (hashCode3 + i14) * 31;
        boolean z5 = this.isFreeLock;
        if (z5) {
            z5 = true;
        }
        int i18 = z5 ? 1 : 0;
        int i19 = z5 ? 1 : 0;
        int i20 = z5 ? 1 : 0;
        int a05 = a.a0(this.positionName, (a.a0(this.consumptionForm, (i17 + i18) * 31, 31) + this.lockNum) * 31, 31);
        boolean z6 = this.isBuyMeetCard;
        if (!z6) {
            i3 = z6 ? 1 : 0;
        }
        return getItemType() + a.a0(this.mediaDomain, a.a0(this.domain, (a05 + i3) * 31, 31), 31);
    }

    public final boolean isAttention() {
        return this.isAttention;
    }

    public final boolean isBuyMeetCard() {
        return this.isBuyMeetCard;
    }

    public final boolean isFreeLock() {
        return this.isFreeLock;
    }

    public final boolean isUnlock() {
        return this.isUnlock;
    }

    public final boolean isVip() {
        return this.isVip;
    }

    public final void setAddress(String str) {
        o.e(str, "<set-?>");
        this.address = str;
    }

    public final void setAttention(boolean z) {
        this.isAttention = z;
    }

    public final void setBrokerId(int i2) {
        this.brokerId = i2;
    }

    public final void setBrokerUserDto(BrokerBean brokerBean) {
        this.brokerUserDto = brokerBean;
    }

    public final void setBu(int i2) {
        this.bu = i2;
    }

    public final void setCityName(String str) {
        o.e(str, "<set-?>");
        this.cityName = str;
    }

    public final void setConsumptionForm(String str) {
        o.e(str, "<set-?>");
        this.consumptionForm = str;
    }

    public final void setContactDtl(String str) {
        o.e(str, "<set-?>");
        this.contactDtl = str;
    }

    public final void setCreatedAt(String str) {
        o.e(str, "<set-?>");
        this.createdAt = str;
    }

    public final void setFreeLock(boolean z) {
        this.isFreeLock = z;
    }

    public final void setLockNum(int i2) {
        this.lockNum = i2;
    }

    public final void setLogo(String str) {
        o.e(str, "<set-?>");
        this.logo = str;
    }

    public final void setMeetUser(BrokerBean brokerBean) {
        this.meetUser = brokerBean;
    }

    public final void setMeetUserId(long j2) {
        this.meetUserId = j2;
    }

    public final void setNickName(String str) {
        o.e(str, "<set-?>");
        this.nickName = str;
    }

    public final void setNightPrice(int i2) {
        this.nightPrice = i2;
    }

    public final void setPositionName(String str) {
        o.e(str, "<set-?>");
        this.positionName = str;
    }

    public final void setPrice(int i2) {
        this.price = i2;
    }

    public final void setPriceDel(String str) {
        o.e(str, "<set-?>");
        this.priceDel = str;
    }

    public final void setReleaseNum(int i2) {
        this.releaseNum = i2;
    }

    public final void setServiceTags(List<String> list) {
        o.e(list, "<set-?>");
        this.serviceTags = list;
    }

    public final void setServiceTime(String str) {
        o.e(str, "<set-?>");
        this.serviceTime = str;
    }

    public final void setUnlock(boolean z) {
        this.isUnlock = z;
    }

    public final void setUpdatedAt(String str) {
        o.e(str, "<set-?>");
        this.updatedAt = str;
    }

    public final void setVip(boolean z) {
        this.isVip = z;
    }

    public String toString() {
        StringBuilder B = a.B("EngagementBean(brokerId=");
        B.append(this.brokerId);
        B.append(", logo=");
        B.append(this.logo);
        B.append(", meetUserId=");
        B.append(this.meetUserId);
        B.append(", nickName=");
        B.append(this.nickName);
        B.append(", cityName=");
        B.append(this.cityName);
        B.append(", nightPrice=");
        B.append(this.nightPrice);
        B.append(", price=");
        B.append(this.price);
        B.append(", address=");
        B.append(this.address);
        B.append(", releaseNum=");
        B.append(this.releaseNum);
        B.append(", age=");
        B.append(this.age);
        B.append(", bust=");
        B.append(this.bust);
        B.append(", meetType=");
        B.append(this.meetType);
        B.append(", heightNum=");
        B.append(this.heightNum);
        B.append(", brokerUserDto=");
        B.append(this.brokerUserDto);
        B.append(", meetUser=");
        B.append(this.meetUser);
        B.append(", priceDel=");
        B.append(this.priceDel);
        B.append(", updatedAt=");
        B.append(this.updatedAt);
        B.append(", createdAt=");
        B.append(this.createdAt);
        B.append(", bgImgs=");
        B.append(this.bgImgs);
        B.append(", serviceTags=");
        B.append(this.serviceTags);
        B.append(", provinceName=");
        B.append(this.provinceName);
        B.append(", contactDtl=");
        B.append(this.contactDtl);
        B.append(", serviceTime=");
        B.append(this.serviceTime);
        B.append(", isUnlock=");
        B.append(this.isUnlock);
        B.append(", info=");
        B.append(this.info);
        B.append(", unlockGold=");
        B.append(this.unlockGold);
        B.append(", videoCert=");
        B.append(this.videoCert);
        B.append(", isAttention=");
        B.append(this.isAttention);
        B.append(", releaseUser=");
        B.append(this.releaseUser);
        B.append(", certVideo=");
        B.append(this.certVideo);
        B.append(", figure=");
        B.append(this.figure);
        B.append(", bu=");
        B.append(this.bu);
        B.append(", freeNum=");
        B.append(this.freeNum);
        B.append(", isVip=");
        B.append(this.isVip);
        B.append(", isFreeLock=");
        B.append(this.isFreeLock);
        B.append(", consumptionForm=");
        B.append(this.consumptionForm);
        B.append(", lockNum=");
        B.append(this.lockNum);
        B.append(", positionName=");
        B.append(this.positionName);
        B.append(", isBuyMeetCard=");
        B.append(this.isBuyMeetCard);
        B.append(", domain=");
        B.append(this.domain);
        B.append(", mediaDomain=");
        B.append(this.mediaDomain);
        B.append(", itemType=");
        B.append(getItemType());
        B.append(')');
        return B.toString();
    }
}
