package com.grass.mh.dialog;

import android.app.Dialog;
import android.content.Context;
import android.content.Intent;
import android.view.View;
import android.view.Window;
import android.view.WindowManager;
import android.widget.TextView;
import com.androidjks.acfan.d1682156448763174048.R;
import com.grass.mh.ui.mine.activity.VipMemberActivity;

public class BuyGoldDialog extends Dialog {
    private boolean clickLimit = true;
    private long lastClickTime;

    public BuyGoldDialog(Context context) {
        super(context, R.style.ForceUpdateAppDialog);
        setContentView(R.layout.dialog_gold_not_enough);
        Window window = getWindow();
        WindowManager.LayoutParams attributes = window.getAttributes();
        attributes.gravity = 17;
        window.setAttributes(attributes);
        setCancelable(true);
        setCanceledOnTouchOutside(true);
        ((TextView) findViewById(R.id.tv_cancel)).setOnClickListener(new View.OnClickListener() {
            /* class com.grass.mh.dialog.BuyGoldDialog.AnonymousClass1 */

            public void onClick(View view) {
                BuyGoldDialog.this.dismiss();
            }
        });
        ((TextView) findViewById(R.id.tv_submit)).setOnClickListener(new View.OnClickListener() {
            /* class com.grass.mh.dialog.BuyGoldDialog.AnonymousClass2 */

            public void onClick(View view) {
                if (!BuyGoldDialog.this.isOnClick()) {
                    Intent intent = new Intent(view.getContext(), VipMemberActivity.class);
                    intent.putExtra("num", 1);
                    view.getContext().startActivity(intent);
                    BuyGoldDialog.this.dismiss();
                }
            }
        });
    }

    public boolean isOnClick() {
        long currentTimeMillis = System.currentTimeMillis();
        long j2 = currentTimeMillis - this.lastClickTime;
        int i2 = (j2 > 1000 ? 1 : (j2 == 1000 ? 0 : -1));
        if (i2 > 0) {
            this.lastClickTime = currentTimeMillis;
        }
        return !this.clickLimit ? j2 < 0 : i2 <= 0;
    }
}
