package com.grass.mh.ui.community.fragment;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.LinearLayout;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.androidjks.acfan.d1682156448763174048.R;
import com.androidx.lv.base.bean.InventionBean;
import com.androidx.lv.base.bean.InventionListBean;
import com.androidx.lv.base.http.BaseRes;
import com.androidx.lv.base.ui.LazyFragment;
import com.androidx.lv.base.utils.AdUtils;
import com.androidx.lv.base.utils.LogUtils;
import com.androidx.lv.base.utils.NetUtil;
import com.androidx.lv.base.utils.ToastUtils;
import com.grass.mh.App;
import com.grass.mh.databinding.FragmentFindChannelBinding;
import com.grass.mh.ui.community.adapter.FindBloggerAdapter;
import com.grass.mh.ui.home.adapter.invention.AdapterInventionType;
import com.grass.mh.utils.SetBannerUtils;
import com.lzy.okgo.cache.CacheMode;
import com.lzy.okgo.request.GetRequest;
import com.youth.banner.Banner;
import d.c.a.a.d.c;
import d.i.a.k.t.p2.c0;
import d.i.a.k.v.j2.g0.g;
import d.o.a.b.b.i;
import d.o.a.b.f.b;
import d.o.a.b.f.c;
import java.util.ArrayList;
import java.util.List;

public class FindChannelFragment extends LazyFragment<FragmentFindChannelBinding> implements b, c, g {
    public int n = 1;
    public AdapterInventionType o;
    public FindBloggerAdapter p;
    public LinearLayout q;

    public class a extends d.c.a.a.d.d.a<BaseRes<InventionListBean>> {
        public a(String str) {
            super(str);
        }

        @Override // d.c.a.a.d.d.b
        public void onLvSuccess(Object obj) {
            BaseRes baseRes = (BaseRes) obj;
            T t = FindChannelFragment.this.f4157k;
            if (t != null) {
                ((FragmentFindChannelBinding) t).f5820j.hideLoading();
                ((FragmentFindChannelBinding) FindChannelFragment.this.f4157k).f5819h.k();
                ((FragmentFindChannelBinding) FindChannelFragment.this.f4157k).f5819h.h();
                if (baseRes.getCode() != 200) {
                    FindChannelFragment findChannelFragment = FindChannelFragment.this;
                    if (findChannelFragment.n == 1) {
                        ((FragmentFindChannelBinding) findChannelFragment.f4157k).f5820j.showError();
                    } else {
                        ToastUtils.getInstance().showWeak(baseRes.getMsg());
                    }
                } else if (baseRes.getData() == null || ((InventionListBean) baseRes.getData()).getList() == null || ((InventionListBean) baseRes.getData()).getList().size() <= 0) {
                    FindChannelFragment findChannelFragment2 = FindChannelFragment.this;
                    if (findChannelFragment2.n == 1) {
                        ((FragmentFindChannelBinding) findChannelFragment2.f4157k).f5820j.showEmpty();
                    } else {
                        ((FragmentFindChannelBinding) findChannelFragment2.f4157k).f5819h.j();
                    }
                } else {
                    ArrayList arrayList = new ArrayList(((InventionListBean) baseRes.getData()).getList());
                    LogUtils.e("getStation===2", App.m.f(arrayList));
                    FindChannelFragment findChannelFragment3 = FindChannelFragment.this;
                    if (findChannelFragment3.n == 1) {
                        findChannelFragment3.o.d(arrayList);
                        ((FragmentFindChannelBinding) FindChannelFragment.this.f4157k).f5819h.u(false);
                        return;
                    }
                    findChannelFragment3.o.f(arrayList);
                }
            }
        }
    }

    @Override // d.i.a.k.v.j2.g0.g
    public void h(InventionBean inventionBean, int i2, int i3) {
    }

    @Override // com.androidx.lv.base.ui.LazyFragment
    public void l() {
        ((FragmentFindChannelBinding) this.f4157k).f5819h.v(this);
        T t = this.f4157k;
        ((FragmentFindChannelBinding) t).f5819h.L = false;
        ((FragmentFindChannelBinding) t).f5819h.l0 = this;
        ((FragmentFindChannelBinding) t).f5818d.setLayoutManager(new LinearLayoutManager(getContext()));
        View inflate = LayoutInflater.from(getContext()).inflate(R.layout.header_find_recommend, (ViewGroup) ((FragmentFindChannelBinding) this.f4157k).f5818d, false);
        SetBannerUtils.setBanner(getActivity(), AdUtils.getInstance().getAdSort("INDEXBANNER"), (Banner) inflate.findViewById(R.id.bannerView), 0);
        this.q = (LinearLayout) inflate.findViewById(R.id.bloggerView);
        RecyclerView recyclerView = (RecyclerView) inflate.findViewById(R.id.recyclerView);
        recyclerView.setLayoutManager(new LinearLayoutManager(getContext(), 0, false));
        FindBloggerAdapter findBloggerAdapter = new FindBloggerAdapter();
        this.p = findBloggerAdapter;
        recyclerView.setAdapter(findBloggerAdapter);
        AdapterInventionType adapterInventionType = new AdapterInventionType(getActivity(), null, this, false);
        this.o = adapterInventionType;
        ((FragmentFindChannelBinding) this.f4157k).f5818d.setAdapter(adapterInventionType);
        ((FragmentFindChannelBinding) this.f4157k).f5818d.addHeaderView(inflate);
        ((FragmentFindChannelBinding) this.f4157k).f5820j.setOnRetryListener(new d.i.a.k.t.p2.g(this));
        String j2 = d.a.a.a.a.j(c.b.f7655a, new StringBuilder(), "/api/user/getPushVideoUser?pageSize=100&page=", 1);
        c0 c0Var = new c0(this, "getPushVideoUser");
        ((GetRequest) ((GetRequest) ((GetRequest) new GetRequest(j2).tag(c0Var.getTag())).cacheKey(j2)).cacheMode(CacheMode.NO_CACHE)).execute(c0Var);
        n();
    }

    @Override // com.androidx.lv.base.ui.LazyFragment
    public int m() {
        return R.layout.fragment_find_channel;
    }

    public final void n() {
        List<D> list;
        if (this.n == 1) {
            AdapterInventionType adapterInventionType = this.o;
            if (!(adapterInventionType == null || (list = adapterInventionType.f4119a) == null || list.size() <= 0)) {
                this.o.clear();
            }
            if (!NetUtil.isNetworkAvailable()) {
                ((FragmentFindChannelBinding) this.f4157k).f5820j.showNoNet();
                return;
            }
            ((FragmentFindChannelBinding) this.f4157k).f5820j.showLoading();
        }
        String j2 = d.a.a.a.a.j(c.b.f7655a, new StringBuilder(), "/api/station/stations?pageSize=30&position=2&page=", this.n);
        a aVar = new a("getStation");
        ((GetRequest) ((GetRequest) ((GetRequest) new GetRequest(j2).tag(aVar.getTag())).cacheKey(j2)).cacheMode(CacheMode.NO_CACHE)).execute(aVar);
    }

    @Override // d.o.a.b.f.b
    public void onLoadMore(i iVar) {
        this.n++;
        n();
    }

    @Override // d.o.a.b.f.c
    public void onRefresh(i iVar) {
        this.n = 1;
        n();
    }
}
