package com.grass.mh.ui.community.fragment;

import android.os.Bundle;
import androidx.recyclerview.widget.DefaultItemAnimator;
import androidx.recyclerview.widget.RecyclerView;
import androidx.recyclerview.widget.StaggeredGridLayoutManager;
import com.androidjks.acfan.d1682156448763174048.R;
import com.androidx.lv.base.bean.GirlListBean;
import com.androidx.lv.base.dialog.CancelableDialogLoading;
import com.androidx.lv.base.http.BaseRes;
import com.androidx.lv.base.ui.LazyFragment;
import com.androidx.lv.base.utils.NetUtil;
import com.androidx.lv.base.utils.ToastUtils;
import com.grass.mh.databinding.FragmentGayStaggereGridBinding;
import com.grass.mh.ui.community.adapter.GayImageAdapter;
import com.grass.mh.utils.StaggeredDecoration;
import com.lzy.okgo.cache.CacheMode;
import com.lzy.okgo.request.GetRequest;
import d.c.a.a.d.c;
import d.i.a.k.t.p2.l;
import d.i.a.k.t.p2.m;
import d.o.a.b.b.i;
import d.o.a.b.f.b;
import d.o.a.b.f.c;
import java.util.List;

public class GayStaggeredGridFragment extends LazyFragment<FragmentGayStaggereGridBinding> implements c, b {
    public int n = 0;
    public int o = 1;
    public CancelableDialogLoading p;
    public GayImageAdapter q;

    public class a extends d.c.a.a.d.d.a<BaseRes<GirlListBean>> {
        public a(String str) {
            super(str);
        }

        @Override // d.c.a.a.d.d.b
        public void onLvSuccess(Object obj) {
            BaseRes baseRes = (BaseRes) obj;
            T t = GayStaggeredGridFragment.this.f4157k;
            if (t != null) {
                ((FragmentGayStaggereGridBinding) t).f5835j.hideLoading();
                ((FragmentGayStaggereGridBinding) GayStaggeredGridFragment.this.f4157k).f5834h.k();
                ((FragmentGayStaggereGridBinding) GayStaggeredGridFragment.this.f4157k).f5834h.h();
                if (baseRes.getCode() != 200) {
                    GayStaggeredGridFragment gayStaggeredGridFragment = GayStaggeredGridFragment.this;
                    if (gayStaggeredGridFragment.o == 1) {
                        ((FragmentGayStaggereGridBinding) gayStaggeredGridFragment.f4157k).f5835j.showError();
                    } else {
                        ToastUtils.getInstance().showWeak(baseRes.getMsg());
                    }
                } else if (baseRes.getData() == null || ((GirlListBean) baseRes.getData()).getData() == null || ((GirlListBean) baseRes.getData()).getData().size() <= 0) {
                    GayStaggeredGridFragment gayStaggeredGridFragment2 = GayStaggeredGridFragment.this;
                    if (gayStaggeredGridFragment2.o == 1) {
                        ((FragmentGayStaggereGridBinding) gayStaggeredGridFragment2.f4157k).f5835j.showEmpty();
                    } else {
                        ((FragmentGayStaggereGridBinding) gayStaggeredGridFragment2.f4157k).f5834h.j();
                    }
                } else {
                    List<GirlListBean.GirlListData> data = ((GirlListBean) baseRes.getData()).getData();
                    GayStaggeredGridFragment gayStaggeredGridFragment3 = GayStaggeredGridFragment.this;
                    if (gayStaggeredGridFragment3.o == 1) {
                        data.get(0).setLong(true);
                        GayStaggeredGridFragment.this.q.d(data);
                        ((FragmentGayStaggereGridBinding) GayStaggeredGridFragment.this.f4157k).f5834h.u(false);
                        return;
                    }
                    gayStaggeredGridFragment3.q.f(data);
                }
            }
        }
    }

    public static GayStaggeredGridFragment o(int i2) {
        Bundle bundle = new Bundle();
        bundle.putInt("id", i2);
        GayStaggeredGridFragment gayStaggeredGridFragment = new GayStaggeredGridFragment();
        super.setArguments(bundle);
        gayStaggeredGridFragment.n = bundle.getInt("id");
        return gayStaggeredGridFragment;
    }

    @Override // com.androidx.lv.base.ui.LazyFragment
    public void l() {
        CancelableDialogLoading cancelableDialogLoading = new CancelableDialogLoading(getActivity());
        this.p = cancelableDialogLoading;
        cancelableDialogLoading.setTvHint("拼命载入中...");
        ((FragmentGayStaggereGridBinding) this.f4157k).f5834h.v(this);
        T t = this.f4157k;
        ((FragmentGayStaggereGridBinding) t).f5834h.L = true;
        ((FragmentGayStaggereGridBinding) t).f5834h.l0 = this;
        RecyclerView recyclerView = ((FragmentGayStaggereGridBinding) t).f5833d;
        recyclerView.setHasFixedSize(true);
        recyclerView.setLayoutManager(new StaggeredGridLayoutManager(2, 1));
        if (recyclerView.getItemDecorationCount() == 0) {
            recyclerView.addItemDecoration(new StaggeredDecoration(getContext()));
        }
        recyclerView.setItemAnimator(new DefaultItemAnimator());
        GayImageAdapter gayImageAdapter = new GayImageAdapter();
        this.q = gayImageAdapter;
        ((FragmentGayStaggereGridBinding) this.f4157k).f5833d.setAdapter(gayImageAdapter);
        this.q.f4120b = new l(this);
        ((FragmentGayStaggereGridBinding) this.f4157k).f5835j.setOnRetryListener(new m(this));
        n();
    }

    @Override // com.androidx.lv.base.ui.LazyFragment
    public int m() {
        return R.layout.fragment_gay_staggere_grid;
    }

    public final void n() {
        List<D> list;
        if (this.o == 1) {
            GayImageAdapter gayImageAdapter = this.q;
            if (!(gayImageAdapter == null || (list = gayImageAdapter.f4119a) == null || list.size() <= 0)) {
                this.q.clear();
            }
            if (!NetUtil.isNetworkAvailable()) {
                ((FragmentGayStaggereGridBinding) this.f4157k).f5835j.showNoNet();
                return;
            }
            ((FragmentGayStaggereGridBinding) this.f4157k).f5835j.showLoading();
        }
        d.c.a.a.d.c cVar = c.b.f7655a;
        int i2 = this.o;
        int i3 = this.n;
        StringBuilder sb = new StringBuilder();
        d.a.a.a.a.P(cVar, sb, "/api/portray/getPictureListByClass?pageSize=30&page=", i2, "&classId=");
        sb.append(i3);
        String sb2 = sb.toString();
        a aVar = new a("getPictureListByClass");
        ((GetRequest) ((GetRequest) ((GetRequest) new GetRequest(sb2).tag(aVar.getTag())).cacheKey(sb2)).cacheMode(CacheMode.NO_CACHE)).execute(aVar);
    }

    @Override // d.o.a.b.f.b
    public void onLoadMore(i iVar) {
        this.o++;
        n();
    }

    @Override // d.o.a.b.f.c
    public void onRefresh(i iVar) {
        this.o = 1;
        n();
    }

    @Override // androidx.fragment.app.Fragment
    public void setArguments(Bundle bundle) {
        super.setArguments(bundle);
        if (bundle != null) {
            this.n = bundle.getInt("id");
        }
    }
}
