package com.grass.mh.ui.community.fragment;

import android.annotation.SuppressLint;
import android.content.Intent;
import android.os.Bundle;
import androidx.recyclerview.widget.LinearLayoutManager;
import com.androidjks.acfan.d1682156448763174048.R;
import com.androidx.lv.base.bean.UserInfo;
import com.androidx.lv.base.http.BaseRes;
import com.androidx.lv.base.ui.LazyFragment;
import com.androidx.lv.base.utils.NetUtil;
import com.androidx.lv.base.utils.SpUtils;
import com.androidx.lv.base.utils.ToastUtils;
import com.grass.mh.bean.PostsBean;
import com.grass.mh.bean.SearchSquareBean;
import com.grass.mh.databinding.FragmentSearchPostBinding;
import com.grass.mh.ui.community.adapter.CommunityPostAdapter;
import com.grass.mh.viewmodel.CommunityViewModel;
import com.lzy.okgo.cache.CacheMode;
import com.lzy.okgo.request.GetRequest;
import d.c.a.a.d.c;
import d.i.a.k.t.p2.o;
import d.i.a.k.t.p2.p;
import d.i.a.k.t.p2.q;
import d.i.a.k.t.p2.r;
import d.o.a.b.b.i;
import d.o.a.b.f.b;
import d.o.a.b.f.c;
import java.util.List;

public class SearchPostFragment extends LazyFragment<FragmentSearchPostBinding> implements c, b {
    public int n = 1;
    public String o;
    public UserInfo p;
    public CommunityPostAdapter q;
    public CommunityViewModel r;
    public int s;

    public class a extends d.c.a.a.d.d.a<BaseRes<SearchSquareBean>> {
        public a(String str) {
            super(str);
        }

        @Override // d.c.a.a.d.d.b
        public void onLvSuccess(Object obj) {
            BaseRes baseRes = (BaseRes) obj;
            T t = SearchPostFragment.this.f4157k;
            if (t != null) {
                ((FragmentSearchPostBinding) t).f5981j.hideLoading();
                ((FragmentSearchPostBinding) SearchPostFragment.this.f4157k).f5980h.k();
                ((FragmentSearchPostBinding) SearchPostFragment.this.f4157k).f5980h.h();
                if (baseRes.getCode() != 200) {
                    SearchPostFragment searchPostFragment = SearchPostFragment.this;
                    if (searchPostFragment.n == 1) {
                        ((FragmentSearchPostBinding) searchPostFragment.f4157k).f5981j.showError();
                        ((FragmentSearchPostBinding) SearchPostFragment.this.f4157k).f5980h.m();
                        ((FragmentSearchPostBinding) SearchPostFragment.this.f4157k).f5980h.j();
                        return;
                    }
                    ToastUtils.getInstance().showWeak(baseRes.getMsg());
                } else if (baseRes.getData() == null || ((SearchSquareBean) baseRes.getData()).dynamicList == null || ((SearchSquareBean) baseRes.getData()).dynamicList.size() <= 0) {
                    SearchPostFragment searchPostFragment2 = SearchPostFragment.this;
                    if (searchPostFragment2.n == 1) {
                        ((FragmentSearchPostBinding) searchPostFragment2.f4157k).f5981j.showEmpty();
                        ((FragmentSearchPostBinding) SearchPostFragment.this.f4157k).f5980h.m();
                        ((FragmentSearchPostBinding) SearchPostFragment.this.f4157k).f5980h.j();
                        return;
                    }
                    ((FragmentSearchPostBinding) searchPostFragment2.f4157k).f5980h.j();
                }
            }
        }
    }

    @Override // com.androidx.lv.base.ui.LazyFragment
    @SuppressLint({"NonConstantResourceId"})
    public void l() {
        this.r = new CommunityViewModel();
        ((FragmentSearchPostBinding) this.f4157k).f5980h.v(this);
        T t = this.f4157k;
        ((FragmentSearchPostBinding) t).f5980h.L = true;
        ((FragmentSearchPostBinding) t).f5980h.l0 = this;
        ((FragmentSearchPostBinding) t).f5979d.setLayoutManager(new LinearLayoutManager(getContext()));
        CommunityPostAdapter communityPostAdapter = new CommunityPostAdapter();
        this.q = communityPostAdapter;
        ((FragmentSearchPostBinding) this.f4157k).f5979d.setAdapter(communityPostAdapter);
        CommunityPostAdapter communityPostAdapter2 = this.q;
        communityPostAdapter2.f4120b = new o(this);
        communityPostAdapter2.f6429g = new r(this);
        ((FragmentSearchPostBinding) this.f4157k).f5981j.setOnRetryListener(new p(this));
        n();
        this.r.f7238a.e(this, new q(this));
    }

    @Override // com.androidx.lv.base.ui.LazyFragment
    public int m() {
        return R.layout.fragment_search_post;
    }

    public final void n() {
        List<D> list;
        if (this.n == 1) {
            CommunityPostAdapter communityPostAdapter = this.q;
            if (!(communityPostAdapter == null || (list = communityPostAdapter.f4119a) == null || list.size() <= 0)) {
                this.q.clear();
            }
            if (!NetUtil.isNetworkAvailable()) {
                ((FragmentSearchPostBinding) this.f4157k).f5981j.showNoNet();
                return;
            }
        }
        String r2 = c.b.f7655a.r(this.n, this.o, 2);
        a aVar = new a("dynamicList");
        ((GetRequest) ((GetRequest) ((GetRequest) new GetRequest(r2).tag(aVar.getTag())).cacheKey(r2)).cacheMode(CacheMode.NO_CACHE)).execute(aVar);
    }

    public final void o() {
        PostsBean postsBean = (PostsBean) this.q.b(this.s);
        for (D d2 : this.q.f4119a) {
            if (d2.getUserId() == postsBean.getUserId()) {
                d2.setAttention(postsBean.isAttention());
            }
        }
        this.q.notifyDataSetChanged();
    }

    @Override // androidx.fragment.app.Fragment
    public void onActivityResult(int i2, int i3, Intent intent) {
        super.onActivityResult(i2, i3, intent);
        if (i2 == 10001 && i3 == -1 && intent != null) {
            ((PostsBean) this.q.b(this.s)).setAttention(intent.getBooleanExtra("isAttention", false));
            ((PostsBean) this.q.b(this.s)).setCommentNum(intent.getIntExtra("commentNum", 0));
            this.q.notifyItemChanged(this.s, 0);
            o();
        }
    }

    @Override // d.o.a.b.f.b
    public void onLoadMore(i iVar) {
        this.n++;
        n();
    }

    @Override // d.o.a.b.f.c
    public void onRefresh(i iVar) {
        this.n = 1;
        n();
    }

    @Override // com.androidx.lv.base.ui.ImmersionFragment, androidx.fragment.app.Fragment
    public void onResume() {
        super.onResume();
        this.p = SpUtils.getInstance().getUserInfo();
    }

    @Override // androidx.fragment.app.Fragment
    public void setArguments(Bundle bundle) {
        super.setArguments(bundle);
        if (bundle != null) {
            this.o = bundle.getString("searchWord");
        }
    }
}
