package com.grass.mh.ui.home;

import androidx.recyclerview.widget.DefaultItemAnimator;
import androidx.recyclerview.widget.RecyclerView;
import androidx.recyclerview.widget.StaggeredGridLayoutManager;
import com.androidjks.acfan.d1682156448763174048.R;
import com.androidx.lv.base.bean.Blogger;
import com.androidx.lv.base.http.BaseRes;
import com.androidx.lv.base.ui.LazyFragment;
import com.androidx.lv.base.utils.UiUtils;
import com.grass.mh.bean.DataListBean;
import com.grass.mh.databinding.FragmentHomeAttentionBinding;
import com.grass.mh.ui.home.adapter.HotBloggerAdapter;
import com.lzy.okgo.cache.CacheMode;
import com.lzy.okgo.request.GetRequest;
import d.c.a.a.d.c;
import d.i.a.h.s;
import d.i.a.k.v.i;
import d.i.a.k.v.j;
import d.i.a.k.v.x0;
import java.util.Objects;
import k.b.a.c;
import k.b.a.l;
import org.greenrobot.eventbus.ThreadMode;

public class HomeAttentionFragment extends LazyFragment<FragmentHomeAttentionBinding> {
    public HotBloggerAdapter n;

    public class a extends d.c.a.a.d.d.a<BaseRes<DataListBean<Blogger>>> {
        public a(String str) {
            super(str);
        }

        @Override // d.c.a.a.d.d.b
        public void onLvSuccess(Object obj) {
            BaseRes baseRes = (BaseRes) obj;
            if (baseRes.getCode() == 200 && baseRes.getData() != null && ((DataListBean) baseRes.getData()).getData().size() > 0) {
                HomeAttentionFragment.this.n.d(((DataListBean) baseRes.getData()).getData());
            }
        }
    }

    @Override // com.androidx.lv.base.ui.LazyFragment
    public void l() {
        c.b().j(this);
        b.o.a.a aVar = new b.o.a.a(getChildFragmentManager());
        aVar.a(R.id.contentView, new AttentionWorkFragment());
        aVar.c();
        RecyclerView recyclerView = ((FragmentHomeAttentionBinding) this.f4157k).f5841k;
        recyclerView.setHasFixedSize(true);
        recyclerView.setLayoutManager(new StaggeredGridLayoutManager(3, 1));
        x0 x0Var = new x0(this, UiUtils.dp2px(4));
        if (recyclerView.getItemDecorationCount() == 0) {
            recyclerView.addItemDecoration(x0Var);
        }
        recyclerView.setItemAnimator(new DefaultItemAnimator());
        HotBloggerAdapter hotBloggerAdapter = new HotBloggerAdapter();
        this.n = hotBloggerAdapter;
        ((FragmentHomeAttentionBinding) this.f4157k).f5841k.setAdapter(hotBloggerAdapter);
        this.n.f6815c = new i(this);
        ((FragmentHomeAttentionBinding) this.f4157k).f5838d.setOnClickListener(new j(this));
        n();
    }

    @Override // com.androidx.lv.base.ui.LazyFragment
    public int m() {
        return R.layout.fragment_home_attention;
    }

    public final void n() {
        String i2 = d.a.a.a.a.i(c.b.f7655a, new StringBuilder(), "/api/blogger/hotBloggers");
        a aVar = new a("getHotBlogger");
        ((GetRequest) ((GetRequest) ((GetRequest) new GetRequest(i2).tag(aVar.getTag())).cacheKey(i2)).cacheMode(CacheMode.NO_CACHE)).execute(aVar);
    }

    @Override // androidx.fragment.app.Fragment, com.androidx.lv.base.ui.LazyFragment
    public void onDestroyView() {
        super.onDestroyView();
        k.b.a.c.b().l(this);
    }

    @l(threadMode = ThreadMode.MAIN)
    public void onRefreshDataEvent(s sVar) {
        if (sVar != null) {
            Objects.requireNonNull(sVar);
            throw null;
        }
    }
}
