package com.grass.mh.ui.home;

import android.annotation.SuppressLint;
import android.content.Intent;
import android.os.CountDownTimer;
import android.os.Handler;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.LinearLayout;
import android.widget.RelativeLayout;
import android.widget.TextView;
import androidx.recyclerview.widget.LinearLayoutManager;
import com.androidjks.acfan.d1682156448763174048.R;
import com.androidx.lv.base.bean.UserInfo;
import com.androidx.lv.base.http.BaseRes;
import com.androidx.lv.base.ui.LazyFragment;
import com.androidx.lv.base.utils.AdUtils;
import com.androidx.lv.base.utils.LogUtils;
import com.androidx.lv.base.utils.NetUtil;
import com.androidx.lv.base.utils.SpUtils;
import com.androidx.lv.base.utils.ToastUtils;
import com.grass.mh.App;
import com.grass.mh.bean.DataListBean;
import com.grass.mh.bean.PostsBean;
import com.grass.mh.databinding.FragmentHomeFeaturedBinding;
import com.grass.mh.ui.community.adapter.CommunityPostAdapter;
import com.grass.mh.utils.MangaAnimUtil;
import com.grass.mh.utils.SetBannerUtils;
import com.grass.mh.viewmodel.CommunityViewModel;
import com.luck.picture.lib.config.PictureConfig;
import com.lzy.okgo.cache.CacheMode;
import com.lzy.okgo.model.HttpParams;
import com.lzy.okgo.request.GetRequest;
import com.lzy.okgo.request.PostRequest;
import com.youth.banner.Banner;
import d.c.a.a.d.c;
import d.i.a.k.v.b1;
import d.i.a.k.v.k;
import d.i.a.k.v.m;
import d.i.a.k.v.n;
import d.i.a.k.v.o;
import d.i.a.k.v.p;
import d.i.a.k.v.q;
import d.i.a.k.v.r;
import d.i.a.k.v.s;
import d.i.a.k.v.t;
import d.i.a.k.v.u;
import d.i.a.k.v.v;
import d.i.a.k.v.z0;
import d.o.a.b.b.i;
import d.o.a.b.f.b;
import d.o.a.b.f.c;
import java.util.List;
import java.util.Objects;
import org.json.JSONObject;

@SuppressLint({"NonConstantResourceId"})
public class HomeFeaturedFragment extends LazyFragment<FragmentHomeFeaturedBinding> implements b, c {
    public int A;
    public ImageView n;
    public RelativeLayout o;
    public TextView p;
    public TextView q;
    public TextView r;
    public TextView s;
    public d.i.a.a t;
    public CountDownTimer u;
    public int v = 1;
    public UserInfo w;
    public CommunityPostAdapter x;
    public CommunityViewModel y;
    public boolean z = false;

    public class a extends d.c.a.a.d.d.a<BaseRes<DataListBean<PostsBean>>> {
        public a(String str) {
            super(str);
        }

        @Override // d.c.a.a.d.d.b
        public void onLvSuccess(Object obj) {
            BaseRes baseRes = (BaseRes) obj;
            T t = HomeFeaturedFragment.this.f4157k;
            if (t != null) {
                ((FragmentHomeFeaturedBinding) t).f5852l.hideLoading();
                ((FragmentHomeFeaturedBinding) HomeFeaturedFragment.this.f4157k).f5849h.k();
                ((FragmentHomeFeaturedBinding) HomeFeaturedFragment.this.f4157k).f5849h.h();
                if (baseRes.getCode() != 200) {
                    HomeFeaturedFragment homeFeaturedFragment = HomeFeaturedFragment.this;
                    if (homeFeaturedFragment.v == 1) {
                        ((FragmentHomeFeaturedBinding) homeFeaturedFragment.f4157k).f5852l.showError();
                        ((FragmentHomeFeaturedBinding) HomeFeaturedFragment.this.f4157k).f5849h.m();
                        ((FragmentHomeFeaturedBinding) HomeFeaturedFragment.this.f4157k).f5849h.j();
                        return;
                    }
                    ToastUtils.getInstance().showWeak(baseRes.getMsg());
                } else if (baseRes.getData() == null || ((DataListBean) baseRes.getData()).getData().size() <= 0) {
                    HomeFeaturedFragment homeFeaturedFragment2 = HomeFeaturedFragment.this;
                    if (homeFeaturedFragment2.v == 1) {
                        ((FragmentHomeFeaturedBinding) homeFeaturedFragment2.f4157k).f5852l.showEmpty();
                        ((FragmentHomeFeaturedBinding) HomeFeaturedFragment.this.f4157k).f5849h.m();
                        ((FragmentHomeFeaturedBinding) HomeFeaturedFragment.this.f4157k).f5849h.j();
                        return;
                    }
                    ((FragmentHomeFeaturedBinding) homeFeaturedFragment2.f4157k).f5849h.j();
                } else {
                    List data = ((DataListBean) baseRes.getData()).getData();
                    LogUtils.e("PostBean===", App.m.f(data));
                    HomeFeaturedFragment homeFeaturedFragment3 = HomeFeaturedFragment.this;
                    if (homeFeaturedFragment3.v == 1) {
                        homeFeaturedFragment3.x.d(data);
                        ((FragmentHomeFeaturedBinding) HomeFeaturedFragment.this.f4157k).f5849h.u(false);
                    } else {
                        homeFeaturedFragment3.x.f(data);
                    }
                    MangaAnimUtil.startScaleOutAnim(HomeFeaturedFragment.this.getContext(), ((FragmentHomeFeaturedBinding) HomeFeaturedFragment.this.f4157k).f5850j);
                    HomeFeaturedFragment homeFeaturedFragment4 = HomeFeaturedFragment.this;
                    if (homeFeaturedFragment4.z && homeFeaturedFragment4.v == 1) {
                        new Handler().postDelayed(new n(this, data), 1000);
                        new Handler().postDelayed(new o(this), 3000);
                        new Handler().postDelayed(new m(this), 4000);
                    }
                }
            }
        }
    }

    @Override // com.androidx.lv.base.ui.LazyFragment
    public void l() {
        this.w = SpUtils.getInstance().getUserInfo();
        this.y = new CommunityViewModel();
        ((FragmentHomeFeaturedBinding) this.f4157k).f5849h.v(this);
        T t2 = this.f4157k;
        ((FragmentHomeFeaturedBinding) t2).f5849h.L = true;
        ((FragmentHomeFeaturedBinding) t2).f5849h.l0 = this;
        ((FragmentHomeFeaturedBinding) t2).f5848d.setLayoutManager(new LinearLayoutManager(getContext()));
        View inflate = LayoutInflater.from(getContext()).inflate(R.layout.header_home_featured, (ViewGroup) ((FragmentHomeFeaturedBinding) this.f4157k).f5848d, false);
        ((FragmentHomeFeaturedBinding) this.f4157k).f5848d.addHeaderView(inflate);
        CommunityPostAdapter communityPostAdapter = new CommunityPostAdapter();
        this.x = communityPostAdapter;
        ((FragmentHomeFeaturedBinding) this.f4157k).f5848d.setAdapter(communityPostAdapter);
        CommunityPostAdapter communityPostAdapter2 = this.x;
        communityPostAdapter2.f4120b = new v(this);
        communityPostAdapter2.f6429g = new s(this);
        ((FragmentHomeFeaturedBinding) this.f4157k).f5852l.setOnRetryListener(new p(this));
        SetBannerUtils.setMarginBanner(getActivity(), AdUtils.getInstance().getAdSort("INDEXBANNER"), (Banner) inflate.findViewById(R.id.bannerView), 1);
        this.n = (ImageView) inflate.findViewById(R.id.iv_ad_cover);
        this.o = (RelativeLayout) inflate.findViewById(R.id.rl_ad);
        this.p = (TextView) inflate.findViewById(R.id.tv_day);
        this.q = (TextView) inflate.findViewById(R.id.tv_hour);
        this.r = (TextView) inflate.findViewById(R.id.tv_minute);
        this.s = (TextView) inflate.findViewById(R.id.tv_second);
        ((LinearLayout) inflate.findViewById(R.id.onlinePlayView)).setOnClickListener(new u(this));
        ((LinearLayout) inflate.findViewById(R.id.adultGameView)).setOnClickListener(new q(this));
        ((LinearLayout) inflate.findViewById(R.id.featuredImageView)).setOnClickListener(new r(this));
        ((LinearLayout) inflate.findViewById(R.id.signInPrizeView)).setOnClickListener(new k(this));
        String i2 = d.a.a.a.a.i(c.b.f7655a, new StringBuilder(), "/api/deduct/type");
        z0 z0Var = new z0(this, "deductType");
        ((GetRequest) ((GetRequest) ((GetRequest) new GetRequest(i2).tag(z0Var.getTag())).cacheKey(i2)).cacheMode(CacheMode.NO_CACHE)).execute(z0Var);
        n();
        this.y.f7238a.e(this, new t(this));
    }

    @Override // com.androidx.lv.base.ui.LazyFragment
    public int m() {
        return R.layout.fragment_home_featured;
    }

    public final void n() {
        List<D> list;
        if (this.v == 1) {
            CommunityPostAdapter communityPostAdapter = this.x;
            if (!(communityPostAdapter == null || (list = communityPostAdapter.f4119a) == null || list.size() <= 0)) {
                this.x.clear();
            }
            if (!NetUtil.isNetworkAvailable()) {
                ((FragmentHomeFeaturedBinding) this.f4157k).f5852l.showNoNet();
                return;
            }
        }
        HttpParams httpParams = new HttpParams();
        httpParams.put("loadType", 2, new boolean[0]);
        httpParams.put(PictureConfig.EXTRA_PAGE, this.v, new boolean[0]);
        httpParams.put("pageSize", 20, new boolean[0]);
        String i2 = d.a.a.a.a.i(c.b.f7655a, new StringBuilder(), "/api/community/dynamic/list");
        a aVar = new a("dynamicList");
        ((GetRequest) ((GetRequest) ((GetRequest) ((GetRequest) new GetRequest(i2).tag(aVar.getTag())).cacheKey(i2)).params(httpParams)).cacheMode(CacheMode.NO_CACHE)).execute(aVar);
    }

    public final void o() {
        PostsBean postsBean = (PostsBean) this.x.b(this.A);
        for (D d2 : this.x.f4119a) {
            if (d2.getUserId() == postsBean.getUserId()) {
                d2.setAttention(postsBean.isAttention());
            }
        }
        this.x.notifyDataSetChanged();
    }

    @Override // androidx.fragment.app.Fragment
    public void onActivityResult(int i2, int i3, Intent intent) {
        super.onActivityResult(i2, i3, intent);
        if (i2 == 10001 && i3 == -1 && intent != null) {
            ((PostsBean) this.x.b(this.A)).setAttention(intent.getBooleanExtra("isAttention", false));
            ((PostsBean) this.x.b(this.A)).setCommentNum(intent.getIntExtra("commentNum", 0));
            this.x.notifyItemChanged(this.A, 0);
            o();
        }
    }

    @Override // com.androidx.lv.base.ui.ImmersionFragment, androidx.fragment.app.Fragment
    public void onDestroy() {
        super.onDestroy();
        CountDownTimer countDownTimer = this.u;
        if (countDownTimer != null) {
            countDownTimer.cancel();
        }
    }

    @Override // d.o.a.b.f.b
    public void onLoadMore(i iVar) {
        this.v++;
        n();
    }

    @Override // d.o.a.b.f.c
    public void onRefresh(i iVar) {
        this.v = 1;
        this.z = true;
        n();
    }

    @Override // com.androidx.lv.base.ui.ImmersionFragment, androidx.fragment.app.Fragment
    public void onResume() {
        super.onResume();
        String D = c.b.f7655a.D();
        Objects.requireNonNull(d.c.a.a.d.b.b());
        JSONObject jSONObject = d.c.a.a.d.b.f7653b;
        b1 b1Var = new b1(this, "userInfo");
        ((PostRequest) ((PostRequest) ((PostRequest) d.a.a.a.a.c(jSONObject, d.a.a.a.a.F(D, "_"), (PostRequest) new PostRequest(D).tag(b1Var.getTag()))).upJson(jSONObject)).cacheMode(CacheMode.NO_CACHE)).execute(b1Var);
    }
}
