package com.grass.mh.ui.home;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.LinearLayout;
import androidx.lifecycle.ViewModelProvider;
import androidx.recyclerview.widget.GridLayoutManager;
import androidx.recyclerview.widget.LinearLayoutManager;
import com.androidjks.acfan.d1682156448763174048.R;
import com.androidx.lv.base.bean.event.FollowBloggerEvent;
import com.androidx.lv.base.http.BaseRes;
import com.androidx.lv.base.ui.LazyFragment;
import com.androidx.lv.base.utils.AdUtils;
import com.androidx.lv.base.utils.NetUtil;
import com.androidx.lv.base.utils.ToastUtils;
import com.grass.mh.bean.HomeFollowBean;
import com.grass.mh.databinding.FragmentHomePaddingBinding;
import com.grass.mh.ui.home.adapter.VideoTwoAdapter;
import com.grass.mh.utils.SetBannerUtils;
import com.grass.mh.viewmodel.BloggerVideoModel;
import com.lzy.okgo.cache.CacheMode;
import com.lzy.okgo.request.GetRequest;
import com.scwang.smartrefresh.layout.SmartRefreshLayout;
import com.youth.banner.Banner;
import d.c.a.a.d.c;
import d.i.a.h.v;
import d.i.a.k.v.c1;
import d.i.a.k.v.d1;
import d.i.a.k.v.e1;
import d.i.a.k.v.f1;
import d.o.a.b.b.i;
import d.o.a.b.f.b;
import d.o.a.b.f.c;
import java.util.List;
import k.b.a.l;
import org.greenrobot.eventbus.ThreadMode;

public class HomeFollowFragment extends LazyFragment<FragmentHomePaddingBinding> implements b, c {
    public static final /* synthetic */ int n = 0;
    public int o = 1;
    public VideoTwoAdapter p;
    public LinearLayoutManager q;
    public BloggerVideoModel r;
    public int s;
    public LinearLayout t;

    public class a extends d.c.a.a.d.d.a<BaseRes<HomeFollowBean>> {
        public a(String str) {
            super(str);
        }

        @Override // d.c.a.a.d.d.b
        public void onLvSuccess(Object obj) {
            BaseRes baseRes = (BaseRes) obj;
            T t = HomeFollowFragment.this.f4157k;
            if (t != null) {
                ((FragmentHomePaddingBinding) t).f5861k.hideLoading();
                ((FragmentHomePaddingBinding) HomeFollowFragment.this.f4157k).f5859h.k();
                ((FragmentHomePaddingBinding) HomeFollowFragment.this.f4157k).f5859h.h();
                HomeFollowFragment.this.t.setVisibility(8);
                if (baseRes.getCode() != 200) {
                    HomeFollowFragment homeFollowFragment = HomeFollowFragment.this;
                    if (homeFollowFragment.o == 1) {
                        ((FragmentHomePaddingBinding) homeFollowFragment.f4157k).f5861k.showError();
                    } else {
                        ToastUtils.getInstance().showWeak(baseRes.getMsg());
                    }
                } else if (baseRes.getData() != null && ((HomeFollowBean) baseRes.getData()).getAttentionList() != null && ((HomeFollowBean) baseRes.getData()).getAttentionList().size() > 0) {
                    HomeFollowFragment homeFollowFragment2 = HomeFollowFragment.this;
                    if (homeFollowFragment2.o == 1) {
                        homeFollowFragment2.p.d(((HomeFollowBean) baseRes.getData()).getAttentionList());
                        ((FragmentHomePaddingBinding) HomeFollowFragment.this.f4157k).f5859h.u(false);
                        return;
                    }
                    homeFollowFragment2.p.f(((HomeFollowBean) baseRes.getData()).getAttentionList());
                } else if (baseRes.getData() == null || ((HomeFollowBean) baseRes.getData()).getRecommendList() == null || ((HomeFollowBean) baseRes.getData()).getRecommendList().size() <= 0) {
                    HomeFollowFragment homeFollowFragment3 = HomeFollowFragment.this;
                    if (homeFollowFragment3.o == 1) {
                        ((FragmentHomePaddingBinding) homeFollowFragment3.f4157k).f5861k.showEmpty();
                    } else {
                        ((FragmentHomePaddingBinding) homeFollowFragment3.f4157k).f5859h.j();
                    }
                } else {
                    HomeFollowFragment.this.t.setVisibility(0);
                    HomeFollowFragment homeFollowFragment4 = HomeFollowFragment.this;
                    if (homeFollowFragment4.o == 1) {
                        homeFollowFragment4.p.d(((HomeFollowBean) baseRes.getData()).getRecommendList());
                        ((FragmentHomePaddingBinding) HomeFollowFragment.this.f4157k).f5859h.u(false);
                        return;
                    }
                    homeFollowFragment4.p.f(((HomeFollowBean) baseRes.getData()).getRecommendList());
                }
            }
        }
    }

    @Override // com.androidx.lv.base.ui.LazyFragment
    public void l() {
        k.b.a.c.b().j(this);
        this.r = (BloggerVideoModel) new ViewModelProvider(this).a(BloggerVideoModel.class);
        ((FragmentHomePaddingBinding) this.f4157k).f5859h.v(this);
        FragmentHomePaddingBinding fragmentHomePaddingBinding = (FragmentHomePaddingBinding) this.f4157k;
        SmartRefreshLayout smartRefreshLayout = fragmentHomePaddingBinding.f5859h;
        smartRefreshLayout.l0 = this;
        smartRefreshLayout.L = true;
        fragmentHomePaddingBinding.f5861k.setOnRetryListener(new c1(this));
        this.p = new VideoTwoAdapter(getActivity(), null);
        ((FragmentHomePaddingBinding) this.f4157k).f5858d.setLayoutManager(new GridLayoutManager(getActivity(), 2));
        LinearLayoutManager linearLayoutManager = new LinearLayoutManager(getActivity());
        this.q = linearLayoutManager;
        ((FragmentHomePaddingBinding) this.f4157k).f5858d.setLayoutManager(linearLayoutManager);
        ((FragmentHomePaddingBinding) this.f4157k).f5858d.setAdapter(this.p);
        ((FragmentHomePaddingBinding) this.f4157k).f5858d.setOnScrollListener(new d1(this));
        this.p.f4120b = new e1(this);
        ((FragmentHomePaddingBinding) this.f4157k).f5861k.setOnRetryListener(new f1(this));
        View inflate = LayoutInflater.from(getActivity()).inflate(R.layout.header_home_follow, (ViewGroup) ((FragmentHomePaddingBinding) this.f4157k).f5858d, false);
        SetBannerUtils.setBanner(getActivity(), AdUtils.getInstance().getAdSort("INDEXBANNER"), (Banner) inflate.findViewById(R.id.banner), 0);
        this.t = (LinearLayout) inflate.findViewById(R.id.ll_recommend);
        ((FragmentHomePaddingBinding) this.f4157k).f5858d.addHeaderView(inflate);
        n();
    }

    @Override // com.androidx.lv.base.ui.LazyFragment
    public int m() {
        return R.layout.fragment_home_padding;
    }

    public void n() {
        List<D> list;
        if (this.o == 1) {
            VideoTwoAdapter videoTwoAdapter = this.p;
            if (!(videoTwoAdapter == null || (list = videoTwoAdapter.f4119a) == null || list.size() <= 0)) {
                this.p.clear();
            }
            if (!NetUtil.isNetworkAvailable()) {
                ((FragmentHomePaddingBinding) this.f4157k).f5861k.showNoNet();
                return;
            }
            ((FragmentHomePaddingBinding) this.f4157k).f5861k.showLoading();
        }
        String j2 = d.a.a.a.a.j(c.b.f7655a, new StringBuilder(), "/api/video/attentionUserVideo?pageSize=20&page=", this.o);
        a aVar = new a("");
        ((GetRequest) ((GetRequest) ((GetRequest) new GetRequest(j2).tag(aVar.getTag())).cacheKey(j2)).cacheMode(CacheMode.NO_CACHE)).execute(aVar);
    }

    @Override // com.androidx.lv.base.ui.ImmersionFragment, androidx.fragment.app.Fragment
    public void onDestroy() {
        super.onDestroy();
        k.b.a.c.b().l(this);
    }

    @Override // androidx.fragment.app.Fragment, com.androidx.lv.base.ui.LazyFragment
    public void onDestroyView() {
        super.onDestroyView();
        d.p.a.c.g();
    }

    @l(threadMode = ThreadMode.MAIN)
    public void onFollowEvent(FollowBloggerEvent followBloggerEvent) {
        List<D> list = this.p.f4119a;
        for (int i2 = 0; i2 < list.size(); i2++) {
            if (list.get(i2).getUserId() == followBloggerEvent.getUserId()) {
                list.get(i2).setAttention(followBloggerEvent.isFollow());
                this.p.notifyItemChanged(i2, "payload");
            }
        }
    }

    @Override // d.o.a.b.f.b
    public void onLoadMore(i iVar) {
        this.o++;
        n();
    }

    @Override // com.androidx.lv.base.ui.ImmersionFragment, androidx.fragment.app.Fragment
    public void onPause() {
        super.onPause();
        d.p.a.c.f();
    }

    @Override // d.o.a.b.f.c
    public void onRefresh(i iVar) {
        this.o = 1;
        n();
    }

    @Override // com.androidx.lv.base.ui.ImmersionFragment, androidx.fragment.app.Fragment
    public void onResume() {
        super.onResume();
    }

    @l(threadMode = ThreadMode.MAIN)
    public void onScrollEvent(v vVar) {
        ((FragmentHomePaddingBinding) this.f4157k).f5858d.scrollToPosition(0);
    }

    @Override // androidx.fragment.app.Fragment
    public void setArguments(Bundle bundle) {
        super.setArguments(bundle);
    }
}
