package com.grass.mh.ui.home;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.androidjks.acfan.d1682156448763174048.R;
import com.androidx.lv.base.bean.AdInfoBean;
import com.androidx.lv.base.bean.InventionBean;
import com.androidx.lv.base.bean.InventionListBean;
import com.androidx.lv.base.bean.VideoBean;
import com.androidx.lv.base.bean.event.FollowBloggerEvent;
import com.androidx.lv.base.dialog.CancelableDialogLoading;
import com.androidx.lv.base.http.BaseRes;
import com.androidx.lv.base.ui.LazyFragment;
import com.androidx.lv.base.utils.AdUtils;
import com.androidx.lv.base.utils.NetUtil;
import com.grass.mh.bean.HomeOtherBean;
import com.grass.mh.databinding.FragmentHomePaddingBinding;
import com.grass.mh.ui.home.adapter.VideoTwoAdapter;
import com.grass.mh.ui.home.adapter.invention.AdapterInventionType;
import com.grass.mh.utils.SetBannerUtils;
import com.grass.mh.viewmodel.BloggerVideoModel;
import com.lzy.okgo.cache.CacheMode;
import com.lzy.okgo.request.GetRequest;
import com.scwang.smartrefresh.layout.SmartRefreshLayout;
import com.youth.banner.Banner;
import d.c.a.a.d.c;
import d.i.a.h.v;
import d.i.a.k.v.j2.g0.g;
import d.i.a.k.v.k1;
import d.i.a.k.v.l1;
import d.i.a.k.v.m1;
import d.o.a.b.b.i;
import d.o.a.b.f.c;
import java.util.List;
import k.b.a.l;
import org.greenrobot.eventbus.ThreadMode;

public class HomeRecommendFragment extends LazyFragment<FragmentHomePaddingBinding> implements d.o.a.b.f.b, g, c {
    public static final /* synthetic */ int n = 0;
    public CancelableDialogLoading o;
    public AdapterInventionType p;
    public VideoTwoAdapter q;
    public int r;
    public LinearLayoutManager s;
    public int t;
    public int u;
    public List<AdInfoBean> v;

    public class a extends d.c.a.a.d.d.a<BaseRes<InventionListBean>> {
        public a(String str) {
            super(str);
        }

        @Override // d.c.a.a.d.d.b
        public void onLvSuccess(Object obj) {
            BaseRes baseRes = (BaseRes) obj;
            if (HomeRecommendFragment.this.f4157k != null) {
                if (baseRes.getCode() != 200) {
                    ((FragmentHomePaddingBinding) HomeRecommendFragment.this.f4157k).f5861k.showError();
                } else if (baseRes.getData() != null && ((InventionListBean) baseRes.getData()).getList() != null && ((InventionListBean) baseRes.getData()).getList().size() > 0) {
                    HomeRecommendFragment.this.p.d(((InventionListBean) baseRes.getData()).getList());
                }
            }
        }
    }

    public class b extends d.c.a.a.d.d.a<BaseRes<HomeOtherBean>> {
        public b(String str) {
            super(str);
        }

        @Override // d.c.a.a.d.d.b
        public void onLvSuccess(Object obj) {
            BaseRes baseRes = (BaseRes) obj;
            T t = HomeRecommendFragment.this.f4157k;
            if (t != null) {
                ((FragmentHomePaddingBinding) t).f5861k.hideLoading();
                ((FragmentHomePaddingBinding) HomeRecommendFragment.this.f4157k).f5859h.k();
                ((FragmentHomePaddingBinding) HomeRecommendFragment.this.f4157k).f5859h.h();
                if (baseRes.getCode() != 200) {
                    ((FragmentHomePaddingBinding) HomeRecommendFragment.this.f4157k).f5859h.j();
                } else if (baseRes.getData() == null || ((HomeOtherBean) baseRes.getData()).getData() == null || ((HomeOtherBean) baseRes.getData()).getData().size() <= 0) {
                    ((FragmentHomePaddingBinding) HomeRecommendFragment.this.f4157k).f5859h.j();
                    HomeRecommendFragment homeRecommendFragment = HomeRecommendFragment.this;
                    if (homeRecommendFragment.u == 1) {
                        ((FragmentHomePaddingBinding) homeRecommendFragment.f4157k).f5861k.showEmpty();
                    }
                } else {
                    List<VideoBean> data = ((HomeOtherBean) baseRes.getData()).getData();
                    HomeRecommendFragment homeRecommendFragment2 = HomeRecommendFragment.this;
                    if (homeRecommendFragment2.u == 1) {
                        homeRecommendFragment2.q.d(data);
                        ((FragmentHomePaddingBinding) HomeRecommendFragment.this.f4157k).f5859h.u(false);
                        return;
                    }
                    homeRecommendFragment2.q.f(data);
                }
            }
        }
    }

    @Override // d.i.a.k.v.j2.g0.g
    public void h(InventionBean inventionBean, int i2, int i3) {
        if (isOnClick()) {
        }
    }

    @Override // com.androidx.lv.base.ui.LazyFragment
    public void l() {
        this.u = 1;
        BloggerVideoModel bloggerVideoModel = new BloggerVideoModel();
        k.b.a.c.b().j(this);
        CancelableDialogLoading cancelableDialogLoading = new CancelableDialogLoading(getActivity());
        this.o = cancelableDialogLoading;
        cancelableDialogLoading.setTvHint("拼命载入中...");
        this.v = AdUtils.getInstance().getAdSort("NDD_BANNER");
        ((FragmentHomePaddingBinding) this.f4157k).f5859h.v(this);
        FragmentHomePaddingBinding fragmentHomePaddingBinding = (FragmentHomePaddingBinding) this.f4157k;
        SmartRefreshLayout smartRefreshLayout = fragmentHomePaddingBinding.f5859h;
        smartRefreshLayout.L = false;
        smartRefreshLayout.l0 = this;
        fragmentHomePaddingBinding.f5861k.setOnRetryListener(new k1(this));
        VideoTwoAdapter videoTwoAdapter = new VideoTwoAdapter(getActivity(), null);
        this.q = videoTwoAdapter;
        videoTwoAdapter.f4120b = new l1(this, bloggerVideoModel);
        LinearLayoutManager linearLayoutManager = new LinearLayoutManager(getActivity());
        this.s = linearLayoutManager;
        ((FragmentHomePaddingBinding) this.f4157k).f5858d.setLayoutManager(linearLayoutManager);
        View inflate = LayoutInflater.from(getActivity()).inflate(R.layout.header_home_recommend, (ViewGroup) ((FragmentHomePaddingBinding) this.f4157k).f5858d, false);
        SetBannerUtils.setBanner(getActivity(), AdUtils.getInstance().getAdSort("INDEXBANNER"), (Banner) inflate.findViewById(R.id.banner), 0);
        RecyclerView recyclerView = (RecyclerView) inflate.findViewById(R.id.recycler_station);
        recyclerView.setLayoutManager(new LinearLayoutManager(getActivity()));
        AdapterInventionType adapterInventionType = new AdapterInventionType(getActivity(), null, this);
        this.p = adapterInventionType;
        recyclerView.setAdapter(adapterInventionType);
        TextView textView = (TextView) inflate.findViewById(R.id.tv_brush_title);
        ((FragmentHomePaddingBinding) this.f4157k).f5858d.setAdapter(this.q);
        ((FragmentHomePaddingBinding) this.f4157k).f5858d.addHeaderView(inflate);
        o();
        n();
        ((FragmentHomePaddingBinding) this.f4157k).f5858d.setOnScrollListener(new m1(this));
    }

    @Override // com.androidx.lv.base.ui.LazyFragment
    public int m() {
        return R.layout.fragment_home_padding;
    }

    public void n() {
        List<D> list;
        if (this.u == 1) {
            VideoTwoAdapter videoTwoAdapter = this.q;
            if (!(videoTwoAdapter == null || (list = videoTwoAdapter.f4119a) == null || list.size() <= 0)) {
                this.q.clear();
            }
            if (!NetUtil.isNetworkAvailable()) {
                ((FragmentHomePaddingBinding) this.f4157k).f5861k.showNoNet();
                return;
            }
            ((FragmentHomePaddingBinding) this.f4157k).f5861k.showLoading();
        }
        String j2 = d.a.a.a.a.j(c.b.f7655a, new StringBuilder(), "/api/station/getNewVideos?pageSize=20&page=", this.u);
        b bVar = new b("");
        ((GetRequest) ((GetRequest) ((GetRequest) new GetRequest(j2).tag(bVar.getTag())).cacheKey(j2)).cacheMode(CacheMode.NO_CACHE)).execute(bVar);
    }

    public void o() {
        if (NetUtil.isNetworkAvailable()) {
            d.c.a.a.d.c cVar = c.b.f7655a;
            int i2 = this.r;
            StringBuilder sb = new StringBuilder();
            d.a.a.a.a.P(cVar, sb, "/api/station/stations?classifyId=", i2, "&position=");
            sb.append(1);
            String sb2 = sb.toString();
            a aVar = new a("");
            ((GetRequest) ((GetRequest) ((GetRequest) new GetRequest(sb2).tag(aVar.getTag())).cacheKey(sb2)).cacheMode(CacheMode.NO_CACHE)).execute(aVar);
        }
    }

    @Override // com.androidx.lv.base.ui.ImmersionFragment, androidx.fragment.app.Fragment
    public void onDestroy() {
        super.onDestroy();
        k.b.a.c.b().l(this);
        if (this.o != null) {
            this.o = null;
        }
    }

    @Override // androidx.fragment.app.Fragment, com.androidx.lv.base.ui.LazyFragment
    public void onDestroyView() {
        super.onDestroyView();
        d.p.a.c.g();
    }

    @l(threadMode = ThreadMode.MAIN)
    public void onFollowEvent(FollowBloggerEvent followBloggerEvent) {
        List<D> list = this.q.f4119a;
        if (list != null && list.size() > 0) {
            for (int i2 = 0; i2 < list.size(); i2++) {
                if (list.get(i2).getUserId() == followBloggerEvent.getUserId()) {
                    ((VideoBean) this.q.b(i2)).setAttention(followBloggerEvent.isFollow());
                    this.q.notifyItemChanged(i2, "payload");
                }
            }
        }
    }

    @Override // d.o.a.b.f.b
    public void onLoadMore(i iVar) {
        this.u++;
        n();
    }

    @Override // com.androidx.lv.base.ui.ImmersionFragment, androidx.fragment.app.Fragment
    public void onPause() {
        super.onPause();
        d.p.a.c.f();
    }

    @Override // d.o.a.b.f.c
    public void onRefresh(i iVar) {
        this.u = 1;
        n();
    }

    @Override // com.androidx.lv.base.ui.ImmersionFragment, androidx.fragment.app.Fragment
    public void onResume() {
        super.onResume();
    }

    @l(threadMode = ThreadMode.MAIN)
    public void onScrollEvent(v vVar) {
        ((FragmentHomePaddingBinding) this.f4157k).f5858d.scrollToPosition(0);
    }

    @Override // androidx.fragment.app.Fragment
    public void setArguments(Bundle bundle) {
        super.setArguments(bundle);
        if (bundle != null) {
            this.r = bundle.getInt("id");
        }
    }
}
