package com.grass.mh.ui.mine.fragment;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import androidx.recyclerview.widget.GridLayoutManager;
import b.o.a.n;
import com.androidjks.acfan.d1682156448763174048.R;
import com.androidx.lv.base.http.BaseRes;
import com.androidx.lv.base.ui.LazyFragment;
import com.androidx.lv.base.utils.NetUtil;
import com.androidx.lv.base.utils.ToastUtils;
import com.grass.mh.bean.DataListBean;
import com.grass.mh.bean.EngagementBean;
import com.grass.mh.databinding.FragmentMineBuyLfBinding;
import com.grass.mh.ui.community.HookUpDetailActivity;
import com.grass.mh.ui.home.OnlinePlayDetailActivity;
import com.grass.mh.ui.mine.adapter.BuyDatingAdapter;
import com.lzy.okgo.cache.CacheMode;
import com.lzy.okgo.request.GetRequest;
import d.c.a.a.d.c;
import d.o.a.b.b.i;
import d.o.a.b.f.d;
import java.util.Iterator;
import java.util.List;
import okhttp3.Call;
import okhttp3.OkHttpClient;
import tv.danmaku.ijk.media.player.IjkMediaMeta;

public class MineBuyDatingFragment extends LazyFragment<FragmentMineBuyLfBinding> implements d {
    public String n = "userUnLockList";
    public BuyDatingAdapter o;
    public int p = 1;
    public int q;

    public class a implements d.c.a.a.e.a {
        public a() {
        }

        @Override // d.c.a.a.e.a
        public void onItemClick(View view, int i2) {
            if (!MineBuyDatingFragment.this.isOnClick()) {
                if (MineBuyDatingFragment.this.q == 3) {
                    Intent intent = new Intent(MineBuyDatingFragment.this.getActivity(), OnlinePlayDetailActivity.class);
                    intent.putExtra("meetUserId", ((EngagementBean) MineBuyDatingFragment.this.o.b(i2)).getMeetUserId());
                    MineBuyDatingFragment.this.startActivity(intent);
                    return;
                }
                Intent intent2 = new Intent(view.getContext(), HookUpDetailActivity.class);
                intent2.putExtra("meetUserId", ((EngagementBean) MineBuyDatingFragment.this.o.b(i2)).getMeetUserId());
                view.getContext().startActivity(intent2);
            }
        }
    }

    public class b implements View.OnClickListener {
        public b() {
        }

        public void onClick(View view) {
            MineBuyDatingFragment mineBuyDatingFragment = MineBuyDatingFragment.this;
            mineBuyDatingFragment.p = 1;
            mineBuyDatingFragment.n();
        }
    }

    public class c extends d.c.a.a.d.d.a<BaseRes<DataListBean<EngagementBean>>> {
        public c(String str) {
            super(str);
        }

        @Override // d.c.a.a.d.d.b
        public void onLvSuccess(Object obj) {
            BaseRes baseRes = (BaseRes) obj;
            ((FragmentMineBuyLfBinding) MineBuyDatingFragment.this.f4157k).f5893j.hideLoading();
            ((FragmentMineBuyLfBinding) MineBuyDatingFragment.this.f4157k).f5892h.k();
            ((FragmentMineBuyLfBinding) MineBuyDatingFragment.this.f4157k).f5892h.h();
            if (baseRes.getCode() != 200) {
                MineBuyDatingFragment mineBuyDatingFragment = MineBuyDatingFragment.this;
                if (mineBuyDatingFragment.p == 1) {
                    ((FragmentMineBuyLfBinding) mineBuyDatingFragment.f4157k).f5893j.showError();
                } else {
                    ToastUtils.getInstance().showWeak(baseRes.getMsg());
                }
            } else if (baseRes.getData() == null || ((DataListBean) baseRes.getData()).getData() == null || ((DataListBean) baseRes.getData()).getData().size() <= 0) {
                MineBuyDatingFragment mineBuyDatingFragment2 = MineBuyDatingFragment.this;
                if (mineBuyDatingFragment2.p == 1) {
                    ((FragmentMineBuyLfBinding) mineBuyDatingFragment2.f4157k).f5893j.showEmpty();
                } else {
                    ((FragmentMineBuyLfBinding) mineBuyDatingFragment2.f4157k).f5892h.j();
                }
            } else {
                MineBuyDatingFragment mineBuyDatingFragment3 = MineBuyDatingFragment.this;
                if (mineBuyDatingFragment3.p == 1) {
                    mineBuyDatingFragment3.o.d(((DataListBean) baseRes.getData()).getData());
                    ((FragmentMineBuyLfBinding) MineBuyDatingFragment.this.f4157k).f5892h.u(false);
                    return;
                }
                mineBuyDatingFragment3.o.f(((DataListBean) baseRes.getData()).getData());
            }
        }
    }

    public static MineBuyDatingFragment o(int i2) {
        Bundle bundle = new Bundle();
        MineBuyDatingFragment mineBuyDatingFragment = new MineBuyDatingFragment();
        bundle.putInt(IjkMediaMeta.IJKM_KEY_TYPE, i2);
        super.setArguments(bundle);
        mineBuyDatingFragment.q = bundle.getInt(IjkMediaMeta.IJKM_KEY_TYPE);
        return mineBuyDatingFragment;
    }

    @Override // com.androidx.lv.base.ui.LazyFragment
    public void l() {
        T t = this.f4157k;
        ((FragmentMineBuyLfBinding) t).f5892h.l0 = this;
        ((FragmentMineBuyLfBinding) t).f5892h.v(this);
        ((FragmentMineBuyLfBinding) this.f4157k).f5891d.setLayoutManager(new GridLayoutManager((Context) getActivity(), 2, 1, false));
        BuyDatingAdapter buyDatingAdapter = new BuyDatingAdapter();
        this.o = buyDatingAdapter;
        ((FragmentMineBuyLfBinding) this.f4157k).f5891d.setAdapter(buyDatingAdapter);
        this.o.f4120b = new a();
        ((FragmentMineBuyLfBinding) this.f4157k).f5893j.setOnRetryListener(new b());
        n();
    }

    @Override // com.androidx.lv.base.ui.LazyFragment
    public int m() {
        return R.layout.fragment_mine_buy_lf;
    }

    public void n() {
        List<D> list;
        if (this.p == 1) {
            BuyDatingAdapter buyDatingAdapter = this.o;
            if (!(buyDatingAdapter == null || (list = buyDatingAdapter.f4119a) == null || list.size() <= 0)) {
                this.o.clear();
            }
            if (!NetUtil.isNetworkAvailable()) {
                ((FragmentMineBuyLfBinding) this.f4157k).f5893j.showNoNet();
                return;
            }
            ((FragmentMineBuyLfBinding) this.f4157k).f5893j.showLoading();
        }
        d.c.a.a.d.c cVar = c.b.f7655a;
        int i2 = this.q;
        int i3 = this.p;
        StringBuilder sb = new StringBuilder();
        d.a.a.a.a.P(cVar, sb, "/api/user/meet/userUnLockList?meetType=", i2, "&pageSize=30&page=");
        sb.append(i3);
        String sb2 = sb.toString();
        c cVar2 = new c(this.n);
        ((GetRequest) ((GetRequest) ((GetRequest) new GetRequest(sb2).tag(cVar2.getTag())).cacheKey(sb2)).cacheMode(CacheMode.NO_CACHE)).execute(cVar2);
    }

    @Override // com.androidx.lv.base.ui.ImmersionFragment, androidx.fragment.app.Fragment
    public void onDestroy() {
        super.onDestroy();
        String str = this.n;
        OkHttpClient D0 = n.D0();
        if (D0 != null && str != null) {
            Iterator I = d.a.a.a.a.I(D0);
            while (I.hasNext()) {
                Call call = (Call) I.next();
                if (d.a.a.a.a.Z(call, str)) {
                    call.cancel();
                }
            }
            Iterator J = d.a.a.a.a.J(D0);
            while (J.hasNext()) {
                Call call2 = (Call) J.next();
                if (d.a.a.a.a.Z(call2, str)) {
                    call2.cancel();
                }
            }
        }
    }

    @Override // d.o.a.b.f.b
    public void onLoadMore(i iVar) {
        this.p++;
        n();
    }

    @Override // d.o.a.b.f.c
    public void onRefresh(i iVar) {
        this.p = 1;
        n();
    }

    @Override // androidx.fragment.app.Fragment
    public void setArguments(Bundle bundle) {
        super.setArguments(bundle);
        this.q = bundle.getInt(IjkMediaMeta.IJKM_KEY_TYPE);
    }
}
