package com.grass.mh.ui.mine.fragment;

import android.content.Intent;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import androidx.recyclerview.widget.LinearLayoutManager;
import com.androidjks.acfan.d1682156448763174048.R;
import com.androidx.lv.base.http.BaseRes;
import com.androidx.lv.base.ui.LazyFragment;
import com.grass.mh.bean.FansDetailsBean;
import com.grass.mh.bean.FansHotBean;
import com.grass.mh.databinding.FragmentMineFansAddBinding;
import com.grass.mh.ui.home.BloggerUserHomeActivity;
import com.grass.mh.ui.mine.adapter.MineFansAddAdapter;
import com.grass.mh.ui.mine.adapter.MineFansPopularityAdapter;
import com.lzy.okgo.cache.CacheMode;
import com.lzy.okgo.request.GetRequest;
import d.c.a.a.d.a;
import d.c.a.a.d.c;
import d.i.a.k.w.d.d;
import tv.danmaku.ijk.media.player.IjkMediaMeta;

public class MineFansAddFragment extends LazyFragment<FragmentMineFansAddBinding> implements d.c.a.a.e.a {
    public int n;
    public MineFansPopularityAdapter o;
    public MineFansAddAdapter p;

    public class a implements View.OnClickListener {
        public a() {
        }

        public void onClick(View view) {
            MineFansAddFragment.this.n();
        }
    }

    public class b implements View.OnClickListener {
        public b() {
        }

        public void onClick(View view) {
            MineFansAddFragment.this.n();
        }
    }

    public class c extends d.c.a.a.d.d.a<BaseRes<FansHotBean>> {
        public c(String str) {
            super(str);
        }

        @Override // d.c.a.a.d.d.b
        public void onLvSuccess(Object obj) {
            BaseRes baseRes = (BaseRes) obj;
            T t = MineFansAddFragment.this.f4157k;
            if (t != null) {
                ((FragmentMineFansAddBinding) t).f5909l.hideLoading();
                if (baseRes.getCode() != 200) {
                    Log.e("msg", baseRes.getMsg() + "");
                } else if (baseRes.getData() == null || ((FansHotBean) baseRes.getData()).getData() == null || ((FansHotBean) baseRes.getData()).getData().size() <= 0) {
                    ((FragmentMineFansAddBinding) MineFansAddFragment.this.f4157k).f5906h.setVisibility(0);
                } else {
                    MineFansAddFragment.this.p.d(((FansHotBean) baseRes.getData()).getData());
                    ((FragmentMineFansAddBinding) MineFansAddFragment.this.f4157k).f5906h.setVisibility(8);
                }
            }
        }
    }

    public static MineFansAddFragment o(int i2) {
        Bundle bundle = new Bundle();
        MineFansAddFragment mineFansAddFragment = new MineFansAddFragment();
        bundle.putInt(IjkMediaMeta.IJKM_KEY_TYPE, i2);
        super.setArguments(bundle);
        mineFansAddFragment.n = bundle.getInt(IjkMediaMeta.IJKM_KEY_TYPE, mineFansAddFragment.n);
        return mineFansAddFragment;
    }

    @Override // com.androidx.lv.base.ui.LazyFragment
    public void l() {
        ((FragmentMineFansAddBinding) this.f4157k).f5907j.setLayoutManager(new LinearLayoutManager(getActivity()));
        MineFansAddAdapter mineFansAddAdapter = new MineFansAddAdapter();
        this.p = mineFansAddAdapter;
        ((FragmentMineFansAddBinding) this.f4157k).f5907j.setAdapter(mineFansAddAdapter);
        this.p.f4120b = this;
        ((FragmentMineFansAddBinding) this.f4157k).f5905d.f5911h.setLayoutManager(new LinearLayoutManager(getActivity()));
        MineFansPopularityAdapter mineFansPopularityAdapter = new MineFansPopularityAdapter();
        this.o = mineFansPopularityAdapter;
        ((FragmentMineFansAddBinding) this.f4157k).f5905d.f5911h.setAdapter(mineFansPopularityAdapter);
        ((FragmentMineFansAddBinding) this.f4157k).f5906h.setVisibility(0);
        ((FragmentMineFansAddBinding) this.f4157k).f5909l.setOnRetryListener(new a());
        ((FragmentMineFansAddBinding) this.f4157k).f5905d.f5910d.setOnClickListener(new b());
        ((FragmentMineFansAddBinding) this.f4157k).f5905d.f5912j.setVisibility(8);
        String i2 = d.a.a.a.a.i(c.b.f7655a, new StringBuilder(), "/api/bloggerFansGroup/getHotList");
        d dVar = new d(this, "getFansHotList");
        ((GetRequest) ((GetRequest) ((GetRequest) new GetRequest(i2).tag(dVar.getTag())).cacheKey(i2)).cacheMode(CacheMode.NO_CACHE)).execute(dVar);
    }

    @Override // com.androidx.lv.base.ui.LazyFragment
    public int m() {
        return R.layout.fragment_mine_fans_add;
    }

    public void n() {
        ((FragmentMineFansAddBinding) this.f4157k).f5909l.showLoading();
        String i2 = d.a.a.a.a.i(c.b.f7655a, new StringBuilder(), "/api/bloggerFansGroup/getMyJoinList");
        c cVar = new c("getMyJoinList");
        ((GetRequest) ((GetRequest) ((GetRequest) new GetRequest(i2).tag(cVar.getTag())).cacheKey(i2)).cacheMode(CacheMode.NO_CACHE)).execute(cVar);
    }

    @Override // com.androidx.lv.base.ui.ImmersionFragment, androidx.fragment.app.Fragment
    public void onDestroy() {
        super.onDestroy();
        d.c.a.a.d.a aVar = a.b.f7651a;
        aVar.a("getMyJoinList");
        aVar.a("getFansHotList");
    }

    @Override // d.c.a.a.e.a
    public void onItemClick(View view, int i2) {
        if (!isOnClick()) {
            Intent intent = new Intent(view.getContext(), BloggerUserHomeActivity.class);
            intent.putExtra("userId", ((FansDetailsBean) this.p.b(i2)).getUserId());
            view.getContext().startActivity(intent);
        }
    }

    @Override // com.androidx.lv.base.ui.ImmersionFragment, androidx.fragment.app.Fragment
    public void onResume() {
        super.onResume();
        n();
    }

    @Override // androidx.fragment.app.Fragment
    public void setArguments(Bundle bundle) {
        super.setArguments(bundle);
        this.n = bundle.getInt(IjkMediaMeta.IJKM_KEY_TYPE, this.n);
    }
}
