package com.grass.mh.ui.mine.fragment;

import android.content.Intent;
import android.view.View;
import androidx.recyclerview.widget.LinearLayoutManager;
import b.o.a.n;
import com.androidjks.acfan.d1682156448763174048.R;
import com.androidx.lv.base.http.BaseRes;
import com.androidx.lv.base.ui.LazyFragment;
import com.androidx.lv.base.utils.NetUtil;
import com.androidx.lv.base.utils.ToastUtils;
import com.grass.mh.bean.FansRankingBean;
import com.grass.mh.databinding.FragmentMineFansBinding;
import com.grass.mh.ui.home.BloggerUserHomeActivity;
import com.grass.mh.ui.mine.activity.FansCreateActivity;
import com.grass.mh.ui.mine.adapter.MineFansRankingAdapter;
import com.lzy.okgo.cache.CacheMode;
import com.lzy.okgo.request.GetRequest;
import d.c.a.a.d.c;
import d.o.a.b.b.i;
import java.util.Iterator;
import java.util.List;
import okhttp3.Call;
import okhttp3.OkHttpClient;
import tv.danmaku.ijk.media.player.IjkMediaMeta;

public class MineFansFragment extends LazyFragment<FragmentMineFansBinding> implements d.o.a.b.f.d, d.c.a.a.e.a {
    public static final /* synthetic */ int n = 0;
    public int o = 1;
    public MineFansRankingAdapter p;

    public class a implements View.OnClickListener {
        public a() {
        }

        public void onClick(View view) {
            if (!MineFansFragment.this.isOnClick()) {
                MineFansFragment.this.getActivity().startActivity(new Intent(MineFansFragment.this.getActivity(), FansCreateActivity.class));
            }
        }
    }

    public class b implements View.OnClickListener {
        public b() {
        }

        public void onClick(View view) {
            MineFansFragment mineFansFragment = MineFansFragment.this;
            mineFansFragment.o = 1;
            mineFansFragment.n();
        }
    }

    public class c implements View.OnClickListener {
        public c() {
        }

        public void onClick(View view) {
            MineFansFragment.this.l();
        }
    }

    public class d implements View.OnClickListener {
        public d() {
        }

        public void onClick(View view) {
            if (!MineFansFragment.this.isOnClick()) {
                Intent intent = new Intent(MineFansFragment.this.getActivity(), FansCreateActivity.class);
                intent.putExtra(IjkMediaMeta.IJKM_KEY_TYPE, 1);
                MineFansFragment.this.getActivity().startActivity(intent);
            }
        }
    }

    public class e extends d.c.a.a.d.d.a<BaseRes<FansRankingBean>> {
        public e(String str) {
            super(str);
        }

        @Override // d.c.a.a.d.d.b
        public void onLvSuccess(Object obj) {
            BaseRes baseRes = (BaseRes) obj;
            T t = MineFansFragment.this.f4157k;
            if (t != null) {
                ((FragmentMineFansBinding) t).n.hideLoading();
                ((FragmentMineFansBinding) MineFansFragment.this.f4157k).m.k();
                ((FragmentMineFansBinding) MineFansFragment.this.f4157k).m.h();
                if (baseRes.getCode() != 200) {
                    MineFansFragment mineFansFragment = MineFansFragment.this;
                    if (mineFansFragment.o == 1) {
                        ((FragmentMineFansBinding) mineFansFragment.f4157k).n.showError();
                    } else {
                        ToastUtils.getInstance().showWeak(baseRes.getMsg());
                    }
                } else if (baseRes.getData() == null || ((FansRankingBean) baseRes.getData()).getData() == null || ((FansRankingBean) baseRes.getData()).getData().size() <= 0) {
                    MineFansFragment mineFansFragment2 = MineFansFragment.this;
                    if (mineFansFragment2.o == 1) {
                        ((FragmentMineFansBinding) mineFansFragment2.f4157k).n.showEmpty();
                    } else {
                        ((FragmentMineFansBinding) mineFansFragment2.f4157k).m.j();
                    }
                } else {
                    MineFansFragment mineFansFragment3 = MineFansFragment.this;
                    if (mineFansFragment3.o == 1) {
                        mineFansFragment3.p.d(((FansRankingBean) baseRes.getData()).getData());
                        ((FragmentMineFansBinding) MineFansFragment.this.f4157k).m.u(false);
                        return;
                    }
                    mineFansFragment3.p.f(((FansRankingBean) baseRes.getData()).getData());
                }
            }
        }
    }

    @Override // com.androidx.lv.base.ui.LazyFragment
    public void l() {
        ((FragmentMineFansBinding) this.f4157k).f5917j.setVisibility(8);
        ((FragmentMineFansBinding) this.f4157k).f5919l.setLayoutManager(new LinearLayoutManager(getActivity()));
        MineFansRankingAdapter mineFansRankingAdapter = new MineFansRankingAdapter();
        this.p = mineFansRankingAdapter;
        ((FragmentMineFansBinding) this.f4157k).f5919l.setAdapter(mineFansRankingAdapter);
        this.p.f4120b = this;
        ((FragmentMineFansBinding) this.f4157k).f5915d.f5921h.setOnClickListener(new a());
        ((FragmentMineFansBinding) this.f4157k).n.setOnRetryListener(new b());
        n();
        ((FragmentMineFansBinding) this.f4157k).f5915d.f5920d.setOnClickListener(new c());
        ((FragmentMineFansBinding) this.f4157k).p.setOnClickListener(new d());
    }

    @Override // com.androidx.lv.base.ui.LazyFragment
    public int m() {
        return R.layout.fragment_mine_fans;
    }

    public void n() {
        List<D> list;
        if (this.o == 1) {
            MineFansRankingAdapter mineFansRankingAdapter = this.p;
            if (!(mineFansRankingAdapter == null || (list = mineFansRankingAdapter.f4119a) == null || list.size() <= 0)) {
                this.p.clear();
            }
            if (!NetUtil.isNetworkAvailable()) {
                ((FragmentMineFansBinding) this.f4157k).n.showNoNet();
                return;
            }
            ((FragmentMineFansBinding) this.f4157k).n.showLoading();
        }
        String y = c.b.f7655a.y(d.a.a.a.a.l(), this.o);
        e eVar = new e("queryFansGroupRank");
        ((GetRequest) ((GetRequest) ((GetRequest) new GetRequest(y).tag(eVar.getTag())).cacheKey(y)).cacheMode(CacheMode.NO_CACHE)).execute(eVar);
    }

    @Override // com.androidx.lv.base.ui.ImmersionFragment, androidx.fragment.app.Fragment
    public void onDestroy() {
        super.onDestroy();
        OkHttpClient D0 = n.D0();
        if (D0 != null) {
            Iterator I = d.a.a.a.a.I(D0);
            while (I.hasNext()) {
                Call call = (Call) I.next();
                if (d.a.a.a.a.Z(call, "queryFansGroupRank")) {
                    call.cancel();
                }
            }
            Iterator J = d.a.a.a.a.J(D0);
            while (J.hasNext()) {
                Call call2 = (Call) J.next();
                if (d.a.a.a.a.Z(call2, "queryFansGroupRank")) {
                    call2.cancel();
                }
            }
        }
    }

    @Override // d.c.a.a.e.a
    public void onItemClick(View view, int i2) {
        if (!isOnClick()) {
            if (((FansRankingBean.FansRankingData) this.p.b(i2)).isBlogger()) {
                Intent intent = new Intent(view.getContext(), BloggerUserHomeActivity.class);
                intent.putExtra("userId", ((FansRankingBean.FansRankingData) this.p.b(i2)).getUserId());
                view.getContext().startActivity(intent);
                return;
            }
            ToastUtils.getInstance().show_center("当前用户不是博主，不能查看");
        }
    }

    @Override // d.o.a.b.f.b
    public void onLoadMore(i iVar) {
        this.o++;
        n();
    }

    @Override // d.o.a.b.f.c
    public void onRefresh(i iVar) {
        this.o = 1;
        n();
    }

    @Override // com.androidx.lv.base.ui.ImmersionFragment, androidx.fragment.app.Fragment
    public void onResume() {
        super.onResume();
        String i2 = d.a.a.a.a.i(c.b.f7655a, new StringBuilder(), "/api/bloggerFansGroup/queryFansGroupByUserId");
        d.i.a.k.w.d.e eVar = new d.i.a.k.w.d.e(this, "getFansGroupConfig");
        ((GetRequest) ((GetRequest) ((GetRequest) new GetRequest(i2).tag(eVar.getTag())).cacheKey(i2)).cacheMode(CacheMode.NO_CACHE)).execute(eVar);
    }
}
