package com.grass.mh.ui.shortvideo;

import android.content.Intent;
import android.os.Bundle;
import android.view.View;
import androidx.recyclerview.widget.GridLayoutManager;
import com.androidjks.acfan.d1682156448763174048.R;
import com.androidx.lv.base.bean.VideoBean;
import com.androidx.lv.base.bean.event.FollowBloggerEvent;
import com.androidx.lv.base.http.BaseRes;
import com.androidx.lv.base.ui.LazyFragment;
import com.androidx.lv.base.utils.NetUtil;
import com.androidx.lv.base.utils.UiUtils;
import com.grass.mh.bean.HomeOtherBean;
import com.grass.mh.databinding.FragmentRefreshBinding;
import com.grass.mh.ui.home.adapter.VideoVerTwoAdapter;
import com.lzy.okgo.cache.CacheEntity;
import com.lzy.okgo.cache.CacheMode;
import com.lzy.okgo.request.GetRequest;
import d.c.a.a.d.c;
import d.o.a.b.b.i;
import java.util.ArrayList;
import java.util.List;
import k.b.a.l;
import org.greenrobot.eventbus.ThreadMode;
import tv.danmaku.ijk.media.player.IjkMediaMeta;

public class ShortVideoLabelFragment extends LazyFragment<FragmentRefreshBinding> implements d.o.a.b.f.c, d.o.a.b.f.b {
    public static final /* synthetic */ int n = 0;
    public int o = 1;
    public VideoVerTwoAdapter p;
    public String q;
    public int r = 0;

    public class a implements d.c.a.a.e.a {
        public a() {
        }

        @Override // d.c.a.a.e.a
        public void onItemClick(View view, int i2) {
            if (!ShortVideoLabelFragment.this.isOnClick()) {
                Intent intent = new Intent(view.getContext(), VideoListActivity.class);
                int i3 = 0;
                intent.putExtra("position", 0);
                ArrayList arrayList = new ArrayList();
                while (i2 < ShortVideoLabelFragment.this.p.f4119a.size()) {
                    i3++;
                    arrayList.add((VideoBean) ShortVideoLabelFragment.this.p.b(i2));
                    if (i3 == 40) {
                        break;
                    }
                    i2++;
                }
                intent.putExtra("parcelable_entity", arrayList);
                ShortVideoLabelFragment.this.startActivity(intent);
            }
        }
    }

    public class b implements View.OnClickListener {
        public b() {
        }

        public void onClick(View view) {
            ShortVideoLabelFragment shortVideoLabelFragment = ShortVideoLabelFragment.this;
            shortVideoLabelFragment.o = 1;
            shortVideoLabelFragment.n();
        }
    }

    public class c extends d.c.a.a.d.d.a<BaseRes<HomeOtherBean>> {
        public c(String str) {
            super(str);
        }

        @Override // d.c.a.a.d.d.b
        public void onLvSuccess(Object obj) {
            BaseRes baseRes = (BaseRes) obj;
            T t = ShortVideoLabelFragment.this.f4157k;
            if (t != null) {
                ((FragmentRefreshBinding) t).f5971j.hideLoading();
                ((FragmentRefreshBinding) ShortVideoLabelFragment.this.f4157k).f5970h.k();
                ((FragmentRefreshBinding) ShortVideoLabelFragment.this.f4157k).f5970h.h();
                if (baseRes.getCode() != 200) {
                    ((FragmentRefreshBinding) ShortVideoLabelFragment.this.f4157k).f5971j.showError();
                    ((FragmentRefreshBinding) ShortVideoLabelFragment.this.f4157k).f5970h.j();
                } else if (baseRes.getData() == null || ((HomeOtherBean) baseRes.getData()).getData() == null || ((HomeOtherBean) baseRes.getData()).getData().size() <= 0) {
                    ((FragmentRefreshBinding) ShortVideoLabelFragment.this.f4157k).f5970h.j();
                    ShortVideoLabelFragment shortVideoLabelFragment = ShortVideoLabelFragment.this;
                    if (shortVideoLabelFragment.o == 1) {
                        ((FragmentRefreshBinding) shortVideoLabelFragment.f4157k).f5971j.showEmpty();
                    }
                } else {
                    List<VideoBean> data = ((HomeOtherBean) baseRes.getData()).getData();
                    ShortVideoLabelFragment shortVideoLabelFragment2 = ShortVideoLabelFragment.this;
                    if (shortVideoLabelFragment2.o == 1) {
                        shortVideoLabelFragment2.p.d(data);
                        ((FragmentRefreshBinding) ShortVideoLabelFragment.this.f4157k).f5970h.u(false);
                        return;
                    }
                    shortVideoLabelFragment2.p.f(data);
                }
            }
        }
    }

    @Override // d.j.a.a.a, com.androidx.lv.base.ui.LazyFragment
    public void a() {
        super.a();
    }

    @Override // com.androidx.lv.base.ui.LazyFragment
    public void l() {
        k.b.a.c.b().j(this);
        T t = this.f4157k;
        ((FragmentRefreshBinding) t).f5970h.l0 = this;
        ((FragmentRefreshBinding) t).f5970h.v(this);
        this.p = new VideoVerTwoAdapter();
        ((FragmentRefreshBinding) this.f4157k).f5969d.setLayoutManager(new GridLayoutManager(getActivity(), 2));
        ((FragmentRefreshBinding) this.f4157k).f5969d.setAdapter(this.p);
        ((FragmentRefreshBinding) this.f4157k).f5969d.setPadding(UiUtils.dp2px(10), 0, UiUtils.dp2px(10), 0);
        this.p.f4120b = new a();
        ((FragmentRefreshBinding) this.f4157k).f5971j.setOnRetryListener(new b());
        n();
    }

    @Override // com.androidx.lv.base.ui.LazyFragment
    public int m() {
        return R.layout.fragment_refresh;
    }

    public void n() {
        List<D> list;
        if (this.o == 1) {
            VideoVerTwoAdapter videoVerTwoAdapter = this.p;
            if (!(videoVerTwoAdapter == null || (list = videoVerTwoAdapter.f4119a) == null || list.size() <= 0)) {
                this.p.clear();
            }
            if (!NetUtil.isNetworkAvailable()) {
                ((FragmentRefreshBinding) this.f4157k).f5971j.showNoNet();
                return;
            }
            ((FragmentRefreshBinding) this.f4157k).f5971j.showLoading();
        }
        d.c.a.a.d.c cVar = c.b.f7655a;
        int i2 = this.o;
        String str = this.q;
        int i3 = this.r;
        StringBuilder sb = new StringBuilder();
        d.a.a.a.a.P(cVar, sb, "/api/short/video/queryShortVideoByTag?pageSize=20&page=", i2, "&tagTitle=");
        sb.append(str);
        sb.append("&choiceSort=");
        sb.append(i3);
        String sb2 = sb.toString();
        c cVar2 = new c("");
        ((GetRequest) ((GetRequest) ((GetRequest) new GetRequest(sb2).tag(cVar2.getTag())).cacheKey(sb2)).cacheMode(CacheMode.NO_CACHE)).execute(cVar2);
    }

    @Override // com.androidx.lv.base.ui.ImmersionFragment, androidx.fragment.app.Fragment
    public void onDestroy() {
        super.onDestroy();
        k.b.a.c.b().l(this);
    }

    @Override // androidx.fragment.app.Fragment, com.androidx.lv.base.ui.LazyFragment
    public void onDestroyView() {
        super.onDestroyView();
    }

    @l(threadMode = ThreadMode.MAIN)
    public void onFollowEvent(FollowBloggerEvent followBloggerEvent) {
        List<D> list = this.p.f4119a;
        for (int i2 = 0; i2 < list.size(); i2++) {
            if (list.get(i2).getUserId() == followBloggerEvent.getUserId()) {
                list.get(i2).setAttention(followBloggerEvent.isFollow());
                this.p.notifyItemChanged(i2, "payload");
            }
        }
    }

    @Override // d.o.a.b.f.b
    public void onLoadMore(i iVar) {
        this.o++;
        n();
    }

    @Override // d.o.a.b.f.c
    public void onRefresh(i iVar) {
        this.o = 1;
        n();
    }

    @Override // androidx.fragment.app.Fragment
    public void setArguments(Bundle bundle) {
        super.setArguments(bundle);
        if (bundle != null) {
            this.q = bundle.getString(CacheEntity.DATA);
            this.r = bundle.getInt(IjkMediaMeta.IJKM_KEY_TYPE);
        }
    }
}
