package com.grass.mh.view;

import android.content.Context;
import android.util.AttributeSet;
import android.view.MotionEvent;
import com.youth.banner.Banner;

public class MyBanner extends Banner {
    public float startX = 0.0f;
    public float startY = 0.0f;

    public MyBanner(Context context) {
        super(context);
    }

    @Override // com.youth.banner.Banner
    public boolean onInterceptTouchEvent(MotionEvent motionEvent) {
        int actionMasked = motionEvent.getActionMasked();
        if (actionMasked == 0) {
            this.startY = motionEvent.getY();
            this.startX = motionEvent.getX();
            return false;
        } else if (actionMasked != 2) {
            return false;
        } else {
            motionEvent.getY();
            return false;
        }
    }

    public MyBanner(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
    }

    public MyBanner(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
    }
}
