package com.luck.picture.lib.immersive;

import android.os.Build;
import android.view.Window;
import androidx.appcompat.app.AppCompatActivity;

public class ImmersiveManage {
    public static void immersiveAboveAPI23(AppCompatActivity appCompatActivity, int i2, int i3, boolean z) {
        if (Build.VERSION.SDK_INT >= 23) {
            immersiveAboveAPI23(appCompatActivity, false, false, i2, i3, z);
        }
    }

    public static void immersiveAboveAPI23(AppCompatActivity appCompatActivity, boolean z, boolean z2, int i2, int i3, boolean z3) {
        try {
            Window window = appCompatActivity.getWindow();
            boolean z4 = false;
            boolean z5 = true;
            if (z && z2) {
                window.clearFlags(201326592);
                if (i2 == 0) {
                    z4 = true;
                }
                LightStatusBarUtils.setLightStatusBar(appCompatActivity, true, true, z4, z3);
                window.addFlags(Integer.MIN_VALUE);
            } else if (!z && !z2) {
                window.requestFeature(1);
                window.clearFlags(201326592);
                if (i2 != 0) {
                    z5 = false;
                }
                LightStatusBarUtils.setLightStatusBar(appCompatActivity, false, false, z5, z3);
                window.addFlags(Integer.MIN_VALUE);
            } else if (!z) {
                window.requestFeature(1);
                window.clearFlags(201326592);
                LightStatusBarUtils.setLightStatusBar(appCompatActivity, false, true, i2 == 0, z3);
                window.addFlags(Integer.MIN_VALUE);
            } else {
                return;
            }
            window.setStatusBarColor(i2);
            window.setNavigationBarColor(i3);
        } catch (Exception unused) {
        }
    }
}
