package com.lxj.xpopup.widget;

import android.content.Context;
import android.graphics.Rect;
import android.util.AttributeSet;
import android.view.MotionEvent;
import android.view.View;
import android.view.ViewConfiguration;
import android.widget.FrameLayout;
import d.l.b.e.a;
import d.l.b.g.e;

public class PartShadowContainer extends FrameLayout {
    public boolean isDismissOnTouchOutside;
    private a listener;
    private float x;
    private float y;

    public PartShadowContainer(Context context) {
        super(context);
        this.isDismissOnTouchOutside = true;
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        a aVar;
        View childAt = getChildAt(0);
        int[] iArr = new int[2];
        childAt.getLocationInWindow(iArr);
        if (!e.l(motionEvent.getRawX(), motionEvent.getRawY(), new Rect(iArr[0], iArr[1], childAt.getMeasuredWidth() + iArr[0], childAt.getMeasuredHeight() + iArr[1]))) {
            int action = motionEvent.getAction();
            if (action == 0) {
                this.x = motionEvent.getX();
                this.y = motionEvent.getY();
            } else if (action == 1) {
                if (((float) Math.sqrt(Math.pow((double) (motionEvent.getY() - this.y), 2.0d) + Math.pow((double) (motionEvent.getX() - this.x), 2.0d))) < ((float) ViewConfiguration.get(getContext()).getScaledTouchSlop()) && this.isDismissOnTouchOutside && (aVar = this.listener) != null) {
                    aVar.a();
                }
                this.x = 0.0f;
                this.y = 0.0f;
            }
        }
        return true;
    }

    public void setOnClickOutsideListener(a aVar) {
        this.listener = aVar;
    }

    public PartShadowContainer(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public PartShadowContainer(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.isDismissOnTouchOutside = true;
    }
}
