package com.yalantis.ucrop.view;

import android.content.Context;
import android.util.AttributeSet;
import android.view.GestureDetector;
import android.view.MotionEvent;
import android.view.ScaleGestureDetector;
import android.widget.ImageView;
import com.shuyu.gsyvideoplayer.utils.NeuQuant;
import com.yalantis.ucrop.view.CropImageView;
import d.r.a.m.c;
import java.util.Objects;

public class GestureCropImageView extends CropImageView {
    public ScaleGestureDetector I;
    public d.r.a.m.c J;
    public GestureDetector K;
    public float L;
    public float M;
    public boolean N;
    public boolean O;
    public int P;

    public class b extends GestureDetector.SimpleOnGestureListener {
        public b(a aVar) {
        }

        public boolean onDoubleTap(MotionEvent motionEvent) {
            GestureCropImageView gestureCropImageView = GestureCropImageView.this;
            float doubleTapTargetScale = gestureCropImageView.getDoubleTapTargetScale();
            float x = motionEvent.getX();
            float y = motionEvent.getY();
            if (doubleTapTargetScale > gestureCropImageView.getMaxScale()) {
                doubleTapTargetScale = gestureCropImageView.getMaxScale();
            }
            float currentScale = gestureCropImageView.getCurrentScale();
            CropImageView.b bVar = new CropImageView.b(gestureCropImageView, 200, currentScale, doubleTapTargetScale - currentScale, x, y);
            gestureCropImageView.C = bVar;
            gestureCropImageView.post(bVar);
            return super.onDoubleTap(motionEvent);
        }

        public boolean onScroll(MotionEvent motionEvent, MotionEvent motionEvent2, float f2, float f3) {
            GestureCropImageView.this.f(-f2, -f3);
            return true;
        }
    }

    public class c extends c.b {
        public c(a aVar) {
        }
    }

    public class d extends ScaleGestureDetector.SimpleOnScaleGestureListener {
        public d(a aVar) {
        }

        public boolean onScale(ScaleGestureDetector scaleGestureDetector) {
            GestureCropImageView gestureCropImageView = GestureCropImageView.this;
            float scaleFactor = scaleGestureDetector.getScaleFactor();
            GestureCropImageView gestureCropImageView2 = GestureCropImageView.this;
            gestureCropImageView.e(scaleFactor, gestureCropImageView2.L, gestureCropImageView2.M);
            return true;
        }
    }

    public GestureCropImageView(Context context) {
        super(context);
        this.N = true;
        this.O = true;
        this.P = 5;
    }

    public int getDoubleTapScaleSteps() {
        return this.P;
    }

    public float getDoubleTapTargetScale() {
        return getCurrentScale() * ((float) Math.pow((double) (getMaxScale() / getMinScale()), (double) (1.0f / ((float) this.P))));
    }

    @Override // com.yalantis.ucrop.view.TransformImageView
    public void init() {
        setScaleType(ImageView.ScaleType.MATRIX);
        this.K = new GestureDetector(getContext(), new b(null), null, true);
        this.I = new ScaleGestureDetector(getContext(), new d(null));
        this.J = new d.r.a.m.c(new c(null));
    }

    public boolean onTouchEvent(MotionEvent motionEvent) {
        if ((motionEvent.getAction() & NeuQuant.maxnetpos) == 0) {
            h();
        }
        if (motionEvent.getPointerCount() > 1) {
            this.L = (motionEvent.getX(1) + motionEvent.getX(0)) / 2.0f;
            this.M = (motionEvent.getY(1) + motionEvent.getY(0)) / 2.0f;
        }
        this.K.onTouchEvent(motionEvent);
        if (this.O) {
            this.I.onTouchEvent(motionEvent);
        }
        if (this.N) {
            d.r.a.m.c cVar = this.J;
            Objects.requireNonNull(cVar);
            int actionMasked = motionEvent.getActionMasked();
            if (actionMasked == 0) {
                cVar.f12616c = motionEvent.getX();
                cVar.f12617d = motionEvent.getY();
                cVar.f12618e = motionEvent.findPointerIndex(motionEvent.getPointerId(0));
                cVar.f12620g = 0.0f;
                cVar.f12621h = true;
            } else if (actionMasked == 1) {
                cVar.f12618e = -1;
            } else if (actionMasked != 2) {
                if (actionMasked == 5) {
                    cVar.f12614a = motionEvent.getX();
                    cVar.f12615b = motionEvent.getY();
                    cVar.f12619f = motionEvent.findPointerIndex(motionEvent.getPointerId(motionEvent.getActionIndex()));
                    cVar.f12620g = 0.0f;
                    cVar.f12621h = true;
                } else if (actionMasked == 6) {
                    cVar.f12619f = -1;
                }
            } else if (!(cVar.f12618e == -1 || cVar.f12619f == -1 || motionEvent.getPointerCount() <= cVar.f12619f)) {
                float x = motionEvent.getX(cVar.f12618e);
                float y = motionEvent.getY(cVar.f12618e);
                float x2 = motionEvent.getX(cVar.f12619f);
                float y2 = motionEvent.getY(cVar.f12619f);
                if (cVar.f12621h) {
                    cVar.f12620g = 0.0f;
                    cVar.f12621h = false;
                } else {
                    float f2 = cVar.f12614a;
                    float degrees = (((float) Math.toDegrees((double) ((float) Math.atan2((double) (y2 - y), (double) (x2 - x))))) % 360.0f) - (((float) Math.toDegrees((double) ((float) Math.atan2((double) (cVar.f12615b - cVar.f12617d), (double) (f2 - cVar.f12616c))))) % 360.0f);
                    cVar.f12620g = degrees;
                    if (degrees < -180.0f) {
                        cVar.f12620g = degrees + 360.0f;
                    } else if (degrees > 180.0f) {
                        cVar.f12620g = degrees - 360.0f;
                    }
                }
                c.a aVar = cVar.f12622i;
                if (aVar != null) {
                    GestureCropImageView gestureCropImageView = GestureCropImageView.this;
                    gestureCropImageView.d(cVar.f12620g, gestureCropImageView.L, gestureCropImageView.M);
                }
                cVar.f12614a = x2;
                cVar.f12615b = y2;
                cVar.f12616c = x;
                cVar.f12617d = y;
            }
        }
        if ((motionEvent.getAction() & NeuQuant.maxnetpos) == 1) {
            setImageToWrapCropBounds(true);
        }
        return true;
    }

    public void setDoubleTapScaleSteps(int i2) {
        this.P = i2;
    }

    public void setRotateEnabled(boolean z) {
        this.N = z;
    }

    public void setScaleEnabled(boolean z) {
        this.O = z;
    }

    public GestureCropImageView(Context context, AttributeSet attributeSet) {
        this(context, attributeSet, 0);
    }

    public GestureCropImageView(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
        this.N = true;
        this.O = true;
        this.P = 5;
    }
}
