package com.youth.banner.util;

import android.content.res.Resources;
import android.graphics.Outline;
import android.util.TypedValue;
import android.view.View;
import android.view.ViewGroup;
import android.view.ViewOutlineProvider;
import d.a.a.a.a;

public class BannerUtils {
    public static int dp2px(float f2) {
        return (int) TypedValue.applyDimension(1, f2, Resources.getSystem().getDisplayMetrics());
    }

    public static int getRealPosition(boolean z, int i2, int i3) {
        if (!z) {
            return i2;
        }
        if (i2 == 0) {
            return i3 - 1;
        }
        if (i2 == i3 + 1) {
            return 0;
        }
        return i2 - 1;
    }

    public static View getView(ViewGroup viewGroup, int i2) {
        View b0 = a.b0(viewGroup, i2, viewGroup, false);
        ViewGroup.LayoutParams layoutParams = b0.getLayoutParams();
        if (!(layoutParams.height == -1 && layoutParams.width == -1)) {
            layoutParams.height = -1;
            layoutParams.width = -1;
            b0.setLayoutParams(layoutParams);
        }
        return b0;
    }

    public static void setBannerRound(View view, final float f2) {
        view.setOutlineProvider(new ViewOutlineProvider() {
            /* class com.youth.banner.util.BannerUtils.AnonymousClass1 */

            public void getOutline(View view, Outline outline) {
                outline.setRoundRect(0, 0, view.getWidth(), view.getHeight(), f2);
            }
        });
        view.setClipToOutline(true);
    }
}
