package d.f.b;

import android.content.SharedPreferences;
import b.o.a.n;
import com.flurry.sdk.ex;
import com.google.android.gms.ads.identifier.AdvertisingIdClient;
import java.util.Locale;
import java.util.concurrent.atomic.AtomicBoolean;

public final class e extends c2 {
    public String p = "";
    public boolean q = false;
    public AtomicBoolean r = new AtomicBoolean(false);

    public e() {
        super("AdvertisingIdProvider", ex.a(ex.a.PROVIDER));
    }

    public static AdvertisingIdClient.Info k() {
        try {
            AdvertisingIdClient.Info advertisingIdInfo = AdvertisingIdClient.getAdvertisingIdInfo(y.f8917a);
            return new AdvertisingIdClient.Info(advertisingIdInfo.getId(), advertisingIdInfo.isLimitAdTrackingEnabled());
        } catch (NoClassDefFoundError unused) {
            b1.b(6, "AdvertisingIdProvider", "There is a problem with the Google Play Services library, which is required for Android Advertising ID support. The Google Play Services library should be integrated in any app shipping in the Play Store that uses analytics or advertising.");
            return null;
        } catch (Exception e2) {
            b1.b(6, "AdvertisingIdProvider", "GOOGLE PLAY SERVICES ERROR: " + e2.getMessage());
            b1.b(6, "AdvertisingIdProvider", "There is a problem with the Google Play Services library, which is required for Android Advertising ID support. The Google Play Services library should be integrated in any app shipping in the Play Store that uses analytics or advertising.");
            return null;
        }
    }

    public final void a() {
        AdvertisingIdClient.Info k2 = k();
        if (k2 != null) {
            this.p = k2.getId();
            this.q = !k2.isLimitAdTrackingEnabled();
            this.r.set(true);
            n.l("advertising_id", k2.getId());
            boolean isLimitAdTrackingEnabled = k2.isLimitAdTrackingEnabled();
            SharedPreferences.Editor edit = y.f8917a.getSharedPreferences("FLURRY_SHARED_PREFERENCES", 0).edit();
            edit.putBoolean(String.format(Locale.US, "com.flurry.sdk.%s", "ad_tracking_enabled"), isLimitAdTrackingEnabled);
            edit.apply();
        }
    }
}
