package d.f.b;

import android.app.Activity;
import android.app.Application;
import android.content.ComponentCallbacks2;
import android.content.Intent;
import android.content.res.Configuration;
import android.os.Bundle;
import com.flurry.sdk.ao;
import java.util.HashSet;
import java.util.Set;

public final class n extends f6<ao> implements Application.ActivityLifecycleCallbacks, ComponentCallbacks2 {
    public static String q;
    public int r = 0;
    public final Set<String> s;

    public n() {
        super("ApplicationLifecycleProvider");
        Application application = (Application) y.f8917a;
        if (application != null) {
            this.r = application.getResources().getConfiguration().orientation;
            application.registerActivityLifecycleCallbacks(this);
            application.registerComponentCallbacks(this);
        }
        this.s = new HashSet();
    }

    public final void l(int i2) {
        Bundle bundle = new Bundle();
        bundle.putInt("trim_memory_level", i2);
        f(new h6(this, new ao(ao.a.TRIM_MEMORY, bundle)));
    }

    public final void m(Activity activity, ao.a aVar) {
        Intent intent;
        Bundle extras;
        Bundle bundle = new Bundle();
        bundle.putString("activity_name", activity.getLocalClassName());
        if (!(!ao.a.CREATED.equals(aVar) || (intent = activity.getIntent()) == null || (extras = intent.getExtras()) == null)) {
            bundle.putBundle("launch_options", extras);
        }
        f(new h6(this, new ao(aVar, bundle)));
    }

    public final void onActivityCreated(Activity activity, Bundle bundle) {
        m(activity, ao.a.CREATED);
        synchronized (this) {
            if (q == null) {
                q = activity.getClass().getName();
            }
        }
    }

    public final void onActivityDestroyed(Activity activity) {
        m(activity, ao.a.DESTROYED);
    }

    public final void onActivityPaused(Activity activity) {
        m(activity, ao.a.PAUSED);
    }

    public final void onActivityResumed(Activity activity) {
        m(activity, ao.a.RESUMED);
    }

    public final void onActivitySaveInstanceState(Activity activity, Bundle bundle) {
        m(activity, ao.a.SAVE_STATE);
    }

    public final void onActivityStarted(Activity activity) {
        this.s.add(activity.toString());
        m(activity, ao.a.STARTED);
    }

    public final void onActivityStopped(Activity activity) {
        this.s.remove(activity.toString());
        m(activity, ao.a.STOPPED);
        if (this.s.isEmpty()) {
            m(activity, ao.a.APP_BACKGROUND);
        }
    }

    public final void onConfigurationChanged(Configuration configuration) {
        int i2 = configuration.orientation;
        if (this.r != i2) {
            this.r = i2;
            Bundle bundle = new Bundle();
            bundle.putInt("orientation_name", this.r);
            f(new h6(this, new ao(ao.a.APP_ORIENTATION_CHANGE, bundle)));
        }
    }

    public final void onLowMemory() {
        l(80);
    }

    public final void onTrimMemory(int i2) {
        l(i2);
    }
}
