package d.h.a.a;

import android.annotation.TargetApi;
import android.media.MediaCodec;
import android.media.MediaCrypto;
import android.media.MediaFormat;
import android.media.PlaybackParams;
import android.os.Handler;
import android.os.SystemClock;
import android.util.Log;
import android.view.Surface;
import b.o.a.n;
import com.google.android.exoplayer.ExoPlaybackException;
import com.google.android.exoplayer.MediaCodecTrackRenderer;
import com.google.android.exoplayer.audio.AudioTrack;
import d.h.a.a.f0.b;
import java.lang.reflect.Method;
import java.nio.ByteBuffer;
import java.util.Arrays;
import java.util.Objects;
import tv.danmaku.ijk.media.player.misc.IMediaFormat;

@TargetApi(16)
/* compiled from: MediaCodecAudioTrackRenderer */
public class o extends MediaCodecTrackRenderer implements k {
    public final a c0;
    public final AudioTrack d0;
    public boolean e0;
    public MediaFormat f0;
    public int g0;
    public int h0 = 0;
    public long i0;
    public boolean j0;
    public boolean k0;
    public long l0;

    /* compiled from: MediaCodecAudioTrackRenderer */
    public interface a extends MediaCodecTrackRenderer.a {
        void onAudioTrackInitializationError(AudioTrack.InitializationException initializationException);

        void onAudioTrackUnderrun(int i2, long j2, long j3);

        void onAudioTrackWriteError(AudioTrack.WriteException writeException);
    }

    public o(w wVar, p pVar, b bVar, boolean z, Handler handler, a aVar, d.h.a.a.c0.a aVar2, int i2) {
        super(new w[]{wVar}, pVar, bVar, z, handler, aVar);
        this.c0 = aVar;
        this.d0 = new AudioTrack(aVar2, i2);
    }

    @Override // com.google.android.exoplayer.MediaCodecTrackRenderer
    public d A(p pVar, String str, boolean z) {
        d a2;
        if (!L(str) || (a2 = pVar.a()) == null) {
            this.e0 = false;
            return pVar.b(str, z);
        }
        this.e0 = true;
        return a2;
    }

    @Override // com.google.android.exoplayer.MediaCodecTrackRenderer
    public boolean B(p pVar, com.google.android.exoplayer.MediaFormat mediaFormat) {
        String str = mediaFormat.mimeType;
        if (!n.Y0(str)) {
            return false;
        }
        if ("audio/x-unknown".equals(str) || ((L(str) && pVar.a() != null) || pVar.b(str, false) != null)) {
            return true;
        }
        return false;
    }

    @Override // com.google.android.exoplayer.MediaCodecTrackRenderer
    public void E(u uVar) {
        super.E(uVar);
        this.g0 = "audio/raw".equals(uVar.f10131a.mimeType) ? uVar.f10131a.pcmEncoding : 2;
    }

    @Override // com.google.android.exoplayer.MediaCodecTrackRenderer
    public void F(MediaCodec mediaCodec, MediaFormat mediaFormat) {
        String str;
        int i2;
        long j2;
        MediaFormat mediaFormat2 = this.f0;
        boolean z = true;
        boolean z2 = mediaFormat2 != null;
        if (z2) {
            str = mediaFormat2.getString(IMediaFormat.KEY_MIME);
        } else {
            str = "audio/raw";
        }
        if (z2) {
            mediaFormat = this.f0;
        }
        int integer = mediaFormat.getInteger("channel-count");
        int integer2 = mediaFormat.getInteger("sample-rate");
        AudioTrack audioTrack = this.d0;
        int i3 = this.g0;
        Objects.requireNonNull(audioTrack);
        switch (integer) {
            case 1:
                i2 = 4;
                break;
            case 2:
                i2 = 12;
                break;
            case 3:
                i2 = 28;
                break;
            case 4:
                i2 = 204;
                break;
            case 5:
                i2 = 220;
                break;
            case 6:
                i2 = 252;
                break;
            case 7:
                i2 = 1276;
                break;
            case 8:
                i2 = a.f8974a;
                break;
            default:
                throw new IllegalArgumentException(d.a.a.a.a.k("Unsupported channel count: ", integer));
        }
        boolean z3 = !"audio/raw".equals(str);
        if (z3) {
            i3 = AudioTrack.c(str);
        } else if (!(i3 == 3 || i3 == 2 || i3 == Integer.MIN_VALUE || i3 == 1073741824)) {
            throw new IllegalArgumentException(d.a.a.a.a.k("Unsupported PCM encoding: ", i3));
        }
        if (!audioTrack.h() || audioTrack.f4525i != i3 || audioTrack.f4523g != integer2 || audioTrack.f4524h != i2) {
            audioTrack.k();
            audioTrack.f4525i = i3;
            audioTrack.f4527k = z3;
            audioTrack.f4523g = integer2;
            audioTrack.f4524h = i2;
            if (!z3) {
                i3 = 2;
            }
            audioTrack.f4526j = i3;
            audioTrack.f4528l = integer * 2;
            if (!z3) {
                int minBufferSize = android.media.AudioTrack.getMinBufferSize(integer2, i2, i3);
                if (minBufferSize == -2) {
                    z = false;
                }
                n.D(z);
                int i4 = minBufferSize * 4;
                int a2 = ((int) audioTrack.a(250000)) * audioTrack.f4528l;
                int max = (int) Math.max((long) minBufferSize, audioTrack.a(750000) * ((long) audioTrack.f4528l));
                if (i4 < a2) {
                    i4 = a2;
                } else if (i4 > max) {
                    i4 = max;
                }
                audioTrack.m = i4;
            } else if (i3 == 5 || i3 == 6) {
                audioTrack.m = 20480;
            } else {
                audioTrack.m = 49152;
            }
            if (z3) {
                j2 = -1;
            } else {
                j2 = audioTrack.b(((long) audioTrack.m) / ((long) audioTrack.f4528l));
            }
            audioTrack.n = j2;
        }
    }

    @Override // com.google.android.exoplayer.MediaCodecTrackRenderer
    public void G() {
        AudioTrack audioTrack = this.d0;
        if (audioTrack.h()) {
            AudioTrack.b bVar = audioTrack.f4521e;
            long d2 = audioTrack.d();
            bVar.f4538h = bVar.a();
            bVar.f4537g = SystemClock.elapsedRealtime() * 1000;
            bVar.f4539i = d2;
            bVar.f4531a.stop();
        }
    }

    @Override // com.google.android.exoplayer.MediaCodecTrackRenderer
    public boolean I(long j2, long j3, MediaCodec mediaCodec, ByteBuffer byteBuffer, MediaCodec.BufferInfo bufferInfo, int i2, boolean z) {
        if (this.e0 && (bufferInfo.flags & 2) != 0) {
            mediaCodec.releaseOutputBuffer(i2, false);
            return true;
        } else if (z) {
            mediaCodec.releaseOutputBuffer(i2, false);
            this.p.f8982g++;
            AudioTrack audioTrack = this.d0;
            if (audioTrack.y == 1) {
                audioTrack.y = 2;
            }
            return true;
        } else {
            if (!this.d0.h()) {
                try {
                    int i3 = this.h0;
                    if (i3 != 0) {
                        this.d0.g(i3);
                    } else {
                        this.h0 = this.d0.g(0);
                    }
                    this.k0 = false;
                    if (this.f8975d == 3) {
                        this.d0.j();
                    }
                } catch (AudioTrack.InitializationException e2) {
                    Handler handler = this.z;
                    if (!(handler == null || this.c0 == null)) {
                        handler.post(new l(this, e2));
                    }
                    throw new ExoPlaybackException(e2);
                }
            } else {
                boolean z2 = this.k0;
                boolean f2 = this.d0.f();
                this.k0 = f2;
                if (z2 && !f2 && this.f8975d == 3) {
                    long elapsedRealtime = SystemClock.elapsedRealtime() - this.l0;
                    AudioTrack audioTrack2 = this.d0;
                    long j4 = audioTrack2.n;
                    long j5 = -1;
                    if (j4 != -1) {
                        j5 = j4 / 1000;
                    }
                    int i4 = audioTrack2.m;
                    Handler handler2 = this.z;
                    if (!(handler2 == null || this.c0 == null)) {
                        handler2.post(new n(this, i4, j5, elapsedRealtime));
                    }
                }
            }
            try {
                int e3 = this.d0.e(byteBuffer, bufferInfo.offset, bufferInfo.size, bufferInfo.presentationTimeUs);
                this.l0 = SystemClock.elapsedRealtime();
                if ((e3 & 1) != 0) {
                    this.j0 = true;
                }
                if ((e3 & 2) == 0) {
                    return false;
                }
                mediaCodec.releaseOutputBuffer(i2, false);
                this.p.f8981f++;
                return true;
            } catch (AudioTrack.WriteException e4) {
                Handler handler3 = this.z;
                if (!(handler3 == null || this.c0 == null)) {
                    handler3.post(new m(this, e4));
                }
                throw new ExoPlaybackException(e4);
            }
        }
    }

    public boolean L(String str) {
        d.h.a.a.c0.a aVar = this.d0.f4517a;
        if (aVar == null) {
            return false;
        }
        if (Arrays.binarySearch(aVar.f9009b, AudioTrack.c(str)) >= 0) {
            return true;
        }
        return false;
    }

    @Override // d.h.a.a.a0, d.h.a.a.g.a
    public void a(int i2, Object obj) {
        if (i2 == 1) {
            AudioTrack audioTrack = this.d0;
            float floatValue = ((Float) obj).floatValue();
            if (audioTrack.C != floatValue) {
                audioTrack.C = floatValue;
                audioTrack.l();
            }
        } else if (i2 == 2) {
            this.d0.f4521e.f((PlaybackParams) obj);
        }
    }

    @Override // d.h.a.a.k
    public long b() {
        long j2;
        long j3;
        AudioTrack audioTrack = this.d0;
        boolean j4 = j();
        if (!(audioTrack.h() && audioTrack.y != 0)) {
            j2 = Long.MIN_VALUE;
        } else {
            if (audioTrack.f4522f.getPlayState() == 3) {
                AudioTrack.b bVar = audioTrack.f4521e;
                long a2 = (bVar.a() * 1000000) / ((long) bVar.f4533c);
                if (a2 != 0) {
                    long nanoTime = System.nanoTime() / 1000;
                    if (nanoTime - audioTrack.r >= 30000) {
                        long[] jArr = audioTrack.f4520d;
                        int i2 = audioTrack.o;
                        jArr[i2] = a2 - nanoTime;
                        audioTrack.o = (i2 + 1) % 10;
                        int i3 = audioTrack.p;
                        if (i3 < 10) {
                            audioTrack.p = i3 + 1;
                        }
                        audioTrack.r = nanoTime;
                        audioTrack.q = 0;
                        int i4 = 0;
                        while (true) {
                            int i5 = audioTrack.p;
                            if (i4 >= i5) {
                                break;
                            }
                            audioTrack.q = (audioTrack.f4520d[i4] / ((long) i5)) + audioTrack.q;
                            i4++;
                        }
                    }
                    if (!audioTrack.i() && nanoTime - audioTrack.t >= 500000) {
                        boolean g2 = audioTrack.f4521e.g();
                        audioTrack.s = g2;
                        if (g2) {
                            long d2 = audioTrack.f4521e.d() / 1000;
                            long c2 = audioTrack.f4521e.c();
                            if (d2 < audioTrack.A) {
                                audioTrack.s = false;
                            } else if (Math.abs(d2 - nanoTime) > 5000000) {
                                StringBuilder E = d.a.a.a.a.E("Spurious audio timestamp (system clock mismatch): ", c2, ", ");
                                E.append(d2);
                                E.append(", ");
                                E.append(nanoTime);
                                E.append(", ");
                                E.append(a2);
                                Log.w("AudioTrack", E.toString());
                                audioTrack.s = false;
                            } else if (Math.abs(audioTrack.b(c2) - a2) > 5000000) {
                                StringBuilder E2 = d.a.a.a.a.E("Spurious audio timestamp (frame position mismatch): ", c2, ", ");
                                E2.append(d2);
                                E2.append(", ");
                                E2.append(nanoTime);
                                E2.append(", ");
                                E2.append(a2);
                                Log.w("AudioTrack", E2.toString());
                                audioTrack.s = false;
                            }
                        }
                        Method method = audioTrack.u;
                        if (method != null && !audioTrack.f4527k) {
                            try {
                                long intValue = (((long) ((Integer) method.invoke(audioTrack.f4522f, null)).intValue()) * 1000) - audioTrack.n;
                                audioTrack.B = intValue;
                                long max = Math.max(intValue, 0L);
                                audioTrack.B = max;
                                if (max > 5000000) {
                                    Log.w("AudioTrack", "Ignoring impossibly large audio latency: " + audioTrack.B);
                                    audioTrack.B = 0;
                                }
                            } catch (Exception unused) {
                                audioTrack.u = null;
                            }
                        }
                        audioTrack.t = nanoTime;
                    }
                }
            }
            long nanoTime2 = System.nanoTime() / 1000;
            if (audioTrack.s) {
                j2 = audioTrack.b(audioTrack.f4521e.c() + audioTrack.a((long) (audioTrack.f4521e.b() * ((float) (nanoTime2 - (audioTrack.f4521e.d() / 1000)))))) + audioTrack.z;
            } else {
                if (audioTrack.p == 0) {
                    AudioTrack.b bVar2 = audioTrack.f4521e;
                    j3 = ((bVar2.a() * 1000000) / ((long) bVar2.f4533c)) + audioTrack.z;
                } else {
                    j3 = nanoTime2 + audioTrack.q + audioTrack.z;
                }
                j2 = !j4 ? j3 - audioTrack.B : j3;
            }
        }
        if (j2 != Long.MIN_VALUE) {
            if (!this.j0) {
                j2 = Math.max(this.i0, j2);
            }
            this.i0 = j2;
            this.j0 = false;
        }
        return this.i0;
    }

    @Override // d.h.a.a.a0
    public k h() {
        return this;
    }

    @Override // com.google.android.exoplayer.MediaCodecTrackRenderer, d.h.a.a.a0
    public boolean j() {
        return this.Z && !this.d0.f();
    }

    @Override // com.google.android.exoplayer.MediaCodecTrackRenderer, d.h.a.a.a0
    public boolean k() {
        return this.d0.f() || super.k();
    }

    @Override // com.google.android.exoplayer.MediaCodecTrackRenderer, d.h.a.a.a0, d.h.a.a.x
    public void m() {
        this.h0 = 0;
        try {
            this.d0.k();
        } finally {
            super.m();
        }
    }

    @Override // com.google.android.exoplayer.MediaCodecTrackRenderer, d.h.a.a.a0
    public void p() {
        this.d0.j();
    }

    @Override // com.google.android.exoplayer.MediaCodecTrackRenderer, d.h.a.a.a0
    public void q() {
        AudioTrack audioTrack = this.d0;
        if (audioTrack.h()) {
            audioTrack.q = 0;
            audioTrack.p = 0;
            audioTrack.o = 0;
            audioTrack.r = 0;
            audioTrack.s = false;
            audioTrack.t = 0;
            AudioTrack.b bVar = audioTrack.f4521e;
            if (bVar.f4537g == -1) {
                bVar.f4531a.pause();
            }
        }
    }

    @Override // com.google.android.exoplayer.MediaCodecTrackRenderer, d.h.a.a.x
    public void v(long j2) {
        super.v(j2);
        this.d0.k();
        this.i0 = j2;
        this.j0 = true;
    }

    @Override // com.google.android.exoplayer.MediaCodecTrackRenderer
    public void y(MediaCodec mediaCodec, boolean z, MediaFormat mediaFormat, MediaCrypto mediaCrypto) {
        String string = mediaFormat.getString(IMediaFormat.KEY_MIME);
        if (this.e0) {
            mediaFormat.setString(IMediaFormat.KEY_MIME, "audio/raw");
            mediaCodec.configure(mediaFormat, (Surface) null, mediaCrypto, 0);
            mediaFormat.setString(IMediaFormat.KEY_MIME, string);
            this.f0 = mediaFormat;
            return;
        }
        mediaCodec.configure(mediaFormat, (Surface) null, mediaCrypto, 0);
        this.f0 = null;
    }

    public o(w[] wVarArr, p pVar, b bVar, boolean z, Handler handler, a aVar, d.h.a.a.c0.a aVar2, int i2) {
        super(wVarArr, pVar, null, z, handler, aVar);
        this.c0 = aVar;
        this.d0 = new AudioTrack(aVar2, i2);
    }
}
