package d.h.d.f;

import com.google.zxing.BarcodeFormat;
import com.google.zxing.EncodeHintType;
import com.google.zxing.FormatException;
import d.a.a.a.a;
import d.h.d.b.b;
import java.util.Map;

/* compiled from: EAN13Writer */
public final class i extends y {
    @Override // d.h.d.f.r
    public boolean[] c(String str) {
        int length = str.length();
        if (length == 12) {
            try {
                str = a.k(str, x.o(str));
            } catch (FormatException e2) {
                throw new IllegalArgumentException(e2);
            }
        } else if (length == 13) {
            try {
                if (!x.g(str)) {
                    throw new IllegalArgumentException("Contents do not pass checksum");
                }
            } catch (FormatException unused) {
                throw new IllegalArgumentException("Illegal contents");
            }
        } else {
            throw new IllegalArgumentException("Requested contents should be 12 or 13 digits long, but got ".concat(String.valueOf(length)));
        }
        r.b(str);
        int i2 = h.f11115i[Character.digit(str.charAt(0), 10)];
        boolean[] zArr = new boolean[95];
        int a2 = r.a(zArr, 0, x.f11143a, true) + 0;
        for (int i3 = 1; i3 <= 6; i3++) {
            int digit = Character.digit(str.charAt(i3), 10);
            if (((i2 >> (6 - i3)) & 1) == 1) {
                digit += 10;
            }
            a2 += r.a(zArr, a2, x.f11147e[digit], false);
        }
        int a3 = r.a(zArr, a2, x.f11144b, false) + a2;
        for (int i4 = 7; i4 <= 12; i4++) {
            a3 += r.a(zArr, a3, x.f11146d[Character.digit(str.charAt(i4), 10)], true);
        }
        r.a(zArr, a3, x.f11143a, true);
        return zArr;
    }

    @Override // d.h.d.f.r, com.google.zxing.Writer
    public b encode(String str, BarcodeFormat barcodeFormat, int i2, int i3, Map<EncodeHintType, ?> map) {
        if (barcodeFormat == BarcodeFormat.EAN_13) {
            return super.encode(str, barcodeFormat, i2, i3, map);
        }
        throw new IllegalArgumentException("Can only encode EAN_13, but got ".concat(String.valueOf(barcodeFormat)));
    }
}
