package f.a;

import com.luck.picture.lib.config.PictureConfig;
import f.a.c0.c.e;
import f.a.c0.e.d.g;
import f.a.c0.e.d.h;
import f.a.c0.e.d.j;
import f.a.c0.e.d.m;
import f.a.c0.e.d.n;
import f.a.c0.e.d.r;
import f.a.f0.a;
import f.a.z.b;
import io.reactivex.internal.observers.LambdaObserver;
import io.reactivex.internal.operators.observable.ObservableBuffer;
import io.reactivex.internal.operators.observable.ObservableFlatMap;
import io.reactivex.internal.operators.observable.ObservableInterval;
import io.reactivex.internal.operators.observable.ObservableObserveOn;
import io.reactivex.internal.operators.observable.ObservableSubscribeOn;
import io.reactivex.internal.util.ArrayListSupplier;
import java.util.List;
import java.util.Objects;
import java.util.concurrent.Callable;
import java.util.concurrent.TimeUnit;

/* compiled from: Observable */
public abstract class o<T> implements r<T> {
    public static <T> o<T> d(T... tArr) {
        if (tArr.length == 0) {
            return (o<T>) g.f13014d;
        }
        if (tArr.length == 1) {
            return f(tArr[0]);
        }
        return new h(tArr);
    }

    public static o<Long> e(long j2, long j3, TimeUnit timeUnit) {
        u uVar = a.f13137a;
        Objects.requireNonNull(timeUnit, "unit is null");
        Objects.requireNonNull(uVar, "scheduler is null");
        return new ObservableInterval(Math.max(0L, j2), Math.max(0L, j3), timeUnit, uVar);
    }

    public static <T> o<T> f(T t) {
        Objects.requireNonNull(t, "The item is null");
        return new m(t);
    }

    public final o<List<T>> a(int i2) {
        Callable asCallable = ArrayListSupplier.asCallable();
        f.a.c0.b.a.b(i2, PictureConfig.EXTRA_DATA_COUNT);
        f.a.c0.b.a.b(i2, "skip");
        Objects.requireNonNull(asCallable, "bufferSupplier is null");
        return new ObservableBuffer(this, i2, i2, asCallable);
    }

    public final <R> o<R> b(s<? super T, ? extends R> sVar) {
        Objects.requireNonNull(sVar, "composer is null");
        r<? extends R> apply = sVar.apply(this);
        Objects.requireNonNull(apply, "source is null");
        if (apply instanceof o) {
            return (o) apply;
        }
        return new j(apply);
    }

    public final <R> o<R> c(f.a.b0.h<? super T, ? extends r<? extends R>> hVar, boolean z, int i2) {
        int i3 = g.f13146d;
        Objects.requireNonNull(hVar, "mapper is null");
        f.a.c0.b.a.b(i2, "maxConcurrency");
        f.a.c0.b.a.b(i3, "bufferSize");
        if (!(this instanceof e)) {
            return new ObservableFlatMap(this, hVar, z, i2, i3);
        }
        Object call = ((e) this).call();
        return call == null ? (o<R>) g.f13014d : new r(call, hVar);
    }

    public final <R> o<R> g(f.a.b0.h<? super T, ? extends R> hVar) {
        return new n(this, hVar);
    }

    public final o<T> h(u uVar) {
        int i2 = g.f13146d;
        f.a.c0.b.a.b(i2, "bufferSize");
        return new ObservableObserveOn(this, uVar, false, i2);
    }

    public final b i(f.a.b0.g<? super T> gVar, f.a.b0.g<? super Throwable> gVar2, f.a.b0.a aVar, f.a.b0.g<? super b> gVar3) {
        Objects.requireNonNull(gVar, "onNext is null");
        Objects.requireNonNull(gVar2, "onError is null");
        Objects.requireNonNull(aVar, "onComplete is null");
        LambdaObserver lambdaObserver = new LambdaObserver(gVar, gVar2, aVar, gVar3);
        subscribe(lambdaObserver);
        return lambdaObserver;
    }

    public abstract void j(t<? super T> tVar);

    public final o<T> k(u uVar) {
        Objects.requireNonNull(uVar, "scheduler is null");
        return new ObservableSubscribeOn(this, uVar);
    }

    @Override // f.a.r
    public final void subscribe(t<? super T> tVar) {
        Objects.requireNonNull(tVar, "observer is null");
        try {
            j(tVar);
        } catch (NullPointerException e2) {
            throw e2;
        } catch (Throwable th) {
            d.l.b.g.g.b.D0(th);
            d.l.b.g.g.b.q0(th);
            NullPointerException nullPointerException = new NullPointerException("Actually not, but can't throw other exceptions due to RS");
            nullPointerException.initCause(th);
            throw nullPointerException;
        }
    }
}
