package freemarker.ext.servlet;

import e.f.b0;
import e.f.l;
import e.f.w;
import freemarker.template.TemplateModelException;
import java.io.Serializable;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

public final class HttpSessionHashModel implements w, Serializable {
    private static final long serialVersionUID = 1;
    private final transient HttpServletRequest request;
    private final transient HttpServletResponse response;
    private final transient FreemarkerServlet servlet;
    private transient HttpSession session;
    private final transient l wrapper;

    public HttpSessionHashModel(HttpSession httpSession, l lVar) {
        this.session = httpSession;
        this.wrapper = lVar;
        this.request = null;
        this.response = null;
    }

    private void checkSessionExistence() {
        HttpServletRequest httpServletRequest;
        if (this.session == null && (httpServletRequest = this.request) != null) {
            HttpSession session2 = httpServletRequest.getSession(false);
            this.session = session2;
            if (session2 != null && this.servlet != null) {
                try {
                    throw null;
                } catch (RuntimeException e2) {
                    throw e2;
                } catch (Exception e3) {
                    throw new TemplateModelException(e3);
                }
            }
        }
    }

    @Override // e.f.w
    public b0 get(String str) {
        checkSessionExistence();
        l lVar = this.wrapper;
        HttpSession httpSession = this.session;
        return lVar.c(httpSession != null ? httpSession.getAttribute(str) : null);
    }

    @Override // e.f.w
    public boolean isEmpty() {
        checkSessionExistence();
        HttpSession httpSession = this.session;
        return httpSession == null || !httpSession.getAttributeNames().hasMoreElements();
    }

    public boolean isOrphaned(HttpSession httpSession) {
        HttpSession httpSession2 = this.session;
        return !(httpSession2 == null || httpSession2 == httpSession) || (httpSession2 == null && this.request == null);
    }

    public HttpSessionHashModel(FreemarkerServlet freemarkerServlet, HttpServletRequest httpServletRequest, HttpServletResponse httpServletResponse, l lVar) {
        this.wrapper = lVar;
        this.request = httpServletRequest;
        this.response = httpServletResponse;
    }
}
