package freemarker.ext.util;

import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.Serializable;
import java.util.AbstractCollection;
import java.util.AbstractMap;
import java.util.AbstractSet;
import java.util.Collection;
import java.util.ConcurrentModificationException;
import java.util.Iterator;
import java.util.Map;
import java.util.NoSuchElementException;
import java.util.Set;
import org.dsq.library.widget.bigImage.SubsamplingScaleImageView;

@Deprecated
public class IdentityHashMap extends AbstractMap implements Map, Cloneable, Serializable {
    private static final int ENTRIES = 2;
    private static final int KEYS = 0;
    private static final int VALUES = 1;
    private static d emptyHashIterator = new d();
    public static final long serialVersionUID = 362498820763181265L;
    private transient int count;
    private transient Set entrySet;
    private transient Set keySet;
    private float loadFactor;
    private transient int modCount;
    private transient e[] table;
    private int threshold;
    private transient Collection values;

    public class a extends AbstractSet {
        public a() {
        }

        public void clear() {
            IdentityHashMap.this.clear();
        }

        public boolean contains(Object obj) {
            return IdentityHashMap.this.containsKey(obj);
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
        public Iterator iterator() {
            return IdentityHashMap.this.getHashIterator(0);
        }

        public boolean remove(Object obj) {
            int i2 = IdentityHashMap.this.count;
            IdentityHashMap.this.remove(obj);
            return IdentityHashMap.this.count != i2;
        }

        public int size() {
            return IdentityHashMap.this.count;
        }
    }

    public class b extends AbstractCollection {
        public b() {
        }

        public void clear() {
            IdentityHashMap.this.clear();
        }

        public boolean contains(Object obj) {
            return IdentityHashMap.this.containsValue(obj);
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.lang.Iterable
        public Iterator iterator() {
            return IdentityHashMap.this.getHashIterator(1);
        }

        public int size() {
            return IdentityHashMap.this.count;
        }
    }

    public class c extends AbstractSet {
        public c() {
        }

        public void clear() {
            IdentityHashMap.this.clear();
        }

        public boolean contains(Object obj) {
            int i2;
            if (!(obj instanceof Map.Entry)) {
                return false;
            }
            Map.Entry entry = (Map.Entry) obj;
            Object key = entry.getKey();
            e[] eVarArr = IdentityHashMap.this.table;
            if (key == null) {
                i2 = 0;
            } else {
                i2 = System.identityHashCode(key);
            }
            for (e eVar = eVarArr[(Integer.MAX_VALUE & i2) % eVarArr.length]; eVar != null; eVar = eVar.f13212k) {
                if (eVar.f13209d == i2 && eVar.equals(entry)) {
                    return true;
                }
            }
            return false;
        }

        @Override // java.util.AbstractCollection, java.util.Collection, java.util.Set, java.lang.Iterable
        public Iterator iterator() {
            return IdentityHashMap.this.getHashIterator(2);
        }

        public boolean remove(Object obj) {
            int i2;
            if (!(obj instanceof Map.Entry)) {
                return false;
            }
            Map.Entry entry = (Map.Entry) obj;
            Object key = entry.getKey();
            e[] eVarArr = IdentityHashMap.this.table;
            if (key == null) {
                i2 = 0;
            } else {
                i2 = System.identityHashCode(key);
            }
            int length = (Integer.MAX_VALUE & i2) % eVarArr.length;
            e eVar = null;
            for (e eVar2 = eVarArr[length]; eVar2 != null; eVar2 = eVar2.f13212k) {
                if (eVar2.f13209d != i2 || !eVar2.equals(entry)) {
                    eVar = eVar2;
                } else {
                    IdentityHashMap.access$308(IdentityHashMap.this);
                    if (eVar != null) {
                        eVar.f13212k = eVar2.f13212k;
                    } else {
                        eVarArr[length] = eVar2.f13212k;
                    }
                    IdentityHashMap.access$110(IdentityHashMap.this);
                    eVar2.f13211j = null;
                    return true;
                }
            }
            return false;
        }

        public int size() {
            return IdentityHashMap.this.count;
        }
    }

    public static class d implements Iterator {
        public boolean hasNext() {
            return false;
        }

        @Override // java.util.Iterator
        public Object next() {
            throw new NoSuchElementException();
        }

        public void remove() {
            throw new IllegalStateException();
        }
    }

    public static class e implements Map.Entry {

        /* renamed from: d  reason: collision with root package name */
        public int f13209d;

        /* renamed from: h  reason: collision with root package name */
        public Object f13210h;

        /* renamed from: j  reason: collision with root package name */
        public Object f13211j;

        /* renamed from: k  reason: collision with root package name */
        public e f13212k;

        public e(int i2, Object obj, Object obj2, e eVar) {
            this.f13209d = i2;
            this.f13210h = obj;
            this.f13211j = obj2;
            this.f13212k = eVar;
        }

        @Override // java.lang.Object
        public Object clone() {
            e eVar;
            int i2 = this.f13209d;
            Object obj = this.f13210h;
            Object obj2 = this.f13211j;
            e eVar2 = this.f13212k;
            if (eVar2 == null) {
                eVar = null;
            } else {
                eVar = (e) eVar2.clone();
            }
            return new e(i2, obj, obj2, eVar);
        }

        /* JADX WARNING: Removed duplicated region for block: B:11:0x0025 A[ORIG_RETURN, RETURN, SYNTHETIC] */
        public boolean equals(Object obj) {
            if (!(obj instanceof Map.Entry)) {
                return false;
            }
            Map.Entry entry = (Map.Entry) obj;
            if (this.f13210h != entry.getKey()) {
                return false;
            }
            Object obj2 = this.f13211j;
            if (obj2 == null) {
                if (entry.getValue() == null) {
                    return true;
                }
                return false;
            } else if (!obj2.equals(entry.getValue())) {
                return false;
            }
            return true;
        }

        @Override // java.util.Map.Entry
        public Object getKey() {
            return this.f13210h;
        }

        @Override // java.util.Map.Entry
        public Object getValue() {
            return this.f13211j;
        }

        public int hashCode() {
            int i2 = this.f13209d;
            Object obj = this.f13211j;
            return i2 ^ (obj == null ? 0 : obj.hashCode());
        }

        @Override // java.util.Map.Entry
        public Object setValue(Object obj) {
            Object obj2 = this.f13211j;
            this.f13211j = obj;
            return obj2;
        }

        public String toString() {
            return this.f13210h + "=" + this.f13211j;
        }
    }

    public class f implements Iterator {

        /* renamed from: d  reason: collision with root package name */
        public e[] f13213d;

        /* renamed from: h  reason: collision with root package name */
        public int f13214h;

        /* renamed from: j  reason: collision with root package name */
        public e f13215j = null;

        /* renamed from: k  reason: collision with root package name */
        public e f13216k = null;

        /* renamed from: l  reason: collision with root package name */
        public int f13217l;
        public int m;

        public f(int i2) {
            e[] eVarArr = IdentityHashMap.this.table;
            this.f13213d = eVarArr;
            this.f13214h = eVarArr.length;
            this.m = IdentityHashMap.this.modCount;
            this.f13217l = i2;
        }

        public boolean hasNext() {
            e eVar = this.f13215j;
            int i2 = this.f13214h;
            e[] eVarArr = this.f13213d;
            while (eVar == null && i2 > 0) {
                i2--;
                eVar = eVarArr[i2];
            }
            this.f13215j = eVar;
            this.f13214h = i2;
            return eVar != null;
        }

        @Override // java.util.Iterator
        public Object next() {
            if (IdentityHashMap.this.modCount == this.m) {
                e eVar = this.f13215j;
                int i2 = this.f13214h;
                e[] eVarArr = this.f13213d;
                while (eVar == null && i2 > 0) {
                    i2--;
                    eVar = eVarArr[i2];
                }
                this.f13215j = eVar;
                this.f13214h = i2;
                if (eVar != null) {
                    this.f13216k = eVar;
                    this.f13215j = eVar.f13212k;
                    int i3 = this.f13217l;
                    if (i3 == 0) {
                        return eVar.f13210h;
                    }
                    return i3 == 1 ? eVar.f13211j : eVar;
                }
                throw new NoSuchElementException();
            }
            throw new ConcurrentModificationException();
        }

        public void remove() {
            if (this.f13216k == null) {
                throw new IllegalStateException();
            } else if (IdentityHashMap.this.modCount == this.m) {
                e[] eVarArr = IdentityHashMap.this.table;
                int length = (this.f13216k.f13209d & SubsamplingScaleImageView.TILE_SIZE_AUTO) % eVarArr.length;
                e eVar = null;
                for (e eVar2 = eVarArr[length]; eVar2 != null; eVar2 = eVar2.f13212k) {
                    if (eVar2 == this.f13216k) {
                        IdentityHashMap.access$308(IdentityHashMap.this);
                        this.m++;
                        if (eVar == null) {
                            eVarArr[length] = eVar2.f13212k;
                        } else {
                            eVar.f13212k = eVar2.f13212k;
                        }
                        IdentityHashMap.access$110(IdentityHashMap.this);
                        this.f13216k = null;
                        return;
                    }
                    eVar = eVar2;
                }
                throw new ConcurrentModificationException();
            } else {
                throw new ConcurrentModificationException();
            }
        }
    }

    public IdentityHashMap(int i2, float f2) {
        this.modCount = 0;
        this.keySet = null;
        this.entrySet = null;
        this.values = null;
        if (i2 < 0) {
            throw new IllegalArgumentException(d.a.a.a.a.k("Illegal Initial Capacity: ", i2));
        } else if (f2 <= 0.0f || Float.isNaN(f2)) {
            throw new IllegalArgumentException("Illegal Load factor: " + f2);
        } else {
            i2 = i2 == 0 ? 1 : i2;
            this.loadFactor = f2;
            this.table = new e[i2];
            this.threshold = (int) (((float) i2) * f2);
        }
    }

    public static /* synthetic */ int access$110(IdentityHashMap identityHashMap) {
        int i2 = identityHashMap.count;
        identityHashMap.count = i2 - 1;
        return i2;
    }

    public static /* synthetic */ int access$308(IdentityHashMap identityHashMap) {
        int i2 = identityHashMap.modCount;
        identityHashMap.modCount = i2 + 1;
        return i2;
    }

    /* access modifiers changed from: private */
    /* access modifiers changed from: public */
    private Iterator getHashIterator(int i2) {
        if (this.count == 0) {
            return emptyHashIterator;
        }
        return new f(i2);
    }

    private void readObject(ObjectInputStream objectInputStream) {
        objectInputStream.defaultReadObject();
        this.table = new e[objectInputStream.readInt()];
        int readInt = objectInputStream.readInt();
        for (int i2 = 0; i2 < readInt; i2++) {
            put(objectInputStream.readObject(), objectInputStream.readObject());
        }
    }

    private void rehash() {
        e[] eVarArr = this.table;
        int length = eVarArr.length;
        int i2 = (length * 2) + 1;
        e[] eVarArr2 = new e[i2];
        this.modCount++;
        this.threshold = (int) (((float) i2) * this.loadFactor);
        this.table = eVarArr2;
        while (true) {
            int i3 = length - 1;
            if (length > 0) {
                e eVar = eVarArr[i3];
                while (eVar != null) {
                    e eVar2 = eVar.f13212k;
                    int i4 = (eVar.f13209d & SubsamplingScaleImageView.TILE_SIZE_AUTO) % i2;
                    eVar.f13212k = eVarArr2[i4];
                    eVarArr2[i4] = eVar;
                    eVar = eVar2;
                }
                length = i3;
            } else {
                return;
            }
        }
    }

    private void writeObject(ObjectOutputStream objectOutputStream) {
        objectOutputStream.defaultWriteObject();
        objectOutputStream.writeInt(this.table.length);
        objectOutputStream.writeInt(this.count);
        for (int length = this.table.length - 1; length >= 0; length--) {
            for (e eVar = this.table[length]; eVar != null; eVar = eVar.f13212k) {
                objectOutputStream.writeObject(eVar.f13210h);
                objectOutputStream.writeObject(eVar.f13211j);
            }
        }
    }

    public int capacity() {
        return this.table.length;
    }

    public void clear() {
        e[] eVarArr = this.table;
        this.modCount++;
        int length = eVarArr.length;
        while (true) {
            length--;
            if (length >= 0) {
                eVarArr[length] = null;
            } else {
                this.count = 0;
                return;
            }
        }
    }

    @Override // java.util.AbstractMap, java.lang.Object
    public Object clone() {
        try {
            IdentityHashMap identityHashMap = (IdentityHashMap) super.clone();
            identityHashMap.table = new e[this.table.length];
            int length = this.table.length;
            while (true) {
                int i2 = length - 1;
                e eVar = null;
                if (length > 0) {
                    e[] eVarArr = identityHashMap.table;
                    e[] eVarArr2 = this.table;
                    if (eVarArr2[i2] != null) {
                        eVar = (e) eVarArr2[i2].clone();
                    }
                    eVarArr[i2] = eVar;
                    length = i2;
                } else {
                    identityHashMap.keySet = null;
                    identityHashMap.entrySet = null;
                    identityHashMap.values = null;
                    identityHashMap.modCount = 0;
                    return identityHashMap;
                }
            }
        } catch (CloneNotSupportedException unused) {
            throw new InternalError();
        }
    }

    public boolean containsKey(Object obj) {
        e[] eVarArr = this.table;
        if (obj != null) {
            int identityHashCode = System.identityHashCode(obj);
            for (e eVar = eVarArr[(Integer.MAX_VALUE & identityHashCode) % eVarArr.length]; eVar != null; eVar = eVar.f13212k) {
                if (eVar.f13209d == identityHashCode && obj == eVar.f13210h) {
                    return true;
                }
            }
        } else {
            for (e eVar2 = eVarArr[0]; eVar2 != null; eVar2 = eVar2.f13212k) {
                if (eVar2.f13210h == null) {
                    return true;
                }
            }
        }
        return false;
    }

    public boolean containsValue(Object obj) {
        e[] eVarArr = this.table;
        if (obj == null) {
            int length = eVarArr.length;
            while (true) {
                int i2 = length - 1;
                if (length <= 0) {
                    return false;
                }
                for (e eVar = eVarArr[i2]; eVar != null; eVar = eVar.f13212k) {
                    if (eVar.f13211j == null) {
                        return true;
                    }
                }
                length = i2;
            }
        } else {
            int length2 = eVarArr.length;
            while (true) {
                int i3 = length2 - 1;
                if (length2 <= 0) {
                    return false;
                }
                for (e eVar2 = eVarArr[i3]; eVar2 != null; eVar2 = eVar2.f13212k) {
                    if (obj.equals(eVar2.f13211j)) {
                        return true;
                    }
                }
                length2 = i3;
            }
        }
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Set entrySet() {
        if (this.entrySet == null) {
            this.entrySet = new c();
        }
        return this.entrySet;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Object get(Object obj) {
        e[] eVarArr = this.table;
        if (obj != null) {
            int identityHashCode = System.identityHashCode(obj);
            for (e eVar = eVarArr[(Integer.MAX_VALUE & identityHashCode) % eVarArr.length]; eVar != null; eVar = eVar.f13212k) {
                if (eVar.f13209d == identityHashCode && obj == eVar.f13210h) {
                    return eVar.f13211j;
                }
            }
            return null;
        }
        for (e eVar2 = eVarArr[0]; eVar2 != null; eVar2 = eVar2.f13212k) {
            if (eVar2.f13210h == null) {
                return eVar2.f13211j;
            }
        }
        return null;
    }

    public boolean isEmpty() {
        return this.count == 0;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Set keySet() {
        if (this.keySet == null) {
            this.keySet = new a();
        }
        return this.keySet;
    }

    public float loadFactor() {
        return this.loadFactor;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Object put(Object obj, Object obj2) {
        int i2;
        e[] eVarArr = this.table;
        int i3 = 0;
        if (obj != null) {
            i3 = System.identityHashCode(obj);
            i2 = (i3 & SubsamplingScaleImageView.TILE_SIZE_AUTO) % eVarArr.length;
            for (e eVar = eVarArr[i2]; eVar != null; eVar = eVar.f13212k) {
                if (eVar.f13209d == i3 && obj == eVar.f13210h) {
                    Object obj3 = eVar.f13211j;
                    eVar.f13211j = obj2;
                    return obj3;
                }
            }
        } else {
            for (e eVar2 = eVarArr[0]; eVar2 != null; eVar2 = eVar2.f13212k) {
                if (eVar2.f13210h == null) {
                    Object obj4 = eVar2.f13211j;
                    eVar2.f13211j = obj2;
                    return obj4;
                }
            }
            i2 = 0;
        }
        this.modCount++;
        if (this.count >= this.threshold) {
            rehash();
            eVarArr = this.table;
            i2 = (Integer.MAX_VALUE & i3) % eVarArr.length;
        }
        eVarArr[i2] = new e(i3, obj, obj2, eVarArr[i2]);
        this.count++;
        return null;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public void putAll(Map map) {
        for (Map.Entry entry : map.entrySet()) {
            put(entry.getKey(), entry.getValue());
        }
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Object remove(Object obj) {
        e[] eVarArr = this.table;
        if (obj != null) {
            int identityHashCode = System.identityHashCode(obj);
            int length = (Integer.MAX_VALUE & identityHashCode) % eVarArr.length;
            e eVar = null;
            for (e eVar2 = eVarArr[length]; eVar2 != null; eVar2 = eVar2.f13212k) {
                if (eVar2.f13209d == identityHashCode && obj == eVar2.f13210h) {
                    this.modCount++;
                    if (eVar != null) {
                        eVar.f13212k = eVar2.f13212k;
                    } else {
                        eVarArr[length] = eVar2.f13212k;
                    }
                    this.count--;
                    Object obj2 = eVar2.f13211j;
                    eVar2.f13211j = null;
                    return obj2;
                }
                eVar = eVar2;
            }
        } else {
            e eVar3 = null;
            for (e eVar4 = eVarArr[0]; eVar4 != null; eVar4 = eVar4.f13212k) {
                if (eVar4.f13210h == null) {
                    this.modCount++;
                    if (eVar3 != null) {
                        eVar3.f13212k = eVar4.f13212k;
                    } else {
                        eVarArr[0] = eVar4.f13212k;
                    }
                    this.count--;
                    Object obj3 = eVar4.f13211j;
                    eVar4.f13211j = null;
                    return obj3;
                }
                eVar3 = eVar4;
            }
        }
        return null;
    }

    public int size() {
        return this.count;
    }

    @Override // java.util.AbstractMap, java.util.Map
    public Collection values() {
        if (this.values == null) {
            this.values = new b();
        }
        return this.values;
    }

    public IdentityHashMap(int i2) {
        this(i2, 0.75f);
    }

    public IdentityHashMap() {
        this(11, 0.75f);
    }

    public IdentityHashMap(Map map) {
        this(Math.max(map.size() * 2, 11), 0.75f);
        putAll(map);
    }
}
