package freemarker.template.utility;

import d.a.a.a.a;

public class NullArgumentException extends IllegalArgumentException {
    public NullArgumentException() {
        super("The argument can't be null");
    }

    public static void check(String str, Object obj) {
        if (obj == null) {
            throw new NullArgumentException(str);
        }
    }

    public NullArgumentException(String str) {
        super(a.t("The \"", str, "\" argument can't be null"));
    }

    public static void check(Object obj) {
        if (obj == null) {
            throw new NullArgumentException();
        }
    }

    public NullArgumentException(String str, String str2) {
        super("The \"" + str + "\" argument can't be null. " + str2);
    }
}
