package io.reactivex.internal.disposables;

import f.a.b0.f;
import f.a.z.b;
import java.util.concurrent.atomic.AtomicReference;

public final class CancellableDisposable extends AtomicReference<f> implements b {
    private static final long serialVersionUID = 5718521705281392066L;

    public CancellableDisposable(f fVar) {
        super(fVar);
    }

    @Override // f.a.z.b
    public void dispose() {
        f fVar;
        if (get() != null && (fVar = (f) getAndSet(null)) != null) {
            try {
                fVar.cancel();
            } catch (Exception e2) {
                d.l.b.g.g.b.D0(e2);
                d.l.b.g.g.b.q0(e2);
            }
        }
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return get() == null;
    }
}
