package io.reactivex.internal.disposables;

import f.a.c;
import f.a.c0.c.b;
import f.a.l;
import f.a.t;
import f.a.w;

public enum EmptyDisposable implements b<Object> {
    INSTANCE,
    NEVER;

    public static void complete(t<?> tVar) {
        tVar.onSubscribe(INSTANCE);
        tVar.onComplete();
    }

    public static void error(Throwable th, t<?> tVar) {
        tVar.onSubscribe(INSTANCE);
        tVar.onError(th);
    }

    @Override // f.a.c0.c.g
    public void clear() {
    }

    @Override // f.a.z.b
    public void dispose() {
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return this == INSTANCE;
    }

    @Override // f.a.c0.c.g
    public boolean isEmpty() {
        return true;
    }

    @Override // f.a.c0.c.g
    public boolean offer(Object obj) {
        throw new UnsupportedOperationException("Should not be called!");
    }

    @Override // f.a.c0.c.g
    public Object poll() {
        return null;
    }

    @Override // f.a.c0.c.c
    public int requestFusion(int i2) {
        return i2 & 2;
    }

    public boolean offer(Object obj, Object obj2) {
        throw new UnsupportedOperationException("Should not be called!");
    }

    public static void complete(l<?> lVar) {
        lVar.onSubscribe(INSTANCE);
        lVar.onComplete();
    }

    public static void error(Throwable th, c cVar) {
        cVar.onSubscribe(INSTANCE);
        cVar.onError(th);
    }

    public static void complete(c cVar) {
        cVar.onSubscribe(INSTANCE);
        cVar.onComplete();
    }

    public static void error(Throwable th, w<?> wVar) {
        wVar.onSubscribe(INSTANCE);
        wVar.onError(th);
    }

    public static void error(Throwable th, l<?> lVar) {
        lVar.onSubscribe(INSTANCE);
        lVar.onError(th);
    }
}
