package io.reactivex.internal.operators.completable;

import d.l.b.g.g.b;
import f.a.c;
import f.a.z.a;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicInteger;

public final class CompletableMergeArray$InnerCompletableObserver extends AtomicInteger implements c {
    private static final long serialVersionUID = -8360547806504310570L;
    public final c downstream;
    public final AtomicBoolean once;
    public final a set;

    public CompletableMergeArray$InnerCompletableObserver(c cVar, AtomicBoolean atomicBoolean, a aVar, int i2) {
        this.downstream = cVar;
        this.once = atomicBoolean;
        this.set = aVar;
        lazySet(i2);
    }

    @Override // f.a.c
    public void onComplete() {
        if (decrementAndGet() == 0 && this.once.compareAndSet(false, true)) {
            this.downstream.onComplete();
        }
    }

    @Override // f.a.c
    public void onError(Throwable th) {
        this.set.dispose();
        if (this.once.compareAndSet(false, true)) {
            this.downstream.onError(th);
        } else {
            b.q0(th);
        }
    }

    @Override // f.a.c
    public void onSubscribe(f.a.z.b bVar) {
        this.set.c(bVar);
    }
}
