package io.reactivex.internal.operators.completable;

import d.l.b.g.g.b;
import f.a.c;
import f.a.z.a;
import java.util.concurrent.atomic.AtomicBoolean;
import java.util.concurrent.atomic.AtomicInteger;

public final class CompletableMergeIterable$MergeCompletableObserver extends AtomicBoolean implements c {
    private static final long serialVersionUID = -7730517613164279224L;
    public final c downstream;
    public final a set;
    public final AtomicInteger wip;

    public CompletableMergeIterable$MergeCompletableObserver(c cVar, a aVar, AtomicInteger atomicInteger) {
        this.downstream = cVar;
        this.set = aVar;
        this.wip = atomicInteger;
    }

    @Override // f.a.c
    public void onComplete() {
        if (this.wip.decrementAndGet() == 0 && compareAndSet(false, true)) {
            this.downstream.onComplete();
        }
    }

    @Override // f.a.c
    public void onError(Throwable th) {
        this.set.dispose();
        if (compareAndSet(false, true)) {
            this.downstream.onError(th);
        } else {
            b.q0(th);
        }
    }

    @Override // f.a.c
    public void onSubscribe(f.a.z.b bVar) {
        this.set.c(bVar);
    }
}
