package io.reactivex.internal.operators.flowable;

import f.a.j;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.concurrent.atomic.AtomicReference;
import k.c.d;

public final class FlowableCombineLatest$CombineLatestInnerSubscriber<T> extends AtomicReference<d> implements j<T> {
    private static final long serialVersionUID = -8730235182291002949L;
    public final int index;
    public final int limit;
    public final FlowableCombineLatest$CombineLatestCoordinator<T, ?> parent;
    public final int prefetch;
    public int produced;

    public FlowableCombineLatest$CombineLatestInnerSubscriber(FlowableCombineLatest$CombineLatestCoordinator<T, ?> flowableCombineLatest$CombineLatestCoordinator, int i2, int i3) {
        this.parent = flowableCombineLatest$CombineLatestCoordinator;
        this.index = i2;
        this.prefetch = i3;
        this.limit = i3 - (i3 >> 2);
    }

    public void cancel() {
        SubscriptionHelper.cancel(this);
    }

    @Override // k.c.c
    public void onComplete() {
        this.parent.innerComplete(this.index);
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        this.parent.innerError(this.index, th);
    }

    @Override // k.c.c
    public void onNext(T t) {
        this.parent.innerValue(this.index, t);
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        SubscriptionHelper.setOnce(this, dVar, (long) this.prefetch);
    }

    public void requestOne() {
        int i2 = this.produced + 1;
        if (i2 == this.limit) {
            this.produced = 0;
            ((d) get()).request((long) i2);
            return;
        }
        this.produced = i2;
    }
}
