package io.reactivex.internal.operators.flowable;

import d.l.b.g.g.b;
import f.a.b0.a;
import f.a.c0.c.d;
import f.a.j;
import io.reactivex.internal.subscriptions.BasicIntQueueSubscription;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import k.c.c;

public final class FlowableDoFinally$DoFinallySubscriber<T> extends BasicIntQueueSubscription<T> implements j<T> {
    private static final long serialVersionUID = 4109457741734051389L;
    public final c<? super T> downstream;
    public final a onFinally;
    public d<T> qs;
    public boolean syncFused;
    public k.c.d upstream;

    public FlowableDoFinally$DoFinallySubscriber(c<? super T> cVar, a aVar) {
        this.downstream = cVar;
        this.onFinally = aVar;
    }

    @Override // k.c.d, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public void cancel() {
        this.upstream.cancel();
        runFinally();
    }

    @Override // f.a.c0.c.g, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public void clear() {
        this.qs.clear();
    }

    @Override // f.a.c0.c.g, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public boolean isEmpty() {
        return this.qs.isEmpty();
    }

    @Override // k.c.c
    public void onComplete() {
        this.downstream.onComplete();
        runFinally();
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        this.downstream.onError(th);
        runFinally();
    }

    @Override // k.c.c
    public void onNext(T t) {
        this.downstream.onNext(t);
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(k.c.d dVar) {
        if (SubscriptionHelper.validate(this.upstream, dVar)) {
            this.upstream = dVar;
            if (dVar instanceof d) {
                this.qs = (d) dVar;
            }
            this.downstream.onSubscribe(this);
        }
    }

    @Override // f.a.c0.c.g, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public T poll() {
        T poll = this.qs.poll();
        if (poll == null && this.syncFused) {
            runFinally();
        }
        return poll;
    }

    @Override // k.c.d, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public void request(long j2) {
        this.upstream.request(j2);
    }

    @Override // f.a.c0.c.c, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public int requestFusion(int i2) {
        d<T> dVar = this.qs;
        boolean z = false;
        if (dVar == null || (i2 & 4) != 0) {
            return 0;
        }
        int requestFusion = dVar.requestFusion(i2);
        if (requestFusion != 0) {
            if (requestFusion == 1) {
                z = true;
            }
            this.syncFused = z;
        }
        return requestFusion;
    }

    public void runFinally() {
        if (compareAndSet(0, 1)) {
            try {
                this.onFinally.run();
            } catch (Throwable th) {
                b.D0(th);
                b.q0(th);
            }
        }
    }
}
