package io.reactivex.internal.operators.flowable;

import d.l.b.g.g.b;
import f.a.c0.c.a;
import java.util.Iterator;

public final class FlowableFromIterable$IteratorConditionalSubscription<T> extends FlowableFromIterable$BaseRangeSubscription<T> {
    private static final long serialVersionUID = -6022804456014692607L;
    public final a<? super T> downstream;

    public FlowableFromIterable$IteratorConditionalSubscription(a<? super T> aVar, Iterator<? extends T> it) {
        super(it);
        this.downstream = aVar;
    }

    @Override // io.reactivex.internal.operators.flowable.FlowableFromIterable$BaseRangeSubscription
    public void fastPath() {
        Iterator<? extends T> it = this.it;
        a<? super T> aVar = this.downstream;
        while (!this.cancelled) {
            try {
                Object obj = (Object) it.next();
                if (!this.cancelled) {
                    if (obj == 0) {
                        aVar.onError(new NullPointerException("Iterator.next() returned a null value"));
                        return;
                    }
                    aVar.tryOnNext(obj);
                    if (!this.cancelled) {
                        try {
                            if (!it.hasNext()) {
                                if (!this.cancelled) {
                                    aVar.onComplete();
                                    return;
                                }
                                return;
                            }
                        } catch (Throwable th) {
                            b.D0(th);
                            aVar.onError(th);
                            return;
                        }
                    } else {
                        return;
                    }
                } else {
                    return;
                }
            } catch (Throwable th2) {
                b.D0(th2);
                aVar.onError(th2);
                return;
            }
        }
    }

    @Override // io.reactivex.internal.operators.flowable.FlowableFromIterable$BaseRangeSubscription
    public void slowPath(long j2) {
        Iterator<? extends T> it = this.it;
        a<? super T> aVar = this.downstream;
        do {
            long j3 = 0;
            while (true) {
                if (j3 == j2) {
                    j2 = get();
                    if (j3 == j2) {
                        j2 = addAndGet(-j3);
                    }
                } else if (!this.cancelled) {
                    try {
                        Object obj = (Object) it.next();
                        if (!this.cancelled) {
                            if (obj == 0) {
                                aVar.onError(new NullPointerException("Iterator.next() returned a null value"));
                                return;
                            }
                            boolean tryOnNext = aVar.tryOnNext(obj);
                            if (!this.cancelled) {
                                try {
                                    if (!it.hasNext()) {
                                        if (!this.cancelled) {
                                            aVar.onComplete();
                                            return;
                                        }
                                        return;
                                    } else if (tryOnNext) {
                                        j3++;
                                    }
                                } catch (Throwable th) {
                                    b.D0(th);
                                    aVar.onError(th);
                                    return;
                                }
                            } else {
                                return;
                            }
                        } else {
                            return;
                        }
                    } catch (Throwable th2) {
                        b.D0(th2);
                        aVar.onError(th2);
                        return;
                    }
                } else {
                    return;
                }
            }
        } while (j2 != 0);
    }
}
