package io.reactivex.internal.operators.flowable;

import d.l.b.g.g.b;
import f.a.c0.e.b.g;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicLong;
import k.c.c;
import k.c.d;

public final class FlowablePublishMulticast$MulticastSubscription<T> extends AtomicLong implements d {
    private static final long serialVersionUID = 8664815189257569791L;
    public final c<? super T> downstream;
    public long emitted;
    public final g<T> parent;

    public FlowablePublishMulticast$MulticastSubscription(c<? super T> cVar, g<T> gVar) {
        this.downstream = cVar;
    }

    @Override // k.c.d
    public void cancel() {
        if (getAndSet(Long.MIN_VALUE) != Long.MIN_VALUE) {
            throw null;
        }
    }

    public boolean isCancelled() {
        return get() == Long.MIN_VALUE;
    }

    @Override // k.c.d
    public void request(long j2) {
        if (SubscriptionHelper.validate(j2)) {
            b.c(this, j2);
            Objects.requireNonNull(this.parent);
            throw null;
        }
    }
}
