package io.reactivex.internal.operators.flowable;

import d.l.b.g.g.b;
import io.reactivex.internal.subscriptions.BasicQueueSubscription;
import io.reactivex.internal.subscriptions.SubscriptionHelper;

public abstract class FlowableRange$BaseRangeSubscription extends BasicQueueSubscription<Integer> {
    private static final long serialVersionUID = -2252972430506210021L;
    public volatile boolean cancelled;
    public final int end;
    public int index;

    public FlowableRange$BaseRangeSubscription(int i2, int i3) {
        this.index = i2;
        this.end = i3;
    }

    @Override // io.reactivex.internal.subscriptions.BasicQueueSubscription, k.c.d
    public final void cancel() {
        this.cancelled = true;
    }

    @Override // io.reactivex.internal.subscriptions.BasicQueueSubscription, f.a.c0.c.g
    public final void clear() {
        this.index = this.end;
    }

    public abstract void fastPath();

    @Override // io.reactivex.internal.subscriptions.BasicQueueSubscription, f.a.c0.c.g
    public final boolean isEmpty() {
        return this.index == this.end;
    }

    @Override // io.reactivex.internal.subscriptions.BasicQueueSubscription, k.c.d
    public final void request(long j2) {
        if (SubscriptionHelper.validate(j2) && b.b(this, j2) == 0) {
            if (j2 == Long.MAX_VALUE) {
                fastPath();
            } else {
                slowPath(j2);
            }
        }
    }

    @Override // f.a.c0.c.c, io.reactivex.internal.subscriptions.BasicQueueSubscription
    public final int requestFusion(int i2) {
        return i2 & 1;
    }

    public abstract void slowPath(long j2);

    @Override // io.reactivex.internal.subscriptions.BasicQueueSubscription, f.a.c0.c.g
    public final Integer poll() {
        int i2 = this.index;
        if (i2 == this.end) {
            return null;
        }
        this.index = i2 + 1;
        return Integer.valueOf(i2);
    }
}
