package io.reactivex.internal.operators.flowable;

import f.a.c0.c.a;

public final class FlowableRange$RangeConditionalSubscription extends FlowableRange$BaseRangeSubscription {
    private static final long serialVersionUID = 2587302975077663557L;
    public final a<? super Integer> downstream;

    public FlowableRange$RangeConditionalSubscription(a<? super Integer> aVar, int i2, int i3) {
        super(i2, i3);
        this.downstream = aVar;
    }

    @Override // io.reactivex.internal.operators.flowable.FlowableRange$BaseRangeSubscription
    public void fastPath() {
        int i2 = this.end;
        a<? super Integer> aVar = this.downstream;
        for (int i3 = this.index; i3 != i2; i3++) {
            if (!this.cancelled) {
                aVar.tryOnNext(Integer.valueOf(i3));
            } else {
                return;
            }
        }
        if (!this.cancelled) {
            aVar.onComplete();
        }
    }

    @Override // io.reactivex.internal.operators.flowable.FlowableRange$BaseRangeSubscription
    public void slowPath(long j2) {
        int i2 = this.end;
        int i3 = this.index;
        a<? super Integer> aVar = this.downstream;
        do {
            long j3 = 0;
            while (true) {
                if (j3 == j2 || i3 == i2) {
                    if (i3 != i2) {
                        j2 = get();
                        if (j3 == j2) {
                            this.index = i3;
                            j2 = addAndGet(-j3);
                        }
                    } else if (!this.cancelled) {
                        aVar.onComplete();
                        return;
                    } else {
                        return;
                    }
                } else if (!this.cancelled) {
                    if (aVar.tryOnNext(Integer.valueOf(i3))) {
                        j3++;
                    }
                    i3++;
                } else {
                    return;
                }
            }
        } while (j2 != 0);
    }
}
