package io.reactivex.internal.operators.flowable;

import k.c.c;

public final class FlowableRangeLong$RangeSubscription extends FlowableRangeLong$BaseRangeSubscription {
    private static final long serialVersionUID = 2587302975077663557L;
    public final c<? super Long> downstream;

    public FlowableRangeLong$RangeSubscription(c<? super Long> cVar, long j2, long j3) {
        super(j2, j3);
        this.downstream = cVar;
    }

    @Override // io.reactivex.internal.operators.flowable.FlowableRangeLong$BaseRangeSubscription
    public void fastPath() {
        long j2 = this.end;
        c<? super Long> cVar = this.downstream;
        for (long j3 = this.index; j3 != j2; j3++) {
            if (!this.cancelled) {
                cVar.onNext(Long.valueOf(j3));
            } else {
                return;
            }
        }
        if (!this.cancelled) {
            cVar.onComplete();
        }
    }

    @Override // io.reactivex.internal.operators.flowable.FlowableRangeLong$BaseRangeSubscription
    public void slowPath(long j2) {
        long j3 = this.end;
        long j4 = this.index;
        c<? super Long> cVar = this.downstream;
        do {
            long j5 = 0;
            while (true) {
                if (j5 == j2 || j4 == j3) {
                    if (j4 != j3) {
                        j2 = get();
                        if (j5 == j2) {
                            this.index = j4;
                            j2 = addAndGet(-j5);
                        }
                    } else if (!this.cancelled) {
                        cVar.onComplete();
                        return;
                    } else {
                        return;
                    }
                } else if (!this.cancelled) {
                    cVar.onNext(Long.valueOf(j4));
                    j5++;
                    j4++;
                } else {
                    return;
                }
            }
        } while (j2 != 0);
    }
}
