package io.reactivex.internal.operators.flowable;

import f.a.j;
import io.reactivex.internal.subscriptions.DeferredScalarSubscription;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import k.c.c;
import k.c.d;

public final class FlowableTakeLastOne$TakeLastOneSubscriber<T> extends DeferredScalarSubscription<T> implements j<T> {
    private static final long serialVersionUID = -5467847744262967226L;
    public d upstream;

    public FlowableTakeLastOne$TakeLastOneSubscriber(c<? super T> cVar) {
        super(cVar);
    }

    @Override // io.reactivex.internal.subscriptions.DeferredScalarSubscription, k.c.d, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
    public void cancel() {
        super.cancel();
        this.upstream.cancel();
    }

    @Override // k.c.c
    public void onComplete() {
        T t = this.value;
        if (t != null) {
            complete(t);
        } else {
            this.downstream.onComplete();
        }
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        this.value = null;
        this.downstream.onError(th);
    }

    @Override // k.c.c
    public void onNext(T t) {
        this.value = t;
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        if (SubscriptionHelper.validate(this.upstream, dVar)) {
            this.upstream = dVar;
            this.downstream.onSubscribe(this);
            dVar.request(Long.MAX_VALUE);
        }
    }
}
