package io.reactivex.internal.operators.maybe;

import f.a.b0.a;
import f.a.l;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import java.util.concurrent.atomic.AtomicInteger;

public final class MaybeDoFinally$DoFinallyObserver<T> extends AtomicInteger implements l<T>, b {
    private static final long serialVersionUID = 4109457741734051389L;
    public final l<? super T> downstream;
    public final a onFinally;
    public b upstream;

    public MaybeDoFinally$DoFinallyObserver(l<? super T> lVar, a aVar) {
        this.downstream = lVar;
        this.onFinally = aVar;
    }

    @Override // f.a.z.b
    public void dispose() {
        this.upstream.dispose();
        runFinally();
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return this.upstream.isDisposed();
    }

    @Override // f.a.l
    public void onComplete() {
        this.downstream.onComplete();
        runFinally();
    }

    @Override // f.a.l
    public void onError(Throwable th) {
        this.downstream.onError(th);
        runFinally();
    }

    @Override // f.a.l
    public void onSubscribe(b bVar) {
        if (DisposableHelper.validate(this.upstream, bVar)) {
            this.upstream = bVar;
            this.downstream.onSubscribe(this);
        }
    }

    @Override // f.a.l
    public void onSuccess(T t) {
        this.downstream.onSuccess(t);
        runFinally();
    }

    public void runFinally() {
        if (compareAndSet(0, 1)) {
            try {
                this.onFinally.run();
            } catch (Throwable th) {
                d.l.b.g.g.b.D0(th);
                d.l.b.g.g.b.q0(th);
            }
        }
    }
}
