package io.reactivex.internal.operators.maybe;

import f.a.l;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import io.reactivex.internal.disposables.SequentialDisposable;
import java.util.concurrent.atomic.AtomicReference;

public final class MaybeSubscribeOn$SubscribeOnMaybeObserver<T> extends AtomicReference<b> implements l<T>, b {
    private static final long serialVersionUID = 8571289934935992137L;
    public final l<? super T> downstream;
    public final SequentialDisposable task = new SequentialDisposable();

    public MaybeSubscribeOn$SubscribeOnMaybeObserver(l<? super T> lVar) {
        this.downstream = lVar;
    }

    @Override // f.a.z.b
    public void dispose() {
        DisposableHelper.dispose(this);
        this.task.dispose();
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return DisposableHelper.isDisposed((b) get());
    }

    @Override // f.a.l
    public void onComplete() {
        this.downstream.onComplete();
    }

    @Override // f.a.l
    public void onError(Throwable th) {
        this.downstream.onError(th);
    }

    @Override // f.a.l
    public void onSubscribe(b bVar) {
        DisposableHelper.setOnce(this, bVar);
    }

    @Override // f.a.l
    public void onSuccess(T t) {
        this.downstream.onSuccess(t);
    }
}
