package io.reactivex.internal.operators.maybe;

import f.a.l;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import java.util.concurrent.atomic.AtomicReference;

public final class MaybeTimeoutPublisher$TimeoutFallbackMaybeObserver<T> extends AtomicReference<b> implements l<T> {
    private static final long serialVersionUID = 8663801314800248617L;
    public final l<? super T> downstream;

    public MaybeTimeoutPublisher$TimeoutFallbackMaybeObserver(l<? super T> lVar) {
        this.downstream = lVar;
    }

    @Override // f.a.l
    public void onComplete() {
        this.downstream.onComplete();
    }

    @Override // f.a.l
    public void onError(Throwable th) {
        this.downstream.onError(th);
    }

    @Override // f.a.l
    public void onSubscribe(b bVar) {
        DisposableHelper.setOnce(this, bVar);
    }

    @Override // f.a.l
    public void onSuccess(T t) {
        this.downstream.onSuccess(t);
    }
}
