package io.reactivex.internal.operators.maybe;

import f.a.l;
import f.a.t;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import io.reactivex.internal.observers.DeferredScalarDisposable;

public final class MaybeToObservable$MaybeToObservableObserver<T> extends DeferredScalarDisposable<T> implements l<T> {
    private static final long serialVersionUID = 7603343402964826922L;
    public b upstream;

    public MaybeToObservable$MaybeToObservableObserver(t<? super T> tVar) {
        super(tVar);
    }

    @Override // f.a.z.b, io.reactivex.internal.observers.DeferredScalarDisposable, io.reactivex.internal.observers.BasicIntQueueDisposable
    public void dispose() {
        super.dispose();
        this.upstream.dispose();
    }

    @Override // f.a.l
    public void onComplete() {
        complete();
    }

    @Override // f.a.l
    public void onError(Throwable th) {
        error(th);
    }

    @Override // f.a.l
    public void onSubscribe(b bVar) {
        if (DisposableHelper.validate(this.upstream, bVar)) {
            this.upstream = bVar;
            this.downstream.onSubscribe(this);
        }
    }

    @Override // f.a.l
    public void onSuccess(T t) {
        complete(t);
    }
}
