package io.reactivex.internal.operators.mixed;

import f.a.c;
import f.a.r;
import f.a.t;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import java.util.concurrent.atomic.AtomicReference;

public final class CompletableAndThenObservable$AndThenObservableObserver<R> extends AtomicReference<b> implements t<R>, c, b {
    private static final long serialVersionUID = -8948264376121066672L;
    public final t<? super R> downstream;
    public r<? extends R> other;

    public CompletableAndThenObservable$AndThenObservableObserver(t<? super R> tVar, r<? extends R> rVar) {
        this.other = rVar;
        this.downstream = tVar;
    }

    @Override // f.a.z.b
    public void dispose() {
        DisposableHelper.dispose(this);
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return DisposableHelper.isDisposed((b) get());
    }

    @Override // f.a.t, f.a.c
    public void onComplete() {
        r<? extends R> rVar = this.other;
        if (rVar == null) {
            this.downstream.onComplete();
            return;
        }
        this.other = null;
        rVar.subscribe(this);
    }

    @Override // f.a.t, f.a.c
    public void onError(Throwable th) {
        this.downstream.onError(th);
    }

    @Override // f.a.t
    public void onNext(R r) {
        this.downstream.onNext(r);
    }

    @Override // f.a.t, f.a.c
    public void onSubscribe(b bVar) {
        DisposableHelper.replace(this, bVar);
    }
}
