package io.reactivex.internal.operators.observable;

import f.a.l;
import f.a.m;
import f.a.t;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import java.util.concurrent.atomic.AtomicReference;

public final class ObservableConcatWithMaybe$ConcatWithObserver<T> extends AtomicReference<b> implements t<T>, l<T>, b {
    private static final long serialVersionUID = -1953724749712440952L;
    public final t<? super T> downstream;
    public boolean inMaybe;
    public m<? extends T> other;

    public ObservableConcatWithMaybe$ConcatWithObserver(t<? super T> tVar, m<? extends T> mVar) {
        this.downstream = tVar;
        this.other = mVar;
    }

    @Override // f.a.z.b
    public void dispose() {
        DisposableHelper.dispose(this);
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return DisposableHelper.isDisposed((b) get());
    }

    @Override // f.a.l, f.a.t
    public void onComplete() {
        if (this.inMaybe) {
            this.downstream.onComplete();
            return;
        }
        this.inMaybe = true;
        DisposableHelper.replace(this, null);
        m<? extends T> mVar = this.other;
        this.other = null;
        mVar.a(this);
    }

    @Override // f.a.l, f.a.t
    public void onError(Throwable th) {
        this.downstream.onError(th);
    }

    @Override // f.a.t
    public void onNext(T t) {
        this.downstream.onNext(t);
    }

    @Override // f.a.l, f.a.t
    public void onSubscribe(b bVar) {
        if (DisposableHelper.setOnce(this, bVar) && !this.inMaybe) {
            this.downstream.onSubscribe(this);
        }
    }

    @Override // f.a.l
    public void onSuccess(T t) {
        this.downstream.onNext(t);
        this.downstream.onComplete();
    }
}
