package io.reactivex.internal.operators.observable;

import f.a.t;
import f.a.w;
import f.a.x;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import java.util.concurrent.atomic.AtomicReference;

public final class ObservableConcatWithSingle$ConcatWithObserver<T> extends AtomicReference<b> implements t<T>, w<T>, b {
    private static final long serialVersionUID = -1953724749712440952L;
    public final t<? super T> downstream;
    public boolean inSingle;
    public x<? extends T> other;

    public ObservableConcatWithSingle$ConcatWithObserver(t<? super T> tVar, x<? extends T> xVar) {
        this.downstream = tVar;
        this.other = xVar;
    }

    @Override // f.a.z.b
    public void dispose() {
        DisposableHelper.dispose(this);
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return DisposableHelper.isDisposed((b) get());
    }

    @Override // f.a.t
    public void onComplete() {
        this.inSingle = true;
        DisposableHelper.replace(this, null);
        x<? extends T> xVar = this.other;
        this.other = null;
        xVar.a(this);
    }

    @Override // f.a.w, f.a.t
    public void onError(Throwable th) {
        this.downstream.onError(th);
    }

    @Override // f.a.t
    public void onNext(T t) {
        this.downstream.onNext(t);
    }

    @Override // f.a.w, f.a.t
    public void onSubscribe(b bVar) {
        if (DisposableHelper.setOnce(this, bVar) && !this.inSingle) {
            this.downstream.onSubscribe(this);
        }
    }

    @Override // f.a.w
    public void onSuccess(T t) {
        this.downstream.onNext(t);
        this.downstream.onComplete();
    }
}
