package io.reactivex.internal.operators.observable;

import f.a.c0.e.d.l;
import f.a.t;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import java.util.concurrent.atomic.AtomicReference;

public final class ObservableGroupJoin$LeftRightEndObserver extends AtomicReference<b> implements t<Object>, b {
    private static final long serialVersionUID = 1883890389173668373L;
    public final int index;
    public final boolean isLeft;
    public final l parent;

    public ObservableGroupJoin$LeftRightEndObserver(l lVar, boolean z, int i2) {
        this.parent = lVar;
        this.isLeft = z;
        this.index = i2;
    }

    @Override // f.a.z.b
    public void dispose() {
        DisposableHelper.dispose(this);
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return DisposableHelper.isDisposed((b) get());
    }

    @Override // f.a.t
    public void onComplete() {
        this.parent.innerClose(this.isLeft, this);
    }

    @Override // f.a.t
    public void onError(Throwable th) {
        this.parent.innerCloseError(th);
    }

    @Override // f.a.t
    public void onNext(Object obj) {
        if (DisposableHelper.dispose(this)) {
            this.parent.innerClose(this.isLeft, this);
        }
    }

    @Override // f.a.t
    public void onSubscribe(b bVar) {
        DisposableHelper.setOnce(this, bVar);
    }
}
