package io.reactivex.internal.operators.observable;

import f.a.c0.e.d.o;
import f.a.t;
import f.a.z.b;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicReference;

public final class ObservablePublish$InnerDisposable<T> extends AtomicReference<Object> implements b {
    private static final long serialVersionUID = -1100270633763673112L;
    public final t<? super T> child;

    public ObservablePublish$InnerDisposable(t<? super T> tVar) {
        this.child = tVar;
    }

    @Override // f.a.z.b
    public void dispose() {
        Object andSet = getAndSet(this);
        if (andSet != null && andSet != this) {
            o oVar = (o) andSet;
            throw null;
        }
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return get() == this;
    }

    public void setParent(o<T> oVar) {
        if (!compareAndSet(null, oVar)) {
            Objects.requireNonNull(oVar);
            throw null;
        }
    }
}
