package io.reactivex.internal.operators.observable;

import f.a.c0.e.d.p;
import f.a.t;
import io.reactivex.internal.util.NotificationLite;
import java.util.ArrayList;

public final class ObservableReplay$UnboundedReplayBuffer<T> extends ArrayList<Object> implements p<T> {
    private static final long serialVersionUID = 7063189396499112664L;
    public volatile int size;

    public ObservableReplay$UnboundedReplayBuffer(int i2) {
        super(i2);
    }

    @Override // f.a.c0.e.d.p
    public void complete() {
        add(NotificationLite.complete());
        this.size++;
    }

    @Override // f.a.c0.e.d.p
    public void error(Throwable th) {
        add(NotificationLite.error(th));
        this.size++;
    }

    @Override // f.a.c0.e.d.p
    public void next(T t) {
        add(NotificationLite.next(t));
        this.size++;
    }

    @Override // f.a.c0.e.d.p
    public void replay(ObservableReplay$InnerDisposable<T> observableReplay$InnerDisposable) {
        if (observableReplay$InnerDisposable.getAndIncrement() == 0) {
            t<? super T> tVar = observableReplay$InnerDisposable.child;
            int i2 = 1;
            while (!observableReplay$InnerDisposable.isDisposed()) {
                int i3 = this.size;
                Integer num = (Integer) observableReplay$InnerDisposable.index();
                int intValue = num != null ? num.intValue() : 0;
                while (intValue < i3) {
                    if (!NotificationLite.accept(get(intValue), tVar) && !observableReplay$InnerDisposable.isDisposed()) {
                        intValue++;
                    } else {
                        return;
                    }
                }
                observableReplay$InnerDisposable.index = Integer.valueOf(intValue);
                i2 = observableReplay$InnerDisposable.addAndGet(-i2);
                if (i2 == 0) {
                    return;
                }
            }
        }
    }
}
