package io.reactivex.internal.operators.single;

import f.a.w;
import f.a.x;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import io.reactivex.internal.disposables.SequentialDisposable;
import java.util.concurrent.atomic.AtomicReference;

public final class SingleSubscribeOn$SubscribeOnObserver<T> extends AtomicReference<b> implements w<T>, b, Runnable {
    private static final long serialVersionUID = 7000911171163930287L;
    public final w<? super T> downstream;
    public final x<? extends T> source;
    public final SequentialDisposable task = new SequentialDisposable();

    public SingleSubscribeOn$SubscribeOnObserver(w<? super T> wVar, x<? extends T> xVar) {
        this.downstream = wVar;
        this.source = xVar;
    }

    @Override // f.a.z.b
    public void dispose() {
        DisposableHelper.dispose(this);
        this.task.dispose();
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return DisposableHelper.isDisposed((b) get());
    }

    @Override // f.a.w
    public void onError(Throwable th) {
        this.downstream.onError(th);
    }

    @Override // f.a.w
    public void onSubscribe(b bVar) {
        DisposableHelper.setOnce(this, bVar);
    }

    @Override // f.a.w
    public void onSuccess(T t) {
        this.downstream.onSuccess(t);
    }

    public void run() {
        this.source.a(this);
    }
}
