package io.reactivex.internal.operators.single;

import f.a.u;
import f.a.w;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import java.util.concurrent.atomic.AtomicReference;

public final class SingleUnsubscribeOn$UnsubscribeOnSingleObserver<T> extends AtomicReference<b> implements w<T>, b, Runnable {
    private static final long serialVersionUID = 3256698449646456986L;
    public final w<? super T> downstream;
    public b ds;
    public final u scheduler;

    public SingleUnsubscribeOn$UnsubscribeOnSingleObserver(w<? super T> wVar, u uVar) {
        this.downstream = wVar;
        this.scheduler = uVar;
    }

    @Override // f.a.z.b
    public void dispose() {
        DisposableHelper disposableHelper = DisposableHelper.DISPOSED;
        b bVar = (b) getAndSet(disposableHelper);
        if (bVar != disposableHelper) {
            this.ds = bVar;
            this.scheduler.c(this);
        }
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return DisposableHelper.isDisposed((b) get());
    }

    @Override // f.a.w
    public void onError(Throwable th) {
        this.downstream.onError(th);
    }

    @Override // f.a.w
    public void onSubscribe(b bVar) {
        if (DisposableHelper.setOnce(this, bVar)) {
            this.downstream.onSubscribe(this);
        }
    }

    @Override // f.a.w
    public void onSuccess(T t) {
        this.downstream.onSuccess(t);
    }

    public void run() {
        this.ds.dispose();
    }
}
