package io.reactivex.internal.schedulers;

import f.a.z.b;
import java.util.concurrent.atomic.AtomicBoolean;

public final class ExecutorScheduler$ExecutorWorker$BooleanRunnable extends AtomicBoolean implements Runnable, b {
    private static final long serialVersionUID = -2421395018820541164L;
    public final Runnable actual;

    public ExecutorScheduler$ExecutorWorker$BooleanRunnable(Runnable runnable) {
        this.actual = runnable;
    }

    @Override // f.a.z.b
    public void dispose() {
        lazySet(true);
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return get();
    }

    public void run() {
        if (!get()) {
            try {
                this.actual.run();
            } finally {
                lazySet(true);
            }
        }
    }
}
