package kotlin.coroutines;

import com.lzy.okgo.cache.CacheEntity;
import h.m.c;
import h.p.a.p;
import h.p.b.o;
import java.io.Serializable;

/* compiled from: CoroutineContextImpl.kt */
public final class EmptyCoroutineContext implements c, Serializable {
    public static final EmptyCoroutineContext INSTANCE = new EmptyCoroutineContext();
    private static final long serialVersionUID = 0;

    private EmptyCoroutineContext() {
    }

    private final Object readResolve() {
        return INSTANCE;
    }

    @Override // h.m.c
    public <R> R fold(R r, p<? super R, ? super c.a, ? extends R> pVar) {
        o.e(pVar, "operation");
        return r;
    }

    @Override // h.m.c
    public <E extends c.a> E get(c.b<E> bVar) {
        o.e(bVar, CacheEntity.KEY);
        return null;
    }

    public int hashCode() {
        return 0;
    }

    @Override // h.m.c
    public c minusKey(c.b<?> bVar) {
        o.e(bVar, CacheEntity.KEY);
        return this;
    }

    @Override // h.m.c
    public c plus(c cVar) {
        o.e(cVar, "context");
        return cVar;
    }

    public String toString() {
        return "EmptyCoroutineContext";
    }
}
