package okhttp3;

import javax.annotation.Nullable;

public interface Interceptor {

    public interface Chain {
        @Nullable
        Connection connection();

        Response proceed(Request request);

        Request request();
    }

    Response intercept(Chain chain);
}
