package okhttp3.internal.http2;

public enum ErrorCode {
    NO_ERROR(0),
    PROTOCOL_ERROR(1),
    INTERNAL_ERROR(2),
    FLOW_CONTROL_ERROR(3),
    REFUSED_STREAM(7),
    CANCEL(8);
    
    public final int httpCode;

    private ErrorCode(int i2) {
        this.httpCode = i2;
    }

    public static ErrorCode fromHttp2(int i2) {
        ErrorCode[] values = values();
        for (int i3 = 0; i3 < 6; i3++) {
            ErrorCode errorCode = values[i3];
            if (errorCode.httpCode == i2) {
                return errorCode;
            }
        }
        return null;
    }
}
