package okio;

import com.lzy.okgo.cache.CacheEntity;
import h.p.b.o;
import java.io.IOException;
import java.io.InputStream;
import org.dsq.library.widget.bigImage.SubsamplingScaleImageView;

/* compiled from: RealBufferedSource.kt */
public final class RealBufferedSource$inputStream$1 extends InputStream {
    public final /* synthetic */ RealBufferedSource this$0;

    public RealBufferedSource$inputStream$1(RealBufferedSource realBufferedSource) {
        this.this$0 = realBufferedSource;
    }

    @Override // java.io.InputStream
    public int available() {
        RealBufferedSource realBufferedSource = this.this$0;
        if (!realBufferedSource.closed) {
            return (int) Math.min(realBufferedSource.bufferField.size(), (long) SubsamplingScaleImageView.TILE_SIZE_AUTO);
        }
        throw new IOException("closed");
    }

    @Override // java.io.Closeable, java.lang.AutoCloseable, java.io.InputStream
    public void close() {
        this.this$0.close();
    }

    @Override // java.io.InputStream
    public int read() {
        RealBufferedSource realBufferedSource = this.this$0;
        if (!realBufferedSource.closed) {
            if (realBufferedSource.bufferField.size() == 0) {
                RealBufferedSource realBufferedSource2 = this.this$0;
                if (realBufferedSource2.source.read(realBufferedSource2.bufferField, (long) 8192) == -1) {
                    return -1;
                }
            }
            return this.this$0.bufferField.readByte() & 255;
        }
        throw new IOException("closed");
    }

    public String toString() {
        return this.this$0 + ".inputStream()";
    }

    @Override // java.io.InputStream
    public int read(byte[] bArr, int i2, int i3) {
        o.e(bArr, CacheEntity.DATA);
        if (!this.this$0.closed) {
            _UtilKt.checkOffsetAndCount((long) bArr.length, (long) i2, (long) i3);
            if (this.this$0.bufferField.size() == 0) {
                RealBufferedSource realBufferedSource = this.this$0;
                if (realBufferedSource.source.read(realBufferedSource.bufferField, (long) 8192) == -1) {
                    return -1;
                }
            }
            return this.this$0.bufferField.read(bArr, i2, i3);
        }
        throw new IOException("closed");
    }
}
