package org.dsq.library.viewmodel;

import androidx.lifecycle.MutableLiveData;
import b.q.k;
import com.lzy.okgo.model.HttpParams;
import h.p.b.o;
import java.util.List;

/* compiled from: ListDataViewModel.kt */
public abstract class ListDataViewModel<T> extends k {
    private MutableLiveData<List<T>> dataList = new MutableLiveData<>();

    public final MutableLiveData<List<T>> getDataList() {
        return this.dataList;
    }

    public abstract void requestDataList(HttpParams httpParams);

    public final void setDataList(MutableLiveData<List<T>> mutableLiveData) {
        o.e(mutableLiveData, "<set-?>");
        this.dataList = mutableLiveData;
    }
}
