package androidx.camera.core.impl;

import java.util.Set;

public interface Config {

    public interface OptionMatcher {
        boolean onOptionMatched(a<?> aVar);
    }

    public enum OptionPriority {
        ALWAYS_OVERRIDE,
        REQUIRED,
        OPTIONAL
    }

    public static abstract class a<T> {
        public abstract String a();

        public abstract Object b();

        public abstract Class<T> c();
    }

    boolean containsOption(a<?> aVar);

    void findOptions(String str, OptionMatcher optionMatcher);

    OptionPriority getOptionPriority(a<?> aVar);

    Set<OptionPriority> getPriorities(a<?> aVar);

    Set<a<?>> listOptions();

    <ValueT> ValueT retrieveOption(a<ValueT> aVar);

    <ValueT> ValueT retrieveOption(a<ValueT> aVar, ValueT valuet);

    <ValueT> ValueT retrieveOptionWithPriority(a<ValueT> aVar, OptionPriority optionPriority);
}
