package androidx.camera.core.impl;

import d.h.b.a.a.a;
import java.util.concurrent.Executor;

public interface Observable<T> {

    public interface Observer<T> {
        void onError(Throwable th);

        void onNewData(T t);
    }

    void addObserver(Executor executor, Observer<? super T> observer);

    a<T> fetchData();

    void removeObserver(Observer<? super T> observer);
}
