package androidx.camera.core.internal.utils;

public final class ImageUtil$CodecFailedException extends Exception {
    private FailureType mFailureType;

    public enum FailureType {
        ENCODE_FAILED,
        DECODE_FAILED,
        UNKNOWN
    }

    public ImageUtil$CodecFailedException(String str) {
        super(str);
        this.mFailureType = FailureType.UNKNOWN;
    }

    public FailureType getFailureType() {
        return this.mFailureType;
    }

    public ImageUtil$CodecFailedException(String str, FailureType failureType) {
        super(str);
        this.mFailureType = failureType;
    }
}
