package androidx.core.app;

import android.app.PendingIntent;
import androidx.core.graphics.drawable.IconCompat;
import androidx.versionedparcelable.VersionedParcel;
import androidx.versionedparcelable.VersionedParcelable;
import java.util.Objects;

public class RemoteActionCompatParcelizer {
    public static RemoteActionCompat read(VersionedParcel versionedParcel) {
        RemoteActionCompat remoteActionCompat = new RemoteActionCompat();
        VersionedParcelable versionedParcelable = remoteActionCompat.f1307a;
        if (versionedParcel.i(1)) {
            versionedParcelable = versionedParcel.o();
        }
        remoteActionCompat.f1307a = (IconCompat) versionedParcelable;
        CharSequence charSequence = remoteActionCompat.f1308b;
        if (versionedParcel.i(2)) {
            charSequence = versionedParcel.h();
        }
        remoteActionCompat.f1308b = charSequence;
        CharSequence charSequence2 = remoteActionCompat.f1309c;
        if (versionedParcel.i(3)) {
            charSequence2 = versionedParcel.h();
        }
        remoteActionCompat.f1309c = charSequence2;
        remoteActionCompat.f1310d = (PendingIntent) versionedParcel.m(remoteActionCompat.f1310d, 4);
        boolean z = remoteActionCompat.f1311e;
        if (versionedParcel.i(5)) {
            z = versionedParcel.f();
        }
        remoteActionCompat.f1311e = z;
        boolean z2 = remoteActionCompat.f1312f;
        if (versionedParcel.i(6)) {
            z2 = versionedParcel.f();
        }
        remoteActionCompat.f1312f = z2;
        return remoteActionCompat;
    }

    public static void write(RemoteActionCompat remoteActionCompat, VersionedParcel versionedParcel) {
        Objects.requireNonNull(versionedParcel);
        IconCompat iconCompat = remoteActionCompat.f1307a;
        versionedParcel.p(1);
        versionedParcel.w(iconCompat);
        CharSequence charSequence = remoteActionCompat.f1308b;
        versionedParcel.p(2);
        versionedParcel.s(charSequence);
        CharSequence charSequence2 = remoteActionCompat.f1309c;
        versionedParcel.p(3);
        versionedParcel.s(charSequence2);
        PendingIntent pendingIntent = remoteActionCompat.f1310d;
        versionedParcel.p(4);
        versionedParcel.u(pendingIntent);
        boolean z = remoteActionCompat.f1311e;
        versionedParcel.p(5);
        versionedParcel.q(z);
        boolean z2 = remoteActionCompat.f1312f;
        versionedParcel.p(6);
        versionedParcel.q(z2);
    }
}
