package androidx.transition;

import android.animation.Animator;
import android.animation.TimeInterpolator;
import android.graphics.Rect;
import android.view.View;
import android.view.ViewGroup;
import android.view.animation.AccelerateInterpolator;
import android.view.animation.DecelerateInterpolator;
import b.x.p;
import b.x.r;

public class Explode extends Visibility {
    public static final TimeInterpolator H = new DecelerateInterpolator();
    public static final TimeInterpolator I = new AccelerateInterpolator();
    public int[] J = new int[2];

    public Explode() {
        this.C = new CircularPropagation();
    }

    @Override // androidx.transition.Visibility
    private void I(p pVar) {
        View view = pVar.f3969b;
        view.getLocationOnScreen(this.J);
        int[] iArr = this.J;
        int i2 = iArr[0];
        int i3 = iArr[1];
        pVar.f3968a.put("android:explode:screenBounds", new Rect(i2, i3, view.getWidth() + i2, view.getHeight() + i3));
    }

    @Override // androidx.transition.Visibility
    public Animator K(ViewGroup viewGroup, View view, p pVar, p pVar2) {
        Rect rect = (Rect) pVar2.f3968a.get("android:explode:screenBounds");
        float translationX = view.getTranslationX();
        float translationY = view.getTranslationY();
        O(viewGroup, rect, this.J);
        int[] iArr = this.J;
        return r.a(view, pVar2, rect.left, rect.top, translationX + ((float) iArr[0]), translationY + ((float) iArr[1]), translationX, translationY, H, this);
    }

    @Override // androidx.transition.Visibility
    public Animator M(ViewGroup viewGroup, View view, p pVar, p pVar2) {
        float f2;
        float f3;
        Rect rect = (Rect) pVar.f3968a.get("android:explode:screenBounds");
        int i2 = rect.left;
        int i3 = rect.top;
        float translationX = view.getTranslationX();
        float translationY = view.getTranslationY();
        int[] iArr = (int[]) pVar.f3969b.getTag(R$id.transition_position);
        if (iArr != null) {
            f3 = ((float) (iArr[0] - rect.left)) + translationX;
            f2 = ((float) (iArr[1] - rect.top)) + translationY;
            rect.offsetTo(iArr[0], iArr[1]);
        } else {
            f3 = translationX;
            f2 = translationY;
        }
        O(viewGroup, rect, this.J);
        int[] iArr2 = this.J;
        return r.a(view, pVar, i2, i3, translationX, translationY, f3 + ((float) iArr2[0]), f2 + ((float) iArr2[1]), I, this);
    }

    public final void O(View view, Rect rect, int[] iArr) {
        int i2;
        int i3;
        view.getLocationOnScreen(this.J);
        int[] iArr2 = this.J;
        int i4 = iArr2[0];
        int i5 = iArr2[1];
        Rect n = n();
        if (n == null) {
            i3 = Math.round(view.getTranslationX()) + (view.getWidth() / 2) + i4;
            i2 = Math.round(view.getTranslationY()) + (view.getHeight() / 2) + i5;
        } else {
            i3 = n.centerX();
            i2 = n.centerY();
        }
        float centerX = (float) (rect.centerX() - i3);
        float centerY = (float) (rect.centerY() - i2);
        if (centerX == 0.0f && centerY == 0.0f) {
            centerX = ((float) (Math.random() * 2.0d)) - 1.0f;
            centerY = ((float) (Math.random() * 2.0d)) - 1.0f;
        }
        float sqrt = (float) Math.sqrt((double) ((centerY * centerY) + (centerX * centerX)));
        int i6 = i3 - i4;
        int i7 = i2 - i5;
        float max = (float) Math.max(i6, view.getWidth() - i6);
        float max2 = (float) Math.max(i7, view.getHeight() - i7);
        float sqrt2 = (float) Math.sqrt((double) ((max2 * max2) + (max * max)));
        iArr[0] = Math.round((centerX / sqrt) * sqrt2);
        iArr[1] = Math.round(sqrt2 * (centerY / sqrt));
    }

    @Override // androidx.transition.Transition, androidx.transition.Visibility
    public void d(p pVar) {
        I(pVar);
        I(pVar);
    }

    @Override // androidx.transition.Transition, androidx.transition.Visibility
    public void g(p pVar) {
        I(pVar);
        I(pVar);
    }
}
