package com.androidx.lv.base.bean;

import java.io.Serializable;

public class CityEntity implements Serializable {
    private String code;
    private String initial;
    private boolean isHot;
    private String name;
    private String parentCode;
    private String parentName;
    private String pinyin;
    private String suffix;

    public boolean equals(Object obj) {
        return this.code.equals(((CityEntity) obj).code);
    }

    public String getCode() {
        return this.code;
    }

    public String getInitial() {
        return this.initial;
    }

    public String getName() {
        return this.name;
    }

    public String getParentCode() {
        return this.parentCode;
    }

    public String getParentName() {
        return this.parentName;
    }

    public String getPinyin() {
        return this.pinyin;
    }

    public String getSuffix() {
        return this.suffix;
    }

    public int hashCode() {
        return this.code.hashCode();
    }

    public boolean isIsHot() {
        return this.isHot;
    }

    public void setCode(String str) {
        this.code = str;
    }

    public void setInitial(String str) {
        this.initial = str;
    }

    public void setIsHot(boolean z) {
        this.isHot = z;
    }

    public void setName(String str) {
        this.name = str;
    }

    public void setParentCode(String str) {
        this.parentCode = str;
    }

    public void setParentName(String str) {
        this.parentName = str;
    }

    public void setPinyin(String str) {
        this.pinyin = str;
    }

    public void setSuffix(String str) {
        this.suffix = str;
    }
}
