package com.androidx.lv.base.bean;

import java.util.Arrays;
import java.util.List;

public class VideoHistory {
    private int commentNum;
    private String coverImg;
    private String createdAt;
    private int fakeFavorites;
    private int fakeWatchNum;
    private int height;
    private Long id;
    private boolean isFavorite;
    private String logo;
    private String nickName;
    private String playPath;
    private long playTime;
    private double price;
    private int progress;
    private List<String> tagTitles;
    private String title;
    private String verImg;
    private int videoId;
    private int videoMark;
    private int videoType;
    private int width;

    public static class StringConverter {
        public String convertToDatabaseValue(List<String> list) {
            if (list == null) {
                return null;
            }
            StringBuilder sb = new StringBuilder();
            for (String str : list) {
                sb.append(str);
                sb.append(",");
            }
            return sb.toString();
        }

        public List<String> convertToEntityProperty(String str) {
            if (str == null) {
                return null;
            }
            return Arrays.asList(str.split(","));
        }
    }

    public VideoHistory(int i2, String str, long j2, String str2, String str3, int i3, int i4, String str4, double d2, int i5, int i6, int i7, String str5, boolean z, int i8, int i9, List<String> list, String str6) {
        this.videoId = i2;
        this.title = str;
        this.playTime = j2;
        this.coverImg = str2;
        this.verImg = str3;
        this.progress = i3;
        this.videoType = i4;
        this.playPath = str4;
        this.price = d2;
        this.videoMark = i5;
        this.height = i6;
        this.width = i7;
        this.logo = str5;
        this.isFavorite = z;
        this.fakeFavorites = i8;
        this.commentNum = i9;
        this.tagTitles = list;
        this.nickName = str6;
    }

    public int getCommentNum() {
        return this.commentNum;
    }

    public String getCoverImg() {
        return this.coverImg;
    }

    public String getCreatedAt() {
        return this.createdAt;
    }

    public int getFakeFavorites() {
        return this.fakeFavorites;
    }

    public int getFakeWatchNum() {
        return this.fakeWatchNum;
    }

    public int getHeight() {
        return this.height;
    }

    public Long getId() {
        return this.id;
    }

    public boolean getIsFavorite() {
        return this.isFavorite;
    }

    public String getLogo() {
        return this.logo;
    }

    public String getNickName() {
        return this.nickName;
    }

    public String getPlayPath() {
        return this.playPath;
    }

    public long getPlayTime() {
        return this.playTime;
    }

    public double getPrice() {
        return this.price;
    }

    public int getProgress() {
        return this.progress;
    }

    public List<String> getTagTitles() {
        return this.tagTitles;
    }

    public String getTitle() {
        return this.title;
    }

    public String getVerImg() {
        return this.verImg;
    }

    public int getVideoId() {
        return this.videoId;
    }

    public int getVideoMark() {
        return this.videoMark;
    }

    public int getVideoType() {
        return this.videoType;
    }

    public int getWidth() {
        return this.width;
    }

    public boolean isFavorite() {
        return this.isFavorite;
    }

    public void setCommentNum(int i2) {
        this.commentNum = i2;
    }

    public void setCoverImg(String str) {
        this.coverImg = str;
    }

    public void setCreatedAt(String str) {
        this.createdAt = str;
    }

    public void setFakeFavorites(int i2) {
        this.fakeFavorites = i2;
    }

    public void setFakeWatchNum(int i2) {
        this.fakeWatchNum = i2;
    }

    public void setFavorite(boolean z) {
        this.isFavorite = z;
    }

    public void setHeight(int i2) {
        this.height = i2;
    }

    public void setId(Long l2) {
        this.id = l2;
    }

    public void setIsFavorite(boolean z) {
        this.isFavorite = z;
    }

    public void setLogo(String str) {
        this.logo = str;
    }

    public void setNickName(String str) {
        this.nickName = str;
    }

    public void setPlayPath(String str) {
        this.playPath = str;
    }

    public void setPlayTime(long j2) {
        this.playTime = j2;
    }

    public void setPrice(double d2) {
        this.price = d2;
    }

    public void setProgress(int i2) {
        this.progress = i2;
    }

    public void setTagTitles(List<String> list) {
        this.tagTitles = list;
    }

    public void setTitle(String str) {
        this.title = str;
    }

    public void setVerImg(String str) {
        this.verImg = str;
    }

    public void setVideoId(int i2) {
        this.videoId = i2;
    }

    public void setVideoMark(int i2) {
        this.videoMark = i2;
    }

    public void setVideoType(int i2) {
        this.videoType = i2;
    }

    public void setWidth(int i2) {
        this.width = i2;
    }

    public VideoHistory(Long l2, int i2, String str, long j2, String str2, String str3, int i3, int i4, String str4, double d2, int i5, int i6, int i7, String str5, boolean z, int i8, int i9, List<String> list, String str6) {
        this.id = l2;
        this.videoId = i2;
        this.title = str;
        this.playTime = j2;
        this.coverImg = str2;
        this.verImg = str3;
        this.progress = i3;
        this.videoType = i4;
        this.playPath = str4;
        this.price = d2;
        this.videoMark = i5;
        this.height = i6;
        this.width = i7;
        this.logo = str5;
        this.isFavorite = z;
        this.fakeFavorites = i8;
        this.commentNum = i9;
        this.tagTitles = list;
        this.nickName = str6;
    }

    public VideoHistory(int i2, String str, long j2, String str2, String str3, int i3, int i4, String str4, int i5, int i6, int i7, int i8, String str5, boolean z, int i9, int i10, List<String> list, String str6, int i11, String str7) {
        this.videoId = i2;
        this.title = str;
        this.playTime = j2;
        this.coverImg = str2;
        this.verImg = str3;
        this.videoType = i4;
        this.playPath = str4;
        this.price = (double) i5;
        this.videoMark = i6;
        this.height = i7;
        this.width = i8;
        this.logo = str5;
        this.fakeFavorites = i9;
        this.commentNum = i10;
        this.tagTitles = list;
        this.nickName = str6;
        this.fakeWatchNum = i11;
        this.createdAt = str7;
    }

    public VideoHistory(Long l2, int i2, String str, long j2, String str2, String str3, int i3, int i4, String str4, double d2, int i5, int i6, int i7, String str5, boolean z, int i8, int i9, int i10, String str6, List<String> list, String str7) {
        this.id = l2;
        this.videoId = i2;
        this.title = str;
        this.playTime = j2;
        this.coverImg = str2;
        this.verImg = str3;
        this.progress = i3;
        this.videoType = i4;
        this.playPath = str4;
        this.price = d2;
        this.videoMark = i5;
        this.height = i6;
        this.width = i7;
        this.logo = str5;
        this.isFavorite = z;
        this.fakeFavorites = i8;
        this.commentNum = i9;
        this.fakeWatchNum = i10;
        this.createdAt = str6;
        this.tagTitles = list;
        this.nickName = str7;
    }

    public VideoHistory() {
    }
}
