package com.androidx.lv.base.dialog;

import android.app.Dialog;
import android.content.Context;
import android.view.Window;
import android.view.WindowManager;
import android.widget.TextView;
import com.androidx.lv.base.R$id;
import com.androidx.lv.base.R$layout;
import com.androidx.lv.base.R$style;

public class DialogLoading extends Dialog {
    public TextView tvHint = ((TextView) findViewById(R$id.tv_hint));

    public DialogLoading(Context context) {
        super(context, R$style.MyDialogStyle);
        setContentView(R$layout.dialog_loading);
        Window window = getWindow();
        WindowManager.LayoutParams attributes = window.getAttributes();
        attributes.gravity = 17;
        window.setAttributes(attributes);
        setCancelable(false);
        setCanceledOnTouchOutside(false);
    }

    public void setTvHint(String str) {
        this.tvHint.setText(str);
    }
}
