package com.androidx.lv.base.utils;

import b.o.a.n;
import com.androidx.lv.base.bean.CutBean;
import com.lzy.okgo.cookie.SerializableCookie;
import java.io.Closeable;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.RandomAccessFile;
import java.io.UnsupportedEncodingException;
import java.math.BigInteger;
import java.security.MessageDigest;
import java.security.NoSuchAlgorithmException;
import java.util.ArrayList;
import java.util.List;
import java.util.Properties;

public class FileListUtils {
    public static void closeQuietly(Closeable closeable) {
        if (closeable != null) {
            try {
                closeable.close();
            } catch (IOException unused) {
            }
        }
    }

    public static List<CutBean> fileList(String str, File file) {
        ArrayList arrayList = new ArrayList();
        FileInputStream fileInputStream = new FileInputStream(file);
        FileOutputStream fileOutputStream = new FileOutputStream(new File(n.f3649f.getExternalFilesDir(null).getAbsolutePath() + "/config.properties"));
        byte[] bArr = new byte[2097152];
        Properties properties = new Properties();
        int i2 = 0;
        while (true) {
            int read = fileInputStream.read(bArr, 0, 2097152);
            if (read != -1) {
                String str2 = n.f3649f.getExternalFilesDir(null).getAbsolutePath() + "/" + str + "_" + i2;
                StringBuilder sb = new StringBuilder();
                int i3 = i2 + 1;
                sb.append(i2);
                sb.append("");
                properties.setProperty(sb.toString(), str2);
                FileOutputStream fileOutputStream2 = new FileOutputStream(new File(str2));
                fileOutputStream2.write(bArr, 0, read);
                fileOutputStream2.close();
                arrayList.add(new CutBean(i3, str2));
                i2 = i3;
            } else {
                properties.setProperty(SerializableCookie.NAME, file.getName());
                properties.store(fileOutputStream, "ConfigFile");
                fileInputStream.close();
                return arrayList;
            }
        }
    }

    public static String getFileMD5s(File file, int i2) {
        Throwable th;
        Exception e2;
        RandomAccessFile randomAccessFile = null;
        try {
            MessageDigest instance = MessageDigest.getInstance("MD5");
            RandomAccessFile randomAccessFile2 = new RandomAccessFile(file, "r");
            try {
                byte[] bArr = new byte[2097152];
                while (true) {
                    int read = randomAccessFile2.read(bArr);
                    if (read == -1) {
                        break;
                    }
                    instance.update(bArr, 0, read);
                }
                StringBuilder sb = new StringBuilder(new BigInteger(1, instance.digest()).toString(i2));
                while (sb.length() < 32) {
                    sb.insert(0, "0");
                }
                String sb2 = sb.toString();
                closeQuietly(randomAccessFile2);
                return sb2;
            } catch (Exception e3) {
                e2 = e3;
                randomAccessFile = randomAccessFile2;
                try {
                    throw new RuntimeException(e2);
                } catch (Throwable th2) {
                    th = th2;
                    closeQuietly(randomAccessFile);
                    throw th;
                }
            } catch (Throwable th3) {
                th = th3;
                randomAccessFile = randomAccessFile2;
                closeQuietly(randomAccessFile);
                throw th;
            }
        } catch (Exception e4) {
            e2 = e4;
            throw new RuntimeException(e2);
        }
    }

    public static String getMD5(String str) {
        try {
            MessageDigest instance = MessageDigest.getInstance("MD5");
            instance.update(str.getBytes());
            String bigInteger = new BigInteger(1, instance.digest()).toString(16);
            if (bigInteger.length() >= 32) {
                return bigInteger;
            }
            return 0 + bigInteger;
        } catch (Exception unused) {
            throw new Exception("MD5加密出現錯誤");
        }
    }

    public static String md5(String str) {
        try {
            byte[] digest = MessageDigest.getInstance("MD5").digest(str.getBytes("UTF-8"));
            StringBuilder sb = new StringBuilder(digest.length * 2);
            for (byte b2 : digest) {
                int i2 = b2 & 255;
                if (i2 < 16) {
                    sb.append("0");
                }
                sb.append(Integer.toHexString(i2));
            }
            return sb.toString();
        } catch (NoSuchAlgorithmException e2) {
            throw new RuntimeException("Huh, MD5 should be supported?", e2);
        } catch (UnsupportedEncodingException e3) {
            throw new RuntimeException("Huh, UTF-8 should be supported?", e3);
        }
    }
}
