package com.androidx.lv.base.utils;

import com.androidx.lv.base.BaseApp;
import com.androidx.lv.base.bean.VideoHistory;
import com.androidx.lv.base.db.VideoHistoryDao;
import f.a.a;
import f.a.b;
import f.a.d;
import f.a.g;
import f.a.h;
import f.a.i;
import io.reactivex.BackpressureStrategy;
import io.reactivex.internal.operators.completable.CompletableCreate;
import io.reactivex.internal.operators.flowable.FlowableCreate;
import java.util.ArrayList;
import java.util.List;
import java.util.Objects;
import k.b.b.e;
import k.b.b.i.f;
import k.b.b.i.h;

public class VideoHistoryUtils {
    public static VideoHistoryUtils videoHistoryUtils;

    public static VideoHistoryUtils getInstance() {
        if (videoHistoryUtils == null) {
            videoHistoryUtils = new VideoHistoryUtils();
        }
        return videoHistoryUtils;
    }

    public a delete(final List<VideoHistory> list) {
        return new CompletableCreate(new d() {
            /* class com.androidx.lv.base.utils.VideoHistoryUtils.AnonymousClass2 */

            @Override // f.a.d
            public void subscribe(b bVar) {
                VideoHistoryUtils.this.getDao().g(list);
                bVar.onComplete();
            }
        });
    }

    public void deleteVideoHistory(int i2) {
        final f.a.z.a aVar = new f.a.z.a();
        aVar.c(delete(i2).e(f.a.f0.a.f13138b).b(f.a.y.a.a.a()).c(new f.a.b0.a() {
            /* class com.androidx.lv.base.utils.VideoHistoryUtils.AnonymousClass5 */

            @Override // f.a.b0.a
            public void run() {
                LogUtils.e("---->", "删除video----ok");
                aVar.d();
            }
        }));
    }

    public VideoHistoryDao getDao() {
        return BaseApp.f4097d.f7640k;
    }

    public g<List<VideoHistory>> getHistory(final int i2, final int i3) {
        AnonymousClass7 r0 = new i<List<VideoHistory>>() {
            /* class com.androidx.lv.base.utils.VideoHistoryUtils.AnonymousClass7 */

            @Override // f.a.i
            public void subscribe(h<List<VideoHistory>> hVar) {
                VideoHistoryDao dao = VideoHistoryUtils.this.getDao();
                Objects.requireNonNull(dao);
                f fVar = new f(dao);
                fVar.f13579a.a(VideoHistoryDao.Properties.VideoMark.a(Integer.valueOf(i3)), new k.b.b.i.h[0]);
                fVar.d(VideoHistoryDao.Properties.Id);
                fVar.c(i2 * 20);
                fVar.b(20);
                hVar.onNext(fVar.a().a());
            }
        };
        BackpressureStrategy backpressureStrategy = BackpressureStrategy.ERROR;
        int i4 = g.f13146d;
        Objects.requireNonNull(backpressureStrategy, "mode is null");
        return new FlowableCreate(r0, backpressureStrategy);
    }

    public g<List<VideoHistory>> getNormalHistory() {
        AnonymousClass6 r0 = new i<List<VideoHistory>>() {
            /* class com.androidx.lv.base.utils.VideoHistoryUtils.AnonymousClass6 */

            @Override // f.a.i
            public void subscribe(h<List<VideoHistory>> hVar) {
                VideoHistoryDao dao = VideoHistoryUtils.this.getDao();
                Objects.requireNonNull(dao);
                f fVar = new f(dao);
                fVar.d(VideoHistoryDao.Properties.Id);
                fVar.b(6);
                hVar.onNext(fVar.a().a());
            }
        };
        BackpressureStrategy backpressureStrategy = BackpressureStrategy.ERROR;
        int i2 = g.f13146d;
        Objects.requireNonNull(backpressureStrategy, "mode is null");
        return new FlowableCreate(r0, backpressureStrategy);
    }

    public g<List<VideoHistory>> getVideoHistory(final Long l2, int i2) {
        AnonymousClass8 r3 = new i<List<VideoHistory>>() {
            /* class com.androidx.lv.base.utils.VideoHistoryUtils.AnonymousClass8 */

            @Override // f.a.i
            public void subscribe(h<List<VideoHistory>> hVar) {
                List<VideoHistory> list;
                if (l2.longValue() == 0) {
                    VideoHistoryDao dao = VideoHistoryUtils.this.getDao();
                    Objects.requireNonNull(dao);
                    f fVar = new f(dao);
                    fVar.d(VideoHistoryDao.Properties.Id);
                    fVar.b(30);
                    list = fVar.a().a();
                } else {
                    VideoHistoryDao dao2 = VideoHistoryUtils.this.getDao();
                    Objects.requireNonNull(dao2);
                    f fVar2 = new f(dao2);
                    e eVar = VideoHistoryDao.Properties.Id;
                    Long l2 = l2;
                    Objects.requireNonNull(eVar);
                    fVar2.f13579a.a(new h.b(eVar, "<?", l2), new k.b.b.i.h[0]);
                    fVar2.d(eVar);
                    fVar2.b(30);
                    list = fVar2.a().a();
                }
                hVar.onNext(list);
            }
        };
        BackpressureStrategy backpressureStrategy = BackpressureStrategy.ERROR;
        int i3 = g.f13146d;
        Objects.requireNonNull(backpressureStrategy, "mode is null");
        return new FlowableCreate(r3, backpressureStrategy);
    }

    public a insert(final VideoHistory videoHistory) {
        return new CompletableCreate(new d() {
            /* class com.androidx.lv.base.utils.VideoHistoryUtils.AnonymousClass1 */

            @Override // f.a.d
            public void subscribe(b bVar) {
                VideoHistoryDao dao = VideoHistoryUtils.this.getDao();
                Objects.requireNonNull(dao);
                f fVar = new f(dao);
                fVar.f13579a.a(VideoHistoryDao.Properties.VideoId.a(Integer.valueOf(videoHistory.getVideoId())), new k.b.b.i.h[0]);
                VideoHistory videoHistory = null;
                ArrayList arrayList = (ArrayList) fVar.a().a();
                if (arrayList.size() > 0) {
                    videoHistory = (VideoHistory) arrayList.get(0);
                }
                if (videoHistory == null) {
                    dao.i(videoHistory);
                }
                if (videoHistory != null && videoHistory.getProgress() > videoHistory.getProgress()) {
                    dao.d(videoHistory);
                    dao.i(videoHistory);
                }
                bVar.onComplete();
            }
        });
    }

    public a delete(final VideoHistory videoHistory) {
        return new CompletableCreate(new d() {
            /* class com.androidx.lv.base.utils.VideoHistoryUtils.AnonymousClass3 */

            @Override // f.a.d
            public void subscribe(b bVar) {
                VideoHistoryDao dao = VideoHistoryUtils.this.getDao();
                Objects.requireNonNull(dao);
                f fVar = new f(dao);
                fVar.f13579a.a(VideoHistoryDao.Properties.VideoId.a(Integer.valueOf(videoHistory.getVideoId())), new k.b.b.i.h[0]);
                VideoHistoryUtils.this.getDao().g(fVar.a().a());
                bVar.onComplete();
            }
        });
    }

    public a delete(final int i2) {
        return new CompletableCreate(new d() {
            /* class com.androidx.lv.base.utils.VideoHistoryUtils.AnonymousClass4 */

            @Override // f.a.d
            public void subscribe(b bVar) {
                VideoHistoryDao dao = VideoHistoryUtils.this.getDao();
                Objects.requireNonNull(dao);
                f fVar = new f(dao);
                fVar.f13579a.a(VideoHistoryDao.Properties.VideoId.a(Integer.valueOf(i2)), new k.b.b.i.h[0]);
                VideoHistoryUtils.this.getDao().g(fVar.a().a());
                bVar.onComplete();
            }
        });
    }
}
