package com.androidx.lv.base.view;

import android.content.Context;
import android.graphics.Color;
import android.widget.LinearLayout;
import android.widget.TextView;
import com.androidx.lv.base.R$drawable;
import com.androidx.lv.base.utils.UiUtils;

public class LabelView extends TextView {
    public LabelView(Context context, String str) {
        super(context);
        setText(str);
        int dp2px = UiUtils.dp2px(5);
        setPadding(dp2px, 0, dp2px, 0);
        setBackgroundResource(R$drawable.shape_label_bg);
        LinearLayout.LayoutParams layoutParams = new LinearLayout.LayoutParams(-2, UiUtils.dp2px(16));
        layoutParams.rightMargin = UiUtils.dp2px(6);
        setLayoutParams(layoutParams);
        setTextSize(11.0f);
        setTextColor(Color.parseColor("#000000"));
        setGravity(16);
        setCompoundDrawablePadding(UiUtils.dp2px(2));
        setMaxLines(1);
    }
}
