package com.bumptech.glide.util;

import androidx.collection.ArrayMap;
import b.f.g;

public final class CachedHashCodeArrayMap<K, V> extends ArrayMap<K, V> {
    public int p;

    @Override // b.f.g
    public void clear() {
        this.p = 0;
        super.clear();
    }

    @Override // b.f.g
    public int hashCode() {
        if (this.p == 0) {
            this.p = super.hashCode();
        }
        return this.p;
    }

    @Override // b.f.g
    public void i(g<? extends K, ? extends V> gVar) {
        this.p = 0;
        super.i(gVar);
    }

    @Override // b.f.g
    public V j(int i2) {
        this.p = 0;
        return (V) super.j(i2);
    }

    @Override // b.f.g
    public V k(int i2, V v) {
        this.p = 0;
        int i3 = (i2 << 1) + 1;
        Object[] objArr = this.m;
        V v2 = (V) objArr[i3];
        objArr[i3] = v;
        return v2;
    }

    @Override // java.util.Map, b.f.g
    public V put(K k2, V v) {
        this.p = 0;
        return (V) super.put(k2, v);
    }
}
