package com.chad.library.adapter.base.provider;

import com.chad.library.adapter.base.BaseNodeAdapter;
import com.chad.library.adapter.base.BaseProviderMultiAdapter;
import com.chad.library.adapter.base.entity.node.BaseNode;

/* compiled from: BaseNodeProvider.kt */
public abstract class BaseNodeProvider extends BaseItemProvider<BaseNode> {
    /* Return type fixed from 'com.chad.library.adapter.base.BaseNodeAdapter' to match base method */
    @Override // com.chad.library.adapter.base.provider.BaseItemProvider
    public BaseProviderMultiAdapter<BaseNode> getAdapter() {
        BaseProviderMultiAdapter adapter = super.getAdapter();
        if (!(adapter instanceof BaseNodeAdapter)) {
            adapter = null;
        }
        return (BaseNodeAdapter) adapter;
    }
}
