package com.danikula.videocache.file;

import java.io.File;

public class TotalCountLruDiskUsage extends LruDiskUsage {
    private final int maxCount;

    public TotalCountLruDiskUsage(int i2) {
        if (i2 > 0) {
            this.maxCount = i2;
            return;
        }
        throw new IllegalArgumentException("Max count must be positive number!");
    }

    @Override // com.danikula.videocache.file.LruDiskUsage
    public boolean accept(File file, long j2, int i2) {
        return i2 <= this.maxCount;
    }
}
