package com.google.android.material.circularreveal.cardview;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.drawable.Drawable;
import android.util.AttributeSet;
import com.google.android.material.card.MaterialCardView;
import d.h.a.b.j.b;
import d.h.a.b.j.c;
import java.util.Objects;

public class CircularRevealCardView extends MaterialCardView implements c {
    public final b q;

    public CircularRevealCardView(Context context) {
        this(context, null);
    }

    @Override // d.h.a.b.j.c
    public void a() {
        Objects.requireNonNull(this.q);
    }

    @Override // d.h.a.b.j.b.a
    public void b(Canvas canvas) {
        super.draw(canvas);
    }

    @Override // d.h.a.b.j.c
    public void c() {
        Objects.requireNonNull(this.q);
    }

    @Override // d.h.a.b.j.b.a
    public boolean d() {
        return super.isOpaque();
    }

    public void draw(Canvas canvas) {
        b bVar = this.q;
        if (bVar != null) {
            bVar.a(canvas);
        } else {
            super.draw(canvas);
        }
    }

    public Drawable getCircularRevealOverlayDrawable() {
        return this.q.f10401g;
    }

    @Override // d.h.a.b.j.c
    public int getCircularRevealScrimColor() {
        return this.q.b();
    }

    @Override // d.h.a.b.j.c
    public c.e getRevealInfo() {
        return this.q.d();
    }

    public boolean isOpaque() {
        b bVar = this.q;
        if (bVar != null) {
            return bVar.e();
        }
        return super.isOpaque();
    }

    @Override // d.h.a.b.j.c
    public void setCircularRevealOverlayDrawable(Drawable drawable) {
        b bVar = this.q;
        bVar.f10401g = drawable;
        bVar.f10396b.invalidate();
    }

    @Override // d.h.a.b.j.c
    public void setCircularRevealScrimColor(int i2) {
        b bVar = this.q;
        bVar.f10399e.setColor(i2);
        bVar.f10396b.invalidate();
    }

    @Override // d.h.a.b.j.c
    public void setRevealInfo(c.e eVar) {
        this.q.f(eVar);
    }

    public CircularRevealCardView(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
        this.q = new b(this);
    }
}
