package com.google.android.material.navigation;

import android.content.Context;
import android.view.MenuItem;
import android.view.SubMenu;
import androidx.appcompat.view.menu.MenuBuilder;
import androidx.appcompat.view.menu.MenuItemImpl;
import d.a.a.a.a;

public final class NavigationBarMenu extends MenuBuilder {
    public final int A;
    public final Class<?> z;

    public NavigationBarMenu(Context context, Class<?> cls, int i2) {
        super(context);
        this.z = cls;
        this.A = i2;
    }

    @Override // androidx.appcompat.view.menu.MenuBuilder
    public MenuItem a(int i2, int i3, int i4, CharSequence charSequence) {
        if (size() + 1 <= this.A) {
            C();
            MenuItem a2 = super.a(i2, i3, i4, charSequence);
            ((MenuItemImpl) a2).j(true);
            B();
            return a2;
        }
        String simpleName = this.z.getSimpleName();
        StringBuilder G = a.G("Maximum number of items supported by ", simpleName, " is ");
        G.append(this.A);
        G.append(". Limit can be checked with ");
        G.append(simpleName);
        G.append("#getMaxItemCount()");
        throw new IllegalArgumentException(G.toString());
    }

    @Override // androidx.appcompat.view.menu.MenuBuilder, android.view.Menu
    public SubMenu addSubMenu(int i2, int i3, int i4, CharSequence charSequence) {
        throw new UnsupportedOperationException(this.z.getSimpleName() + " does not support submenus");
    }
}
