package com.google.android.material.progressindicator;

import android.animation.ObjectAnimator;
import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.Rect;
import d.h.a.b.s.b;
import d.h.a.b.s.i;
import d.h.a.b.s.j;
import d.h.a.b.s.k;

public final class IndeterminateDrawable<S extends b> extends i {
    public j<S> s;
    public k<ObjectAnimator> t;

    public IndeterminateDrawable(Context context, b bVar, j<S> jVar, k<ObjectAnimator> kVar) {
        super(context, bVar);
        this.s = jVar;
        jVar.f10600b = this;
        this.t = kVar;
        kVar.f10601a = this;
    }

    public void draw(Canvas canvas) {
        Rect rect = new Rect();
        if (!getBounds().isEmpty() && isVisible() && canvas.getClipBounds(rect)) {
            canvas.save();
            j<S> jVar = this.s;
            float c2 = c();
            jVar.f10599a.a();
            jVar.a(canvas, c2);
            this.s.c(canvas, this.q);
            int i2 = 0;
            while (true) {
                k<ObjectAnimator> kVar = this.t;
                int[] iArr = kVar.f10603c;
                if (i2 < iArr.length) {
                    j<S> jVar2 = this.s;
                    Paint paint = this.q;
                    float[] fArr = kVar.f10602b;
                    int i3 = i2 * 2;
                    jVar2.b(canvas, paint, fArr[i3], fArr[i3 + 1], iArr[i2]);
                    i2++;
                } else {
                    canvas.restore();
                    return;
                }
            }
        }
    }

    public int getIntrinsicHeight() {
        return this.s.d();
    }

    public int getIntrinsicWidth() {
        return this.s.e();
    }

    @Override // d.h.a.b.s.i
    public boolean h(boolean z, boolean z2, boolean z3) {
        boolean h2 = super.h(z, z2, z3);
        if (!isRunning()) {
            this.t.a();
        }
        this.f10597k.a(this.f10595h.getContentResolver());
        if (z && z3) {
            this.t.f();
        }
        return h2;
    }
}
