package com.grass.mh.bean;

import com.androidx.lv.base.bean.LocalVideoBean;
import com.shuyu.gsyvideoplayer.utils.NeuQuant;
import d.i.a.e.a;
import h.p.b.o;
import java.util.Iterator;
import java.util.List;
import okhttp3.internal.http2.Http2;

/* compiled from: EngagementBean.kt */
public final class BrokerBean {
    private boolean attention;
    private int benefit;
    private List<? extends LocalVideoBean> bgImgs;
    private int brokerId;
    private BrokerBean brokerUserDto;
    private String createdAt;
    private int fakeOrderNum;
    private int indemnityPrice;
    private boolean isOfficial;
    private String logo;
    private BrokerBean meetUser;
    private long meetUserId;
    private String nickName;
    private int releaseId;
    private String releaseLogo;
    private String releaseName;
    private int releaseNum;
    private int releaseType;
    private List<String> serviceAddress;

    public BrokerBean(int i2, String str, String str2, boolean z, int i3, long j2, BrokerBean brokerBean, BrokerBean brokerBean2, List<? extends LocalVideoBean> list, List<String> list2, String str3, int i4, int i5, int i6, String str4, String str5, int i7, int i8, boolean z2) {
        o.e(list2, "serviceAddress");
        o.e(str3, "createdAt");
        o.e(str4, "releaseLogo");
        this.brokerId = i2;
        this.nickName = str;
        this.logo = str2;
        this.isOfficial = z;
        this.benefit = i3;
        this.meetUserId = j2;
        this.meetUser = brokerBean;
        this.brokerUserDto = brokerBean2;
        this.bgImgs = list;
        this.serviceAddress = list2;
        this.createdAt = str3;
        this.fakeOrderNum = i4;
        this.indemnityPrice = i5;
        this.releaseId = i6;
        this.releaseLogo = str4;
        this.releaseName = str5;
        this.releaseNum = i7;
        this.releaseType = i8;
        this.attention = z2;
    }

    public static /* synthetic */ BrokerBean copy$default(BrokerBean brokerBean, int i2, String str, String str2, boolean z, int i3, long j2, BrokerBean brokerBean2, BrokerBean brokerBean3, List list, List list2, String str3, int i4, int i5, int i6, String str4, String str5, int i7, int i8, boolean z2, int i9, Object obj) {
        return brokerBean.copy((i9 & 1) != 0 ? brokerBean.brokerId : i2, (i9 & 2) != 0 ? brokerBean.nickName : str, (i9 & 4) != 0 ? brokerBean.logo : str2, (i9 & 8) != 0 ? brokerBean.isOfficial : z, (i9 & 16) != 0 ? brokerBean.benefit : i3, (i9 & 32) != 0 ? brokerBean.meetUserId : j2, (i9 & 64) != 0 ? brokerBean.meetUser : brokerBean2, (i9 & 128) != 0 ? brokerBean.brokerUserDto : brokerBean3, (i9 & 256) != 0 ? brokerBean.bgImgs : list, (i9 & 512) != 0 ? brokerBean.serviceAddress : list2, (i9 & 1024) != 0 ? brokerBean.createdAt : str3, (i9 & 2048) != 0 ? brokerBean.fakeOrderNum : i4, (i9 & 4096) != 0 ? brokerBean.indemnityPrice : i5, (i9 & 8192) != 0 ? brokerBean.releaseId : i6, (i9 & Http2.INITIAL_MAX_FRAME_SIZE) != 0 ? brokerBean.releaseLogo : str4, (i9 & 32768) != 0 ? brokerBean.releaseName : str5, (i9 & 65536) != 0 ? brokerBean.releaseNum : i7, (i9 & 131072) != 0 ? brokerBean.releaseType : i8, (i9 & NeuQuant.alpharadbias) != 0 ? brokerBean.attention : z2);
    }

    public final int component1() {
        return this.brokerId;
    }

    public final List<String> component10() {
        return this.serviceAddress;
    }

    public final String component11() {
        return this.createdAt;
    }

    public final int component12() {
        return this.fakeOrderNum;
    }

    public final int component13() {
        return this.indemnityPrice;
    }

    public final int component14() {
        return this.releaseId;
    }

    public final String component15() {
        return this.releaseLogo;
    }

    public final String component16() {
        return this.releaseName;
    }

    public final int component17() {
        return this.releaseNum;
    }

    public final int component18() {
        return this.releaseType;
    }

    public final boolean component19() {
        return this.attention;
    }

    public final String component2() {
        return this.nickName;
    }

    public final String component3() {
        return this.logo;
    }

    public final boolean component4() {
        return this.isOfficial;
    }

    public final int component5() {
        return this.benefit;
    }

    public final long component6() {
        return this.meetUserId;
    }

    public final BrokerBean component7() {
        return this.meetUser;
    }

    public final BrokerBean component8() {
        return this.brokerUserDto;
    }

    /* JADX DEBUG: Type inference failed for r0v0. Raw type applied. Possible types: java.util.List<? extends com.androidx.lv.base.bean.LocalVideoBean>, java.util.List<com.androidx.lv.base.bean.LocalVideoBean> */
    public final List<LocalVideoBean> component9() {
        return this.bgImgs;
    }

    public final BrokerBean copy(int i2, String str, String str2, boolean z, int i3, long j2, BrokerBean brokerBean, BrokerBean brokerBean2, List<? extends LocalVideoBean> list, List<String> list2, String str3, int i4, int i5, int i6, String str4, String str5, int i7, int i8, boolean z2) {
        o.e(list2, "serviceAddress");
        o.e(str3, "createdAt");
        o.e(str4, "releaseLogo");
        return new BrokerBean(i2, str, str2, z, i3, j2, brokerBean, brokerBean2, list, list2, str3, i4, i5, i6, str4, str5, i7, i8, z2);
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (!(obj instanceof BrokerBean)) {
            return false;
        }
        BrokerBean brokerBean = (BrokerBean) obj;
        return this.brokerId == brokerBean.brokerId && o.a(this.nickName, brokerBean.nickName) && o.a(this.logo, brokerBean.logo) && this.isOfficial == brokerBean.isOfficial && this.benefit == brokerBean.benefit && this.meetUserId == brokerBean.meetUserId && o.a(this.meetUser, brokerBean.meetUser) && o.a(this.brokerUserDto, brokerBean.brokerUserDto) && o.a(this.bgImgs, brokerBean.bgImgs) && o.a(this.serviceAddress, brokerBean.serviceAddress) && o.a(this.createdAt, brokerBean.createdAt) && this.fakeOrderNum == brokerBean.fakeOrderNum && this.indemnityPrice == brokerBean.indemnityPrice && this.releaseId == brokerBean.releaseId && o.a(this.releaseLogo, brokerBean.releaseLogo) && o.a(this.releaseName, brokerBean.releaseName) && this.releaseNum == brokerBean.releaseNum && this.releaseType == brokerBean.releaseType && this.attention == brokerBean.attention;
    }

    public final boolean getAttention() {
        return this.attention;
    }

    public final int getBenefit() {
        return this.benefit;
    }

    /* JADX DEBUG: Type inference failed for r0v0. Raw type applied. Possible types: java.util.List<? extends com.androidx.lv.base.bean.LocalVideoBean>, java.util.List<com.androidx.lv.base.bean.LocalVideoBean> */
    public final List<LocalVideoBean> getBgImgs() {
        return this.bgImgs;
    }

    public final int getBrokerId() {
        return this.brokerId;
    }

    public final String getBrokerName() {
        if (this.releaseType == 2) {
            this.releaseName = o.k("经纪人·", this.releaseName);
        }
        if (this.isOfficial) {
            this.nickName = o.k("经纪人·", this.nickName);
        }
        String str = this.releaseName;
        if (str != null) {
            return str;
        }
        String str2 = this.nickName;
        o.c(str2);
        return str2;
    }

    public final BrokerBean getBrokerUserDto() {
        return this.brokerUserDto;
    }

    public final String getCitys() {
        StringBuilder sb = new StringBuilder();
        List<String> list = this.serviceAddress;
        boolean z = false;
        if (!(list == null || list.isEmpty())) {
            Iterator<T> it = this.serviceAddress.iterator();
            while (it.hasNext()) {
                sb.append((String) it.next());
                sb.append(',');
            }
        }
        if (sb.length() > 0) {
            z = true;
        }
        if (!z) {
            return "全国";
        }
        StringBuilder deleteCharAt = sb.deleteCharAt(sb.length() - 1);
        o.d(deleteCharAt, "this.deleteCharAt(index)");
        String sb2 = deleteCharAt.toString();
        o.d(sb2, "{\n            sb.deleteA…- 1).toString()\n        }");
        return sb2;
    }

    public final String getCreatedAt() {
        return this.createdAt;
    }

    public final int getFakeOrderNum() {
        return this.fakeOrderNum;
    }

    public final int getIndemnityPrice() {
        return this.indemnityPrice;
    }

    public final String getLogo() {
        return this.logo;
    }

    public final BrokerBean getMeetUser() {
        return this.meetUser;
    }

    public final long getMeetUserId() {
        return this.meetUserId;
    }

    public final String getNickName() {
        return this.nickName;
    }

    public final int getReleaseId() {
        return this.releaseId;
    }

    public final String getReleaseLogo() {
        return this.releaseLogo;
    }

    public final String getReleaseName() {
        return this.releaseName;
    }

    public final int getReleaseNum() {
        return this.releaseNum;
    }

    public final int getReleaseType() {
        return this.releaseType;
    }

    public final List<String> getServiceAddress() {
        return this.serviceAddress;
    }

    public int hashCode() {
        int i2 = this.brokerId * 31;
        String str = this.nickName;
        int i3 = 0;
        int hashCode = (i2 + (str == null ? 0 : str.hashCode())) * 31;
        String str2 = this.logo;
        int hashCode2 = (hashCode + (str2 == null ? 0 : str2.hashCode())) * 31;
        boolean z = this.isOfficial;
        int i4 = 1;
        if (z) {
            z = true;
        }
        int i5 = z ? 1 : 0;
        int i6 = z ? 1 : 0;
        int i7 = z ? 1 : 0;
        int a2 = (a.a(this.meetUserId) + ((((hashCode2 + i5) * 31) + this.benefit) * 31)) * 31;
        BrokerBean brokerBean = this.meetUser;
        int hashCode3 = (a2 + (brokerBean == null ? 0 : brokerBean.hashCode())) * 31;
        BrokerBean brokerBean2 = this.brokerUserDto;
        int hashCode4 = (hashCode3 + (brokerBean2 == null ? 0 : brokerBean2.hashCode())) * 31;
        List<? extends LocalVideoBean> list = this.bgImgs;
        int a0 = d.a.a.a.a.a0(this.releaseLogo, (((((d.a.a.a.a.a0(this.createdAt, (this.serviceAddress.hashCode() + ((hashCode4 + (list == null ? 0 : list.hashCode())) * 31)) * 31, 31) + this.fakeOrderNum) * 31) + this.indemnityPrice) * 31) + this.releaseId) * 31, 31);
        String str3 = this.releaseName;
        if (str3 != null) {
            i3 = str3.hashCode();
        }
        int i8 = (((((a0 + i3) * 31) + this.releaseNum) * 31) + this.releaseType) * 31;
        boolean z2 = this.attention;
        if (!z2) {
            i4 = z2 ? 1 : 0;
        }
        return i8 + i4;
    }

    public final boolean isOfficial() {
        return this.isOfficial;
    }

    public final void setAttention(boolean z) {
        this.attention = z;
    }

    public final void setBenefit(int i2) {
        this.benefit = i2;
    }

    public final void setBgImgs(List<? extends LocalVideoBean> list) {
        this.bgImgs = list;
    }

    public final void setBrokerId(int i2) {
        this.brokerId = i2;
    }

    public final void setBrokerUserDto(BrokerBean brokerBean) {
        this.brokerUserDto = brokerBean;
    }

    public final void setCreatedAt(String str) {
        o.e(str, "<set-?>");
        this.createdAt = str;
    }

    public final void setFakeOrderNum(int i2) {
        this.fakeOrderNum = i2;
    }

    public final void setIndemnityPrice(int i2) {
        this.indemnityPrice = i2;
    }

    public final void setLogo(String str) {
        this.logo = str;
    }

    public final void setMeetUser(BrokerBean brokerBean) {
        this.meetUser = brokerBean;
    }

    public final void setMeetUserId(long j2) {
        this.meetUserId = j2;
    }

    public final void setNickName(String str) {
        this.nickName = str;
    }

    public final void setOfficial(boolean z) {
        this.isOfficial = z;
    }

    public final void setReleaseId(int i2) {
        this.releaseId = i2;
    }

    public final void setReleaseLogo(String str) {
        o.e(str, "<set-?>");
        this.releaseLogo = str;
    }

    public final void setReleaseName(String str) {
        this.releaseName = str;
    }

    public final void setReleaseNum(int i2) {
        this.releaseNum = i2;
    }

    public final void setReleaseType(int i2) {
        this.releaseType = i2;
    }

    public final void setServiceAddress(List<String> list) {
        o.e(list, "<set-?>");
        this.serviceAddress = list;
    }

    public String toString() {
        StringBuilder B = d.a.a.a.a.B("BrokerBean(brokerId=");
        B.append(this.brokerId);
        B.append(", nickName=");
        B.append((Object) this.nickName);
        B.append(", logo=");
        B.append((Object) this.logo);
        B.append(", isOfficial=");
        B.append(this.isOfficial);
        B.append(", benefit=");
        B.append(this.benefit);
        B.append(", meetUserId=");
        B.append(this.meetUserId);
        B.append(", meetUser=");
        B.append(this.meetUser);
        B.append(", brokerUserDto=");
        B.append(this.brokerUserDto);
        B.append(", bgImgs=");
        B.append(this.bgImgs);
        B.append(", serviceAddress=");
        B.append(this.serviceAddress);
        B.append(", createdAt=");
        B.append(this.createdAt);
        B.append(", fakeOrderNum=");
        B.append(this.fakeOrderNum);
        B.append(", indemnityPrice=");
        B.append(this.indemnityPrice);
        B.append(", releaseId=");
        B.append(this.releaseId);
        B.append(", releaseLogo=");
        B.append(this.releaseLogo);
        B.append(", releaseName=");
        B.append((Object) this.releaseName);
        B.append(", releaseNum=");
        B.append(this.releaseNum);
        B.append(", releaseType=");
        B.append(this.releaseType);
        B.append(", attention=");
        B.append(this.attention);
        B.append(')');
        return B.toString();
    }
}
