package com.grass.mh.bean;

import com.androidx.lv.base.bean.TagListBean;
import java.io.Serializable;
import java.util.List;

public class SearchBean implements Serializable {
    private SearchData data;
    private String domain;

    public static class ListBean implements Serializable {
        private String coverImg;
        private String createdAt;
        private String hotTitle;
        private String id;
        private int mark;
        private int sortNum;
        private int tagsId;
        private String tagsTitle;
        private String updatedAt;

        public String getCoverImg() {
            return this.coverImg;
        }

        public String getCreatedAt() {
            return this.createdAt;
        }

        public String getHotTitle() {
            return this.hotTitle;
        }

        public String getId() {
            return this.id;
        }

        public int getMark() {
            return this.mark;
        }

        public int getSortNum() {
            return this.sortNum;
        }

        public int getTagsId() {
            return this.tagsId;
        }

        public String getTagsTitle() {
            return this.tagsTitle;
        }

        public String getUpdatedAt() {
            return this.updatedAt;
        }

        public void setCoverImg(String str) {
            this.coverImg = str;
        }

        public void setCreatedAt(String str) {
            this.createdAt = str;
        }

        public void setHotTitle(String str) {
            this.hotTitle = str;
        }

        public void setId(String str) {
            this.id = str;
        }

        public void setMark(int i2) {
            this.mark = i2;
        }

        public void setSortNum(int i2) {
            this.sortNum = i2;
        }

        public void setTagsId(int i2) {
            this.tagsId = i2;
        }

        public void setTagsTitle(String str) {
            this.tagsTitle = str;
        }

        public void setUpdatedAt(String str) {
            this.updatedAt = str;
        }
    }

    public class SearchData {
        private List<TagListBean> hotTopicRes;
        private List<ListBean> videoHotWordRes;

        public SearchData() {
        }

        public List<TagListBean> getHotTopicRes() {
            return this.hotTopicRes;
        }

        public List<ListBean> getVideoHotWordRes() {
            return this.videoHotWordRes;
        }

        public void setHotTopicRes(List<TagListBean> list) {
            this.hotTopicRes = list;
        }

        public void setVideoHotWordRes(List<ListBean> list) {
            this.videoHotWordRes = list;
        }
    }

    public SearchData getData() {
        return this.data;
    }

    public String getDomain() {
        return this.domain;
    }

    public void setData(SearchData searchData) {
        this.data = searchData;
    }

    public void setDomain(String str) {
        this.domain = str;
    }
}
