package com.grass.mh.dialog;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import androidx.databinding.ViewDataBinding;
import androidx.fragment.app.FragmentManager;
import b.l.c;
import b.l.d;
import com.androidjks.acfan.d1682156448763174048.R;
import com.google.android.material.bottomsheet.BottomSheetDialogFragment;
import com.grass.mh.bean.TicketsBean;
import com.grass.mh.databinding.DialogTicketsBinding;
import d.i.a.f.a;
import h.p.b.o;
import java.util.List;
import org.dsq.library.widget.ShapeTextView;

/* compiled from: TicketsDialog.kt */
public final class TicketsDialog extends BottomSheetDialogFragment implements View.OnClickListener {
    private DialogTicketsBinding binding;
    private a callback;
    private List<TicketsBean> tickestList;

    public static /* synthetic */ void show$default(TicketsDialog ticketsDialog, FragmentManager fragmentManager, List list, a aVar, int i2, Object obj) {
        if ((i2 & 4) != 0) {
            aVar = null;
        }
        ticketsDialog.show(fragmentManager, list, aVar);
    }

    public void onClick(View view) {
        a aVar;
        a aVar2;
        a aVar3;
        o.e(view, "v");
        if (view.getId() == R.id.monthEveryDay && (aVar3 = this.callback) != null) {
            aVar3.a(0);
        }
        if (view.getId() == R.id.seasonEveryDay && (aVar2 = this.callback) != null) {
            aVar2.a(1);
        }
        if (view.getId() == R.id.yearEveryDay && (aVar = this.callback) != null) {
            aVar.a(2);
        }
        dismiss();
    }

    @Override // androidx.fragment.app.Fragment
    public View onCreateView(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        o.e(layoutInflater, "inflater");
        setCancelable(false);
        int i2 = DialogTicketsBinding.f5765d;
        c cVar = d.f3521a;
        DialogTicketsBinding dialogTicketsBinding = (DialogTicketsBinding) ViewDataBinding.inflateInternal(layoutInflater, R.layout.dialog_tickets, viewGroup, false, null);
        o.d(dialogTicketsBinding, "inflate(inflater,container,false)");
        this.binding = dialogTicketsBinding;
        if (dialogTicketsBinding != null) {
            dialogTicketsBinding.setLifecycleOwner(this);
            DialogTicketsBinding dialogTicketsBinding2 = this.binding;
            if (dialogTicketsBinding2 != null) {
                View root = dialogTicketsBinding2.getRoot();
                o.d(root, "binding.root");
                return root;
            }
            o.m("binding");
            throw null;
        }
        o.m("binding");
        throw null;
    }

    @Override // androidx.fragment.app.Fragment, androidx.fragment.app.DialogFragment
    public void onDestroyView() {
        super.onDestroyView();
        DialogTicketsBinding dialogTicketsBinding = this.binding;
        if (dialogTicketsBinding != null) {
            dialogTicketsBinding.unbind();
        } else {
            o.m("binding");
            throw null;
        }
    }

    @Override // androidx.fragment.app.Fragment
    public void onViewCreated(View view, Bundle bundle) {
        o.e(view, "view");
        super.onViewCreated(view, bundle);
        DialogTicketsBinding dialogTicketsBinding = this.binding;
        if (dialogTicketsBinding != null) {
            dialogTicketsBinding.f5766h.setOnClickListener(this);
            DialogTicketsBinding dialogTicketsBinding2 = this.binding;
            if (dialogTicketsBinding2 != null) {
                dialogTicketsBinding2.f5767j.setOnClickListener(this);
                DialogTicketsBinding dialogTicketsBinding3 = this.binding;
                if (dialogTicketsBinding3 != null) {
                    dialogTicketsBinding3.f5768k.setOnClickListener(this);
                    DialogTicketsBinding dialogTicketsBinding4 = this.binding;
                    if (dialogTicketsBinding4 != null) {
                        dialogTicketsBinding4.f5769l.setOnClickListener(this);
                        List<TicketsBean> list = this.tickestList;
                        if (list != null) {
                            DialogTicketsBinding dialogTicketsBinding5 = this.binding;
                            if (dialogTicketsBinding5 != null) {
                                ShapeTextView shapeTextView = dialogTicketsBinding5.f5767j;
                                shapeTextView.setText(list.get(0).getDailyPrice() + "/天");
                                DialogTicketsBinding dialogTicketsBinding6 = this.binding;
                                if (dialogTicketsBinding6 != null) {
                                    ShapeTextView shapeTextView2 = dialogTicketsBinding6.f5768k;
                                    shapeTextView2.setText(list.get(1).getDailyPrice() + "/天");
                                    DialogTicketsBinding dialogTicketsBinding7 = this.binding;
                                    if (dialogTicketsBinding7 != null) {
                                        ShapeTextView shapeTextView3 = dialogTicketsBinding7.f5769l;
                                        shapeTextView3.setText(list.get(2).getDailyPrice() + "/天");
                                        return;
                                    }
                                    o.m("binding");
                                    throw null;
                                }
                                o.m("binding");
                                throw null;
                            }
                            o.m("binding");
                            throw null;
                        }
                        return;
                    }
                    o.m("binding");
                    throw null;
                }
                o.m("binding");
                throw null;
            }
            o.m("binding");
            throw null;
        }
        o.m("binding");
        throw null;
    }

    public final void show(FragmentManager fragmentManager, List<TicketsBean> list, a aVar) {
        o.e(fragmentManager, "fm");
        this.tickestList = list;
        this.callback = aVar;
        show(fragmentManager, "ticketsDialog");
    }
}
