package com.grass.mh.dialog;

import android.app.Dialog;
import android.os.Bundle;
import android.text.TextUtils;
import android.util.DisplayMetrics;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;
import androidx.fragment.app.DialogFragment;
import androidx.fragment.app.FragmentManager;
import com.androidjks.acfan.d1682156448763174048.R;
import d.a.a.a.a;

public class WithDrawDialog extends DialogFragment implements View.OnClickListener {
    public Interface anInterface;
    public String data;
    public TextView tv_content;

    public interface Interface {
        void go2Order();
    }

    public static WithDrawDialog newInstance() {
        Bundle bundle = new Bundle();
        WithDrawDialog withDrawDialog = new WithDrawDialog();
        withDrawDialog.setArguments(bundle);
        return withDrawDialog;
    }

    @Override // androidx.fragment.app.DialogFragment
    public void dismiss() {
        dismissAllowingStateLoss();
    }

    @Override // androidx.fragment.app.Fragment
    public void onActivityCreated(Bundle bundle) {
        super.onActivityCreated(bundle);
        if (TextUtils.isEmpty(this.data)) {
            dismiss();
        }
    }

    public void onClick(View view) {
        Interface r3;
        if (view.getId() == R.id.tv_confirm) {
            dismiss();
        } else if (view.getId() == R.id.tv_view_order && (r3 = this.anInterface) != null) {
            r3.go2Order();
        }
    }

    @Override // androidx.fragment.app.DialogFragment
    public Dialog onCreateDialog(Bundle bundle) {
        AnonymousClass1 r3 = new Dialog(getActivity(), R.style.ForceUpdateAppDialog) {
            /* class com.grass.mh.dialog.WithDrawDialog.AnonymousClass1 */

            public void onBackPressed() {
                super.onBackPressed();
            }
        };
        r3.setCancelable(true);
        r3.setCanceledOnTouchOutside(true);
        return r3;
    }

    @Override // androidx.fragment.app.Fragment
    public View onCreateView(LayoutInflater layoutInflater, ViewGroup viewGroup, Bundle bundle) {
        return layoutInflater.inflate(R.layout.dialog_withdraw_layout, viewGroup, false);
    }

    @Override // androidx.fragment.app.Fragment, androidx.fragment.app.DialogFragment
    public void onStart() {
        super.onStart();
        Dialog dialog = getDialog();
        if (dialog != null) {
            DisplayMetrics displayMetrics = new DisplayMetrics();
            getActivity().getWindowManager().getDefaultDisplay().getMetrics(displayMetrics);
            dialog.getWindow().setLayout((int) (((double) displayMetrics.widthPixels) * 0.75d), -2);
        }
    }

    @Override // androidx.fragment.app.Fragment
    public void onViewCreated(View view, Bundle bundle) {
        super.onViewCreated(view, bundle);
        this.tv_content = (TextView) view.findViewById(R.id.tv_content);
        view.findViewById(R.id.tv_confirm).setOnClickListener(this);
        view.findViewById(R.id.tv_view_order).setOnClickListener(this);
    }

    public void setAnInterface(Interface r1) {
        this.anInterface = r1;
    }

    public void setData(String str) {
        this.data = a.t("成功申請提現", str, "元");
    }

    @Override // androidx.fragment.app.DialogFragment
    public void show(FragmentManager fragmentManager, String str) {
        b.o.a.a aVar = new b.o.a.a(fragmentManager);
        aVar.h(0, this, str, 1);
        aVar.d();
    }
}
