package com.grass.mh.ui.community.fragment;

import android.os.Bundle;
import android.text.TextUtils;
import androidx.recyclerview.widget.DefaultItemAnimator;
import androidx.recyclerview.widget.RecyclerView;
import androidx.recyclerview.widget.StaggeredGridLayoutManager;
import com.androidjks.acfan.d1682156448763174048.R;
import com.androidx.lv.base.http.BaseRes;
import com.androidx.lv.base.ui.LazyFragment;
import com.androidx.lv.base.utils.NetUtil;
import com.androidx.lv.base.utils.ToastUtils;
import com.androidx.lv.base.utils.UiUtils;
import com.grass.mh.bean.DataListBean;
import com.grass.mh.bean.EngagementBean;
import com.grass.mh.bean.SearchSquareBean;
import com.grass.mh.databinding.FragmentRefreshLayoutBinding;
import com.grass.mh.ui.community.adapter.HookUpAdapter;
import com.luck.picture.lib.config.PictureConfig;
import com.lzy.okgo.cache.CacheMode;
import com.lzy.okgo.model.HttpParams;
import com.lzy.okgo.request.GetRequest;
import d.c.a.a.d.c;
import d.i.a.k.t.p2.g0;
import d.i.a.k.t.p2.n;
import d.o.a.b.b.i;
import d.o.a.b.f.c;
import java.util.List;

public class HookUpFragment extends LazyFragment<FragmentRefreshLayoutBinding> implements c, d.o.a.b.f.b {
    public int n = 1;
    public String o;
    public String p;
    public HookUpAdapter q;
    public boolean r;

    public class a extends d.c.a.a.d.d.a<BaseRes<SearchSquareBean>> {
        public a(String str) {
            super(str);
        }

        @Override // d.c.a.a.d.d.b
        public void onLvSuccess(Object obj) {
            BaseRes baseRes = (BaseRes) obj;
            T t = HookUpFragment.this.f4157k;
            if (t != null) {
                ((FragmentRefreshLayoutBinding) t).f5976j.hideLoading();
                ((FragmentRefreshLayoutBinding) HookUpFragment.this.f4157k).f5975h.k();
                ((FragmentRefreshLayoutBinding) HookUpFragment.this.f4157k).f5975h.h();
                if (baseRes.getCode() != 200) {
                    HookUpFragment hookUpFragment = HookUpFragment.this;
                    if (hookUpFragment.n == 1) {
                        ((FragmentRefreshLayoutBinding) hookUpFragment.f4157k).f5976j.showError();
                        ((FragmentRefreshLayoutBinding) HookUpFragment.this.f4157k).f5975h.m();
                        ((FragmentRefreshLayoutBinding) HookUpFragment.this.f4157k).f5975h.j();
                        return;
                    }
                    ToastUtils.getInstance().showWeak(baseRes.getMsg());
                } else if (baseRes.getData() == null || ((SearchSquareBean) baseRes.getData()).meetUserList == null || ((SearchSquareBean) baseRes.getData()).meetUserList.size() <= 0) {
                    HookUpFragment hookUpFragment2 = HookUpFragment.this;
                    if (hookUpFragment2.n == 1) {
                        ((FragmentRefreshLayoutBinding) hookUpFragment2.f4157k).f5976j.showEmpty();
                        ((FragmentRefreshLayoutBinding) HookUpFragment.this.f4157k).f5975h.m();
                        ((FragmentRefreshLayoutBinding) HookUpFragment.this.f4157k).f5975h.j();
                        return;
                    }
                    ((FragmentRefreshLayoutBinding) hookUpFragment2.f4157k).f5975h.j();
                } else {
                    List<EngagementBean> list = ((SearchSquareBean) baseRes.getData()).meetUserList;
                    HookUpFragment hookUpFragment3 = HookUpFragment.this;
                    if (hookUpFragment3.n == 1) {
                        hookUpFragment3.q.d(list);
                        ((FragmentRefreshLayoutBinding) HookUpFragment.this.f4157k).f5975h.u(false);
                        return;
                    }
                    hookUpFragment3.q.f(list);
                }
            }
        }
    }

    public class b extends d.c.a.a.d.d.a<BaseRes<DataListBean<EngagementBean>>> {
        public b(String str) {
            super(str);
        }

        @Override // d.c.a.a.d.d.b
        public void onLvSuccess(Object obj) {
            BaseRes baseRes = (BaseRes) obj;
            T t = HookUpFragment.this.f4157k;
            if (t != null) {
                ((FragmentRefreshLayoutBinding) t).f5976j.hideLoading();
                ((FragmentRefreshLayoutBinding) HookUpFragment.this.f4157k).f5975h.k();
                ((FragmentRefreshLayoutBinding) HookUpFragment.this.f4157k).f5975h.h();
                if (baseRes.getCode() != 200) {
                    HookUpFragment hookUpFragment = HookUpFragment.this;
                    if (hookUpFragment.n == 1) {
                        ((FragmentRefreshLayoutBinding) hookUpFragment.f4157k).f5976j.showError();
                        ((FragmentRefreshLayoutBinding) HookUpFragment.this.f4157k).f5975h.m();
                        ((FragmentRefreshLayoutBinding) HookUpFragment.this.f4157k).f5975h.j();
                        return;
                    }
                    ToastUtils.getInstance().showWeak(baseRes.getMsg());
                } else if (baseRes.getData() == null || ((DataListBean) baseRes.getData()).getData().size() <= 0) {
                    HookUpFragment hookUpFragment2 = HookUpFragment.this;
                    if (hookUpFragment2.n == 1) {
                        ((FragmentRefreshLayoutBinding) hookUpFragment2.f4157k).f5976j.showEmpty();
                        ((FragmentRefreshLayoutBinding) HookUpFragment.this.f4157k).f5975h.m();
                        ((FragmentRefreshLayoutBinding) HookUpFragment.this.f4157k).f5975h.j();
                        return;
                    }
                    ((FragmentRefreshLayoutBinding) hookUpFragment2.f4157k).f5975h.j();
                } else {
                    List data = ((DataListBean) baseRes.getData()).getData();
                    HookUpFragment hookUpFragment3 = HookUpFragment.this;
                    if (hookUpFragment3.n == 1) {
                        hookUpFragment3.q.d(data);
                        ((FragmentRefreshLayoutBinding) HookUpFragment.this.f4157k).f5975h.u(false);
                        return;
                    }
                    hookUpFragment3.q.f(data);
                }
            }
        }
    }

    @Override // com.androidx.lv.base.ui.LazyFragment
    public void l() {
        ((FragmentRefreshLayoutBinding) this.f4157k).f5975h.v(this);
        T t = this.f4157k;
        ((FragmentRefreshLayoutBinding) t).f5975h.L = true;
        ((FragmentRefreshLayoutBinding) t).f5975h.l0 = this;
        RecyclerView recyclerView = ((FragmentRefreshLayoutBinding) t).f5974d;
        recyclerView.setHasFixedSize(true);
        recyclerView.setLayoutManager(new StaggeredGridLayoutManager(2, 1));
        g0 g0Var = new g0(this, UiUtils.dp2px(6));
        if (recyclerView.getItemDecorationCount() == 0) {
            recyclerView.addItemDecoration(g0Var);
        }
        recyclerView.setItemAnimator(new DefaultItemAnimator());
        HookUpAdapter hookUpAdapter = new HookUpAdapter();
        this.q = hookUpAdapter;
        ((FragmentRefreshLayoutBinding) this.f4157k).f5974d.setAdapter(hookUpAdapter);
        ((FragmentRefreshLayoutBinding) this.f4157k).f5976j.setOnRetryListener(new n(this));
        n();
    }

    @Override // com.androidx.lv.base.ui.LazyFragment
    public int m() {
        return R.layout.fragment_refresh_layout;
    }

    public final void n() {
        List<D> list;
        if (this.n == 1) {
            HookUpAdapter hookUpAdapter = this.q;
            if (!(hookUpAdapter == null || (list = hookUpAdapter.f4119a) == null || list.size() <= 0)) {
                this.q.clear();
            }
            if (!NetUtil.isNetworkAvailable()) {
                ((FragmentRefreshLayoutBinding) this.f4157k).f5976j.showNoNet();
                return;
            }
        }
        if (this.r) {
            String r2 = c.b.f7655a.r(this.n, this.p, 3);
            a aVar = new a("getEngagementList");
            ((GetRequest) ((GetRequest) ((GetRequest) new GetRequest(r2).tag(aVar.getTag())).cacheKey(r2)).cacheMode(CacheMode.NO_CACHE)).execute(aVar);
            return;
        }
        HttpParams httpParams = new HttpParams();
        httpParams.put("meetType", 1, new boolean[0]);
        if (!TextUtils.isEmpty(this.o)) {
            httpParams.put("cityName", this.o, new boolean[0]);
        }
        httpParams.put(PictureConfig.EXTRA_PAGE, this.n, new boolean[0]);
        httpParams.put("pageSize", 20, new boolean[0]);
        String i2 = d.a.a.a.a.i(c.b.f7655a, new StringBuilder(), "/api/meet/user/list");
        b bVar = new b("getEngagementList");
        ((GetRequest) ((GetRequest) ((GetRequest) ((GetRequest) new GetRequest(i2).tag(bVar.getTag())).cacheKey(i2)).params(httpParams)).cacheMode(CacheMode.NO_CACHE)).execute(bVar);
    }

    @Override // d.o.a.b.f.b
    public void onLoadMore(i iVar) {
        this.n++;
        n();
    }

    @Override // d.o.a.b.f.c
    public void onRefresh(i iVar) {
        this.n = 1;
        n();
    }

    @Override // androidx.fragment.app.Fragment
    public void setArguments(Bundle bundle) {
        super.setArguments(bundle);
        if (bundle != null) {
            this.r = bundle.getBoolean("search");
            this.p = bundle.getString("searchWord");
        }
    }
}
