package com.grass.mh.ui.community.fragment;

import android.os.Bundle;
import androidx.recyclerview.widget.DefaultItemAnimator;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import com.androidjks.acfan.d1682156448763174048.R;
import com.androidx.lv.base.http.BaseRes;
import com.androidx.lv.base.ui.LazyFragment;
import com.androidx.lv.base.utils.NetUtil;
import com.androidx.lv.base.utils.ToastUtils;
import com.grass.mh.bean.CollectionBean;
import com.grass.mh.bean.DataListBean;
import com.grass.mh.databinding.FragmentUserCollectVideoBinding;
import com.grass.mh.ui.community.adapter.UserCollectVideoAdapter;
import com.lzy.okgo.cache.CacheMode;
import com.lzy.okgo.request.GetRequest;
import d.c.a.a.d.c;
import d.i.a.k.t.p2.v;
import d.i.a.k.t.p2.w;
import d.o.a.b.b.i;
import d.o.a.b.f.b;
import d.o.a.b.f.c;
import java.util.List;

public class UserCollectVideoFragment extends LazyFragment<FragmentUserCollectVideoBinding> implements c, b {
    public static final /* synthetic */ int n = 0;
    public int o = 0;
    public int p = 1;
    public UserCollectVideoAdapter q;

    public class a extends d.c.a.a.d.d.a<BaseRes<DataListBean<CollectionBean.CollectionData>>> {
        public a(String str) {
            super(str);
        }

        @Override // d.c.a.a.d.d.b
        public void onLvSuccess(Object obj) {
            BaseRes baseRes = (BaseRes) obj;
            T t = UserCollectVideoFragment.this.f4157k;
            if (t != null) {
                ((FragmentUserCollectVideoBinding) t).f6020j.hideLoading();
                ((FragmentUserCollectVideoBinding) UserCollectVideoFragment.this.f4157k).f6019h.k();
                ((FragmentUserCollectVideoBinding) UserCollectVideoFragment.this.f4157k).f6019h.h();
                if (baseRes.getCode() != 200) {
                    UserCollectVideoFragment userCollectVideoFragment = UserCollectVideoFragment.this;
                    if (userCollectVideoFragment.p == 1) {
                        ((FragmentUserCollectVideoBinding) userCollectVideoFragment.f4157k).f6020j.showError();
                        ((FragmentUserCollectVideoBinding) UserCollectVideoFragment.this.f4157k).f6019h.m();
                        ((FragmentUserCollectVideoBinding) UserCollectVideoFragment.this.f4157k).f6019h.j();
                        return;
                    }
                    ToastUtils.getInstance().showWeak(baseRes.getMsg());
                } else if (baseRes.getData() == null || ((DataListBean) baseRes.getData()).getData() == null || ((DataListBean) baseRes.getData()).getData().size() <= 0) {
                    UserCollectVideoFragment userCollectVideoFragment2 = UserCollectVideoFragment.this;
                    if (userCollectVideoFragment2.p == 1) {
                        ((FragmentUserCollectVideoBinding) userCollectVideoFragment2.f4157k).f6020j.showEmpty();
                        ((FragmentUserCollectVideoBinding) UserCollectVideoFragment.this.f4157k).f6019h.m();
                        ((FragmentUserCollectVideoBinding) UserCollectVideoFragment.this.f4157k).f6019h.j();
                        return;
                    }
                    ((FragmentUserCollectVideoBinding) userCollectVideoFragment2.f4157k).f6019h.j();
                } else {
                    List data = ((DataListBean) baseRes.getData()).getData();
                    UserCollectVideoFragment userCollectVideoFragment3 = UserCollectVideoFragment.this;
                    if (userCollectVideoFragment3.p == 1) {
                        userCollectVideoFragment3.q.d(data);
                        ((FragmentUserCollectVideoBinding) UserCollectVideoFragment.this.f4157k).f6019h.u(false);
                        return;
                    }
                    userCollectVideoFragment3.q.f(data);
                }
            }
        }
    }

    @Override // com.androidx.lv.base.ui.LazyFragment
    public void l() {
        ((FragmentUserCollectVideoBinding) this.f4157k).f6019h.v(this);
        T t = this.f4157k;
        ((FragmentUserCollectVideoBinding) t).f6019h.L = true;
        ((FragmentUserCollectVideoBinding) t).f6019h.l0 = this;
        RecyclerView recyclerView = ((FragmentUserCollectVideoBinding) t).f6018d;
        recyclerView.setHasFixedSize(true);
        recyclerView.setLayoutManager(new LinearLayoutManager(getContext()));
        recyclerView.setItemAnimator(new DefaultItemAnimator());
        UserCollectVideoAdapter userCollectVideoAdapter = new UserCollectVideoAdapter();
        this.q = userCollectVideoAdapter;
        ((FragmentUserCollectVideoBinding) this.f4157k).f6018d.setAdapter(userCollectVideoAdapter);
        this.q.f4120b = new w(this);
        ((FragmentUserCollectVideoBinding) this.f4157k).f6020j.setOnRetryListener(new v(this));
        n();
    }

    @Override // com.androidx.lv.base.ui.LazyFragment
    public int m() {
        return R.layout.fragment_user_collect_video;
    }

    public final void n() {
        List<D> list;
        if (this.p == 1) {
            UserCollectVideoAdapter userCollectVideoAdapter = this.q;
            if (!(userCollectVideoAdapter == null || (list = userCollectVideoAdapter.f4119a) == null || list.size() <= 0)) {
                this.q.clear();
            }
            if (!NetUtil.isNetworkAvailable()) {
                ((FragmentUserCollectVideoBinding) this.f4157k).f6020j.showNoNet();
                return;
            }
            ((FragmentUserCollectVideoBinding) this.f4157k).f6020j.showLoading();
        }
        d.c.a.a.d.c cVar = c.b.f7655a;
        int i2 = this.p;
        int i3 = this.o;
        StringBuilder sb = new StringBuilder();
        d.a.a.a.a.P(cVar, sb, "/api/bloggerCollection/queryCollectionByUser?pageSize=20&page=", i2, "&userId=");
        sb.append(i3);
        String sb2 = sb.toString();
        a aVar = new a("queryPersonVideoByType");
        ((GetRequest) ((GetRequest) ((GetRequest) new GetRequest(sb2).tag(aVar.getTag())).cacheKey(sb2)).cacheMode(CacheMode.NO_CACHE)).execute(aVar);
    }

    @Override // d.o.a.b.f.b
    public void onLoadMore(i iVar) {
        this.p++;
        n();
    }

    @Override // d.o.a.b.f.c
    public void onRefresh(i iVar) {
        this.p = 1;
        n();
    }

    @Override // androidx.fragment.app.Fragment
    public void setArguments(Bundle bundle) {
        super.setArguments(bundle);
        if (bundle != null) {
            this.o = bundle.getInt("userId", 0);
        }
    }
}
