package com.grass.mh.ui.community.fragment;

import android.os.Bundle;
import androidx.recyclerview.widget.DefaultItemAnimator;
import androidx.recyclerview.widget.RecyclerView;
import androidx.recyclerview.widget.StaggeredGridLayoutManager;
import com.androidjks.acfan.d1682156448763174048.R;
import com.androidx.lv.base.bean.VideoBean;
import com.androidx.lv.base.http.BaseRes;
import com.androidx.lv.base.ui.LazyFragment;
import com.androidx.lv.base.utils.NetUtil;
import com.androidx.lv.base.utils.ToastUtils;
import com.androidx.lv.base.utils.UiUtils;
import com.grass.mh.bean.HomeOtherBean;
import com.grass.mh.databinding.FragmentUserShortVideoBinding;
import com.grass.mh.ui.community.adapter.FindChannelVideoHorizontalAdapter;
import com.lzy.okgo.cache.CacheMode;
import com.lzy.okgo.request.GetRequest;
import com.scwang.smartrefresh.layout.SmartRefreshLayout;
import d.c.a.a.d.c;
import d.i.a.k.t.p2.k0;
import d.i.a.k.t.p2.x;
import d.i.a.k.t.p2.y;
import d.i.a.k.t.p2.z;
import d.o.a.b.b.i;
import d.o.a.b.f.b;
import d.o.a.b.f.c;
import java.util.List;

public class UserShortVideoFragment extends LazyFragment<FragmentUserShortVideoBinding> implements c, b {
    public static final /* synthetic */ int n = 0;
    public int o = 1;
    public int p = 0;
    public int q = 1;
    public FindChannelVideoHorizontalAdapter r;
    public String s = "";

    public class a extends d.c.a.a.d.d.a<BaseRes<HomeOtherBean>> {
        public a(String str) {
            super(str);
        }

        @Override // d.c.a.a.d.d.b
        public void onLvSuccess(Object obj) {
            BaseRes baseRes = (BaseRes) obj;
            T t = UserShortVideoFragment.this.f4157k;
            if (t != null) {
                ((FragmentUserShortVideoBinding) t).f6027l.hideLoading();
                ((FragmentUserShortVideoBinding) UserShortVideoFragment.this.f4157k).f6025j.k();
                ((FragmentUserShortVideoBinding) UserShortVideoFragment.this.f4157k).f6025j.h();
                if (baseRes.getCode() != 200) {
                    UserShortVideoFragment userShortVideoFragment = UserShortVideoFragment.this;
                    if (userShortVideoFragment.q == 1) {
                        ((FragmentUserShortVideoBinding) userShortVideoFragment.f4157k).f6027l.showError();
                        ((FragmentUserShortVideoBinding) UserShortVideoFragment.this.f4157k).f6025j.m();
                        ((FragmentUserShortVideoBinding) UserShortVideoFragment.this.f4157k).f6025j.j();
                        return;
                    }
                    ToastUtils.getInstance().showWeak(baseRes.getMsg());
                } else if (baseRes.getData() == null || ((HomeOtherBean) baseRes.getData()).getData() == null || ((HomeOtherBean) baseRes.getData()).getData().size() <= 0) {
                    UserShortVideoFragment userShortVideoFragment2 = UserShortVideoFragment.this;
                    if (userShortVideoFragment2.q == 1) {
                        ((FragmentUserShortVideoBinding) userShortVideoFragment2.f4157k).f6027l.showEmpty();
                        ((FragmentUserShortVideoBinding) UserShortVideoFragment.this.f4157k).f6025j.m();
                        ((FragmentUserShortVideoBinding) UserShortVideoFragment.this.f4157k).f6025j.j();
                        return;
                    }
                    ((FragmentUserShortVideoBinding) userShortVideoFragment2.f4157k).f6025j.j();
                } else {
                    List<VideoBean> data = ((HomeOtherBean) baseRes.getData()).getData();
                    UserShortVideoFragment userShortVideoFragment3 = UserShortVideoFragment.this;
                    if (userShortVideoFragment3.q == 1) {
                        userShortVideoFragment3.r.d(data);
                        ((FragmentUserShortVideoBinding) UserShortVideoFragment.this.f4157k).f6025j.u(false);
                        return;
                    }
                    userShortVideoFragment3.r.f(data);
                }
            }
        }
    }

    @Override // com.androidx.lv.base.ui.LazyFragment
    public void l() {
        ((FragmentUserShortVideoBinding) this.f4157k).f6025j.v(this);
        FragmentUserShortVideoBinding fragmentUserShortVideoBinding = (FragmentUserShortVideoBinding) this.f4157k;
        SmartRefreshLayout smartRefreshLayout = fragmentUserShortVideoBinding.f6025j;
        smartRefreshLayout.L = true;
        smartRefreshLayout.l0 = this;
        RecyclerView recyclerView = fragmentUserShortVideoBinding.f6024h;
        recyclerView.setHasFixedSize(true);
        recyclerView.setLayoutManager(new StaggeredGridLayoutManager(2, 1));
        k0 k0Var = new k0(this, UiUtils.dp2px(8));
        if (recyclerView.getItemDecorationCount() == 0) {
            recyclerView.addItemDecoration(k0Var);
        }
        recyclerView.setItemAnimator(new DefaultItemAnimator());
        FindChannelVideoHorizontalAdapter findChannelVideoHorizontalAdapter = new FindChannelVideoHorizontalAdapter(this.o);
        this.r = findChannelVideoHorizontalAdapter;
        ((FragmentUserShortVideoBinding) this.f4157k).f6024h.setAdapter(findChannelVideoHorizontalAdapter);
        this.r.f4120b = new y(this);
        ((FragmentUserShortVideoBinding) this.f4157k).f6026k.setOnClickListener(new z(this));
        ((FragmentUserShortVideoBinding) this.f4157k).f6027l.setOnRetryListener(new x(this));
        n();
    }

    @Override // com.androidx.lv.base.ui.LazyFragment
    public int m() {
        return R.layout.fragment_user_short_video;
    }

    public final void n() {
        List<D> list;
        if (this.q == 1) {
            FindChannelVideoHorizontalAdapter findChannelVideoHorizontalAdapter = this.r;
            if (!(findChannelVideoHorizontalAdapter == null || (list = findChannelVideoHorizontalAdapter.f4119a) == null || list.size() <= 0)) {
                this.r.clear();
            }
            if (!NetUtil.isNetworkAvailable()) {
                ((FragmentUserShortVideoBinding) this.f4157k).f6027l.showNoNet();
                return;
            }
            ((FragmentUserShortVideoBinding) this.f4157k).f6027l.showLoading();
        }
        d.c.a.a.d.c cVar = c.b.f7655a;
        int i2 = this.q;
        int i3 = this.o;
        int i4 = this.p;
        String str = this.s;
        StringBuilder sb = new StringBuilder();
        d.a.a.a.a.P(cVar, sb, "/api/video/queryPersonVideoByType?pageSize=20&videoMark=", i3, "&userId=");
        d.a.a.a.a.U(sb, i4, "&page=", i2, "&title=");
        sb.append(str);
        String sb2 = sb.toString();
        a aVar = new a("queryPersonVideoByType");
        ((GetRequest) ((GetRequest) ((GetRequest) new GetRequest(sb2).tag(aVar.getTag())).cacheKey(sb2)).cacheMode(CacheMode.NO_CACHE)).execute(aVar);
    }

    @Override // d.o.a.b.f.b
    public void onLoadMore(i iVar) {
        this.q++;
        n();
    }

    @Override // d.o.a.b.f.c
    public void onRefresh(i iVar) {
        this.q = 1;
        n();
    }

    @Override // androidx.fragment.app.Fragment
    public void setArguments(Bundle bundle) {
        super.setArguments(bundle);
        if (bundle != null) {
            this.o = bundle.getInt("videoMark", 1);
            this.p = bundle.getInt("userId", 0);
        }
    }
}
