package com.grass.mh.ui.feature;

import android.os.Bundle;
import android.view.View;
import androidx.recyclerview.widget.GridLayoutManager;
import com.androidjks.acfan.d1682156448763174048.R;
import com.androidx.lv.base.http.BaseRes;
import com.androidx.lv.base.ui.LazyFragment;
import com.androidx.lv.base.utils.NetUtil;
import com.androidx.lv.base.utils.UiUtils;
import com.grass.mh.bean.photo.PhotoListBean;
import com.grass.mh.databinding.FragmentRefreshBinding;
import com.grass.mh.ui.feature.adapter.PhotoAdapter;
import com.lzy.okgo.cache.CacheMode;
import com.lzy.okgo.request.GetRequest;
import d.c.a.a.d.c;
import d.o.a.b.b.i;
import d.o.a.b.f.c;
import java.util.List;
import tv.danmaku.ijk.media.player.IjkMediaMeta;

public class PhotoMoreFragment extends LazyFragment<FragmentRefreshBinding> implements c, d.o.a.b.f.b {
    public int n = 1;
    public PhotoAdapter o;
    public int p = 0;

    public class a implements View.OnClickListener {
        public a() {
        }

        public void onClick(View view) {
            PhotoMoreFragment photoMoreFragment = PhotoMoreFragment.this;
            photoMoreFragment.n = 1;
            photoMoreFragment.n();
        }
    }

    public class b extends d.c.a.a.d.d.a<BaseRes<PhotoListBean>> {
        public b(String str) {
            super(str);
        }

        @Override // d.c.a.a.d.d.b
        public void onLvSuccess(Object obj) {
            BaseRes baseRes = (BaseRes) obj;
            T t = PhotoMoreFragment.this.f4157k;
            if (t != null) {
                ((FragmentRefreshBinding) t).f5971j.hideLoading();
                ((FragmentRefreshBinding) PhotoMoreFragment.this.f4157k).f5970h.k();
                ((FragmentRefreshBinding) PhotoMoreFragment.this.f4157k).f5970h.h();
                if (baseRes.getCode() != 200) {
                    ((FragmentRefreshBinding) PhotoMoreFragment.this.f4157k).f5971j.showError();
                    ((FragmentRefreshBinding) PhotoMoreFragment.this.f4157k).f5970h.j();
                } else if (baseRes.getData() == null || ((PhotoListBean) baseRes.getData()).getData() == null || ((PhotoListBean) baseRes.getData()).getData().size() <= 0) {
                    ((FragmentRefreshBinding) PhotoMoreFragment.this.f4157k).f5970h.j();
                    PhotoMoreFragment photoMoreFragment = PhotoMoreFragment.this;
                    if (photoMoreFragment.n == 1) {
                        ((FragmentRefreshBinding) photoMoreFragment.f4157k).f5971j.showEmpty();
                    }
                } else {
                    PhotoMoreFragment photoMoreFragment2 = PhotoMoreFragment.this;
                    if (photoMoreFragment2.n == 1) {
                        photoMoreFragment2.o.d(((PhotoListBean) baseRes.getData()).getData());
                        ((FragmentRefreshBinding) PhotoMoreFragment.this.f4157k).f5970h.u(false);
                        return;
                    }
                    photoMoreFragment2.o.f(((PhotoListBean) baseRes.getData()).getData());
                }
            }
        }
    }

    public static PhotoMoreFragment o(int i2) {
        Bundle bundle = new Bundle();
        bundle.putInt(IjkMediaMeta.IJKM_KEY_TYPE, i2);
        PhotoMoreFragment photoMoreFragment = new PhotoMoreFragment();
        super.setArguments(bundle);
        photoMoreFragment.p = bundle.getInt(IjkMediaMeta.IJKM_KEY_TYPE);
        return photoMoreFragment;
    }

    @Override // d.j.a.a.a, com.androidx.lv.base.ui.LazyFragment
    public void a() {
        super.a();
    }

    @Override // com.androidx.lv.base.ui.LazyFragment
    public void l() {
        T t = this.f4157k;
        ((FragmentRefreshBinding) t).f5970h.l0 = this;
        ((FragmentRefreshBinding) t).f5970h.v(this);
        ((FragmentRefreshBinding) this.f4157k).f5969d.setLayoutManager(new GridLayoutManager(getActivity(), 3));
        ((FragmentRefreshBinding) this.f4157k).f5969d.setPadding(UiUtils.dp2px(12), 0, UiUtils.dp2px(12), 0);
        PhotoAdapter photoAdapter = new PhotoAdapter();
        this.o = photoAdapter;
        ((FragmentRefreshBinding) this.f4157k).f5969d.setAdapter(photoAdapter);
        ((FragmentRefreshBinding) this.f4157k).f5971j.setOnRetryListener(new a());
        n();
    }

    @Override // com.androidx.lv.base.ui.LazyFragment
    public int m() {
        return R.layout.fragment_refresh;
    }

    public void n() {
        List<D> list;
        if (this.n == 1) {
            PhotoAdapter photoAdapter = this.o;
            if (!(photoAdapter == null || (list = photoAdapter.f4119a) == null || list.size() <= 0)) {
                this.o.clear();
            }
            if (!NetUtil.isNetworkAvailable()) {
                ((FragmentRefreshBinding) this.f4157k).f5971j.showNoNet();
                return;
            }
            ((FragmentRefreshBinding) this.f4157k).f5971j.showLoading();
        }
        d.c.a.a.d.c cVar = c.b.f7655a;
        int i2 = this.n;
        int i3 = this.p;
        StringBuilder sb = new StringBuilder();
        d.a.a.a.a.P(cVar, sb, "/api/portray/getMoreRecommendPictureList?pageSize=20&page=", i2, "&sortType=");
        sb.append(i3);
        String sb2 = sb.toString();
        b bVar = new b("");
        ((GetRequest) ((GetRequest) ((GetRequest) new GetRequest(sb2).tag(bVar.getTag())).cacheKey(sb2)).cacheMode(CacheMode.NO_CACHE)).execute(bVar);
    }

    @Override // d.o.a.b.f.b
    public void onLoadMore(i iVar) {
        this.n++;
        n();
    }

    @Override // d.o.a.b.f.c
    public void onRefresh(i iVar) {
        this.n = 1;
        n();
    }

    @Override // androidx.fragment.app.Fragment
    public void setArguments(Bundle bundle) {
        super.setArguments(bundle);
        if (bundle != null) {
            this.p = bundle.getInt(IjkMediaMeta.IJKM_KEY_TYPE);
        }
    }
}
