package com.grass.mh.ui.home.search;

import android.content.Intent;
import android.os.Bundle;
import android.text.TextUtils;
import android.view.View;
import androidx.recyclerview.widget.GridLayoutManager;
import com.androidjks.acfan.d1682156448763174048.R;
import com.androidx.lv.base.bean.AdInfoBean;
import com.androidx.lv.base.http.BaseRes;
import com.androidx.lv.base.ui.LazyFragment;
import com.androidx.lv.base.utils.AdUtils;
import com.androidx.lv.base.utils.NetUtil;
import com.androidx.lv.base.utils.ToastUtils;
import com.androidx.lv.base.utils.UiUtils;
import com.grass.mh.bean.SearchOtherBean;
import com.grass.mh.bean.manga.ComicBaseBean;
import com.grass.mh.databinding.FragmentRefreshBinding;
import com.grass.mh.ui.feature.MangaActivity;
import com.grass.mh.ui.mine.adapter.MangaCollectAdapter;
import com.lzy.okgo.cache.CacheMode;
import com.lzy.okgo.request.GetRequest;
import d.c.a.a.d.c;
import d.i.a.h.w;
import d.o.a.b.b.i;
import java.util.List;
import k.b.a.l;
import org.greenrobot.eventbus.ThreadMode;
import tv.danmaku.ijk.media.player.IjkMediaMeta;

public class SearchMangaFragment extends LazyFragment<FragmentRefreshBinding> implements d.o.a.b.f.c, d.o.a.b.f.b {
    public static final /* synthetic */ int n = 0;
    public int o = 1;
    public int p;
    public String q;
    public MangaCollectAdapter r;

    public class a implements d.c.a.a.e.a {
        public a() {
        }

        @Override // d.c.a.a.e.a
        public void onItemClick(View view, int i2) {
            if (!SearchMangaFragment.this.isOnClick()) {
                Intent intent = new Intent(view.getContext(), MangaActivity.class);
                intent.putExtra("mangaId", ((ComicBaseBean) SearchMangaFragment.this.r.b(i2)).getComicsId());
                view.getContext().startActivity(intent);
            }
        }
    }

    public class b implements View.OnClickListener {
        public b() {
        }

        public void onClick(View view) {
            SearchMangaFragment searchMangaFragment = SearchMangaFragment.this;
            searchMangaFragment.o = 1;
            searchMangaFragment.n();
        }
    }

    public class c extends d.c.a.a.d.d.a<BaseRes<SearchOtherBean>> {
        public c(String str) {
            super(str);
        }

        @Override // d.c.a.a.d.d.b
        public void onLvSuccess(Object obj) {
            BaseRes baseRes = (BaseRes) obj;
            T t = SearchMangaFragment.this.f4157k;
            if (t != null) {
                ((FragmentRefreshBinding) t).f5971j.hideLoading();
                ((FragmentRefreshBinding) SearchMangaFragment.this.f4157k).f5970h.k();
                ((FragmentRefreshBinding) SearchMangaFragment.this.f4157k).f5970h.h();
                if (baseRes.getCode() != 200) {
                    SearchMangaFragment searchMangaFragment = SearchMangaFragment.this;
                    if (searchMangaFragment.o == 1) {
                        ((FragmentRefreshBinding) searchMangaFragment.f4157k).f5971j.showError();
                        ((FragmentRefreshBinding) SearchMangaFragment.this.f4157k).f5970h.m();
                        ((FragmentRefreshBinding) SearchMangaFragment.this.f4157k).f5970h.j();
                        return;
                    }
                    ToastUtils.getInstance().showWeak(baseRes.getMsg());
                } else if (baseRes.getData() == null || ((SearchOtherBean) baseRes.getData()).getComicsList() == null || ((SearchOtherBean) baseRes.getData()).getComicsList().size() <= 0) {
                    SearchMangaFragment searchMangaFragment2 = SearchMangaFragment.this;
                    if (searchMangaFragment2.o == 1) {
                        ((FragmentRefreshBinding) searchMangaFragment2.f4157k).f5971j.showEmpty();
                        ((FragmentRefreshBinding) SearchMangaFragment.this.f4157k).f5970h.m();
                        ((FragmentRefreshBinding) SearchMangaFragment.this.f4157k).f5970h.j();
                        return;
                    }
                    ((FragmentRefreshBinding) searchMangaFragment2.f4157k).f5970h.j();
                } else {
                    List<ComicBaseBean> comicsList = ((SearchOtherBean) baseRes.getData()).getComicsList();
                    int adIntervalNum = AdUtils.getInstance().getAdIntervalNum("VERTICAL_INSERT");
                    if (AdUtils.getInstance().getAdWeight("VERTICAL_INSERT") != null) {
                        int i2 = 0;
                        for (int i3 = 0; i3 < comicsList.size(); i3++) {
                            if (i2 == adIntervalNum) {
                                AdInfoBean adWeight = AdUtils.getInstance().getAdWeight("VERTICAL_INSERT");
                                ComicBaseBean comicBaseBean = new ComicBaseBean(1);
                                comicBaseBean.setAdInfoBean(adWeight);
                                comicsList.add(i3, comicBaseBean);
                                i2 = 0;
                            } else {
                                i2++;
                            }
                        }
                    }
                    SearchMangaFragment searchMangaFragment3 = SearchMangaFragment.this;
                    if (searchMangaFragment3.o == 1) {
                        searchMangaFragment3.r.d(comicsList);
                        ((FragmentRefreshBinding) SearchMangaFragment.this.f4157k).f5970h.u(false);
                        return;
                    }
                    searchMangaFragment3.r.f(comicsList);
                }
            }
        }
    }

    @Override // com.androidx.lv.base.ui.LazyFragment
    public void l() {
        k.b.a.c.b().j(this);
        T t = this.f4157k;
        ((FragmentRefreshBinding) t).f5970h.l0 = this;
        ((FragmentRefreshBinding) t).f5970h.v(this);
        ((FragmentRefreshBinding) this.f4157k).f5969d.setLayoutManager(new GridLayoutManager(getActivity(), 3));
        MangaCollectAdapter mangaCollectAdapter = new MangaCollectAdapter();
        this.r = mangaCollectAdapter;
        mangaCollectAdapter.f4120b = new a();
        ((FragmentRefreshBinding) this.f4157k).f5969d.setAdapter(mangaCollectAdapter);
        ((FragmentRefreshBinding) this.f4157k).f5969d.setPadding(UiUtils.dp2px(12), UiUtils.dp2px(10), UiUtils.dp2px(12), 0);
        ((FragmentRefreshBinding) this.f4157k).f5971j.setOnRetryListener(new b());
        n();
    }

    @Override // com.androidx.lv.base.ui.LazyFragment
    public int m() {
        return R.layout.fragment_refresh;
    }

    public void n() {
        List<D> list;
        if (!TextUtils.isEmpty(this.q)) {
            if (this.o == 1) {
                MangaCollectAdapter mangaCollectAdapter = this.r;
                if (!(mangaCollectAdapter == null || (list = mangaCollectAdapter.f4119a) == null || list.size() <= 0)) {
                    this.r.clear();
                }
                if (!NetUtil.isNetworkAvailable()) {
                    ((FragmentRefreshBinding) this.f4157k).f5971j.showNoNet();
                    return;
                }
                ((FragmentRefreshBinding) this.f4157k).f5971j.showLoading();
            }
            String r2 = c.b.f7655a.r(this.o, this.q, this.p);
            c cVar = new c("");
            ((GetRequest) ((GetRequest) ((GetRequest) new GetRequest(r2).tag(cVar.getTag())).cacheKey(r2)).cacheMode(CacheMode.NO_CACHE)).execute(cVar);
        }
    }

    @Override // com.androidx.lv.base.ui.ImmersionFragment, androidx.fragment.app.Fragment
    public void onDestroy() {
        super.onDestroy();
        k.b.a.c.b().l(this);
    }

    @l(threadMode = ThreadMode.MAIN)
    public void onEventBus(w wVar) {
        String str = wVar.f11285a;
        this.q = str;
        if (!TextUtils.isEmpty(str)) {
            this.o = 1;
            n();
        }
    }

    @Override // d.o.a.b.f.b
    public void onLoadMore(i iVar) {
        this.o++;
        n();
    }

    @Override // d.o.a.b.f.c
    public void onRefresh(i iVar) {
        this.o = 1;
        n();
    }

    @Override // androidx.fragment.app.Fragment
    public void setArguments(Bundle bundle) {
        super.setArguments(bundle);
        this.q = bundle.getString("txt");
        this.p = bundle.getInt(IjkMediaMeta.IJKM_KEY_TYPE);
    }
}
