package com.grass.mh.ui.mine.fragment;

import android.content.Intent;
import android.view.View;
import androidx.recyclerview.widget.LinearLayoutManager;
import b.o.a.n;
import com.androidjks.acfan.d1682156448763174048.R;
import com.androidx.lv.base.http.BaseRes;
import com.androidx.lv.base.ui.LazyFragment;
import com.androidx.lv.base.utils.NetUtil;
import com.androidx.lv.base.utils.ToastUtils;
import com.grass.mh.bean.GameListBean;
import com.grass.mh.databinding.FragmentMineBuyLfBinding;
import com.grass.mh.ui.home.GameListActivity;
import com.grass.mh.ui.home.adapter.GameListAdapter;
import com.lzy.okgo.cache.CacheMode;
import com.lzy.okgo.request.GetRequest;
import d.c.a.a.d.c;
import d.o.a.b.b.i;
import java.util.Iterator;
import java.util.List;
import okhttp3.Call;
import okhttp3.OkHttpClient;

public class MineBuyGameFragment extends LazyFragment<FragmentMineBuyLfBinding> implements d.o.a.b.f.c, d.o.a.b.f.b {
    public String n = "getGameList";
    public int o = 1;
    public GameListAdapter p;

    public class a implements d.c.a.a.e.a {
        public a() {
        }

        @Override // d.c.a.a.e.a
        public void onItemClick(View view, int i2) {
            if (!MineBuyGameFragment.this.isOnClick()) {
                Intent intent = new Intent(MineBuyGameFragment.this.getActivity(), GameListActivity.class);
                intent.putExtra("id", ((GameListBean.GameListData) MineBuyGameFragment.this.p.b(i2)).getGameId());
                MineBuyGameFragment.this.getActivity().startActivity(intent);
            }
        }
    }

    public class b implements View.OnClickListener {
        public b() {
        }

        public void onClick(View view) {
            MineBuyGameFragment mineBuyGameFragment = MineBuyGameFragment.this;
            mineBuyGameFragment.o = 1;
            mineBuyGameFragment.n();
        }
    }

    public class c extends d.c.a.a.d.d.a<BaseRes<GameListBean>> {
        public c(String str) {
            super(str);
        }

        @Override // d.c.a.a.d.d.b
        public void onLvSuccess(Object obj) {
            BaseRes baseRes = (BaseRes) obj;
            T t = MineBuyGameFragment.this.f4157k;
            if (t != null) {
                ((FragmentMineBuyLfBinding) t).f5893j.hideLoading();
                ((FragmentMineBuyLfBinding) MineBuyGameFragment.this.f4157k).f5892h.k();
                ((FragmentMineBuyLfBinding) MineBuyGameFragment.this.f4157k).f5892h.h();
                if (baseRes.getCode() != 200) {
                    MineBuyGameFragment mineBuyGameFragment = MineBuyGameFragment.this;
                    if (mineBuyGameFragment.o == 1) {
                        ((FragmentMineBuyLfBinding) mineBuyGameFragment.f4157k).f5893j.showError();
                    } else {
                        ToastUtils.getInstance().showWeak(baseRes.getMsg());
                    }
                } else if (baseRes.getData() == null || ((GameListBean) baseRes.getData()).getData() == null || ((GameListBean) baseRes.getData()).getData().size() <= 0) {
                    MineBuyGameFragment mineBuyGameFragment2 = MineBuyGameFragment.this;
                    if (mineBuyGameFragment2.o == 1) {
                        ((FragmentMineBuyLfBinding) mineBuyGameFragment2.f4157k).f5893j.showEmpty();
                    } else {
                        ((FragmentMineBuyLfBinding) mineBuyGameFragment2.f4157k).f5892h.j();
                    }
                } else {
                    MineBuyGameFragment mineBuyGameFragment3 = MineBuyGameFragment.this;
                    if (mineBuyGameFragment3.o == 1) {
                        mineBuyGameFragment3.p.d(((GameListBean) baseRes.getData()).getData());
                        ((FragmentMineBuyLfBinding) MineBuyGameFragment.this.f4157k).f5892h.u(false);
                        return;
                    }
                    mineBuyGameFragment3.p.f(((GameListBean) baseRes.getData()).getData());
                }
            }
        }
    }

    @Override // com.androidx.lv.base.ui.LazyFragment
    public void l() {
        T t = this.f4157k;
        ((FragmentMineBuyLfBinding) t).f5892h.l0 = this;
        ((FragmentMineBuyLfBinding) t).f5892h.v(this);
        ((FragmentMineBuyLfBinding) this.f4157k).f5891d.setLayoutManager(new LinearLayoutManager(getActivity()));
        ((FragmentMineBuyLfBinding) this.f4157k).f5891d.setBackground(null);
        GameListAdapter gameListAdapter = new GameListAdapter();
        this.p = gameListAdapter;
        ((FragmentMineBuyLfBinding) this.f4157k).f5891d.setAdapter(gameListAdapter);
        this.p.f4120b = new a();
        ((FragmentMineBuyLfBinding) this.f4157k).f5893j.setOnRetryListener(new b());
        n();
    }

    @Override // com.androidx.lv.base.ui.LazyFragment
    public int m() {
        return R.layout.fragment_mine_buy_lf;
    }

    public void n() {
        List<D> list;
        if (this.o == 1) {
            GameListAdapter gameListAdapter = this.p;
            if (!(gameListAdapter == null || (list = gameListAdapter.f4119a) == null || list.size() <= 0)) {
                this.p.clear();
            }
            if (!NetUtil.isNetworkAvailable()) {
                ((FragmentMineBuyLfBinding) this.f4157k).f5893j.showNoNet();
                return;
            }
            ((FragmentMineBuyLfBinding) this.f4157k).f5893j.showLoading();
        }
        String j2 = c.b.f7655a.j(this.o, 1);
        c cVar = new c(this.n);
        ((GetRequest) ((GetRequest) ((GetRequest) new GetRequest(j2).tag(cVar.getTag())).cacheKey(j2)).cacheMode(CacheMode.NO_CACHE)).execute(cVar);
    }

    @Override // com.androidx.lv.base.ui.ImmersionFragment, androidx.fragment.app.Fragment
    public void onDestroy() {
        super.onDestroy();
        String str = this.n;
        OkHttpClient D0 = n.D0();
        if (D0 != null && str != null) {
            Iterator I = d.a.a.a.a.I(D0);
            while (I.hasNext()) {
                Call call = (Call) I.next();
                if (d.a.a.a.a.Z(call, str)) {
                    call.cancel();
                }
            }
            Iterator J = d.a.a.a.a.J(D0);
            while (J.hasNext()) {
                Call call2 = (Call) J.next();
                if (d.a.a.a.a.Z(call2, str)) {
                    call2.cancel();
                }
            }
        }
    }

    @Override // d.o.a.b.f.b
    public void onLoadMore(i iVar) {
        this.o++;
        n();
    }

    @Override // d.o.a.b.f.c
    public void onRefresh(i iVar) {
        this.o = 1;
        n();
    }
}
