package com.grass.mh.utils;

import android.app.Activity;
import com.shuyu.gsyvideoplayer.utils.OrientationUtils;
import com.shuyu.gsyvideoplayer.video.base.GSYBaseVideoPlayer;

public class VideoUtil {
    private static VideoUtil videoUtil;
    private OrientationUtils orientationUtils = null;

    public static synchronized OrientationUtils getInstance(Activity activity, GSYBaseVideoPlayer gSYBaseVideoPlayer) {
        OrientationUtils orientationUtils2;
        synchronized (VideoUtil.class) {
            if (videoUtil == null) {
                videoUtil = new VideoUtil();
            }
            OrientationUtils orientationUtils3 = videoUtil.orientationUtils;
            if (orientationUtils3 != null) {
                orientationUtils3.releaseListener();
            }
            videoUtil.orientationUtils = new OrientationUtils(activity, gSYBaseVideoPlayer);
            orientationUtils2 = videoUtil.orientationUtils;
        }
        return orientationUtils2;
    }
}
