package com.grass.mh.view;

import android.content.Context;
import android.util.AttributeSet;
import android.view.KeyEvent;
import androidx.appcompat.widget.AppCompatEditText;

public class EditTextPrice extends AppCompatEditText {
    public onBack onBack;

    public interface onBack {
        void backListener();
    }

    public EditTextPrice(Context context, AttributeSet attributeSet) {
        super(context, attributeSet);
    }

    public boolean dispatchKeyEventPreIme(KeyEvent keyEvent) {
        onBack onback;
        if (keyEvent.getKeyCode() == 4 && (onback = this.onBack) != null) {
            onback.backListener();
        }
        return super.dispatchKeyEventPreIme(keyEvent);
    }

    public void setOnBack(onBack onback) {
        this.onBack = onback;
    }

    public EditTextPrice(Context context, AttributeSet attributeSet, int i2) {
        super(context, attributeSet, i2);
    }
}
