package com.yanzhenjie.recyclerview;

public class SwipeMenuBridge {
    private final Controller mController;
    private final int mDirection;
    private final int mPosition;

    public SwipeMenuBridge(Controller controller, int i2, int i3) {
        this.mController = controller;
        this.mDirection = i2;
        this.mPosition = i3;
    }

    public void closeMenu() {
        this.mController.smoothCloseMenu();
    }

    public int getDirection() {
        return this.mDirection;
    }

    public int getPosition() {
        return this.mPosition;
    }
}
