package d.h.a.b.o;

import android.animation.Animator;
import android.animation.AnimatorSet;
import android.animation.ObjectAnimator;
import android.animation.StateListAnimator;
import android.content.Context;
import android.content.res.ColorStateList;
import android.graphics.PorterDuff;
import android.graphics.Rect;
import android.graphics.drawable.Drawable;
import android.graphics.drawable.LayerDrawable;
import android.graphics.drawable.RippleDrawable;
import android.os.Build;
import android.view.View;
import com.google.android.material.R$color;
import com.google.android.material.floatingactionbutton.FloatingActionButton;
import com.google.android.material.shape.MaterialShapeDrawable;
import d.h.a.b.v.b;
import d.h.a.b.w.l;
import java.util.ArrayList;
import java.util.Objects;

/* compiled from: FloatingActionButtonImplLollipop */
public class k extends h {

    /* compiled from: FloatingActionButtonImplLollipop */
    public static class a extends MaterialShapeDrawable {
        public a(l lVar) {
            super(lVar);
        }

        @Override // com.google.android.material.shape.MaterialShapeDrawable
        public boolean isStateful() {
            return true;
        }
    }

    public k(FloatingActionButton floatingActionButton, b bVar) {
        super(floatingActionButton, bVar);
    }

    @Override // d.h.a.b.o.h
    public float d() {
        return this.F.getElevation();
    }

    @Override // d.h.a.b.o.h
    public void e(Rect rect) {
        if (FloatingActionButton.this.t) {
            super.e(rect);
        } else if (!t()) {
            int sizeDimension = (this.r - this.F.getSizeDimension()) / 2;
            rect.set(sizeDimension, sizeDimension, sizeDimension, sizeDimension);
        } else {
            rect.set(0, 0, 0, 0);
        }
    }

    @Override // d.h.a.b.o.h
    public void f(ColorStateList colorStateList, PorterDuff.Mode mode, ColorStateList colorStateList2, int i2) {
        Drawable drawable;
        l lVar = this.f10513h;
        Objects.requireNonNull(lVar);
        a aVar = new a(lVar);
        this.f10514i = aVar;
        aVar.setTintList(colorStateList);
        if (mode != null) {
            this.f10514i.setTintMode(mode);
        }
        this.f10514i.n(this.F.getContext());
        if (i2 > 0) {
            Context context = this.F.getContext();
            l lVar2 = this.f10513h;
            Objects.requireNonNull(lVar2);
            c cVar = new c(lVar2);
            int b2 = b.j.b.a.b(context, R$color.design_fab_stroke_top_outer_color);
            int b3 = b.j.b.a.b(context, R$color.design_fab_stroke_top_inner_color);
            int b4 = b.j.b.a.b(context, R$color.design_fab_stroke_end_inner_color);
            int b5 = b.j.b.a.b(context, R$color.design_fab_stroke_end_outer_color);
            cVar.f10490i = b2;
            cVar.f10491j = b3;
            cVar.f10492k = b4;
            cVar.f10493l = b5;
            float f2 = (float) i2;
            if (cVar.f10489h != f2) {
                cVar.f10489h = f2;
                cVar.f10483b.setStrokeWidth(f2 * 1.3333f);
                cVar.n = true;
                cVar.invalidateSelf();
            }
            cVar.b(colorStateList);
            this.f10516k = cVar;
            c cVar2 = this.f10516k;
            Objects.requireNonNull(cVar2);
            MaterialShapeDrawable materialShapeDrawable = this.f10514i;
            Objects.requireNonNull(materialShapeDrawable);
            drawable = new LayerDrawable(new Drawable[]{cVar2, materialShapeDrawable});
        } else {
            this.f10516k = null;
            drawable = this.f10514i;
        }
        RippleDrawable rippleDrawable = new RippleDrawable(d.h.a.b.u.a.c(colorStateList2), drawable, null);
        this.f10515j = rippleDrawable;
        this.f10517l = rippleDrawable;
    }

    @Override // d.h.a.b.o.h
    public void i() {
    }

    @Override // d.h.a.b.o.h
    public void j() {
        v();
    }

    @Override // d.h.a.b.o.h
    public void k(int[] iArr) {
    }

    @Override // d.h.a.b.o.h
    public void l(float f2, float f3, float f4) {
        int i2 = Build.VERSION.SDK_INT;
        StateListAnimator stateListAnimator = new StateListAnimator();
        stateListAnimator.addState(h.f10507b, x(f2, f4));
        stateListAnimator.addState(h.f10508c, x(f2, f3));
        stateListAnimator.addState(h.f10509d, x(f2, f3));
        stateListAnimator.addState(h.f10510e, x(f2, f3));
        AnimatorSet animatorSet = new AnimatorSet();
        ArrayList arrayList = new ArrayList();
        arrayList.add(ObjectAnimator.ofFloat(this.F, "elevation", f2).setDuration(0L));
        if (i2 <= 24) {
            FloatingActionButton floatingActionButton = this.F;
            arrayList.add(ObjectAnimator.ofFloat(floatingActionButton, View.TRANSLATION_Z, floatingActionButton.getTranslationZ()).setDuration(100L));
        }
        arrayList.add(ObjectAnimator.ofFloat(this.F, View.TRANSLATION_Z, 0.0f).setDuration(100L));
        animatorSet.playSequentially((Animator[]) arrayList.toArray(new Animator[0]));
        animatorSet.setInterpolator(h.f10506a);
        stateListAnimator.addState(h.f10511f, animatorSet);
        stateListAnimator.addState(h.f10512g, x(0.0f, 0.0f));
        this.F.setStateListAnimator(stateListAnimator);
        if (r()) {
            v();
        }
    }

    @Override // d.h.a.b.o.h
    public void p(ColorStateList colorStateList) {
        Drawable drawable = this.f10515j;
        if (drawable instanceof RippleDrawable) {
            ((RippleDrawable) drawable).setColor(d.h.a.b.u.a.c(colorStateList));
        } else if (drawable != null) {
            drawable.setTintList(d.h.a.b.u.a.c(colorStateList));
        }
    }

    @Override // d.h.a.b.o.h
    public boolean r() {
        return FloatingActionButton.this.t || !t();
    }

    @Override // d.h.a.b.o.h
    public void u() {
    }

    public final Animator x(float f2, float f3) {
        AnimatorSet animatorSet = new AnimatorSet();
        animatorSet.play(ObjectAnimator.ofFloat(this.F, "elevation", f2).setDuration(0L)).with(ObjectAnimator.ofFloat(this.F, View.TRANSLATION_Z, f3).setDuration(100L));
        animatorSet.setInterpolator(h.f10506a);
        return animatorSet;
    }
}
