package d.l.b.g.g;

import android.animation.Animator;
import android.animation.AnimatorSet;
import android.annotation.SuppressLint;
import android.annotation.TargetApi;
import android.content.ContentUris;
import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.graphics.Bitmap;
import android.graphics.Canvas;
import android.graphics.Paint;
import android.graphics.PorterDuff;
import android.graphics.PorterDuffColorFilter;
import android.graphics.RectF;
import android.net.Uri;
import android.opengl.EGL14;
import android.opengl.EGLConfig;
import android.opengl.EGLContext;
import android.opengl.EGLDisplay;
import android.opengl.EGLSurface;
import android.opengl.GLES20;
import android.os.Environment;
import android.provider.DocumentsContract;
import android.provider.MediaStore;
import android.renderscript.Allocation;
import android.renderscript.Element;
import android.renderscript.RSRuntimeException;
import android.renderscript.RenderScript;
import android.renderscript.ScriptIntrinsicBlur;
import android.text.TextUtils;
import android.util.Log;
import androidx.constraintlayout.core.motion.utils.TypedValues;
import androidx.recyclerview.widget.ItemTouchHelper;
import com.luck.picture.lib.config.PictureMimeType;
import com.luck.picture.lib.tools.ValueOf;
import com.lzy.okgo.model.HttpHeaders;
import com.lzy.okgo.model.HttpParams;
import com.shuyu.gsyvideoplayer.utils.NeuQuant;
import d.m.a.a;
import d.m.a.f.f;
import d.p.a.e.a;
import d.p.a.h.c;
import e.b.a0;
import e.b.p0;
import e.b.v0;
import e.d.a.d;
import e.d.a.g0;
import e.d.a.j;
import e.d.a.m0;
import e.d.a.r;
import e.d.a.s;
import e.d.a.v;
import e.d.a.w0;
import e.d.a.z0;
import e.f.b0;
import e.f.d0;
import e.f.e0;
import e.f.f0;
import e.f.h0;
import e.f.i0;
import e.f.j0;
import e.f.m0.l;
import e.f.p;
import e.f.q;
import e.f.u;
import e.f.w;
import e.f.y;
import e.f.z;
import f.a.b0.h;
import f.a.t;
import freemarker.core.BugException;
import freemarker.core.Environment;
import freemarker.core._TemplateModelException;
import freemarker.ext.beans.OverloadedNumberUtil$BigIntegerOrByte;
import freemarker.ext.beans.OverloadedNumberUtil$BigIntegerOrDouble;
import freemarker.ext.beans.OverloadedNumberUtil$BigIntegerOrFloat;
import freemarker.ext.beans.OverloadedNumberUtil$BigIntegerOrInteger;
import freemarker.ext.beans.OverloadedNumberUtil$BigIntegerOrLong;
import freemarker.ext.beans.OverloadedNumberUtil$BigIntegerOrShort;
import freemarker.ext.beans.OverloadedNumberUtil$DoubleOrByte;
import freemarker.ext.beans.OverloadedNumberUtil$DoubleOrFloat;
import freemarker.ext.beans.OverloadedNumberUtil$DoubleOrInteger;
import freemarker.ext.beans.OverloadedNumberUtil$DoubleOrIntegerOrFloat;
import freemarker.ext.beans.OverloadedNumberUtil$DoubleOrLong;
import freemarker.ext.beans.OverloadedNumberUtil$DoubleOrShort;
import freemarker.ext.beans.OverloadedNumberUtil$FloatOrByte;
import freemarker.ext.beans.OverloadedNumberUtil$FloatOrInteger;
import freemarker.ext.beans.OverloadedNumberUtil$FloatOrShort;
import freemarker.ext.beans.OverloadedNumberUtil$IntegerBigDecimal;
import freemarker.ext.beans.OverloadedNumberUtil$IntegerOrByte;
import freemarker.ext.beans.OverloadedNumberUtil$IntegerOrShort;
import freemarker.ext.beans.OverloadedNumberUtil$LongOrByte;
import freemarker.ext.beans.OverloadedNumberUtil$LongOrInteger;
import freemarker.ext.beans.OverloadedNumberUtil$LongOrShort;
import freemarker.ext.beans.OverloadedNumberUtil$ShortOrByte;
import freemarker.template.TemplateModelException;
import freemarker.template.utility.ClassUtil$MaybeZipFileClosedException;
import h.l.e;
import h.p.b.o;
import io.reactivex.exceptions.CompositeException;
import io.reactivex.exceptions.MissingBackpressureException;
import io.reactivex.exceptions.OnErrorNotImplementedException;
import io.reactivex.exceptions.ProtocolViolationException;
import io.reactivex.exceptions.UndeliverableException;
import io.reactivex.internal.disposables.EmptyDisposable;
import io.reactivex.internal.operators.observable.ObservableScalarXMap$ScalarDisposable;
import io.reactivex.internal.util.AtomicThrowable;
import io.reactivex.internal.util.ExceptionHelper;
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.Closeable;
import java.io.File;
import java.io.IOException;
import java.io.InputStream;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.io.UnsupportedEncodingException;
import java.lang.reflect.Array;
import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Member;
import java.lang.reflect.Method;
import java.math.BigDecimal;
import java.math.BigInteger;
import java.net.URL;
import java.net.URLConnection;
import java.net.URLEncoder;
import java.util.ArrayList;
import java.util.Collections;
import java.util.HashSet;
import java.util.List;
import java.util.Locale;
import java.util.Map;
import java.util.NoSuchElementException;
import java.util.Objects;
import java.util.Properties;
import java.util.Set;
import java.util.concurrent.Callable;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicLong;
import kotlin.LazyThreadSafetyMode;
import kotlin.NoWhenBranchMatchedException;
import kotlin.Result;
import kotlin.SafePublicationLazyImpl;
import kotlin.SynchronizedLazyImpl;
import kotlin.UnsafeLazyImpl;
import okhttp3.Headers;
import okhttp3.HttpUrl;
import okhttp3.MediaType;
import okhttp3.Request;
import org.dsq.library.widget.bigImage.SubsamplingScaleImageView;
import tv.danmaku.ijk.media.player.IMediaPlayer;
import tv.danmaku.ijk.media.player.IjkMediaPlayer;

/* compiled from: OSUtils */
public class b {

    /* renamed from: a  reason: collision with root package name */
    public static Class<? extends a> f12282a;

    /* renamed from: b  reason: collision with root package name */
    public static Class<? extends c> f12283b;
    @SuppressLint({"StaticFieldLeak"})

    /* renamed from: c  reason: collision with root package name */
    public static Context f12284c;

    public static final int A(int i2) {
        return 31 - Integer.numberOfLeadingZeros(i2);
    }

    public static void A0(Runnable runnable) {
        a.b.f12292a.f12286b.post(runnable);
    }

    public static Class B(String str) {
        try {
            ClassLoader contextClassLoader = Thread.currentThread().getContextClassLoader();
            if (contextClassLoader != null) {
                return Class.forName(str, true, contextClassLoader);
            }
        } catch (ClassNotFoundException | SecurityException unused) {
        }
        return Class.forName(str);
    }

    public static final char B0(char[] cArr) {
        o.e(cArr, "$this$single");
        int length = cArr.length;
        if (length == 0) {
            throw new NoSuchElementException("Array is empty.");
        } else if (length == 1) {
            return cArr[0];
        } else {
            throw new IllegalArgumentException("Array has more than one element.");
        }
    }

    public static int C(Class cls, Class cls2) {
        if (cls2 == cls) {
            return 0;
        }
        if (cls2 == Integer.class) {
            if (cls == OverloadedNumberUtil$IntegerBigDecimal.class) {
                return 31003;
            }
            if (cls == BigDecimal.class) {
                return 41003;
            }
            if (cls == Long.class || cls == Double.class || cls == Float.class) {
                return SubsamplingScaleImageView.TILE_SIZE_AUTO;
            }
            if (cls == Byte.class) {
                return 10003;
            }
            if (cls == BigInteger.class) {
                return SubsamplingScaleImageView.TILE_SIZE_AUTO;
            }
            if (cls == OverloadedNumberUtil$LongOrInteger.class) {
                return 21003;
            }
            if (cls == OverloadedNumberUtil$DoubleOrFloat.class) {
                return SubsamplingScaleImageView.TILE_SIZE_AUTO;
            }
            if (cls == OverloadedNumberUtil$DoubleOrIntegerOrFloat.class || cls == OverloadedNumberUtil$DoubleOrInteger.class) {
                return 22003;
            }
            if (cls == OverloadedNumberUtil$DoubleOrLong.class) {
                return SubsamplingScaleImageView.TILE_SIZE_AUTO;
            }
            if (cls == OverloadedNumberUtil$IntegerOrByte.class) {
                return 0;
            }
            if (cls == OverloadedNumberUtil$DoubleOrByte.class) {
                return 22003;
            }
            if (cls == OverloadedNumberUtil$LongOrByte.class) {
                return 21003;
            }
            if (cls == Short.class) {
                return 10003;
            }
            if (cls == OverloadedNumberUtil$LongOrShort.class) {
                return 21003;
            }
            if (cls == OverloadedNumberUtil$ShortOrByte.class) {
                return 10003;
            }
            if (cls == OverloadedNumberUtil$FloatOrInteger.class || cls == OverloadedNumberUtil$FloatOrByte.class || cls == OverloadedNumberUtil$FloatOrShort.class) {
                return 21003;
            }
            if (cls == OverloadedNumberUtil$BigIntegerOrInteger.class) {
                return 16003;
            }
            if (cls == OverloadedNumberUtil$BigIntegerOrLong.class || cls == OverloadedNumberUtil$BigIntegerOrDouble.class || cls == OverloadedNumberUtil$BigIntegerOrFloat.class) {
                return SubsamplingScaleImageView.TILE_SIZE_AUTO;
            }
            if (cls == OverloadedNumberUtil$BigIntegerOrByte.class) {
                return 16003;
            }
            if (cls == OverloadedNumberUtil$IntegerOrShort.class) {
                return 0;
            }
            if (cls == OverloadedNumberUtil$DoubleOrShort.class) {
                return 22003;
            }
            if (cls == OverloadedNumberUtil$BigIntegerOrShort.class) {
                return 16003;
            }
            return SubsamplingScaleImageView.TILE_SIZE_AUTO;
        } else if (cls2 == Long.class) {
            if (cls == Integer.class) {
                return IMediaPlayer.MEDIA_INFO_VIDEO_DECODED_START;
            }
            if (cls == OverloadedNumberUtil$IntegerBigDecimal.class) {
                return 31004;
            }
            if (cls == BigDecimal.class) {
                return 41004;
            }
            if (cls == Double.class || cls == Float.class) {
                return SubsamplingScaleImageView.TILE_SIZE_AUTO;
            }
            if (cls == Byte.class) {
                return IMediaPlayer.MEDIA_INFO_VIDEO_DECODED_START;
            }
            if (cls == BigInteger.class) {
                return SubsamplingScaleImageView.TILE_SIZE_AUTO;
            }
            if (cls == OverloadedNumberUtil$LongOrInteger.class) {
                return 0;
            }
            if (cls == OverloadedNumberUtil$DoubleOrFloat.class) {
                return SubsamplingScaleImageView.TILE_SIZE_AUTO;
            }
            if (cls == OverloadedNumberUtil$DoubleOrIntegerOrFloat.class || cls == OverloadedNumberUtil$DoubleOrInteger.class || cls == OverloadedNumberUtil$DoubleOrLong.class) {
                return 21004;
            }
            if (cls == OverloadedNumberUtil$IntegerOrByte.class) {
                return IMediaPlayer.MEDIA_INFO_VIDEO_DECODED_START;
            }
            if (cls == OverloadedNumberUtil$DoubleOrByte.class) {
                return 21004;
            }
            if (cls == OverloadedNumberUtil$LongOrByte.class) {
                return 0;
            }
            if (cls == Short.class) {
                return IMediaPlayer.MEDIA_INFO_VIDEO_DECODED_START;
            }
            if (cls == OverloadedNumberUtil$LongOrShort.class) {
                return 0;
            }
            if (cls == OverloadedNumberUtil$ShortOrByte.class) {
                return IMediaPlayer.MEDIA_INFO_VIDEO_DECODED_START;
            }
            if (cls == OverloadedNumberUtil$FloatOrInteger.class || cls == OverloadedNumberUtil$FloatOrByte.class || cls == OverloadedNumberUtil$FloatOrShort.class) {
                return 21004;
            }
            if (cls == OverloadedNumberUtil$BigIntegerOrInteger.class || cls == OverloadedNumberUtil$BigIntegerOrLong.class) {
                return 15004;
            }
            if (cls == OverloadedNumberUtil$BigIntegerOrDouble.class || cls == OverloadedNumberUtil$BigIntegerOrFloat.class) {
                return SubsamplingScaleImageView.TILE_SIZE_AUTO;
            }
            if (cls == OverloadedNumberUtil$BigIntegerOrByte.class) {
                return 15004;
            }
            if (cls == OverloadedNumberUtil$IntegerOrShort.class) {
                return IMediaPlayer.MEDIA_INFO_VIDEO_DECODED_START;
            }
            if (cls == OverloadedNumberUtil$DoubleOrShort.class) {
                return 21004;
            }
            if (cls == OverloadedNumberUtil$BigIntegerOrShort.class) {
                return 15004;
            }
            return SubsamplingScaleImageView.TILE_SIZE_AUTO;
        } else if (cls2 == Double.class) {
            if (cls == Integer.class) {
                return IjkMediaPlayer.FFP_PROP_INT64_VIDEO_CACHED_BYTES;
            }
            if (cls == OverloadedNumberUtil$IntegerBigDecimal.class || cls == BigDecimal.class) {
                return 32007;
            }
            if (cls == Long.class) {
                return 30007;
            }
            if (cls == Float.class) {
                return 10007;
            }
            if (cls == Byte.class) {
                return IjkMediaPlayer.FFP_PROP_INT64_VIDEO_CACHED_BYTES;
            }
            if (cls == BigInteger.class) {
                return SubsamplingScaleImageView.TILE_SIZE_AUTO;
            }
            if (cls == OverloadedNumberUtil$LongOrInteger.class) {
                return 21007;
            }
            if (cls == OverloadedNumberUtil$DoubleOrFloat.class || cls == OverloadedNumberUtil$DoubleOrIntegerOrFloat.class || cls == OverloadedNumberUtil$DoubleOrInteger.class || cls == OverloadedNumberUtil$DoubleOrLong.class) {
                return 0;
            }
            if (cls == OverloadedNumberUtil$IntegerOrByte.class) {
                return IjkMediaPlayer.FFP_PROP_INT64_VIDEO_CACHED_BYTES;
            }
            if (cls == OverloadedNumberUtil$DoubleOrByte.class) {
                return 0;
            }
            if (cls == OverloadedNumberUtil$LongOrByte.class) {
                return 21007;
            }
            if (cls == Short.class) {
                return IjkMediaPlayer.FFP_PROP_INT64_VIDEO_CACHED_BYTES;
            }
            if (cls == OverloadedNumberUtil$LongOrShort.class) {
                return 21007;
            }
            if (cls == OverloadedNumberUtil$ShortOrByte.class) {
                return IjkMediaPlayer.FFP_PROP_INT64_VIDEO_CACHED_BYTES;
            }
            if (cls == OverloadedNumberUtil$FloatOrInteger.class || cls == OverloadedNumberUtil$FloatOrByte.class || cls == OverloadedNumberUtil$FloatOrShort.class) {
                return 10007;
            }
            if (cls == OverloadedNumberUtil$BigIntegerOrInteger.class) {
                return IjkMediaPlayer.FFP_PROP_INT64_VIDEO_CACHED_BYTES;
            }
            if (cls == OverloadedNumberUtil$BigIntegerOrLong.class) {
                return 30007;
            }
            if (cls == OverloadedNumberUtil$BigIntegerOrDouble.class || cls == OverloadedNumberUtil$BigIntegerOrFloat.class || cls == OverloadedNumberUtil$BigIntegerOrByte.class || cls == OverloadedNumberUtil$IntegerOrShort.class) {
                return IjkMediaPlayer.FFP_PROP_INT64_VIDEO_CACHED_BYTES;
            }
            if (cls == OverloadedNumberUtil$DoubleOrShort.class) {
                return 0;
            }
            if (cls == OverloadedNumberUtil$BigIntegerOrShort.class) {
                return IjkMediaPlayer.FFP_PROP_INT64_VIDEO_CACHED_BYTES;
            }
            return SubsamplingScaleImageView.TILE_SIZE_AUTO;
        } else if (cls2 == Float.class) {
            if (cls == Integer.class) {
                return 30006;
            }
            if (cls == OverloadedNumberUtil$IntegerBigDecimal.class || cls == BigDecimal.class) {
                return 33006;
            }
            if (cls == Long.class) {
                return 40006;
            }
            if (cls == Double.class) {
                return SubsamplingScaleImageView.TILE_SIZE_AUTO;
            }
            if (cls == Byte.class) {
                return IjkMediaPlayer.FFP_PROP_INT64_AUDIO_CACHED_DURATION;
            }
            if (cls == BigInteger.class) {
                return SubsamplingScaleImageView.TILE_SIZE_AUTO;
            }
            if (cls == OverloadedNumberUtil$LongOrInteger.class || cls == OverloadedNumberUtil$DoubleOrFloat.class) {
                return 30006;
            }
            if (cls == OverloadedNumberUtil$DoubleOrIntegerOrFloat.class) {
                return 23006;
            }
            if (cls == OverloadedNumberUtil$DoubleOrInteger.class) {
                return 30006;
            }
            if (cls == OverloadedNumberUtil$DoubleOrLong.class) {
                return 40006;
            }
            if (cls == OverloadedNumberUtil$IntegerOrByte.class) {
                return 24006;
            }
            if (cls == OverloadedNumberUtil$DoubleOrByte.class) {
                return 23006;
            }
            if (cls == OverloadedNumberUtil$LongOrByte.class) {
                return 24006;
            }
            if (cls == Short.class) {
                return IjkMediaPlayer.FFP_PROP_INT64_AUDIO_CACHED_DURATION;
            }
            if (cls == OverloadedNumberUtil$LongOrShort.class) {
                return 24006;
            }
            if (cls == OverloadedNumberUtil$ShortOrByte.class) {
                return IjkMediaPlayer.FFP_PROP_INT64_AUDIO_CACHED_DURATION;
            }
            if (cls == OverloadedNumberUtil$FloatOrInteger.class || cls == OverloadedNumberUtil$FloatOrByte.class || cls == OverloadedNumberUtil$FloatOrShort.class) {
                return 0;
            }
            if (cls == OverloadedNumberUtil$BigIntegerOrInteger.class) {
                return 30006;
            }
            if (cls == OverloadedNumberUtil$BigIntegerOrLong.class || cls == OverloadedNumberUtil$BigIntegerOrDouble.class) {
                return 40006;
            }
            if (cls == OverloadedNumberUtil$BigIntegerOrFloat.class || cls == OverloadedNumberUtil$BigIntegerOrByte.class || cls == OverloadedNumberUtil$IntegerOrShort.class) {
                return 24006;
            }
            if (cls == OverloadedNumberUtil$DoubleOrShort.class) {
                return 23006;
            }
            if (cls == OverloadedNumberUtil$BigIntegerOrShort.class) {
                return 24006;
            }
            return SubsamplingScaleImageView.TILE_SIZE_AUTO;
        } else if (cls2 == Byte.class) {
            if (cls == Integer.class) {
                return SubsamplingScaleImageView.TILE_SIZE_AUTO;
            }
            if (cls == OverloadedNumberUtil$IntegerBigDecimal.class) {
                return 35001;
            }
            if (cls == BigDecimal.class) {
                return 45001;
            }
            if (cls == Long.class || cls == Double.class || cls == Float.class || cls == BigInteger.class || cls == OverloadedNumberUtil$LongOrInteger.class || cls == OverloadedNumberUtil$DoubleOrFloat.class || cls == OverloadedNumberUtil$DoubleOrIntegerOrFloat.class || cls == OverloadedNumberUtil$DoubleOrInteger.class || cls == OverloadedNumberUtil$DoubleOrLong.class) {
                return SubsamplingScaleImageView.TILE_SIZE_AUTO;
            }
            if (cls == OverloadedNumberUtil$IntegerOrByte.class) {
                return 22001;
            }
            if (cls == OverloadedNumberUtil$DoubleOrByte.class) {
                return 25001;
            }
            if (cls == OverloadedNumberUtil$LongOrByte.class) {
                return 23001;
            }
            if (cls == Short.class || cls == OverloadedNumberUtil$LongOrShort.class) {
                return SubsamplingScaleImageView.TILE_SIZE_AUTO;
            }
            if (cls == OverloadedNumberUtil$ShortOrByte.class) {
                return 21001;
            }
            if (cls == OverloadedNumberUtil$FloatOrInteger.class) {
                return SubsamplingScaleImageView.TILE_SIZE_AUTO;
            }
            if (cls == OverloadedNumberUtil$FloatOrByte.class) {
                return 23001;
            }
            if (cls == OverloadedNumberUtil$FloatOrShort.class || cls == OverloadedNumberUtil$BigIntegerOrInteger.class || cls == OverloadedNumberUtil$BigIntegerOrLong.class || cls == OverloadedNumberUtil$BigIntegerOrDouble.class || cls == OverloadedNumberUtil$BigIntegerOrFloat.class) {
                return SubsamplingScaleImageView.TILE_SIZE_AUTO;
            }
            if (cls == OverloadedNumberUtil$BigIntegerOrByte.class) {
                return 18001;
            }
            if (!(cls == OverloadedNumberUtil$IntegerOrShort.class || cls == OverloadedNumberUtil$DoubleOrShort.class || cls != OverloadedNumberUtil$BigIntegerOrShort.class)) {
            }
            return SubsamplingScaleImageView.TILE_SIZE_AUTO;
        } else if (cls2 == Short.class) {
            if (cls == Integer.class) {
                return SubsamplingScaleImageView.TILE_SIZE_AUTO;
            }
            if (cls == OverloadedNumberUtil$IntegerBigDecimal.class) {
                return 34002;
            }
            if (cls == BigDecimal.class) {
                return 44002;
            }
            if (cls == Long.class || cls == Double.class || cls == Float.class) {
                return SubsamplingScaleImageView.TILE_SIZE_AUTO;
            }
            if (cls == Byte.class) {
                return 10002;
            }
            if (cls == BigInteger.class || cls == OverloadedNumberUtil$LongOrInteger.class || cls == OverloadedNumberUtil$DoubleOrFloat.class || cls == OverloadedNumberUtil$DoubleOrIntegerOrFloat.class || cls == OverloadedNumberUtil$DoubleOrInteger.class || cls == OverloadedNumberUtil$DoubleOrLong.class) {
                return SubsamplingScaleImageView.TILE_SIZE_AUTO;
            }
            if (cls == OverloadedNumberUtil$IntegerOrByte.class) {
                return 21002;
            }
            if (cls == OverloadedNumberUtil$DoubleOrByte.class) {
                return 24002;
            }
            if (cls == OverloadedNumberUtil$LongOrByte.class || cls == OverloadedNumberUtil$LongOrShort.class) {
                return 22002;
            }
            if (cls == OverloadedNumberUtil$ShortOrByte.class) {
                return 0;
            }
            if (cls == OverloadedNumberUtil$FloatOrInteger.class) {
                return SubsamplingScaleImageView.TILE_SIZE_AUTO;
            }
            if (cls == OverloadedNumberUtil$FloatOrByte.class || cls == OverloadedNumberUtil$FloatOrShort.class) {
                return 22002;
            }
            if (cls == OverloadedNumberUtil$BigIntegerOrInteger.class || cls == OverloadedNumberUtil$BigIntegerOrLong.class || cls == OverloadedNumberUtil$BigIntegerOrDouble.class || cls == OverloadedNumberUtil$BigIntegerOrFloat.class) {
                return SubsamplingScaleImageView.TILE_SIZE_AUTO;
            }
            if (cls == OverloadedNumberUtil$BigIntegerOrByte.class) {
                return 17002;
            }
            if (cls == OverloadedNumberUtil$IntegerOrShort.class) {
                return 21002;
            }
            if (cls == OverloadedNumberUtil$DoubleOrShort.class) {
                return 24002;
            }
            if (cls == OverloadedNumberUtil$BigIntegerOrShort.class) {
                return 17002;
            }
            return SubsamplingScaleImageView.TILE_SIZE_AUTO;
        } else if (cls2 != BigDecimal.class) {
            if (cls2 == BigInteger.class) {
                if (cls == Integer.class || cls == OverloadedNumberUtil$IntegerBigDecimal.class) {
                    return IMediaPlayer.MEDIA_INFO_OPEN_INPUT;
                }
                if (cls == BigDecimal.class) {
                    return 40005;
                }
                if (cls == Long.class) {
                    return IMediaPlayer.MEDIA_INFO_OPEN_INPUT;
                }
                if (cls == Double.class || cls == Float.class) {
                    return SubsamplingScaleImageView.TILE_SIZE_AUTO;
                }
                if (cls == Byte.class || cls == OverloadedNumberUtil$LongOrInteger.class) {
                    return IMediaPlayer.MEDIA_INFO_OPEN_INPUT;
                }
                if (cls == OverloadedNumberUtil$DoubleOrFloat.class) {
                    return SubsamplingScaleImageView.TILE_SIZE_AUTO;
                }
                if (cls == OverloadedNumberUtil$DoubleOrIntegerOrFloat.class || cls == OverloadedNumberUtil$DoubleOrInteger.class || cls == OverloadedNumberUtil$DoubleOrLong.class) {
                    return 21005;
                }
                if (cls == OverloadedNumberUtil$IntegerOrByte.class) {
                    return IMediaPlayer.MEDIA_INFO_OPEN_INPUT;
                }
                if (cls == OverloadedNumberUtil$DoubleOrByte.class) {
                    return 21005;
                }
                if (cls == OverloadedNumberUtil$LongOrByte.class || cls == Short.class || cls == OverloadedNumberUtil$LongOrShort.class || cls == OverloadedNumberUtil$ShortOrByte.class) {
                    return IMediaPlayer.MEDIA_INFO_OPEN_INPUT;
                }
                if (cls == OverloadedNumberUtil$FloatOrInteger.class || cls == OverloadedNumberUtil$FloatOrByte.class || cls == OverloadedNumberUtil$FloatOrShort.class) {
                    return 25005;
                }
                if (cls == OverloadedNumberUtil$BigIntegerOrInteger.class || cls == OverloadedNumberUtil$BigIntegerOrLong.class || cls == OverloadedNumberUtil$BigIntegerOrDouble.class || cls == OverloadedNumberUtil$BigIntegerOrFloat.class || cls == OverloadedNumberUtil$BigIntegerOrByte.class) {
                    return 0;
                }
                if (cls == OverloadedNumberUtil$IntegerOrShort.class) {
                    return IMediaPlayer.MEDIA_INFO_OPEN_INPUT;
                }
                if (cls == OverloadedNumberUtil$DoubleOrShort.class) {
                    return 21005;
                }
                if (cls == OverloadedNumberUtil$BigIntegerOrShort.class) {
                    return 0;
                }
            }
            return SubsamplingScaleImageView.TILE_SIZE_AUTO;
        } else if (cls == Integer.class) {
            return IjkMediaPlayer.FFP_PROP_INT64_AUDIO_CACHED_BYTES;
        } else {
            if (cls == OverloadedNumberUtil$IntegerBigDecimal.class) {
                return 0;
            }
            if (cls == Long.class || cls == Double.class || cls == Float.class || cls == Byte.class) {
                return IjkMediaPlayer.FFP_PROP_INT64_AUDIO_CACHED_BYTES;
            }
            if (cls == BigInteger.class) {
                return IMediaPlayer.MEDIA_INFO_VIDEO_SEEK_RENDERING_START;
            }
            if (cls == OverloadedNumberUtil$LongOrInteger.class || cls == OverloadedNumberUtil$DoubleOrFloat.class || cls == OverloadedNumberUtil$DoubleOrIntegerOrFloat.class || cls == OverloadedNumberUtil$DoubleOrInteger.class || cls == OverloadedNumberUtil$DoubleOrLong.class || cls == OverloadedNumberUtil$IntegerOrByte.class || cls == OverloadedNumberUtil$DoubleOrByte.class || cls == OverloadedNumberUtil$LongOrByte.class || cls == Short.class || cls == OverloadedNumberUtil$LongOrShort.class || cls == OverloadedNumberUtil$ShortOrByte.class || cls == OverloadedNumberUtil$FloatOrInteger.class || cls == OverloadedNumberUtil$FloatOrByte.class || cls == OverloadedNumberUtil$FloatOrShort.class) {
                return IjkMediaPlayer.FFP_PROP_INT64_AUDIO_CACHED_BYTES;
            }
            if (cls == OverloadedNumberUtil$BigIntegerOrInteger.class || cls == OverloadedNumberUtil$BigIntegerOrLong.class || cls == OverloadedNumberUtil$BigIntegerOrDouble.class || cls == OverloadedNumberUtil$BigIntegerOrFloat.class || cls == OverloadedNumberUtil$BigIntegerOrByte.class) {
                return IMediaPlayer.MEDIA_INFO_VIDEO_SEEK_RENDERING_START;
            }
            if (cls == OverloadedNumberUtil$IntegerOrShort.class || cls == OverloadedNumberUtil$DoubleOrShort.class) {
                return IjkMediaPlayer.FFP_PROP_INT64_AUDIO_CACHED_BYTES;
            }
            if (cls == OverloadedNumberUtil$BigIntegerOrShort.class) {
                return IMediaPlayer.MEDIA_INFO_VIDEO_SEEK_RENDERING_START;
            }
            return SubsamplingScaleImageView.TILE_SIZE_AUTO;
        }
    }

    public static final <T extends Comparable<? super T>> void C0(List<T> list) {
        o.e(list, "$this$sort");
        if (list.size() > 1) {
            Collections.sort(list);
        }
    }

    public static float[] D(RectF rectF) {
        return new float[]{rectF.centerX(), rectF.centerY()};
    }

    public static void D0(Throwable th) {
        if (th instanceof VirtualMachineError) {
            throw ((VirtualMachineError) th);
        } else if (th instanceof ThreadDeath) {
            throw ((ThreadDeath) th);
        } else if (th instanceof LinkageError) {
            throw ((LinkageError) th);
        }
    }

    public static float[] E(RectF rectF) {
        float f2 = rectF.left;
        float f3 = rectF.top;
        float f4 = rectF.right;
        float f5 = rectF.bottom;
        return new float[]{f2, f3, f4, f3, f4, f5, f2, f5};
    }

    public static final void E0() {
        throw new ArithmeticException("Index overflow has happened.");
    }

    /* JADX WARNING: Code restructure failed: missing block: B:11:0x0029, code lost:
        if (r8 != null) goto L_0x002b;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:12:0x002b, code lost:
        r8.close();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:19:0x004c, code lost:
        if (r8 != null) goto L_0x002b;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:20:0x004f, code lost:
        return null;
     */
    /* JADX WARNING: Removed duplicated region for block: B:24:0x0054  */
    public static String F(Context context, Uri uri, String str, String[] strArr) {
        Throwable th;
        IllegalArgumentException e2;
        Cursor cursor;
        Cursor cursor2 = null;
        try {
            cursor = context.getContentResolver().query(uri, new String[]{"_data"}, str, strArr, null);
            if (cursor != null) {
                try {
                    if (cursor.moveToFirst()) {
                        String string = cursor.getString(cursor.getColumnIndexOrThrow("_data"));
                        cursor.close();
                        return string;
                    }
                } catch (IllegalArgumentException e3) {
                    e2 = e3;
                    try {
                        Log.i("FileUtils", String.format(Locale.getDefault(), "getDataColumn: _data - [%s]", e2.getMessage()));
                    } catch (Throwable th2) {
                        th = th2;
                        cursor2 = cursor;
                        if (cursor2 != null) {
                            cursor2.close();
                        }
                        throw th;
                    }
                }
            }
        } catch (IllegalArgumentException e4) {
            e2 = e4;
            cursor = null;
            Log.i("FileUtils", String.format(Locale.getDefault(), "getDataColumn: _data - [%s]", e2.getMessage()));
        } catch (Throwable th3) {
            th = th3;
            if (cursor2 != null) {
            }
            throw th;
        }
    }

    public static final void F0(Object obj) {
        if (obj instanceof Result.Failure) {
            throw ((Result.Failure) obj).exception;
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:28:0x0055, code lost:
        if ((r7 instanceof e.f.y) != false) goto L_0x0081;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:43:0x007c, code lost:
        if (((r2 instanceof e.b.y) && ((e.b.y) r2).f12729h) != false) goto L_0x001d;
     */
    /* JADX WARNING: Removed duplicated region for block: B:46:0x0083  */
    /* JADX WARNING: Removed duplicated region for block: B:49:0x008a  */
    /* JADX WARNING: Removed duplicated region for block: B:58:0x00a4 A[Catch:{ all -> 0x00ba }] */
    /* JADX WARNING: Removed duplicated region for block: B:59:0x00ac A[Catch:{ all -> 0x00ba }] */
    /* JADX WARNING: Removed duplicated region for block: B:65:0x00bd  */
    /* JADX WARNING: Removed duplicated region for block: B:66:0x00c2  */
    /* JADX WARNING: Removed duplicated region for block: B:68:0x00c5  */
    /* JADX WARNING: Removed duplicated region for block: B:71:0x00d8  */
    /* JADX WARNING: Removed duplicated region for block: B:72:0x00e1  */
    public static String G(b0 b0Var) {
        Object obj;
        Class<?> cls;
        if (b0Var == null) {
            return "Null";
        }
        HashSet hashSet = new HashSet();
        StringBuilder sb = new StringBuilder();
        Class cls2 = y.class;
        String str = null;
        if (b0Var instanceof d) {
            if (!(b0Var instanceof r)) {
                if ((b0Var instanceof e.d.a.y) || (b0Var instanceof v)) {
                    cls2 = q.class;
                    if (cls2 != null) {
                        g(sb, hashSet, cls2);
                    }
                    if (b0Var instanceof a0) {
                        h(sb, hashSet, ((a0) b0Var).v ? "function" : "macro");
                    }
                    g(sb, hashSet, b0Var.getClass());
                    if (b0Var instanceof e.d.d.c) {
                        obj = ((e.d.d.c) b0Var).getWrappedObject();
                    } else {
                        if (b0Var instanceof e.f.a) {
                            obj = ((e.f.a) b0Var).getAdaptedObject(Object.class);
                        }
                        obj = null;
                    }
                    cls = obj != null ? obj.getClass() : null;
                    if (cls != null) {
                        str = N(cls, true);
                    }
                    sb.append(" (");
                    String N = N(b0Var.getClass(), true);
                    if (str == null) {
                        sb.append("wrapper: ");
                        sb.append(N);
                    } else {
                        sb.append(str);
                        sb.append(" wrapped into ");
                        sb.append(N);
                    }
                    sb.append(")");
                    return sb.toString();
                }
                if (!(b0Var instanceof e.d.a.a0)) {
                    if (b0Var instanceof g0) {
                        cls2 = e.f.g0.class;
                    } else if (b0Var instanceof j) {
                        cls2 = p.class;
                    } else if (b0Var instanceof s) {
                        cls2 = e.f.s.class;
                    } else {
                        if (b0Var instanceof z0) {
                            if (((d) b0Var).f12738j instanceof String) {
                                cls2 = h0.class;
                            }
                        }
                        cls2 = null;
                    }
                }
                if (cls2 != null) {
                }
                if (b0Var instanceof a0) {
                }
                g(sb, hashSet, b0Var.getClass());
                if (b0Var instanceof e.d.d.c) {
                }
                if (obj != null) {
                }
                if (cls != null) {
                }
                sb.append(" (");
                String N2 = N(b0Var.getClass(), true);
                if (str == null) {
                }
                sb.append(")");
                return sb.toString();
            }
        } else if ((b0Var instanceof w0) || (b0Var instanceof m0)) {
            cls2 = e.f.a0.class;
            if (cls2 != null) {
            }
            if (b0Var instanceof a0) {
            }
            g(sb, hashSet, b0Var.getClass());
            if (b0Var instanceof e.d.d.c) {
            }
            if (obj != null) {
            }
            if (cls != null) {
            }
            sb.append(" (");
            String N22 = N(b0Var.getClass(), true);
            if (str == null) {
            }
            sb.append(")");
            return sb.toString();
        } else {
            if (b0Var instanceof q) {
                q qVar = (q) b0Var;
                Set<String> set = v0.f12722a;
            }
            cls2 = null;
            if (cls2 != null) {
            }
            if (b0Var instanceof a0) {
            }
            g(sb, hashSet, b0Var.getClass());
            if (b0Var instanceof e.d.d.c) {
            }
            if (obj != null) {
            }
            if (cls != null) {
            }
            sb.append(" (");
            String N222 = N(b0Var.getClass(), true);
            if (str == null) {
            }
            sb.append(")");
            return sb.toString();
        }
        cls2 = i0.class;
        if (cls2 != null) {
        }
        if (b0Var instanceof a0) {
        }
        g(sb, hashSet, b0Var.getClass());
        try {
            if (b0Var instanceof e.d.d.c) {
            }
        } catch (Throwable unused) {
        }
        if (obj != null) {
        }
        if (cls != null) {
        }
        sb.append(" (");
        String N2222 = N(b0Var.getClass(), true);
        if (str == null) {
        }
        sb.append(")");
        return sb.toString();
    }

    public static byte[] G0(Object obj) {
        Throwable th;
        ByteArrayOutputStream byteArrayOutputStream;
        IOException e2;
        ObjectOutputStream objectOutputStream;
        ObjectOutputStream objectOutputStream2 = null;
        try {
            byteArrayOutputStream = new ByteArrayOutputStream();
            try {
                objectOutputStream = new ObjectOutputStream(byteArrayOutputStream);
            } catch (IOException e3) {
                e2 = e3;
                objectOutputStream = null;
                try {
                    e2.printStackTrace();
                    p(objectOutputStream);
                    p(byteArrayOutputStream);
                    return null;
                } catch (Throwable th2) {
                    th = th2;
                    objectOutputStream2 = objectOutputStream;
                    p(objectOutputStream2);
                    p(byteArrayOutputStream);
                    throw th;
                }
            } catch (Throwable th3) {
                th = th3;
                p(objectOutputStream2);
                p(byteArrayOutputStream);
                throw th;
            }
            try {
                objectOutputStream.writeObject(obj);
                objectOutputStream.flush();
                byte[] byteArray = byteArrayOutputStream.toByteArray();
                p(objectOutputStream);
                p(byteArrayOutputStream);
                return byteArray;
            } catch (IOException e4) {
                e2 = e4;
                e2.printStackTrace();
                p(objectOutputStream);
                p(byteArrayOutputStream);
                return null;
            }
        } catch (IOException e5) {
            e2 = e5;
            byteArrayOutputStream = null;
            objectOutputStream = null;
            e2.printStackTrace();
            p(objectOutputStream);
            p(byteArrayOutputStream);
            return null;
        } catch (Throwable th4) {
            th = th4;
            byteArrayOutputStream = null;
            p(objectOutputStream2);
            p(byteArrayOutputStream);
            throw th;
        }
    }

    public static final <T> Class<T> H(h.s.c<T> cVar) {
        o.e(cVar, "$this$javaObjectType");
        Class<T> cls = (Class<T>) ((h.p.b.j) cVar).a();
        if (!cls.isPrimitive()) {
            return cls;
        }
        String name = cls.getName();
        switch (name.hashCode()) {
            case -1325958191:
                return name.equals("double") ? Double.class : cls;
            case 104431:
                if (name.equals("int")) {
                    return Integer.class;
                }
                return cls;
            case 3039496:
                if (name.equals("byte")) {
                    return Byte.class;
                }
                return cls;
            case 3052374:
                if (name.equals("char")) {
                    return Character.class;
                }
                return cls;
            case 3327612:
                if (name.equals("long")) {
                    return Long.class;
                }
                return cls;
            case 3625364:
                if (name.equals("void")) {
                    return Void.class;
                }
                return cls;
            case 64711720:
                if (name.equals(TypedValues.Custom.S_BOOLEAN)) {
                    return Boolean.class;
                }
                return cls;
            case 97526364:
                if (name.equals(TypedValues.Custom.S_FLOAT)) {
                    return Float.class;
                }
                return cls;
            case 109413500:
                if (name.equals("short")) {
                    return Short.class;
                }
                return cls;
            default:
                return cls;
        }
    }

    public static String H0(String str) {
        int i2 = 0;
        char c2 = 0;
        while (true) {
            if (i2 >= str.length()) {
                break;
            }
            char charAt = str.charAt(i2);
            if (i2 != 0) {
                if (l.g(charAt) || (charAt >= '0' && charAt <= '9')) {
                    continue;
                    i2++;
                }
            } else if (l.g(charAt)) {
                continue;
                i2++;
            }
            if (charAt == '@') {
                continue;
            } else if ((c2 == 0 || c2 == '\\') && (charAt == '-' || charAt == '.' || charAt == ':')) {
                c2 = '\\';
            }
            i2++;
        }
        c2 = '\"';
        if (c2 == 0) {
            return str;
        }
        if (c2 == '\"') {
            return l.e(str);
        }
        if (c2 == '\\') {
            return j(str);
        }
        throw new BugException();
    }

    public static final <T> int I(List<? extends T> list) {
        o.e(list, "$this$lastIndex");
        return list.size() - 1;
    }

    public static Object I0(byte[] bArr) {
        ObjectInputStream objectInputStream;
        ByteArrayInputStream byteArrayInputStream;
        Throwable th;
        Exception e2;
        if (bArr == null) {
            return null;
        }
        try {
            byteArrayInputStream = new ByteArrayInputStream(bArr);
            try {
                objectInputStream = new ObjectInputStream(byteArrayInputStream);
                try {
                    Object readObject = objectInputStream.readObject();
                    p(objectInputStream);
                    p(byteArrayInputStream);
                    return readObject;
                } catch (Exception e3) {
                    e2 = e3;
                    try {
                        e2.printStackTrace();
                        p(objectInputStream);
                        p(byteArrayInputStream);
                        return null;
                    } catch (Throwable th2) {
                        th = th2;
                        p(objectInputStream);
                        p(byteArrayInputStream);
                        throw th;
                    }
                }
            } catch (Exception e4) {
                e2 = e4;
                objectInputStream = null;
                e2.printStackTrace();
                p(objectInputStream);
                p(byteArrayInputStream);
                return null;
            } catch (Throwable th3) {
                th = th3;
                objectInputStream = null;
                p(objectInputStream);
                p(byteArrayInputStream);
                throw th;
            }
        } catch (Exception e5) {
            e2 = e5;
            objectInputStream = null;
            byteArrayInputStream = null;
            e2.printStackTrace();
            p(objectInputStream);
            p(byteArrayInputStream);
            return null;
        } catch (Throwable th4) {
            byteArrayInputStream = null;
            th = th4;
            objectInputStream = null;
            p(objectInputStream);
            p(byteArrayInputStream);
            throw th;
        }
    }

    public static final <T> int J(T[] tArr) {
        o.e(tArr, "$this$lastIndex");
        return tArr.length - 1;
    }

    public static String J0(Member member) {
        Class<?>[] clsArr;
        if ((member instanceof Method) || (member instanceof Constructor)) {
            StringBuilder sb = new StringBuilder();
            if ((member.getModifiers() & 8) != 0) {
                sb.append("static ");
            }
            String M = M(member.getDeclaringClass());
            if (M != null) {
                sb.append(M);
                sb.append('.');
            }
            sb.append(member.getName());
            sb.append('(');
            if (member instanceof Method) {
                clsArr = ((Method) member).getParameterTypes();
            } else if (member instanceof Constructor) {
                clsArr = ((Constructor) member).getParameterTypes();
            } else {
                throw new IllegalArgumentException("\"member\" must be Method or Constructor");
            }
            for (int i2 = 0; i2 < clsArr.length; i2++) {
                if (i2 != 0) {
                    sb.append(", ");
                }
                String M2 = M(clsArr[i2]);
                if (i2 != clsArr.length - 1 || !M2.endsWith(HttpUrl.PATH_SEGMENT_ENCODE_SET_URI) || !Z(member)) {
                    sb.append(M2);
                } else {
                    sb.append(M2.substring(0, M2.length() - 2));
                    sb.append("...");
                }
            }
            sb.append(')');
            return sb.toString();
        }
        throw new IllegalArgumentException("\"member\" must be a Method or Constructor");
    }

    @TargetApi(17)
    public static int K() {
        EGLDisplay eglGetDisplay = EGL14.eglGetDisplay(0);
        int[] iArr = new int[2];
        EGL14.eglInitialize(eglGetDisplay, iArr, 0, iArr, 1);
        EGLConfig[] eGLConfigArr = new EGLConfig[1];
        int[] iArr2 = new int[1];
        EGL14.eglChooseConfig(eglGetDisplay, new int[]{12351, 12430, 12329, 0, 12352, 4, 12339, 1, 12344}, 0, eGLConfigArr, 0, 1, iArr2, 0);
        if (iArr2[0] == 0) {
            return 0;
        }
        EGLConfig eGLConfig = eGLConfigArr[0];
        EGLSurface eglCreatePbufferSurface = EGL14.eglCreatePbufferSurface(eglGetDisplay, eGLConfig, new int[]{12375, 64, 12374, 64, 12344}, 0);
        EGLContext eglCreateContext = EGL14.eglCreateContext(eglGetDisplay, eGLConfig, EGL14.EGL_NO_CONTEXT, new int[]{12440, 2, 12344}, 0);
        EGL14.eglMakeCurrent(eglGetDisplay, eglCreatePbufferSurface, eglCreatePbufferSurface, eglCreateContext);
        int[] iArr3 = new int[1];
        GLES20.glGetIntegerv(3379, iArr3, 0);
        EGLSurface eGLSurface = EGL14.EGL_NO_SURFACE;
        EGL14.eglMakeCurrent(eglGetDisplay, eGLSurface, eGLSurface, EGL14.EGL_NO_CONTEXT);
        EGL14.eglDestroySurface(eglGetDisplay, eglCreatePbufferSurface);
        EGL14.eglDestroyContext(eglGetDisplay, eglCreateContext);
        EGL14.eglTerminate(eglGetDisplay);
        return iArr3[0];
    }

    public static RectF K0(float[] fArr) {
        RectF rectF = new RectF(Float.POSITIVE_INFINITY, Float.POSITIVE_INFINITY, Float.NEGATIVE_INFINITY, Float.NEGATIVE_INFINITY);
        for (int i2 = 1; i2 < fArr.length; i2 += 2) {
            float round = ((float) Math.round(fArr[i2 - 1] * 10.0f)) / 10.0f;
            float round2 = ((float) Math.round(fArr[i2] * 10.0f)) / 10.0f;
            float f2 = rectF.left;
            if (round < f2) {
                f2 = round;
            }
            rectF.left = f2;
            float f3 = rectF.top;
            if (round2 < f3) {
                f3 = round2;
            }
            rectF.top = f3;
            float f4 = rectF.right;
            if (round <= f4) {
                round = f4;
            }
            rectF.right = round;
            float f5 = rectF.bottom;
            if (round2 <= f5) {
                round2 = f5;
            }
            rectF.bottom = round2;
        }
        rectF.sort();
        return rectF;
    }

    @SuppressLint({"NewApi"})
    public static String L(Context context, Uri uri) {
        Uri uri2 = null;
        if (DocumentsContract.isDocumentUri(context, uri)) {
            if ("com.android.externalstorage.documents".equals(uri.getAuthority())) {
                String[] split = DocumentsContract.getDocumentId(uri).split(":");
                if ("primary".equalsIgnoreCase(split[0])) {
                    return Environment.getExternalStorageDirectory() + "/" + split[1];
                }
            } else if ("com.android.providers.downloads.documents".equals(uri.getAuthority())) {
                String documentId = DocumentsContract.getDocumentId(uri);
                if (!TextUtils.isEmpty(documentId)) {
                    try {
                        return F(context, ContentUris.withAppendedId(Uri.parse("content://downloads/public_downloads"), ValueOf.toLong(documentId)), null, null);
                    } catch (NumberFormatException e2) {
                        Log.i("FileUtils", e2.getMessage());
                        return "";
                    }
                }
            } else if ("com.android.providers.media.documents".equals(uri.getAuthority())) {
                String[] split2 = DocumentsContract.getDocumentId(uri).split(":");
                String str = split2[0];
                if (PictureMimeType.MIME_TYPE_PREFIX_IMAGE.equals(str)) {
                    uri2 = MediaStore.Images.Media.EXTERNAL_CONTENT_URI;
                } else if ("video".equals(str)) {
                    uri2 = MediaStore.Video.Media.EXTERNAL_CONTENT_URI;
                } else if ("audio".equals(str)) {
                    uri2 = MediaStore.Audio.Media.EXTERNAL_CONTENT_URI;
                }
                return F(context, uri2, "_id=?", new String[]{split2[1]});
            }
        } else if ("content".equalsIgnoreCase(uri.getScheme())) {
            if ("com.google.android.apps.photos.content".equals(uri.getAuthority())) {
                return uri.getLastPathSegment();
            }
            return F(context, uri, null, null);
        } else if ("file".equalsIgnoreCase(uri.getScheme())) {
            return uri.getPath();
        }
        return "";
    }

    public static <T, R> boolean L0(f.a.r<T> rVar, t<? super R> tVar, h<? super T, ? extends f.a.r<? extends R>> hVar) {
        if (!(rVar instanceof Callable)) {
            return false;
        }
        try {
            Object obj = (Object) ((Callable) rVar).call();
            if (obj == 0) {
                EmptyDisposable.complete(tVar);
                return true;
            }
            try {
                Object apply = hVar.apply(obj);
                Objects.requireNonNull(apply, "The mapper returned a null ObservableSource");
                f.a.r rVar2 = (f.a.r) apply;
                if (rVar2 instanceof Callable) {
                    try {
                        Object call = ((Callable) rVar2).call();
                        if (call == null) {
                            EmptyDisposable.complete(tVar);
                            return true;
                        }
                        ObservableScalarXMap$ScalarDisposable observableScalarXMap$ScalarDisposable = new ObservableScalarXMap$ScalarDisposable(tVar, call);
                        tVar.onSubscribe(observableScalarXMap$ScalarDisposable);
                        observableScalarXMap$ScalarDisposable.run();
                    } catch (Throwable th) {
                        D0(th);
                        EmptyDisposable.error(th, tVar);
                        return true;
                    }
                } else {
                    rVar2.subscribe(tVar);
                }
                return true;
            } catch (Throwable th2) {
                D0(th2);
                EmptyDisposable.error(th2, tVar);
                return true;
            }
        } catch (Throwable th3) {
            D0(th3);
            EmptyDisposable.error(th3, tVar);
            return true;
        }
    }

    public static String M(Class cls) {
        return N(cls, false);
    }

    public static String N(Class cls, boolean z) {
        if (cls == null) {
            return null;
        }
        if (cls.isArray()) {
            return M(cls.getComponentType()) + HttpUrl.PATH_SEGMENT_ENCODE_SET_URI;
        }
        String name = cls.getName();
        if (name.startsWith("java.lang.") || name.startsWith("java.util.")) {
            return name.substring(10);
        }
        if (!z) {
            return name;
        }
        if (name.startsWith("freemarker.template.")) {
            StringBuilder B = d.a.a.a.a.B("f.t");
            B.append(name.substring(19));
            return B.toString();
        } else if (name.startsWith("freemarker.ext.beans.")) {
            StringBuilder B2 = d.a.a.a.a.B("f.e.b");
            B2.append(name.substring(20));
            return B2.toString();
        } else if (name.startsWith("freemarker.core.")) {
            StringBuilder B3 = d.a.a.a.a.B("f.c");
            B3.append(name.substring(15));
            return B3.toString();
        } else if (name.startsWith("freemarker.ext.")) {
            StringBuilder B4 = d.a.a.a.a.B("f.e");
            B4.append(name.substring(14));
            return B4.toString();
        } else if (!name.startsWith("freemarker.")) {
            return name;
        } else {
            StringBuilder B5 = d.a.a.a.a.B("f");
            B5.append(name.substring(10));
            return B5.toString();
        }
    }

    public static String O(Object obj) {
        return obj == null ? "Null" : N(obj.getClass(), false);
    }

    public static String P(String str, String str2) {
        try {
            Class<?> cls = Class.forName("android.os.SystemProperties");
            return (String) cls.getMethod("get", String.class, String.class).invoke(cls, str, str2);
        } catch (Exception e2) {
            e2.printStackTrace();
            return str2;
        }
    }

    public static MediaType Q(String str) {
        String contentTypeFor = URLConnection.getFileNameMap().getContentTypeFor(str.replace("#", ""));
        if (contentTypeFor == null) {
            return HttpParams.MEDIA_TYPE_STREAM;
        }
        return MediaType.parse(contentTypeFor);
    }

    public static Object[] R(Object obj, boolean z) {
        Object[] objArr = new Object[3];
        objArr[0] = "Java ";
        objArr[1] = z ? "constructor " : "method ";
        objArr[2] = new e.b.z0(obj);
        return objArr;
    }

    public static Object[] S(Member member) {
        return R(member, member instanceof Constructor);
    }

    public static boolean T() {
        return !TextUtils.isEmpty(P("ro.build.version.emui", ""));
    }

    public static boolean U() {
        String str = "";
        if (!(T() ? P("ro.build.version.emui", str) : str).contains("EmotionUI_3.0")) {
            if (T()) {
                str = P("ro.build.version.emui", str);
            }
            if ("EmotionUI 3".equals(str) || str.contains("EmotionUI_3.1")) {
                return true;
            }
            return false;
        }
        return true;
    }

    public static boolean V(CharSequence charSequence) {
        return charSequence == null || charSequence.length() == 0;
    }

    public static int W(Class cls, Class cls2, boolean z, int i2) {
        Class cls3;
        Class cls4;
        Class cls5;
        if (i2 >= 4) {
            return 0;
        }
        boolean z2 = true;
        if (cls2.isAssignableFrom(cls)) {
            return cls2 == cls ? 1 : 4;
        }
        boolean isPrimitive = cls.isPrimitive();
        boolean isPrimitive2 = cls2.isPrimitive();
        if (isPrimitive) {
            if (isPrimitive2) {
                if (i2 >= 3) {
                    return 0;
                }
                if (!((cls2 == Short.TYPE && cls == Byte.TYPE) || ((cls2 == (cls3 = Integer.TYPE) && (cls == Short.TYPE || cls == Byte.TYPE)) || ((cls2 == (cls4 = Long.TYPE) && (cls == cls3 || cls == Short.TYPE || cls == Byte.TYPE)) || ((cls2 == (cls5 = Float.TYPE) && (cls == cls4 || cls == cls3 || cls == Short.TYPE || cls == Byte.TYPE)) || (cls2 == Double.TYPE && (cls == cls5 || cls == cls4 || cls == cls3 || cls == Short.TYPE || cls == Byte.TYPE))))))) {
                    z2 = false;
                }
                if (z2) {
                    return 3;
                }
                return 0;
            } else if (!z) {
                return 0;
            } else {
                Class<?> u0 = u0(cls);
                if (u0 == cls2) {
                    return 2;
                }
                if (cls2.isAssignableFrom(u0)) {
                    return 4;
                }
                if (i2 < 3 && Number.class.isAssignableFrom(u0) && Number.class.isAssignableFrom(cls2) && a0(u0, cls2)) {
                    return 3;
                }
                return 0;
            }
        } else if (i2 < 3 && z && !isPrimitive2 && Number.class.isAssignableFrom(cls) && Number.class.isAssignableFrom(cls2) && a0(cls, cls2)) {
            return 3;
        } else {
            return 0;
        }
    }

    /* JADX WARNING: Removed duplicated region for block: B:20:0x003d  */
    /* JADX WARNING: Removed duplicated region for block: B:23:0x0043  */
    /* JADX WARNING: Removed duplicated region for block: B:27:0x0049  */
    /* JADX WARNING: Removed duplicated region for block: B:31:0x0050 A[RETURN] */
    /* JADX WARNING: Removed duplicated region for block: B:32:0x0051  */
    public static boolean X(SQLiteDatabase sQLiteDatabase, f fVar) {
        boolean z;
        Throwable th;
        int i2;
        Exception e2;
        Cursor cursor;
        String str = fVar.f12352a;
        Cursor cursor2 = null;
        if (!(str == null || sQLiteDatabase == null || !sQLiteDatabase.isOpen())) {
            try {
                cursor = sQLiteDatabase.rawQuery("SELECT COUNT(*) FROM sqlite_master WHERE type = ? AND name = ?", new String[]{"table", str});
                try {
                    if (!cursor.moveToFirst()) {
                        cursor.close();
                    } else {
                        i2 = cursor.getInt(0);
                        cursor.close();
                        if (i2 > 0) {
                            z = true;
                            if (z) {
                                return true;
                            }
                            StringBuilder B = d.a.a.a.a.B("select * from ");
                            B.append(fVar.f12352a);
                            Cursor rawQuery = sQLiteDatabase.rawQuery(B.toString(), null);
                            if (rawQuery == null) {
                                return false;
                            }
                            try {
                                int size = fVar.f12353b.size();
                                if (size == rawQuery.getColumnCount()) {
                                    for (int i3 = 0; i3 < size; i3++) {
                                        String columnName = rawQuery.getColumnName(i3);
                                        int size2 = fVar.f12353b.size();
                                        int i4 = 0;
                                        while (true) {
                                            if (i4 >= size2) {
                                                i4 = -1;
                                                break;
                                            } else if (fVar.f12353b.get(i4).f12340a.equals(columnName)) {
                                                break;
                                            } else {
                                                i4++;
                                            }
                                        }
                                        if (i4 == -1) {
                                            return true;
                                        }
                                    }
                                    rawQuery.close();
                                    return false;
                                }
                                rawQuery.close();
                                return true;
                            } finally {
                                rawQuery.close();
                            }
                        }
                    }
                } catch (Exception e3) {
                    e2 = e3;
                    try {
                        e2.printStackTrace();
                        if (cursor != null) {
                            cursor.close();
                        }
                        i2 = 0;
                        if (i2 > 0) {
                        }
                        z = false;
                        if (z) {
                        }
                    } catch (Throwable th2) {
                        th = th2;
                        cursor2 = cursor;
                        if (cursor2 != null) {
                            cursor2.close();
                        }
                        throw th;
                    }
                }
            } catch (Exception e4) {
                e2 = e4;
                cursor = null;
                e2.printStackTrace();
                if (cursor != null) {
                }
                i2 = 0;
                if (i2 > 0) {
                }
                z = false;
                if (z) {
                }
            } catch (Throwable th3) {
                th = th3;
                if (cursor2 != null) {
                }
                throw th;
            }
        }
        z = false;
        if (z) {
        }
    }

    public static boolean Y(Class cls) {
        return Number.class.isAssignableFrom(cls) || !(!cls.isPrimitive() || cls == Boolean.TYPE || cls == Character.TYPE || cls == Void.TYPE);
    }

    public static boolean Z(Member member) {
        if (member instanceof Method) {
            return ((Method) member).isVarArgs();
        }
        if (member instanceof Constructor) {
            return ((Constructor) member).isVarArgs();
        }
        throw new BugException();
    }

    public static final Void a() {
        throw new UnsupportedOperationException("Not supported for local property reference.");
    }

    public static boolean a0(Class cls, Class cls2) {
        if (cls2 == Short.class && cls == Byte.class) {
            return true;
        }
        if (cls2 == Integer.class && (cls == Short.class || cls == Byte.class)) {
            return true;
        }
        if (cls2 == Long.class && (cls == Integer.class || cls == Short.class || cls == Byte.class)) {
            return true;
        }
        if (cls2 == Float.class && (cls == Long.class || cls == Integer.class || cls == Short.class || cls == Byte.class)) {
            return true;
        }
        if (cls2 != Double.class) {
            return false;
        }
        if (cls == Float.class || cls == Long.class || cls == Integer.class || cls == Short.class || cls == Byte.class) {
            return true;
        }
        return false;
    }

    public static long b(AtomicLong atomicLong, long j2) {
        long j3;
        do {
            j3 = atomicLong.get();
            if (j3 == Long.MAX_VALUE) {
                return Long.MAX_VALUE;
            }
        } while (!atomicLong.compareAndSet(j3, d(j3, j2)));
        return j3;
    }

    public static boolean b0(String str, int i2) {
        int i3;
        int length = str.length();
        for (int i4 = i2; i4 < length; i4++) {
            char charAt = str.charAt(i4);
            if (i4 == i2 && (charAt == '-' || charAt == '.' || Character.isDigit(charAt))) {
                return false;
            }
            if (!(Character.isLetterOrDigit(charAt) || charAt == '_' || charAt == '-' || charAt == '.' || (charAt == ':' && ((i3 = i4 + 1) >= length || str.charAt(i3) != ':')))) {
                return false;
            }
        }
        return true;
    }

    public static long c(AtomicLong atomicLong, long j2) {
        long j3;
        do {
            j3 = atomicLong.get();
            if (j3 == Long.MIN_VALUE) {
                return Long.MIN_VALUE;
            }
            if (j3 == Long.MAX_VALUE) {
                return Long.MAX_VALUE;
            }
        } while (!atomicLong.compareAndSet(j3, d(j3, j2)));
        return j3;
    }

    public static final <T> h.a<T> c0(LazyThreadSafetyMode lazyThreadSafetyMode, h.p.a.a<? extends T> aVar) {
        o.e(lazyThreadSafetyMode, "mode");
        o.e(aVar, "initializer");
        int ordinal = lazyThreadSafetyMode.ordinal();
        if (ordinal == 0) {
            return new SynchronizedLazyImpl(aVar, null, 2, null);
        }
        if (ordinal == 1) {
            return new SafePublicationLazyImpl(aVar);
        }
        if (ordinal == 2) {
            return new UnsafeLazyImpl(aVar);
        }
        throw new NoWhenBranchMatchedException();
    }

    public static long d(long j2, long j3) {
        long j4 = j2 + j3;
        if (j4 < 0) {
            return Long.MAX_VALUE;
        }
        return j4;
    }

    public static final <T> h.a<T> d0(h.p.a.a<? extends T> aVar) {
        o.e(aVar, "initializer");
        return new SynchronizedLazyImpl(aVar, null, 2, null);
    }

    public static final void e(Throwable th, Throwable th2) {
        o.e(th, "$this$addSuppressed");
        o.e(th2, "exception");
        if (th != th2) {
            h.n.b.f13287a.a(th, th2);
        }
    }

    /* JADX WARNING: Can't wrap try/catch for region: R(3:9|10|11) */
    /* JADX WARNING: Can't wrap try/catch for region: R(5:8|12|13|14|15) */
    /* JADX WARNING: Can't wrap try/catch for region: R(6:24|23|25|26|(0)|(5:29|30|31|32|33)) */
    /* JADX WARNING: Code restructure failed: missing block: B:11:0x001b, code lost:
        throw new freemarker.template.utility.ClassUtil$MaybeZipFileClosedException(null);
     */
    /* JADX WARNING: Code restructure failed: missing block: B:16:0x0020, code lost:
        r4 = th;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:28:0x0031, code lost:
        r1 = r3.openStream();
     */
    /* JADX WARNING: Code restructure failed: missing block: B:35:0x003f, code lost:
        r1 = r2;
     */
    /* JADX WARNING: Code restructure failed: missing block: B:38:?, code lost:
        r1.close();
     */
    /* JADX WARNING: Failed to process nested try/catch */
    /* JADX WARNING: Missing exception handler attribute for start block: B:14:0x001f */
    /* JADX WARNING: Missing exception handler attribute for start block: B:25:0x002b */
    /* JADX WARNING: Missing exception handler attribute for start block: B:9:0x0016 */
    /* JADX WARNING: Removed duplicated region for block: B:28:0x0031 A[Catch:{ all -> 0x0020 }] */
    /* JADX WARNING: Removed duplicated region for block: B:37:0x0042 A[SYNTHETIC, Splitter:B:37:0x0042] */
    public static Properties e0(Class<?> cls, String str) {
        InputStream resourceAsStream;
        Properties properties = new Properties();
        InputStream inputStream = null;
        try {
            resourceAsStream = cls.getResourceAsStream(str);
            m(resourceAsStream, cls, str);
            properties.load(resourceAsStream);
            resourceAsStream.close();
        } catch (Exception unused) {
            throw new ClassUtil$MaybeZipFileClosedException();
        } catch (ClassUtil$MaybeZipFileClosedException unused2) {
            resourceAsStream = null;
            URL resource = cls.getResource(str);
            if (resource != null) {
            }
            try {
                m(inputStream, cls, str);
                properties.load(inputStream);
                try {
                    inputStream.close();
                } catch (Exception unused3) {
                }
                return properties;
            } catch (Throwable th) {
                Throwable th2 = th;
                if (inputStream != null) {
                }
                throw th2;
            }
        } catch (Throwable th3) {
            resourceAsStream.close();
            throw th3;
        }
        return properties;
    }

    public static Request.Builder f(Request.Builder builder, HttpHeaders httpHeaders) {
        if (httpHeaders.headersMap.isEmpty()) {
            return builder;
        }
        Headers.Builder builder2 = new Headers.Builder();
        try {
            for (Map.Entry<String, String> entry : httpHeaders.headersMap.entrySet()) {
                builder2.add(entry.getKey(), entry.getValue());
            }
        } catch (Exception e2) {
            e2.printStackTrace();
        }
        builder.headers(builder2.build());
        return builder;
    }

    public static final int f0(int i2) {
        return i2 < 0 ? i2 : i2 < 3 ? i2 + 1 : i2 < 1073741824 ? (int) ((((float) i2) / 0.75f) + 1.0f) : SubsamplingScaleImageView.TILE_SIZE_AUTO;
    }

    public static void g(StringBuilder sb, Set set, Class cls) {
        int length = sb.length();
        if (f0.class.isAssignableFrom(cls)) {
            h(sb, set, "extended node");
        } else if (e0.class.isAssignableFrom(cls)) {
            h(sb, set, "node");
        }
        if (u.class.isAssignableFrom(cls)) {
            h(sb, set, "directive");
        } else if (j0.class.isAssignableFrom(cls)) {
            h(sb, set, "transform");
        }
        if (i0.class.isAssignableFrom(cls)) {
            h(sb, set, "sequence");
        } else if (q.class.isAssignableFrom(cls)) {
            h(sb, set, e.f.r.class.isAssignableFrom(cls) ? "extended_collection" : "collection");
        } else if (d0.class.isAssignableFrom(cls)) {
            h(sb, set, "iterator");
        }
        if (z.class.isAssignableFrom(cls)) {
            h(sb, set, "method");
        }
        if (Environment.Namespace.class.isAssignableFrom(cls)) {
            h(sb, set, "namespace");
        } else if (y.class.isAssignableFrom(cls)) {
            h(sb, set, "extended_hash");
        } else if (w.class.isAssignableFrom(cls)) {
            h(sb, set, "hash");
        }
        if (e.f.g0.class.isAssignableFrom(cls)) {
            h(sb, set, "number");
        }
        if (e.f.s.class.isAssignableFrom(cls)) {
            h(sb, set, "date_or_time_or_datetime");
        }
        if (p.class.isAssignableFrom(cls)) {
            h(sb, set, TypedValues.Custom.S_BOOLEAN);
        }
        if (h0.class.isAssignableFrom(cls)) {
            h(sb, set, TypedValues.Custom.S_STRING);
        }
        if (p0.class.isAssignableFrom(cls)) {
            h(sb, set, "markup_output");
        }
        if (sb.length() == length) {
            h(sb, set, "misc_template_model");
        }
    }

    public static boolean g0(String str, String str2, String str3, freemarker.core.Environment environment) {
        String f2 = environment.f();
        if (f2 == null || !f2.equals(str3)) {
            if (!"".equals(str3)) {
                String e2 = environment.W.getTemplate().e(str3);
                if (e2 == null) {
                    return false;
                }
                return str.equals(e2 + ":" + str2);
            } else if (f2 != null) {
                return str.equals("N:" + str2);
            } else if (str.equals(str2)) {
                return true;
            } else {
                if (str.equals("N:" + str2)) {
                    return true;
                }
                return false;
            }
        } else if (str.equals(str2)) {
            return true;
        } else {
            if (str.equals("D:" + str2)) {
                return true;
            }
            return false;
        }
    }

    public static void h(StringBuilder sb, Set set, String str) {
        if (!set.contains(str)) {
            if (sb.length() != 0) {
                sb.append("+");
            }
            sb.append(str);
            set.add(str);
        }
    }

    public static Animator h0(Animator animator, Animator animator2) {
        if (animator == null) {
            return animator2;
        }
        if (animator2 == null) {
            return animator;
        }
        AnimatorSet animatorSet = new AnimatorSet();
        animatorSet.playTogether(animator, animator2);
        return animatorSet;
    }

    public static final <T> ArrayList<T> i(T... tArr) {
        o.e(tArr, "elements");
        return tArr.length == 0 ? new ArrayList<>() : new ArrayList<>(new e(tArr, true));
    }

    public static final int i0(int i2, int i3) {
        int i4 = i2 % i3;
        return i4 >= 0 ? i4 : i4 + i3;
    }

    public static String j(String str) {
        return l.l(l.l(l.l(str, "-", "\\-", false, false), ".", "\\.", false, false), ":", "\\:", false, false);
    }

    public static long j0(long j2, long j3) {
        long j4 = j2 * j3;
        if (((j2 | j3) >>> 31) == 0 || j4 / j2 == j3) {
            return j4;
        }
        return Long.MAX_VALUE;
    }

    public static final String k(Object obj, Object obj2) {
        o.e(obj, TypedValues.Transition.S_FROM);
        o.e(obj2, "until");
        return "Random range is empty: [" + obj + ", " + obj2 + ").";
    }

    /* JADX DEBUG: Multi-variable search result rejected for r8v3, resolved type: java.lang.Object[] */
    /* JADX WARN: Multi-variable type inference failed */
    public static TemplateModelException k0(Object obj, Object obj2, boolean z, boolean z2, Throwable th) {
        Throwable targetException;
        while ((th instanceof InvocationTargetException) && (targetException = ((InvocationTargetException) th).getTargetException()) != null) {
            th = targetException;
        }
        Object[] objArr = new Object[4];
        objArr[0] = R(obj2, z2);
        objArr[1] = " threw an exception";
        objArr[2] = (z || z2) ? "" : new Object[]{" when invoked on ", obj.getClass(), " object ", new e.b.z0(obj)};
        objArr[3] = "; see cause exception in the Java stack trace.";
        return new _TemplateModelException(th, objArr);
    }

    public static f.a.u l(Callable<f.a.u> callable) {
        try {
            f.a.u call = callable.call();
            Objects.requireNonNull(call, "Scheduler Callable result can't be null");
            return call;
        } catch (Throwable th) {
            throw ExceptionHelper.d(th);
        }
    }

    public static TemplateModelException l0(Object obj, Member member, Throwable th) {
        return k0(obj, member, (member.getModifiers() & 8) != 0, member instanceof Constructor, th);
    }

    public static void m(InputStream inputStream, Class<?> cls, String str) {
        if (inputStream == null) {
            StringBuilder B = d.a.a.a.a.B("Class-loader resource not found (shown quoted): ");
            B.append(l.i(str));
            B.append(". The base class was ");
            B.append(cls.getName());
            B.append(".");
            throw new IOException(B.toString());
        }
    }

    public static Bitmap m0(Context context, Bitmap bitmap, g.a.a.a aVar) {
        boolean z;
        int i2;
        Bitmap bitmap2;
        int i3 = aVar.f13235a / 1;
        int i4 = aVar.f13236b / 1;
        int i5 = 0;
        int[] iArr = {i3, i4};
        int i6 = 0;
        while (true) {
            if (i6 >= 2) {
                z = false;
                break;
            } else if (iArr[i6] == 0) {
                z = true;
                break;
            } else {
                i6++;
            }
        }
        if (z) {
            return null;
        }
        Bitmap createBitmap = Bitmap.createBitmap(i3, i4, Bitmap.Config.ARGB_8888);
        Canvas canvas = new Canvas(createBitmap);
        float f2 = 1.0f / ((float) 1);
        canvas.scale(f2, f2);
        Paint paint = new Paint();
        paint.setFlags(3);
        paint.setColorFilter(new PorterDuffColorFilter(0, PorterDuff.Mode.SRC_ATOP));
        canvas.drawBitmap(bitmap, 0.0f, 0.0f, paint);
        try {
            z0(context, createBitmap, 25);
            return createBitmap;
        } catch (RSRuntimeException unused) {
            int width = createBitmap.getWidth();
            int height = createBitmap.getHeight();
            int i7 = width * height;
            int[] iArr2 = new int[i7];
            createBitmap.getPixels(iArr2, 0, width, 0, 0, width, height);
            int i8 = width - 1;
            int i9 = height - 1;
            int[] iArr3 = new int[i7];
            int[] iArr4 = new int[i7];
            int[] iArr5 = new int[i7];
            int[] iArr6 = new int[Math.max(width, height)];
            int[] iArr7 = new int[173056];
            for (int i10 = 173056; i5 < i10; i10 = 173056) {
                iArr7[i5] = i5 / 676;
                i5++;
            }
            int[] iArr8 = new int[2];
            iArr8[1] = 3;
            iArr8[0] = 51;
            int[][] iArr9 = (int[][]) Array.newInstance(int.class, iArr8);
            int i11 = 0;
            int i12 = 0;
            for (int i13 = 0; i13 < height; i13++) {
                int i14 = 0;
                int i15 = 0;
                int i16 = 0;
                int i17 = 0;
                int i18 = 0;
                int i19 = 0;
                int i20 = 0;
                int i21 = 0;
                int i22 = 0;
                for (int i23 = -25; i23 <= 25; i23++) {
                    int i24 = iArr2[Math.min(i8, Math.max(i23, 0)) + i11];
                    int[] iArr10 = iArr9[i23 + 25];
                    iArr10[0] = (i24 & ItemTouchHelper.ACTION_MODE_DRAG_MASK) >> 16;
                    iArr10[1] = (i24 & ItemTouchHelper.ACTION_MODE_SWIPE_MASK) >> 8;
                    iArr10[2] = i24 & NeuQuant.maxnetpos;
                    int abs = 26 - Math.abs(i23);
                    i14 = (iArr10[0] * abs) + i14;
                    i15 = (iArr10[1] * abs) + i15;
                    i16 = (iArr10[2] * abs) + i16;
                    if (i23 > 0) {
                        i20 += iArr10[0];
                        i21 += iArr10[1];
                        i22 += iArr10[2];
                    } else {
                        i17 += iArr10[0];
                        i18 += iArr10[1];
                        i19 += iArr10[2];
                    }
                }
                int i25 = 0;
                int i26 = 25;
                while (i25 < width) {
                    iArr3[i11] = iArr7[i14];
                    iArr4[i11] = iArr7[i15];
                    iArr5[i11] = iArr7[i16];
                    int i27 = i14 - i17;
                    int i28 = i15 - i18;
                    int i29 = i16 - i19;
                    int[] iArr11 = iArr9[((i26 - 25) + 51) % 51];
                    int i30 = i17 - iArr11[0];
                    int i31 = i18 - iArr11[1];
                    int i32 = i19 - iArr11[2];
                    if (i13 == 0) {
                        bitmap2 = createBitmap;
                        iArr6[i25] = Math.min(i25 + 25 + 1, i8);
                    } else {
                        bitmap2 = createBitmap;
                    }
                    int i33 = iArr2[i12 + iArr6[i25]];
                    iArr11[0] = (i33 & ItemTouchHelper.ACTION_MODE_DRAG_MASK) >> 16;
                    iArr11[1] = (i33 & ItemTouchHelper.ACTION_MODE_SWIPE_MASK) >> 8;
                    iArr11[2] = i33 & NeuQuant.maxnetpos;
                    int i34 = i20 + iArr11[0];
                    int i35 = i21 + iArr11[1];
                    int i36 = i22 + iArr11[2];
                    i14 = i27 + i34;
                    i15 = i28 + i35;
                    i16 = i29 + i36;
                    i26 = (i26 + 1) % 51;
                    int[] iArr12 = iArr9[i26 % 51];
                    i17 = i30 + iArr12[0];
                    i18 = i31 + iArr12[1];
                    i19 = i32 + iArr12[2];
                    i20 = i34 - iArr12[0];
                    i21 = i35 - iArr12[1];
                    i22 = i36 - iArr12[2];
                    i11++;
                    i25++;
                    createBitmap = bitmap2;
                }
                i12 += width;
            }
            int i37 = 0;
            while (i37 < width) {
                int i38 = 0;
                int i39 = 0;
                int i40 = 0;
                int i41 = 0;
                int i42 = 0;
                int i43 = -25;
                int i44 = 0;
                int i45 = 0;
                int i46 = 0;
                int i47 = -25 * width;
                int i48 = 0;
                for (int i49 = 25; i43 <= i49; i49 = 25) {
                    int max = Math.max(0, i47) + i37;
                    int[] iArr13 = iArr9[i43 + 25];
                    iArr13[0] = iArr3[max];
                    iArr13[1] = iArr4[max];
                    iArr13[2] = iArr5[max];
                    int abs2 = 26 - Math.abs(i43);
                    i38 = (iArr3[max] * abs2) + i38;
                    i48 = (iArr4[max] * abs2) + i48;
                    i39 = (iArr5[max] * abs2) + i39;
                    if (i43 > 0) {
                        i44 += iArr13[0];
                        i45 += iArr13[1];
                        i46 += iArr13[2];
                    } else {
                        i40 += iArr13[0];
                        i41 += iArr13[1];
                        i42 += iArr13[2];
                    }
                    if (i43 < i9) {
                        i47 += width;
                    }
                    i43++;
                }
                int i50 = height;
                int i51 = i41;
                int i52 = i37;
                int i53 = 0;
                int i54 = i40;
                int i55 = 25;
                while (i53 < i50) {
                    iArr2[i52] = (iArr2[i52] & -16777216) | (iArr7[i38] << 16) | (iArr7[i48] << 8) | iArr7[i39];
                    int i56 = i38 - i54;
                    int i57 = i48 - i51;
                    int i58 = i39 - i42;
                    int[] iArr14 = iArr9[((i55 - 25) + 51) % 51];
                    int i59 = i54 - iArr14[0];
                    int i60 = i51 - iArr14[1];
                    int i61 = i42 - iArr14[2];
                    if (i37 == 0) {
                        i2 = i50;
                        iArr6[i53] = Math.min(i53 + 26, i9) * width;
                    } else {
                        i2 = i50;
                    }
                    int i62 = iArr6[i53] + i37;
                    iArr14[0] = iArr3[i62];
                    iArr14[1] = iArr4[i62];
                    iArr14[2] = iArr5[i62];
                    int i63 = i44 + iArr14[0];
                    int i64 = i45 + iArr14[1];
                    int i65 = i46 + iArr14[2];
                    i38 = i56 + i63;
                    i48 = i57 + i64;
                    i39 = i58 + i65;
                    i55 = (i55 + 1) % 51;
                    int[] iArr15 = iArr9[i55];
                    i54 = i59 + iArr15[0];
                    i51 = i60 + iArr15[1];
                    i42 = i61 + iArr15[2];
                    i44 = i63 - iArr15[0];
                    i45 = i64 - iArr15[1];
                    i46 = i65 - iArr15[2];
                    i52 += width;
                    i53++;
                    i50 = i2;
                }
                i37++;
                height = i50;
                iArr6 = iArr6;
                iArr7 = iArr7;
            }
            createBitmap.setPixels(iArr2, 0, width, 0, 0, width, height);
            return createBitmap;
        }
    }

    public static final int n(int i2) {
        if (2 <= i2 && 36 >= i2) {
            return i2;
        }
        StringBuilder C = d.a.a.a.a.C("radix ", i2, " was not in valid range ");
        C.append(new h.r.c(2, 36));
        throw new IllegalArgumentException(C.toString());
    }

    public static void n0(t<?> tVar, AtomicInteger atomicInteger, AtomicThrowable atomicThrowable) {
        if (atomicInteger.getAndIncrement() == 0) {
            Throwable terminate = atomicThrowable.terminate();
            if (terminate != null) {
                tVar.onError(terminate);
            } else {
                tVar.onComplete();
            }
        }
    }

    public static void o(Closeable closeable) {
        if (closeable instanceof Closeable) {
            try {
                closeable.close();
            } catch (IOException unused) {
            }
        }
    }

    public static void o0(k.c.c<?> cVar, AtomicInteger atomicInteger, AtomicThrowable atomicThrowable) {
        if (atomicInteger.getAndIncrement() == 0) {
            Throwable terminate = atomicThrowable.terminate();
            if (terminate != null) {
                cVar.onError(terminate);
            } else {
                cVar.onComplete();
            }
        }
    }

    public static void p(Closeable closeable) {
        if (closeable != null) {
            try {
                closeable.close();
            } catch (Exception e2) {
                e2.printStackTrace();
            }
        }
    }

    public static void p0(t<?> tVar, Throwable th, AtomicInteger atomicInteger, AtomicThrowable atomicThrowable) {
        if (!atomicThrowable.addThrowable(th)) {
            q0(th);
        } else if (atomicInteger.getAndIncrement() == 0) {
            tVar.onError(atomicThrowable.terminate());
        }
    }

    public static void q(Class cls, Class cls2, Set set) {
        Class<?>[] interfaces;
        if (cls.isAssignableFrom(cls2)) {
            set.add(cls);
        }
        Class superclass = cls.getSuperclass();
        if (superclass != null) {
            q(superclass, cls2, set);
        }
        for (Class<?> cls3 : cls.getInterfaces()) {
            q(cls3, cls2, set);
        }
    }

    public static void q0(Throwable th) {
        if (th == null) {
            th = new NullPointerException("onError called with null. Null values are generally not allowed in 2.x operators and sources.");
        } else {
            boolean z = true;
            if (!(th instanceof OnErrorNotImplementedException) && !(th instanceof MissingBackpressureException) && !(th instanceof IllegalStateException) && !(th instanceof NullPointerException) && !(th instanceof IllegalArgumentException) && !(th instanceof CompositeException)) {
                z = false;
            }
            if (!z) {
                th = new UndeliverableException(th);
            }
        }
        th.printStackTrace();
        Thread currentThread = Thread.currentThread();
        currentThread.getUncaughtExceptionHandler().uncaughtException(currentThread, th);
    }

    public static final <T extends Comparable<?>> int r(T t, T t2) {
        if (t == t2) {
            return 0;
        }
        if (t == null) {
            return -1;
        }
        if (t2 == null) {
            return 1;
        }
        return t.compareTo(t2);
    }

    public static void r0(k.c.c<?> cVar, Throwable th, AtomicInteger atomicInteger, AtomicThrowable atomicThrowable) {
        if (!atomicThrowable.addThrowable(th)) {
            q0(th);
        } else if (atomicInteger.getAndIncrement() == 0) {
            cVar.onError(atomicThrowable.terminate());
        }
    }

    public static final void s(int i2, int i3) {
        if (i2 > i3) {
            throw new IndexOutOfBoundsException(d.a.a.a.a.n("toIndex (", i2, ") is greater than size (", i3, ")."));
        }
    }

    public static <T> void s0(t<? super T> tVar, T t, AtomicInteger atomicInteger, AtomicThrowable atomicThrowable) {
        if (atomicInteger.get() == 0 && atomicInteger.compareAndSet(0, 1)) {
            tVar.onNext(t);
            if (atomicInteger.decrementAndGet() != 0) {
                Throwable terminate = atomicThrowable.terminate();
                if (terminate != null) {
                    tVar.onError(terminate);
                } else {
                    tVar.onComplete();
                }
            }
        }
    }

    public static boolean t(File file) {
        if (file.exists()) {
            if (file.isDirectory()) {
                return true;
            }
            file.delete();
        }
        return file.mkdirs();
    }

    public static <T> void t0(k.c.c<? super T> cVar, T t, AtomicInteger atomicInteger, AtomicThrowable atomicThrowable) {
        if (atomicInteger.get() == 0 && atomicInteger.compareAndSet(0, 1)) {
            cVar.onNext(t);
            if (atomicInteger.decrementAndGet() != 0) {
                Throwable terminate = atomicThrowable.terminate();
                if (terminate != null) {
                    cVar.onError(terminate);
                } else {
                    cVar.onComplete();
                }
            }
        }
    }

    /* JADX WARNING: Code restructure failed: missing block: B:44:0x0098, code lost:
        if (r14 == false) goto L_0x009a;
     */
    /* JADX WARNING: Removed duplicated region for block: B:17:0x0048  */
    /* JADX WARNING: Removed duplicated region for block: B:52:0x00a7 A[Catch:{ NumberFormatException -> 0x00e7 }, LOOP:3: B:32:0x0078->B:52:0x00a7, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:76:0x00f6 A[SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:86:0x00a6 A[SYNTHETIC] */
    public static d.o.a.a.a.d.a[] u(String str) {
        int i2;
        String trim;
        float[] fArr;
        int i3;
        if (str == null) {
            return null;
        }
        ArrayList arrayList = new ArrayList();
        int i4 = 0;
        int i5 = 1;
        int i6 = 0;
        while (i5 < str.length()) {
            while (i5 < str.length()) {
                char charAt = str.charAt(i5);
                if ((charAt - 'Z') * (charAt - 'A') > 0) {
                    if ((charAt - 'z') * (charAt - 'a') > 0) {
                        continue;
                        i5++;
                    }
                }
                if (!(charAt == 'e' || charAt == 'E')) {
                    trim = str.substring(i6, i5).trim();
                    if (trim.length() > 0) {
                        if ((trim.charAt(i4) == 'z') || (trim.charAt(i4) == 'Z')) {
                            fArr = new float[i4];
                        } else {
                            try {
                                int length = trim.length();
                                float[] fArr2 = new float[length];
                                int length2 = trim.length();
                                int i7 = 1;
                                int i8 = 0;
                                while (i7 < length2) {
                                    boolean z = false;
                                    boolean z2 = false;
                                    boolean z3 = false;
                                    boolean z4 = false;
                                    int i9 = i7;
                                    while (true) {
                                        if (i9 < trim.length()) {
                                            char charAt2 = trim.charAt(i9);
                                            i3 = length2;
                                            if (charAt2 != ' ') {
                                                if (charAt2 == 'E' || charAt2 == 'e') {
                                                    z4 = true;
                                                    if (!z) {
                                                        i9++;
                                                        length2 = i3;
                                                    }
                                                } else {
                                                    switch (charAt2) {
                                                        case '-':
                                                            if (i9 != i7) {
                                                            }
                                                            break;
                                                        case '.':
                                                            if (!z3) {
                                                                z3 = true;
                                                                break;
                                                            }
                                                            z2 = true;
                                                            break;
                                                    }
                                                    z4 = false;
                                                    if (!z) {
                                                    }
                                                }
                                            }
                                            z = true;
                                            z4 = false;
                                            if (!z) {
                                            }
                                        } else {
                                            i3 = length2;
                                        }
                                    }
                                    if (i7 < i9) {
                                        fArr2[i8] = Float.parseFloat(trim.substring(i7, i9));
                                        i8++;
                                    }
                                    if (!z2) {
                                        i9++;
                                    }
                                    i7 = i9;
                                    length2 = i3;
                                }
                                int i10 = i8 + 0;
                                float[] fArr3 = new float[i10];
                                System.arraycopy(fArr2, 0, fArr3, 0, Math.min(i10, length + 0));
                                fArr = fArr3;
                                i4 = 0;
                            } catch (NumberFormatException e2) {
                                throw new RuntimeException(d.a.a.a.a.t("error in parsing \"", trim, "\""), e2);
                            }
                        }
                        arrayList.add(new d.o.a.a.a.d.a(trim.charAt(i4), fArr));
                    }
                    i6 = i5;
                    i5++;
                    i4 = 0;
                }
                i5++;
            }
            trim = str.substring(i6, i5).trim();
            if (trim.length() > 0) {
            }
            i6 = i5;
            i5++;
            i4 = 0;
        }
        if (i5 - i6 != 1 || i6 >= str.length()) {
            i2 = 0;
        } else {
            i2 = 0;
            arrayList.add(new d.o.a.a.a.d.a(str.charAt(i6), new float[0]));
        }
        return (d.o.a.a.a.d.a[]) arrayList.toArray(new d.o.a.a.a.d.a[i2]);
    }

    public static Class u0(Class cls) {
        if (cls == Integer.TYPE) {
            return Integer.class;
        }
        if (cls == Boolean.TYPE) {
            return Boolean.class;
        }
        if (cls == Long.TYPE) {
            return Long.class;
        }
        if (cls == Double.TYPE) {
            return Double.class;
        }
        if (cls == Character.TYPE) {
            return Character.class;
        }
        if (cls == Float.TYPE) {
            return Float.class;
        }
        if (cls == Byte.TYPE) {
            return Byte.class;
        }
        if (cls == Short.TYPE) {
            return Short.class;
        }
        return cls == Void.TYPE ? Void.class : cls;
    }

    public static String v(String str, Map<String, List<String>> map) {
        try {
            StringBuilder sb = new StringBuilder();
            sb.append(str);
            if (str.indexOf(38) > 0 || str.indexOf(63) > 0) {
                sb.append("&");
            } else {
                sb.append("?");
            }
            for (Map.Entry<String, List<String>> entry : map.entrySet()) {
                for (String str2 : entry.getValue()) {
                    String encode = URLEncoder.encode(str2, "UTF-8");
                    sb.append(entry.getKey());
                    sb.append("=");
                    sb.append(encode);
                    sb.append("&");
                }
            }
            sb.deleteCharAt(sb.length() - 1);
            return sb.toString();
        } catch (UnsupportedEncodingException e2) {
            e2.printStackTrace();
            return str;
        }
    }

    public static long v0(AtomicLong atomicLong, long j2) {
        long j3;
        long j4;
        do {
            j3 = atomicLong.get();
            if (j3 == Long.MAX_VALUE) {
                return Long.MAX_VALUE;
            }
            j4 = j3 - j2;
            if (j4 < 0) {
                q0(new IllegalStateException(d.a.a.a.a.o("More produced than requested: ", j4)));
                j4 = 0;
            }
        } while (!atomicLong.compareAndSet(j3, j4));
        return j4;
    }

    public static int w(String str) {
        return Log.d("greenDAO", str);
    }

    public static long w0(AtomicLong atomicLong, long j2) {
        long j3;
        long j4;
        do {
            j3 = atomicLong.get();
            if (j3 == Long.MIN_VALUE) {
                return Long.MIN_VALUE;
            }
            if (j3 == Long.MAX_VALUE) {
                return Long.MAX_VALUE;
            }
            j4 = j3 - j2;
            if (j4 < 0) {
                q0(new IllegalStateException(d.a.a.a.a.o("More produced than requested: ", j4)));
                j4 = 0;
            }
        } while (!atomicLong.compareAndSet(j3, j4));
        return j4;
    }

    public static boolean x(File file) {
        if (file == null || !file.exists()) {
            return true;
        }
        if (file.isFile()) {
            file.delete();
            return true;
        } else if (!file.isDirectory()) {
            return true;
        } else {
            File[] listFiles = file.listFiles();
            if (listFiles != null) {
                for (File file2 : listFiles) {
                    x(file2);
                }
            }
            file.delete();
            return true;
        }
    }

    public static void x0(Class<?> cls) {
        String name = cls.getName();
        q0(new ProtocolViolationException("It is not allowed to subscribe with a(n) " + name + " multiple times. Please create a fresh instance of " + name + " and subscribe that to the target source instead."));
    }

    public static float y(float f2, float f3, float f4, float f5) {
        float f6 = f2 / (f5 / 2.0f);
        float f7 = f4 / 2.0f;
        if (f6 < 1.0f) {
            return (f7 * f6 * f6 * f6) + f3;
        }
        float f8 = f6 - 2.0f;
        return (((f8 * f8 * f8) + 2.0f) * f7) + f3;
    }

    public static int y0(int i2) {
        return 1 << (32 - Integer.numberOfLeadingZeros(i2 - 1));
    }

    public static final boolean z(char c2, char c3, boolean z) {
        if (c2 == c3) {
            return true;
        }
        if (!z) {
            return false;
        }
        char upperCase = Character.toUpperCase(c2);
        char upperCase2 = Character.toUpperCase(c3);
        if (upperCase == upperCase2 || Character.toLowerCase(upperCase) == Character.toLowerCase(upperCase2)) {
            return true;
        }
        return false;
    }

    /* JADX WARNING: Removed duplicated region for block: B:21:0x0052  */
    /* JADX WARNING: Removed duplicated region for block: B:23:0x0057  */
    /* JADX WARNING: Removed duplicated region for block: B:25:0x005c  */
    /* JADX WARNING: Removed duplicated region for block: B:27:0x0061  */
    public static Bitmap z0(Context context, Bitmap bitmap, int i2) {
        Throwable th;
        ScriptIntrinsicBlur scriptIntrinsicBlur;
        Allocation allocation;
        Allocation allocation2;
        RenderScript renderScript = null;
        ScriptIntrinsicBlur scriptIntrinsicBlur2 = null;
        try {
            RenderScript create = RenderScript.create(context);
            try {
                create.setMessageHandler(new RenderScript.RSMessageHandler());
                allocation2 = Allocation.createFromBitmap(create, bitmap, Allocation.MipmapControl.MIPMAP_NONE, 1);
            } catch (Throwable th2) {
                th = th2;
                allocation2 = null;
                allocation = null;
                renderScript = create;
                scriptIntrinsicBlur = allocation;
                if (renderScript != null) {
                }
                if (allocation2 != null) {
                }
                if (allocation != null) {
                }
                if (scriptIntrinsicBlur != null) {
                }
                throw th;
            }
            try {
                allocation = Allocation.createTyped(create, allocation2.getType());
                try {
                    scriptIntrinsicBlur2 = ScriptIntrinsicBlur.create(create, Element.U8_4(create));
                    scriptIntrinsicBlur2.setInput(allocation2);
                    scriptIntrinsicBlur2.setRadius((float) i2);
                    scriptIntrinsicBlur2.forEach(allocation);
                    allocation.copyTo(bitmap);
                    create.destroy();
                    allocation2.destroy();
                    allocation.destroy();
                    scriptIntrinsicBlur2.destroy();
                    return bitmap;
                } catch (Throwable th3) {
                    th = th3;
                    renderScript = create;
                    scriptIntrinsicBlur = scriptIntrinsicBlur2;
                    if (renderScript != null) {
                    }
                    if (allocation2 != null) {
                    }
                    if (allocation != null) {
                    }
                    if (scriptIntrinsicBlur != null) {
                    }
                    throw th;
                }
            } catch (Throwable th4) {
                th = th4;
                allocation = null;
                renderScript = create;
                scriptIntrinsicBlur = allocation;
                if (renderScript != null) {
                    renderScript.destroy();
                }
                if (allocation2 != null) {
                    allocation2.destroy();
                }
                if (allocation != null) {
                    allocation.destroy();
                }
                if (scriptIntrinsicBlur != null) {
                    scriptIntrinsicBlur.destroy();
                }
                throw th;
            }
        } catch (Throwable th5) {
            th = th5;
            scriptIntrinsicBlur = null;
            allocation2 = null;
            allocation = null;
            if (renderScript != null) {
            }
            if (allocation2 != null) {
            }
            if (allocation != null) {
            }
            if (scriptIntrinsicBlur != null) {
            }
            throw th;
        }
    }
}
