package e.d.b;

import d.a.a.a.a;
import d.l.b.g.g.b;
import e.f.b0;
import e.f.h0;
import e.f.i0;
import freemarker.core.Environment;
import freemarker.ext.dom.AtAtKey;
import freemarker.ext.dom.NodeListModel;
import freemarker.template.SimpleScalar;
import freemarker.template.TemplateModelException;
import java.util.Collections;
import org.w3c.dom.Attr;
import org.w3c.dom.Element;
import org.w3c.dom.Node;
import org.w3c.dom.NodeList;

/* compiled from: ElementModel */
public class e extends g implements h0 {
    public e(Element element) {
        super(element);
    }

    @Override // e.f.e0
    public String a() {
        String localName = this.m.getLocalName();
        return (localName == null || localName.equals("")) ? this.m.getNodeName() : localName;
    }

    @Override // e.d.b.g
    public String g() {
        String str;
        String a2 = a();
        String b2 = b();
        if (b2 == null || b2.length() == 0) {
            return a2;
        }
        Environment e2 = Environment.e();
        String f2 = e2.f();
        if (f2 == null || !f2.equals(b2)) {
            str = e2.W.getTemplate().e(b2);
        } else {
            str = "";
        }
        if (str == null) {
            return null;
        }
        if (str.length() > 0) {
            str = a.s(str, ":");
        }
        return a.s(str, a2);
    }

    @Override // e.d.b.g, e.f.w
    public b0 get(String str) {
        int indexOf;
        String str2;
        if (str.equals("*")) {
            NodeListModel nodeListModel = new NodeListModel(this);
            i0 e2 = e();
            int size = e2.size();
            for (int i2 = 0; i2 < size; i2++) {
                g gVar = (g) e2.get(i2);
                if (gVar.m.getNodeType() == 1) {
                    nodeListModel.add(gVar);
                }
            }
            return nodeListModel;
        } else if (str.equals("**")) {
            return new NodeListModel(((Element) this.m).getElementsByTagName("*"), this);
        } else {
            if (str.startsWith("@")) {
                if (str.startsWith("@@")) {
                    if (str.equals(AtAtKey.ATTRIBUTES.getKey())) {
                        return new NodeListModel(this.m.getAttributes(), this);
                    }
                    if (str.equals(AtAtKey.START_TAG.getKey())) {
                        h hVar = new h(this.m);
                        Element element = (Element) this.m;
                        StringBuilder sb = new StringBuilder();
                        sb.append('<');
                        hVar.e(element, sb);
                        sb.append(hVar.f12856g);
                        hVar.b(element.getAttributes(), sb);
                        sb.append('>');
                        return new SimpleScalar(sb.toString());
                    } else if (str.equals(AtAtKey.END_TAG.getKey())) {
                        StringBuilder sb2 = new StringBuilder();
                        sb2.append("</");
                        new h(this.m).e((Element) this.m, sb2);
                        sb2.append('>');
                        return new SimpleScalar(sb2.toString());
                    } else if (str.equals(AtAtKey.ATTRIBUTES_MARKUP.getKey())) {
                        StringBuilder sb3 = new StringBuilder();
                        new h(this.m).b(this.m.getAttributes(), sb3);
                        return new SimpleScalar(sb3.toString().trim());
                    } else if (str.equals(AtAtKey.PREVIOUS_SIBLING_ELEMENT.getKey())) {
                        Node previousSibling = this.m.getPreviousSibling();
                        while (previousSibling != null && !o(previousSibling)) {
                            previousSibling = previousSibling.getPreviousSibling();
                        }
                        return (previousSibling == null || previousSibling.getNodeType() != 1) ? new NodeListModel(Collections.emptyList(), (g) null) : g.n(previousSibling);
                    } else if (!str.equals(AtAtKey.NEXT_SIBLING_ELEMENT.getKey())) {
                        return super.get(str);
                    } else {
                        Node nextSibling = this.m.getNextSibling();
                        while (nextSibling != null && !o(nextSibling)) {
                            nextSibling = nextSibling.getNextSibling();
                        }
                        return (nextSibling == null || nextSibling.getNodeType() != 1) ? new NodeListModel(Collections.emptyList(), (g) null) : g.n(nextSibling);
                    }
                } else if (b.b0(str, 1)) {
                    String substring = str.substring(1);
                    Element element2 = (Element) this.m;
                    Attr attributeNode = element2.getAttributeNode(substring);
                    if (attributeNode == null && (indexOf = substring.indexOf(58)) > 0) {
                        String substring2 = substring.substring(0, indexOf);
                        if (substring2.equals("D")) {
                            str2 = Environment.e().f();
                        } else {
                            str2 = Environment.e().g(substring2);
                        }
                        String substring3 = substring.substring(indexOf + 1);
                        if (str2 != null) {
                            attributeNode = element2.getAttributeNodeNS(str2, substring3);
                        }
                    }
                    if (attributeNode == null) {
                        return new NodeListModel(this);
                    }
                    return g.n(attributeNode);
                } else if (str.equals("@*")) {
                    return new NodeListModel(this.m.getAttributes(), this);
                } else {
                    return super.get(str);
                }
            } else if (!b.b0(str, 0)) {
                return super.get(str);
            } else {
                NodeListModel filterByName = ((NodeListModel) e()).filterByName(str);
                return filterByName.size() != 1 ? filterByName : filterByName.get(0);
            }
        }
    }

    @Override // e.f.h0
    public String getAsString() {
        NodeList childNodes = this.m.getChildNodes();
        String str = "";
        for (int i2 = 0; i2 < childNodes.getLength(); i2++) {
            Node item = childNodes.item(i2);
            short nodeType = item.getNodeType();
            if (nodeType != 1) {
                if (nodeType == 3 || nodeType == 4) {
                    StringBuilder B = a.B(str);
                    B.append(item.getNodeValue());
                    str = B.toString();
                }
            } else {
                StringBuilder B2 = a.B("Only elements with no child elements can be processed as text.\nThis element with name \"");
                B2.append(this.m.getNodeName());
                B2.append("\" has a child element named: ");
                B2.append(item.getNodeName());
                throw new TemplateModelException(B2.toString());
            }
        }
        return str;
    }

    @Override // e.f.w
    public boolean isEmpty() {
        return false;
    }

    /* JADX WARNING: Removed duplicated region for block: B:31:0x0054 A[LOOP:0: B:11:0x0029->B:31:0x0054, LOOP_END] */
    /* JADX WARNING: Removed duplicated region for block: B:34:0x005b A[ORIG_RETURN, RETURN, SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:36:0x0052 A[SYNTHETIC] */
    /* JADX WARNING: Removed duplicated region for block: B:38:? A[RETURN, SYNTHETIC] */
    public final boolean o(Node node) {
        boolean z;
        boolean z2;
        boolean z3;
        if (node.getNodeType() == 3 || node.getNodeType() == 4) {
            String textContent = node.getTextContent();
            if (textContent != null) {
                int i2 = 0;
                while (true) {
                    if (i2 >= textContent.length()) {
                        break;
                    }
                    char charAt = textContent.charAt(i2);
                    if (!(charAt == ' ' || charAt == '\t')) {
                        if (!(charAt == '\r') && !(charAt == '\n')) {
                            z2 = false;
                            if (z2) {
                                z = false;
                                break;
                            }
                            i2++;
                        }
                    }
                    z2 = true;
                    if (z2) {
                    }
                }
                if (z) {
                    return true;
                }
            }
            z = true;
            if (z) {
                return false;
            }
        } else if (node.getNodeType() != 7 && node.getNodeType() != 8) {
            return true;
        }
        return false;
    }
}
