package freemarker.core;

import d.a.a.a.a;

public class BugException extends RuntimeException {
    private static final String COMMON_MESSAGE = "A bug was detected in FreeMarker; please report it with stack-trace";

    public BugException() {
        this((Throwable) null);
    }

    public BugException(String str) {
        this(str, null);
    }

    public BugException(Throwable th) {
        super(COMMON_MESSAGE, th);
    }

    public BugException(String str, Throwable th) {
        super(a.s("A bug was detected in FreeMarker; please report it with stack-trace: ", str), th);
    }

    public BugException(int i2) {
        this(String.valueOf(i2));
    }
}
