package freemarker.core;

import e.b.d1;
import e.b.p;
import e.f.b0;
import e.f.f0;

public class NonExtendedNodeException extends UnexpectedTypeException {
    private static final Class<?>[] EXPECTED_TYPES = {f0.class};

    public NonExtendedNodeException(Environment environment) {
        super(environment, "Expecting extended node value here");
    }

    public NonExtendedNodeException(String str, Environment environment) {
        super(environment, str);
    }

    public NonExtendedNodeException(Environment environment, d1 d1Var) {
        super(environment, d1Var);
    }

    public NonExtendedNodeException(p pVar, b0 b0Var, Environment environment) {
        super(pVar, b0Var, "extended node", EXPECTED_TYPES, environment);
    }

    public NonExtendedNodeException(p pVar, b0 b0Var, String str, Environment environment) {
        super(pVar, b0Var, "extended node", EXPECTED_TYPES, str, environment);
    }

    public NonExtendedNodeException(p pVar, b0 b0Var, String[] strArr, Environment environment) {
        super(pVar, b0Var, "extended node", EXPECTED_TYPES, strArr, environment);
    }
}
