package freemarker.core;

import e.b.d1;
import e.b.p;
import e.f.b0;
import e.f.w;

public class NonHashException extends UnexpectedTypeException {
    private static final Class[] EXPECTED_TYPES = {w.class};

    public NonHashException(Environment environment) {
        super(environment, "Expecting hash value here");
    }

    public NonHashException(String str, Environment environment) {
        super(environment, str);
    }

    public NonHashException(Environment environment, d1 d1Var) {
        super(environment, d1Var);
    }

    public NonHashException(p pVar, b0 b0Var, Environment environment) {
        super(pVar, b0Var, "hash", EXPECTED_TYPES, environment);
    }

    public NonHashException(p pVar, b0 b0Var, String str, Environment environment) {
        super(pVar, b0Var, "hash", EXPECTED_TYPES, str, environment);
    }

    public NonHashException(p pVar, b0 b0Var, String[] strArr, Environment environment) {
        super(pVar, b0Var, "hash", EXPECTED_TYPES, strArr, environment);
    }
}
