package freemarker.core;

import e.b.d1;
import e.b.p;
import e.b.p0;
import e.f.b0;

public class NonMarkupOutputException extends UnexpectedTypeException {
    private static final Class[] EXPECTED_TYPES = {p0.class};

    public NonMarkupOutputException(Environment environment) {
        super(environment, "Expecting markup output value here");
    }

    public NonMarkupOutputException(String str, Environment environment) {
        super(environment, str);
    }

    public NonMarkupOutputException(Environment environment, d1 d1Var) {
        super(environment, d1Var);
    }

    public NonMarkupOutputException(p pVar, b0 b0Var, Environment environment) {
        super(pVar, b0Var, "markup output", EXPECTED_TYPES, environment);
    }

    public NonMarkupOutputException(p pVar, b0 b0Var, String str, Environment environment) {
        super(pVar, b0Var, "markup output", EXPECTED_TYPES, str, environment);
    }

    public NonMarkupOutputException(p pVar, b0 b0Var, String[] strArr, Environment environment) {
        super(pVar, b0Var, "markup output", EXPECTED_TYPES, strArr, environment);
    }
}
