package freemarker.ext.dom;

public enum AtAtKey {
    MARKUP("@@markup"),
    NESTED_MARKUP("@@nested_markup"),
    ATTRIBUTES_MARKUP("@@attributes_markup"),
    TEXT("@@text"),
    START_TAG("@@start_tag"),
    END_TAG("@@end_tag"),
    QNAME("@@qname"),
    NAMESPACE("@@namespace"),
    LOCAL_NAME("@@local_name"),
    ATTRIBUTES("@@"),
    PREVIOUS_SIBLING_ELEMENT("@@previous_sibling_element"),
    NEXT_SIBLING_ELEMENT("@@next_sibling_element");
    
    private final String key;

    private AtAtKey(String str) {
        this.key = str;
    }

    public static boolean containsKey(String str) {
        AtAtKey[] values = values();
        for (int i2 = 0; i2 < 12; i2++) {
            if (values[i2].getKey().equals(str)) {
                return true;
            }
        }
        return false;
    }

    public String getKey() {
        return this.key;
    }
}
