package io.reactivex.disposables;

import d.a.a.a.a;

public final class RunnableDisposable extends ReferenceDisposable<Runnable> {
    private static final long serialVersionUID = -8219729196779211169L;

    public RunnableDisposable(Runnable runnable) {
        super(runnable);
    }

    public String toString() {
        StringBuilder B = a.B("RunnableDisposable(disposed=");
        B.append(isDisposed());
        B.append(", ");
        B.append(get());
        B.append(")");
        return B.toString();
    }

    public void onDisposed(Runnable runnable) {
        runnable.run();
    }
}
