package io.reactivex.internal.operators.completable;

import f.a.c;
import f.a.c0.e.a.a;
import f.a.e;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import java.util.concurrent.atomic.AtomicReference;

public final class CompletableAndThenCompletable$SourceObserver extends AtomicReference<b> implements c, b {
    private static final long serialVersionUID = -4101678820158072998L;
    public final c actualObserver;
    public final e next;

    public CompletableAndThenCompletable$SourceObserver(c cVar, e eVar) {
        this.actualObserver = cVar;
        this.next = eVar;
    }

    @Override // f.a.z.b
    public void dispose() {
        DisposableHelper.dispose(this);
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return DisposableHelper.isDisposed((b) get());
    }

    @Override // f.a.c
    public void onComplete() {
        this.next.a(new a(this, this.actualObserver));
    }

    @Override // f.a.c
    public void onError(Throwable th) {
        this.actualObserver.onError(th);
    }

    @Override // f.a.c
    public void onSubscribe(b bVar) {
        if (DisposableHelper.setOnce(this, bVar)) {
            this.actualObserver.onSubscribe(this);
        }
    }
}
