package io.reactivex.internal.operators.completable;

import f.a.c;
import f.a.e;
import f.a.z.b;
import io.reactivex.internal.disposables.SequentialDisposable;
import java.util.concurrent.atomic.AtomicInteger;

public final class CompletableConcatArray$ConcatInnerObserver extends AtomicInteger implements c {
    private static final long serialVersionUID = -7965400327305809232L;
    public final c downstream;
    public int index;
    public final SequentialDisposable sd = new SequentialDisposable();
    public final e[] sources;

    public CompletableConcatArray$ConcatInnerObserver(c cVar, e[] eVarArr) {
        this.downstream = cVar;
        this.sources = eVarArr;
    }

    public void next() {
        if (!this.sd.isDisposed() && getAndIncrement() == 0) {
            e[] eVarArr = this.sources;
            while (!this.sd.isDisposed()) {
                int i2 = this.index;
                this.index = i2 + 1;
                if (i2 == eVarArr.length) {
                    this.downstream.onComplete();
                    return;
                }
                eVarArr[i2].a(this);
                if (decrementAndGet() == 0) {
                    return;
                }
            }
        }
    }

    @Override // f.a.c
    public void onComplete() {
        next();
    }

    @Override // f.a.c
    public void onError(Throwable th) {
        this.downstream.onError(th);
    }

    @Override // f.a.c
    public void onSubscribe(b bVar) {
        this.sd.replace(bVar);
    }
}
