package io.reactivex.internal.operators.flowable;

import f.a.c0.c.a;

public final class FlowableFromArray$ArrayConditionalSubscription<T> extends FlowableFromArray$BaseArraySubscription<T> {
    private static final long serialVersionUID = 2587302975077663557L;
    public final a<? super T> downstream;

    public FlowableFromArray$ArrayConditionalSubscription(a<? super T> aVar, T[] tArr) {
        super(tArr);
        this.downstream = aVar;
    }

    @Override // io.reactivex.internal.operators.flowable.FlowableFromArray$BaseArraySubscription
    public void fastPath() {
        T[] tArr = this.array;
        int length = tArr.length;
        a<? super T> aVar = this.downstream;
        for (int i2 = this.index; i2 != length; i2++) {
            if (!this.cancelled) {
                T t = tArr[i2];
                if (t == null) {
                    aVar.onError(new NullPointerException("array element is null"));
                    return;
                } else {
                    aVar.tryOnNext(t);
                }
            } else {
                return;
            }
        }
        if (!this.cancelled) {
            aVar.onComplete();
        }
    }

    @Override // io.reactivex.internal.operators.flowable.FlowableFromArray$BaseArraySubscription
    public void slowPath(long j2) {
        T[] tArr = this.array;
        int length = tArr.length;
        int i2 = this.index;
        a<? super T> aVar = this.downstream;
        do {
            long j3 = 0;
            while (true) {
                if (j3 == j2 || i2 == length) {
                    if (i2 != length) {
                        j2 = get();
                        if (j3 == j2) {
                            this.index = i2;
                            j2 = addAndGet(-j3);
                        }
                    } else if (!this.cancelled) {
                        aVar.onComplete();
                        return;
                    } else {
                        return;
                    }
                } else if (!this.cancelled) {
                    T t = tArr[i2];
                    if (t == null) {
                        aVar.onError(new NullPointerException("array element is null"));
                        return;
                    }
                    if (aVar.tryOnNext(t)) {
                        j3++;
                    }
                    i2++;
                } else {
                    return;
                }
            }
        } while (j2 != 0);
    }
}
