package io.reactivex.internal.operators.flowable;

import d.a.a.a.a;
import f.a.z.b;
import io.reactivex.exceptions.MissingBackpressureException;
import io.reactivex.internal.disposables.DisposableHelper;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.concurrent.atomic.AtomicLong;
import java.util.concurrent.atomic.AtomicReference;
import k.c.c;
import k.c.d;

public final class FlowableInterval$IntervalSubscriber extends AtomicLong implements d, Runnable {
    private static final long serialVersionUID = -2809475196591179431L;
    public long count;
    public final c<? super Long> downstream;
    public final AtomicReference<b> resource = new AtomicReference<>();

    public FlowableInterval$IntervalSubscriber(c<? super Long> cVar) {
        this.downstream = cVar;
    }

    @Override // k.c.d
    public void cancel() {
        DisposableHelper.dispose(this.resource);
    }

    @Override // k.c.d
    public void request(long j2) {
        if (SubscriptionHelper.validate(j2)) {
            d.l.b.g.g.b.b(this, j2);
        }
    }

    public void run() {
        if (this.resource.get() == DisposableHelper.DISPOSED) {
            return;
        }
        if (get() != 0) {
            c<? super Long> cVar = this.downstream;
            long j2 = this.count;
            this.count = j2 + 1;
            cVar.onNext(Long.valueOf(j2));
            d.l.b.g.g.b.v0(this, 1);
            return;
        }
        c<? super Long> cVar2 = this.downstream;
        StringBuilder B = a.B("Can't deliver value ");
        B.append(this.count);
        B.append(" due to lack of requests");
        cVar2.onError(new MissingBackpressureException(B.toString()));
        DisposableHelper.dispose(this.resource);
    }

    public void setResource(b bVar) {
        DisposableHelper.setOnce(this.resource, bVar);
    }
}
