package io.reactivex.internal.operators.flowable;

import k.c.c;

public final class FlowableRange$RangeSubscription extends FlowableRange$BaseRangeSubscription {
    private static final long serialVersionUID = 2587302975077663557L;
    public final c<? super Integer> downstream;

    public FlowableRange$RangeSubscription(c<? super Integer> cVar, int i2, int i3) {
        super(i2, i3);
        this.downstream = cVar;
    }

    @Override // io.reactivex.internal.operators.flowable.FlowableRange$BaseRangeSubscription
    public void fastPath() {
        int i2 = this.end;
        c<? super Integer> cVar = this.downstream;
        for (int i3 = this.index; i3 != i2; i3++) {
            if (!this.cancelled) {
                cVar.onNext(Integer.valueOf(i3));
            } else {
                return;
            }
        }
        if (!this.cancelled) {
            cVar.onComplete();
        }
    }

    @Override // io.reactivex.internal.operators.flowable.FlowableRange$BaseRangeSubscription
    public void slowPath(long j2) {
        int i2 = this.end;
        int i3 = this.index;
        c<? super Integer> cVar = this.downstream;
        do {
            long j3 = 0;
            while (true) {
                if (j3 == j2 || i3 == i2) {
                    if (i3 != i2) {
                        j2 = get();
                        if (j3 == j2) {
                            this.index = i3;
                            j2 = addAndGet(-j3);
                        }
                    } else if (!this.cancelled) {
                        cVar.onComplete();
                        return;
                    } else {
                        return;
                    }
                } else if (!this.cancelled) {
                    cVar.onNext(Integer.valueOf(i3));
                    j3++;
                    i3++;
                } else {
                    return;
                }
            }
        } while (j2 != 0);
    }
}
