package io.reactivex.internal.operators.flowable;

import d.l.b.g.g.b;
import io.reactivex.internal.subscriptions.BasicQueueSubscription;
import io.reactivex.internal.subscriptions.SubscriptionHelper;

public abstract class FlowableRangeLong$BaseRangeSubscription extends BasicQueueSubscription<Long> {
    private static final long serialVersionUID = -2252972430506210021L;
    public volatile boolean cancelled;
    public final long end;
    public long index;

    public FlowableRangeLong$BaseRangeSubscription(long j2, long j3) {
        this.index = j2;
        this.end = j3;
    }

    @Override // io.reactivex.internal.subscriptions.BasicQueueSubscription, k.c.d
    public final void cancel() {
        this.cancelled = true;
    }

    @Override // io.reactivex.internal.subscriptions.BasicQueueSubscription, f.a.c0.c.g
    public final void clear() {
        this.index = this.end;
    }

    public abstract void fastPath();

    @Override // io.reactivex.internal.subscriptions.BasicQueueSubscription, f.a.c0.c.g
    public final boolean isEmpty() {
        return this.index == this.end;
    }

    @Override // io.reactivex.internal.subscriptions.BasicQueueSubscription, k.c.d
    public final void request(long j2) {
        if (SubscriptionHelper.validate(j2) && b.b(this, j2) == 0) {
            if (j2 == Long.MAX_VALUE) {
                fastPath();
            } else {
                slowPath(j2);
            }
        }
    }

    @Override // f.a.c0.c.c, io.reactivex.internal.subscriptions.BasicQueueSubscription
    public final int requestFusion(int i2) {
        return i2 & 1;
    }

    public abstract void slowPath(long j2);

    @Override // io.reactivex.internal.subscriptions.BasicQueueSubscription, f.a.c0.c.g
    public final Long poll() {
        long j2 = this.index;
        if (j2 == this.end) {
            return null;
        }
        this.index = 1 + j2;
        return Long.valueOf(j2);
    }
}
