package io.reactivex.internal.operators.flowable;

import f.a.c0.c.a;

public final class FlowableRangeLong$RangeConditionalSubscription extends FlowableRangeLong$BaseRangeSubscription {
    private static final long serialVersionUID = 2587302975077663557L;
    public final a<? super Long> downstream;

    public FlowableRangeLong$RangeConditionalSubscription(a<? super Long> aVar, long j2, long j3) {
        super(j2, j3);
        this.downstream = aVar;
    }

    @Override // io.reactivex.internal.operators.flowable.FlowableRangeLong$BaseRangeSubscription
    public void fastPath() {
        long j2 = this.end;
        a<? super Long> aVar = this.downstream;
        for (long j3 = this.index; j3 != j2; j3++) {
            if (!this.cancelled) {
                aVar.tryOnNext(Long.valueOf(j3));
            } else {
                return;
            }
        }
        if (!this.cancelled) {
            aVar.onComplete();
        }
    }

    @Override // io.reactivex.internal.operators.flowable.FlowableRangeLong$BaseRangeSubscription
    public void slowPath(long j2) {
        long j3 = this.end;
        long j4 = this.index;
        a<? super Long> aVar = this.downstream;
        do {
            long j5 = 0;
            while (true) {
                if (j5 == j2 || j4 == j3) {
                    if (j4 != j3) {
                        j2 = get();
                        if (j5 == j2) {
                            this.index = j4;
                            j2 = addAndGet(-j5);
                        }
                    } else if (!this.cancelled) {
                        aVar.onComplete();
                        return;
                    } else {
                        return;
                    }
                } else if (!this.cancelled) {
                    if (aVar.tryOnNext(Long.valueOf(j4))) {
                        j5++;
                    }
                    j4++;
                } else {
                    return;
                }
            }
        } while (j2 != 0);
    }
}
