package io.reactivex.internal.operators.flowable;

import f.a.j;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.ArrayDeque;
import k.c.c;
import k.c.d;

public final class FlowableSkipLast$SkipLastSubscriber<T> extends ArrayDeque<T> implements j<T>, d {
    private static final long serialVersionUID = -3807491841935125653L;
    public final c<? super T> downstream;
    public final int skip;
    public d upstream;

    public FlowableSkipLast$SkipLastSubscriber(c<? super T> cVar, int i2) {
        super(i2);
        this.downstream = cVar;
        this.skip = i2;
    }

    @Override // k.c.d
    public void cancel() {
        this.upstream.cancel();
    }

    @Override // k.c.c
    public void onComplete() {
        this.downstream.onComplete();
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        this.downstream.onError(th);
    }

    @Override // k.c.c
    public void onNext(T t) {
        if (this.skip == size()) {
            this.downstream.onNext((Object) poll());
        } else {
            this.upstream.request(1);
        }
        offer(t);
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        if (SubscriptionHelper.validate(this.upstream, dVar)) {
            this.upstream = dVar;
            this.downstream.onSubscribe(this);
        }
    }

    @Override // k.c.d
    public void request(long j2) {
        this.upstream.request(j2);
    }
}
