package io.reactivex.internal.operators.maybe;

import f.a.c;
import f.a.c0.e.c.a;
import f.a.l;
import f.a.m;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import java.util.concurrent.atomic.AtomicReference;

public final class MaybeDelayWithCompletable$OtherObserver<T> extends AtomicReference<b> implements c, b {
    private static final long serialVersionUID = 703409937383992161L;
    public final l<? super T> downstream;
    public final m<T> source;

    public MaybeDelayWithCompletable$OtherObserver(l<? super T> lVar, m<T> mVar) {
        this.downstream = lVar;
        this.source = mVar;
    }

    @Override // f.a.z.b
    public void dispose() {
        DisposableHelper.dispose(this);
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return DisposableHelper.isDisposed((b) get());
    }

    @Override // f.a.c
    public void onComplete() {
        this.source.a(new a(this, this.downstream));
    }

    @Override // f.a.c
    public void onError(Throwable th) {
        this.downstream.onError(th);
    }

    @Override // f.a.c
    public void onSubscribe(b bVar) {
        if (DisposableHelper.setOnce(this, bVar)) {
            this.downstream.onSubscribe(this);
        }
    }
}
