package io.reactivex.internal.operators.maybe;

import f.a.b0.c;
import f.a.l;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicReference;

public final class MaybeFlatMapBiSelector$FlatMapBiMainObserver$InnerObserver<T, U, R> extends AtomicReference<b> implements l<U> {
    private static final long serialVersionUID = -2897979525538174559L;
    public final l<? super R> downstream;
    public final c<? super T, ? super U, ? extends R> resultSelector;
    public T value;

    public MaybeFlatMapBiSelector$FlatMapBiMainObserver$InnerObserver(l<? super R> lVar, c<? super T, ? super U, ? extends R> cVar) {
        this.downstream = lVar;
        this.resultSelector = cVar;
    }

    @Override // f.a.l
    public void onComplete() {
        this.downstream.onComplete();
    }

    @Override // f.a.l
    public void onError(Throwable th) {
        this.downstream.onError(th);
    }

    @Override // f.a.l
    public void onSubscribe(b bVar) {
        DisposableHelper.setOnce(this, bVar);
    }

    @Override // f.a.l
    public void onSuccess(U u) {
        T t = this.value;
        this.value = null;
        try {
            Object apply = this.resultSelector.apply(t, u);
            Objects.requireNonNull(apply, "The resultSelector returned a null value");
            this.downstream.onSuccess(apply);
        } catch (Throwable th) {
            d.l.b.g.g.b.D0(th);
            this.downstream.onError(th);
        }
    }
}
