package io.reactivex.internal.operators.maybe;

import f.a.c0.e.c.d;
import java.util.concurrent.ConcurrentLinkedQueue;
import java.util.concurrent.atomic.AtomicInteger;

public final class MaybeMergeArray$ClqSimpleQueue<T> extends ConcurrentLinkedQueue<T> implements d<T> {
    private static final long serialVersionUID = -4025173261791142821L;
    public int consumerIndex;
    public final AtomicInteger producerIndex = new AtomicInteger();

    @Override // f.a.c0.e.c.d
    public int consumerIndex() {
        return this.consumerIndex;
    }

    @Override // f.a.c0.e.c.d
    public void drop() {
        poll();
    }

    public boolean offer(T t, T t2) {
        throw new UnsupportedOperationException();
    }

    @Override // f.a.c0.e.c.d, f.a.c0.c.g, java.util.Queue, java.util.concurrent.ConcurrentLinkedQueue
    public T poll() {
        T t = (T) super.poll();
        if (t != null) {
            this.consumerIndex++;
        }
        return t;
    }

    @Override // f.a.c0.e.c.d
    public int producerIndex() {
        return this.producerIndex.get();
    }

    @Override // f.a.c0.c.g, java.util.Queue, java.util.concurrent.ConcurrentLinkedQueue
    public boolean offer(T t) {
        this.producerIndex.getAndIncrement();
        return super.offer(t);
    }
}
