package io.reactivex.internal.operators.observable;

import f.a.c0.e.d.l;
import f.a.t;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import java.util.concurrent.atomic.AtomicReference;

public final class ObservableGroupJoin$LeftRightObserver extends AtomicReference<b> implements t<Object>, b {
    private static final long serialVersionUID = 1883890389173668373L;
    public final boolean isLeft;
    public final l parent;

    public ObservableGroupJoin$LeftRightObserver(l lVar, boolean z) {
        this.parent = lVar;
        this.isLeft = z;
    }

    @Override // f.a.z.b
    public void dispose() {
        DisposableHelper.dispose(this);
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return DisposableHelper.isDisposed((b) get());
    }

    @Override // f.a.t
    public void onComplete() {
        this.parent.innerComplete(this);
    }

    @Override // f.a.t
    public void onError(Throwable th) {
        this.parent.innerError(th);
    }

    @Override // f.a.t
    public void onNext(Object obj) {
        this.parent.innerValue(this.isLeft, obj);
    }

    @Override // f.a.t
    public void onSubscribe(b bVar) {
        DisposableHelper.setOnce(this, bVar);
    }
}
