package io.reactivex.internal.operators.observable;

import f.a.g0.a;
import f.a.r;
import f.a.t;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import io.reactivex.internal.util.AtomicThrowable;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicReference;

public final class ObservableRepeatWhen$RepeatWhenObserver<T> extends AtomicInteger implements t<T>, b {
    private static final long serialVersionUID = 802743776666017014L;
    public volatile boolean active;
    public final t<? super T> downstream;
    public final AtomicThrowable error = new AtomicThrowable();
    public final ObservableRepeatWhen$RepeatWhenObserver<T>.InnerRepeatObserver inner = new InnerRepeatObserver();
    public final a<Object> signaller;
    public final r<T> source;
    public final AtomicReference<b> upstream = new AtomicReference<>();
    public final AtomicInteger wip = new AtomicInteger();

    public final class InnerRepeatObserver extends AtomicReference<b> implements t<Object> {
        private static final long serialVersionUID = 3254781284376480842L;

        public InnerRepeatObserver() {
        }

        @Override // f.a.t
        public void onComplete() {
            ObservableRepeatWhen$RepeatWhenObserver.this.innerComplete();
        }

        @Override // f.a.t
        public void onError(Throwable th) {
            ObservableRepeatWhen$RepeatWhenObserver.this.innerError(th);
        }

        @Override // f.a.t
        public void onNext(Object obj) {
            ObservableRepeatWhen$RepeatWhenObserver.this.innerNext();
        }

        @Override // f.a.t
        public void onSubscribe(b bVar) {
            DisposableHelper.setOnce(this, bVar);
        }
    }

    public ObservableRepeatWhen$RepeatWhenObserver(t<? super T> tVar, a<Object> aVar, r<T> rVar) {
        this.downstream = tVar;
        this.signaller = aVar;
        this.source = rVar;
    }

    @Override // f.a.z.b
    public void dispose() {
        DisposableHelper.dispose(this.upstream);
        DisposableHelper.dispose(this.inner);
    }

    public void innerComplete() {
        DisposableHelper.dispose(this.upstream);
        d.l.b.g.g.b.n0(this.downstream, this, this.error);
    }

    public void innerError(Throwable th) {
        DisposableHelper.dispose(this.upstream);
        d.l.b.g.g.b.p0(this.downstream, th, this, this.error);
    }

    public void innerNext() {
        subscribeNext();
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return DisposableHelper.isDisposed(this.upstream.get());
    }

    @Override // f.a.t
    public void onComplete() {
        DisposableHelper.replace(this.upstream, null);
        this.active = false;
        this.signaller.onNext(0);
    }

    @Override // f.a.t
    public void onError(Throwable th) {
        DisposableHelper.dispose(this.inner);
        d.l.b.g.g.b.p0(this.downstream, th, this, this.error);
    }

    @Override // f.a.t
    public void onNext(T t) {
        d.l.b.g.g.b.s0(this.downstream, t, this, this.error);
    }

    @Override // f.a.t
    public void onSubscribe(b bVar) {
        DisposableHelper.setOnce(this.upstream, bVar);
    }

    public void subscribeNext() {
        if (this.wip.getAndIncrement() == 0) {
            while (!isDisposed()) {
                if (!this.active) {
                    this.active = true;
                    this.source.subscribe(this);
                }
                if (this.wip.decrementAndGet() == 0) {
                    return;
                }
            }
        }
    }
}
