package io.reactivex.internal.operators.observable;

import f.a.t;
import f.a.z.b;
import java.util.concurrent.atomic.AtomicInteger;

public final class ObservableReplay$InnerDisposable<T> extends AtomicInteger implements b {
    private static final long serialVersionUID = 2728361546769921047L;
    public volatile boolean cancelled;
    public final t<? super T> child;
    public Object index;
    public final ObservableReplay$ReplayObserver<T> parent;

    public ObservableReplay$InnerDisposable(ObservableReplay$ReplayObserver<T> observableReplay$ReplayObserver, t<? super T> tVar) {
        this.parent = observableReplay$ReplayObserver;
        this.child = tVar;
    }

    @Override // f.a.z.b
    public void dispose() {
        if (!this.cancelled) {
            this.cancelled = true;
            this.parent.remove(this);
            this.index = null;
        }
    }

    public <U> U index() {
        return (U) this.index;
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return this.cancelled;
    }
}
