package io.reactivex.internal.operators.observable;

import f.a.t;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import io.reactivex.internal.disposables.EmptyDisposable;
import java.util.concurrent.atomic.AtomicReference;

public final class ObservableTimer$TimerObserver extends AtomicReference<b> implements b, Runnable {
    private static final long serialVersionUID = -2809475196591179431L;
    public final t<? super Long> downstream;

    public ObservableTimer$TimerObserver(t<? super Long> tVar) {
        this.downstream = tVar;
    }

    @Override // f.a.z.b
    public void dispose() {
        DisposableHelper.dispose(this);
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return get() == DisposableHelper.DISPOSED;
    }

    public void run() {
        if (!isDisposed()) {
            this.downstream.onNext(0L);
            lazySet(EmptyDisposable.INSTANCE);
            this.downstream.onComplete();
        }
    }

    public void setResource(b bVar) {
        DisposableHelper.trySet(this, bVar);
    }
}
