package io.reactivex.internal.operators.observable;

import f.a.t;
import f.a.u;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import java.util.concurrent.atomic.AtomicBoolean;

public final class ObservableUnsubscribeOn$UnsubscribeObserver<T> extends AtomicBoolean implements t<T>, b {
    private static final long serialVersionUID = 1015244841293359600L;
    public final t<? super T> downstream;
    public final u scheduler;
    public b upstream;

    public final class a implements Runnable {
        public a() {
        }

        public void run() {
            ObservableUnsubscribeOn$UnsubscribeObserver.this.upstream.dispose();
        }
    }

    public ObservableUnsubscribeOn$UnsubscribeObserver(t<? super T> tVar, u uVar) {
        this.downstream = tVar;
        this.scheduler = uVar;
    }

    @Override // f.a.z.b
    public void dispose() {
        if (compareAndSet(false, true)) {
            this.scheduler.c(new a());
        }
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return get();
    }

    @Override // f.a.t
    public void onComplete() {
        if (!get()) {
            this.downstream.onComplete();
        }
    }

    @Override // f.a.t
    public void onError(Throwable th) {
        if (get()) {
            d.l.b.g.g.b.q0(th);
        } else {
            this.downstream.onError(th);
        }
    }

    @Override // f.a.t
    public void onNext(T t) {
        if (!get()) {
            this.downstream.onNext(t);
        }
    }

    @Override // f.a.t
    public void onSubscribe(b bVar) {
        if (DisposableHelper.validate(this.upstream, bVar)) {
            this.upstream = bVar;
            this.downstream.onSubscribe(this);
        }
    }
}
