package io.reactivex.internal.operators.observable;

import f.a.t;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import java.util.concurrent.atomic.AtomicReference;

public final class ObservableWithLatestFromMany$WithLatestInnerObserver extends AtomicReference<b> implements t<Object> {
    private static final long serialVersionUID = 3256684027868224024L;
    public boolean hasValue;
    public final int index;
    public final ObservableWithLatestFromMany$WithLatestFromObserver<?, ?> parent;

    public ObservableWithLatestFromMany$WithLatestInnerObserver(ObservableWithLatestFromMany$WithLatestFromObserver<?, ?> observableWithLatestFromMany$WithLatestFromObserver, int i2) {
        this.parent = observableWithLatestFromMany$WithLatestFromObserver;
        this.index = i2;
    }

    public void dispose() {
        DisposableHelper.dispose(this);
    }

    @Override // f.a.t
    public void onComplete() {
        this.parent.innerComplete(this.index, this.hasValue);
    }

    @Override // f.a.t
    public void onError(Throwable th) {
        this.parent.innerError(this.index, th);
    }

    @Override // f.a.t
    public void onNext(Object obj) {
        if (!this.hasValue) {
            this.hasValue = true;
        }
        this.parent.innerNext(this.index, obj);
    }

    @Override // f.a.t
    public void onSubscribe(b bVar) {
        DisposableHelper.setOnce(this, bVar);
    }
}
