package io.reactivex.internal.operators.parallel;

import f.a.c0.c.f;
import f.a.j;
import io.reactivex.internal.queue.SpscArrayQueue;
import io.reactivex.internal.subscriptions.SubscriptionHelper;
import java.util.concurrent.atomic.AtomicReference;
import k.c.d;

public final class ParallelJoin$JoinInnerSubscriber<T> extends AtomicReference<d> implements j<T> {
    private static final long serialVersionUID = 8410034718427740355L;
    public final int limit;
    public final ParallelJoin$JoinSubscriptionBase<T> parent;
    public final int prefetch;
    public long produced;
    public volatile f<T> queue;

    public ParallelJoin$JoinInnerSubscriber(ParallelJoin$JoinSubscriptionBase<T> parallelJoin$JoinSubscriptionBase, int i2) {
        this.parent = parallelJoin$JoinSubscriptionBase;
        this.prefetch = i2;
        this.limit = i2 - (i2 >> 2);
    }

    public boolean cancel() {
        return SubscriptionHelper.cancel(this);
    }

    public f<T> getQueue() {
        f<T> fVar = this.queue;
        if (fVar != null) {
            return fVar;
        }
        SpscArrayQueue spscArrayQueue = new SpscArrayQueue(this.prefetch);
        this.queue = spscArrayQueue;
        return spscArrayQueue;
    }

    @Override // k.c.c
    public void onComplete() {
        this.parent.onComplete();
    }

    @Override // k.c.c
    public void onError(Throwable th) {
        this.parent.onError(th);
    }

    @Override // k.c.c
    public void onNext(T t) {
        this.parent.onNext(this, t);
    }

    @Override // f.a.j, k.c.c
    public void onSubscribe(d dVar) {
        SubscriptionHelper.setOnce(this, dVar, (long) this.prefetch);
    }

    public void request(long j2) {
        long j3 = this.produced + j2;
        if (j3 >= ((long) this.limit)) {
            this.produced = 0;
            ((d) get()).request(j3);
            return;
        }
        this.produced = j3;
    }

    public void requestOne() {
        long j2 = this.produced + 1;
        if (j2 == ((long) this.limit)) {
            this.produced = 0;
            ((d) get()).request(j2);
            return;
        }
        this.produced = j2;
    }
}
