package io.reactivex.internal.operators.single;

import f.a.b0.a;
import f.a.w;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import java.util.concurrent.atomic.AtomicReference;

public final class SingleDoOnDispose$DoOnDisposeObserver<T> extends AtomicReference<a> implements w<T>, b {
    private static final long serialVersionUID = -8583764624474935784L;
    public final w<? super T> downstream;
    public b upstream;

    public SingleDoOnDispose$DoOnDisposeObserver(w<? super T> wVar, a aVar) {
        this.downstream = wVar;
        lazySet(aVar);
    }

    @Override // f.a.z.b
    public void dispose() {
        a aVar = (a) getAndSet(null);
        if (aVar != null) {
            try {
                aVar.run();
            } catch (Throwable th) {
                d.l.b.g.g.b.D0(th);
                d.l.b.g.g.b.q0(th);
            }
            this.upstream.dispose();
        }
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return this.upstream.isDisposed();
    }

    @Override // f.a.w
    public void onError(Throwable th) {
        this.downstream.onError(th);
    }

    @Override // f.a.w
    public void onSubscribe(b bVar) {
        if (DisposableHelper.validate(this.upstream, bVar)) {
            this.upstream = bVar;
            this.downstream.onSubscribe(this);
        }
    }

    @Override // f.a.w
    public void onSuccess(T t) {
        this.downstream.onSuccess(t);
    }
}
