package io.reactivex.internal.operators.single;

import f.a.w;
import f.a.z.b;
import io.reactivex.internal.disposables.DisposableHelper;
import java.util.concurrent.atomic.AtomicReference;

public final class SingleTakeUntil$TakeUntilMainObserver<T> extends AtomicReference<b> implements w<T>, b {
    private static final long serialVersionUID = -622603812305745221L;
    public final w<? super T> downstream;
    public final SingleTakeUntil$TakeUntilOtherSubscriber other = new SingleTakeUntil$TakeUntilOtherSubscriber(this);

    public SingleTakeUntil$TakeUntilMainObserver(w<? super T> wVar) {
        this.downstream = wVar;
    }

    @Override // f.a.z.b
    public void dispose() {
        DisposableHelper.dispose(this);
        this.other.dispose();
    }

    @Override // f.a.z.b
    public boolean isDisposed() {
        return DisposableHelper.isDisposed((b) get());
    }

    @Override // f.a.w
    public void onError(Throwable th) {
        this.other.dispose();
        b bVar = (b) get();
        DisposableHelper disposableHelper = DisposableHelper.DISPOSED;
        if (bVar == disposableHelper || ((b) getAndSet(disposableHelper)) == disposableHelper) {
            d.l.b.g.g.b.q0(th);
        } else {
            this.downstream.onError(th);
        }
    }

    @Override // f.a.w
    public void onSubscribe(b bVar) {
        DisposableHelper.setOnce(this, bVar);
    }

    @Override // f.a.w
    public void onSuccess(T t) {
        this.other.dispose();
        DisposableHelper disposableHelper = DisposableHelper.DISPOSED;
        if (((b) getAndSet(disposableHelper)) != disposableHelper) {
            this.downstream.onSuccess(t);
        }
    }

    public void otherError(Throwable th) {
        b bVar;
        b bVar2 = (b) get();
        DisposableHelper disposableHelper = DisposableHelper.DISPOSED;
        if (bVar2 == disposableHelper || (bVar = (b) getAndSet(disposableHelper)) == disposableHelper) {
            d.l.b.g.g.b.q0(th);
            return;
        }
        if (bVar != null) {
            bVar.dispose();
        }
        this.downstream.onError(th);
    }
}
