package io.reactivex.internal.subscriptions;

import f.a.c0.c.d;
import k.c.c;

public enum EmptySubscription implements d<Object> {
    INSTANCE;

    public static void complete(c<?> cVar) {
        cVar.onSubscribe(INSTANCE);
        cVar.onComplete();
    }

    public static void error(Throwable th, c<?> cVar) {
        cVar.onSubscribe(INSTANCE);
        cVar.onError(th);
    }

    @Override // k.c.d
    public void cancel() {
    }

    @Override // f.a.c0.c.g
    public void clear() {
    }

    @Override // f.a.c0.c.g
    public boolean isEmpty() {
        return true;
    }

    @Override // f.a.c0.c.g
    public boolean offer(Object obj) {
        throw new UnsupportedOperationException("Should not be called!");
    }

    @Override // f.a.c0.c.g
    public Object poll() {
        return null;
    }

    @Override // k.c.d
    public void request(long j2) {
        SubscriptionHelper.validate(j2);
    }

    @Override // f.a.c0.c.c
    public int requestFusion(int i2) {
        return i2 & 2;
    }

    public String toString() {
        return "EmptySubscription";
    }

    public boolean offer(Object obj, Object obj2) {
        throw new UnsupportedOperationException("Should not be called!");
    }
}
