package io.reactivex.processors;

import d.l.b.g.g.b;
import f.a.e0.a;
import io.reactivex.internal.subscriptions.DeferredScalarSubscription;
import k.c.c;

public final class AsyncProcessor<T> extends a<T> {

    public static final class AsyncSubscription<T> extends DeferredScalarSubscription<T> {
        private static final long serialVersionUID = 5629876084736248016L;
        public final AsyncProcessor<T> parent;

        public AsyncSubscription(c<? super T> cVar, AsyncProcessor<T> asyncProcessor) {
            super(cVar);
        }

        @Override // io.reactivex.internal.subscriptions.DeferredScalarSubscription, k.c.d, io.reactivex.internal.subscriptions.BasicIntQueueSubscription
        public void cancel() {
            if (super.tryCancel()) {
                throw null;
            }
        }

        public void onComplete() {
            if (!isCancelled()) {
                this.downstream.onComplete();
            }
        }

        public void onError(Throwable th) {
            if (isCancelled()) {
                b.q0(th);
            } else {
                this.downstream.onError(th);
            }
        }
    }
}
