package io.reactivex.subjects;

import d.l.b.g.g.b;
import f.a.g0.a;
import f.a.t;
import io.reactivex.internal.observers.DeferredScalarDisposable;

public final class AsyncSubject<T> extends a<T> {

    public static final class AsyncDisposable<T> extends DeferredScalarDisposable<T> {
        private static final long serialVersionUID = 5629876084736248016L;
        public final AsyncSubject<T> parent;

        public AsyncDisposable(t<? super T> tVar, AsyncSubject<T> asyncSubject) {
            super(tVar);
        }

        @Override // f.a.z.b, io.reactivex.internal.observers.DeferredScalarDisposable, io.reactivex.internal.observers.BasicIntQueueDisposable
        public void dispose() {
            if (super.tryDispose()) {
                throw null;
            }
        }

        public void onComplete() {
            if (!isDisposed()) {
                this.downstream.onComplete();
            }
        }

        public void onError(Throwable th) {
            if (isDisposed()) {
                b.q0(th);
            } else {
                this.downstream.onError(th);
            }
        }
    }
}
