package okio;

import com.androidx.lv.base.utils.UiBuildConfig;
import com.shuyu.gsyvideoplayer.utils.NeuQuant;
import d.a.a.a.a;
import h.p.b.o;
import okio.internal._ByteStringKt;

/* compiled from: -Util.kt */
public final class _UtilKt {
    public static final int and(byte b2, int i2) {
        return b2 & i2;
    }

    public static final long and(byte b2, long j2) {
        return ((long) b2) & j2;
    }

    public static final long and(int i2, long j2) {
        return ((long) i2) & j2;
    }

    public static final boolean arrayRangeEquals(byte[] bArr, int i2, byte[] bArr2, int i3, int i4) {
        o.e(bArr, UiBuildConfig.ENCRYPT_TXT_KEY);
        o.e(bArr2, "b");
        for (int i5 = 0; i5 < i4; i5++) {
            if (bArr[i5 + i2] != bArr2[i5 + i3]) {
                return false;
            }
        }
        return true;
    }

    public static final void checkOffsetAndCount(long j2, long j3, long j4) {
        if ((j3 | j4) < 0 || j3 > j2 || j2 - j3 < j4) {
            StringBuilder E = a.E("size=", j2, " offset=");
            E.append(j3);
            E.append(" byteCount=");
            E.append(j4);
            throw new ArrayIndexOutOfBoundsException(E.toString());
        }
    }

    public static final int leftRotate(int i2, int i3) {
        return (i2 >>> (32 - i3)) | (i2 << i3);
    }

    public static final long minOf(long j2, int i2) {
        return Math.min(j2, (long) i2);
    }

    public static final int reverseBytes(int i2) {
        return ((i2 & NeuQuant.maxnetpos) << 24) | ((-16777216 & i2) >>> 24) | ((16711680 & i2) >>> 8) | ((65280 & i2) << 8);
    }

    public static final long reverseBytes(long j2) {
        return ((j2 & 255) << 56) | ((-72057594037927936L & j2) >>> 56) | ((71776119061217280L & j2) >>> 40) | ((280375465082880L & j2) >>> 24) | ((1095216660480L & j2) >>> 8) | ((4278190080L & j2) << 8) | ((16711680 & j2) << 24) | ((65280 & j2) << 40);
    }

    public static final short reverseBytes(short s) {
        int i2 = s & 65535;
        return (short) (((i2 & NeuQuant.maxnetpos) << 8) | ((65280 & i2) >>> 8));
    }

    public static final long rightRotate(long j2, int i2) {
        return (j2 << (64 - i2)) | (j2 >>> i2);
    }

    public static final int shl(byte b2, int i2) {
        return b2 << i2;
    }

    public static final int shr(byte b2, int i2) {
        return b2 >> i2;
    }

    public static final String toHexString(byte b2) {
        return new String(new char[]{_ByteStringKt.getHEX_DIGIT_CHARS()[(b2 >> 4) & 15], _ByteStringKt.getHEX_DIGIT_CHARS()[b2 & 15]});
    }

    public static final byte xor(byte b2, byte b3) {
        return (byte) (b2 ^ b3);
    }

    public static final long minOf(int i2, long j2) {
        return Math.min((long) i2, j2);
    }

    public static final String toHexString(int i2) {
        if (i2 == 0) {
            return "0";
        }
        int i3 = 0;
        char[] cArr = {_ByteStringKt.getHEX_DIGIT_CHARS()[(i2 >> 28) & 15], _ByteStringKt.getHEX_DIGIT_CHARS()[(i2 >> 24) & 15], _ByteStringKt.getHEX_DIGIT_CHARS()[(i2 >> 20) & 15], _ByteStringKt.getHEX_DIGIT_CHARS()[(i2 >> 16) & 15], _ByteStringKt.getHEX_DIGIT_CHARS()[(i2 >> 12) & 15], _ByteStringKt.getHEX_DIGIT_CHARS()[(i2 >> 8) & 15], _ByteStringKt.getHEX_DIGIT_CHARS()[(i2 >> 4) & 15], _ByteStringKt.getHEX_DIGIT_CHARS()[i2 & 15]};
        while (i3 < 8 && cArr[i3] == '0') {
            i3++;
        }
        return new String(cArr, i3, 8 - i3);
    }

    public static final String toHexString(long j2) {
        if (j2 == 0) {
            return "0";
        }
        int i2 = 0;
        char[] cArr = {_ByteStringKt.getHEX_DIGIT_CHARS()[(int) ((j2 >> 60) & 15)], _ByteStringKt.getHEX_DIGIT_CHARS()[(int) ((j2 >> 56) & 15)], _ByteStringKt.getHEX_DIGIT_CHARS()[(int) ((j2 >> 52) & 15)], _ByteStringKt.getHEX_DIGIT_CHARS()[(int) ((j2 >> 48) & 15)], _ByteStringKt.getHEX_DIGIT_CHARS()[(int) ((j2 >> 44) & 15)], _ByteStringKt.getHEX_DIGIT_CHARS()[(int) ((j2 >> 40) & 15)], _ByteStringKt.getHEX_DIGIT_CHARS()[(int) ((j2 >> 36) & 15)], _ByteStringKt.getHEX_DIGIT_CHARS()[(int) ((j2 >> 32) & 15)], _ByteStringKt.getHEX_DIGIT_CHARS()[(int) ((j2 >> 28) & 15)], _ByteStringKt.getHEX_DIGIT_CHARS()[(int) ((j2 >> 24) & 15)], _ByteStringKt.getHEX_DIGIT_CHARS()[(int) ((j2 >> 20) & 15)], _ByteStringKt.getHEX_DIGIT_CHARS()[(int) ((j2 >> 16) & 15)], _ByteStringKt.getHEX_DIGIT_CHARS()[(int) ((j2 >> 12) & 15)], _ByteStringKt.getHEX_DIGIT_CHARS()[(int) ((j2 >> 8) & 15)], _ByteStringKt.getHEX_DIGIT_CHARS()[(int) ((j2 >> 4) & 15)], _ByteStringKt.getHEX_DIGIT_CHARS()[(int) (j2 & 15)]};
        while (i2 < 16 && cArr[i2] == '0') {
            i2++;
        }
        return new String(cArr, i2, 16 - i2);
    }
}
