package org.dsq.library.databinding;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.LinearLayout;
import androidx.databinding.ViewDataBinding;
import b.l.c;
import b.l.d;
import com.scwang.smartrefresh.layout.SmartRefreshLayout;
import org.dsq.library.R;
import org.dsq.library.widget.LoadStatusLayout;
import org.dsq.library.widget.NestedRecyclerView;

public abstract class LayoutDataListBinding extends ViewDataBinding {
    public final NestedRecyclerView recyclerView;
    public final SmartRefreshLayout refreshLayout;
    public final LinearLayout rootView;
    public final LoadStatusLayout statusLayout;

    public LayoutDataListBinding(Object obj, View view, int i2, NestedRecyclerView nestedRecyclerView, SmartRefreshLayout smartRefreshLayout, LinearLayout linearLayout, LoadStatusLayout loadStatusLayout) {
        super(obj, view, i2);
        this.recyclerView = nestedRecyclerView;
        this.refreshLayout = smartRefreshLayout;
        this.rootView = linearLayout;
        this.statusLayout = loadStatusLayout;
    }

    public static LayoutDataListBinding bind(View view) {
        c cVar = d.f3521a;
        return bind(view, null);
    }

    public static LayoutDataListBinding inflate(LayoutInflater layoutInflater, ViewGroup viewGroup, boolean z) {
        c cVar = d.f3521a;
        return inflate(layoutInflater, viewGroup, z, null);
    }

    @Deprecated
    public static LayoutDataListBinding bind(View view, Object obj) {
        return (LayoutDataListBinding) ViewDataBinding.bind(obj, view, R.layout.layout_data_list);
    }

    @Deprecated
    public static LayoutDataListBinding inflate(LayoutInflater layoutInflater, ViewGroup viewGroup, boolean z, Object obj) {
        return (LayoutDataListBinding) ViewDataBinding.inflateInternal(layoutInflater, R.layout.layout_data_list, viewGroup, z, obj);
    }

    public static LayoutDataListBinding inflate(LayoutInflater layoutInflater) {
        c cVar = d.f3521a;
        return inflate(layoutInflater, null);
    }

    @Deprecated
    public static LayoutDataListBinding inflate(LayoutInflater layoutInflater, Object obj) {
        return (LayoutDataListBinding) ViewDataBinding.inflateInternal(layoutInflater, R.layout.layout_data_list, null, false, obj);
    }
}
