package org.dsq.library.widget.tablayout.utils;

import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentManager;
import b.o.a.a;
import java.util.ArrayList;
import java.util.Iterator;

public class FragmentChangeManager {
    private int mContainerViewId;
    private int mCurrentTab;
    private FragmentManager mFragmentManager;
    private ArrayList<Fragment> mFragments;

    public FragmentChangeManager(FragmentManager fragmentManager, int i2, ArrayList<Fragment> arrayList) {
        this.mFragmentManager = fragmentManager;
        this.mContainerViewId = i2;
        this.mFragments = arrayList;
        initFragments();
    }

    private void initFragments() {
        Iterator<Fragment> it = this.mFragments.iterator();
        while (it.hasNext()) {
            Fragment next = it.next();
            a aVar = new a(this.mFragmentManager);
            aVar.a(this.mContainerViewId, next);
            aVar.i(next);
            aVar.c();
        }
        setFragments(0);
    }

    public Fragment getCurrentFragment() {
        return this.mFragments.get(this.mCurrentTab);
    }

    public int getCurrentTab() {
        return this.mCurrentTab;
    }

    public void setFragments(int i2) {
        for (int i3 = 0; i3 < this.mFragments.size(); i3++) {
            a aVar = new a(this.mFragmentManager);
            Fragment fragment = this.mFragments.get(i3);
            if (i3 == i2) {
                aVar.s(fragment);
            } else {
                aVar.i(fragment);
            }
            aVar.c();
        }
        this.mCurrentTab = i2;
    }
}
