package org.greenrobot.greendao.database;

import android.content.Context;
import java.util.Objects;
import k.b.b.f.a;
import k.b.b.f.b;
import k.b.b.f.d;
import net.sqlcipher.database.SQLiteDatabase;
import net.sqlcipher.database.SQLiteOpenHelper;

public class SqlCipherEncryptedHelper extends SQLiteOpenHelper {
    private final b delegate;

    public SqlCipherEncryptedHelper(b bVar, Context context, String str, int i2, boolean z) {
        super(context, str, (SQLiteDatabase.CursorFactory) null, i2);
        this.delegate = bVar;
        if (z) {
            SQLiteDatabase.loadLibs(context);
        }
    }

    private a wrap(SQLiteDatabase sQLiteDatabase) {
        return new d(sQLiteDatabase);
    }

    public a getEncryptedReadableDb(String str) {
        return wrap(getReadableDatabase(str));
    }

    public a getEncryptedWritableDb(String str) {
        return wrap(getWritableDatabase(str));
    }

    public void onCreate(SQLiteDatabase sQLiteDatabase) {
        this.delegate.a(wrap(sQLiteDatabase));
    }

    public void onOpen(SQLiteDatabase sQLiteDatabase) {
        b bVar = this.delegate;
        wrap(sQLiteDatabase);
        Objects.requireNonNull(bVar);
    }

    public void onUpgrade(SQLiteDatabase sQLiteDatabase, int i2, int i3) {
        this.delegate.b(wrap(sQLiteDatabase), i2, i3);
    }

    public a getEncryptedReadableDb(char[] cArr) {
        return wrap(getReadableDatabase(cArr));
    }

    public a getEncryptedWritableDb(char[] cArr) {
        return wrap(getWritableDatabase(cArr));
    }
}
