package tv.danmaku.ijk.media.exo.demo;

import android.annotation.TargetApi;
import android.text.TextUtils;
import com.lzy.okgo.model.HttpHeaders;
import d.h.a.a.f0.d;
import d.h.a.a.f0.j;
import d.h.a.a.m0.r;
import java.util.Collections;
import java.util.HashMap;
import java.util.Map;
import java.util.UUID;

@TargetApi(18)
public class SmoothStreamingTestMediaDrmCallback implements j {
    private static final Map<String, String> KEY_REQUEST_PROPERTIES;
    private static final String PLAYREADY_TEST_DEFAULT_URI = "http://playready.directtaps.net/pr/svc/rightsmanager.asmx";
    private static final Map<String, String> PROVISIONING_REQUEST_PROPERTIES = Collections.singletonMap(HttpHeaders.HEAD_KEY_CONTENT_TYPE, "application/octet-stream");

    static {
        HashMap hashMap = new HashMap();
        hashMap.put(HttpHeaders.HEAD_KEY_CONTENT_TYPE, "text/xml");
        hashMap.put("SOAPAction", "http://schemas.microsoft.com/DRM/2007/03/protocols/AcquireLicense");
        KEY_REQUEST_PROPERTIES = hashMap;
    }

    @Override // d.h.a.a.f0.j
    public byte[] executeKeyRequest(UUID uuid, d.a aVar) {
        String b2 = aVar.b();
        if (TextUtils.isEmpty(b2)) {
            b2 = PLAYREADY_TEST_DEFAULT_URI;
        }
        return r.g(b2, aVar.a(), KEY_REQUEST_PROPERTIES);
    }

    @Override // d.h.a.a.f0.j
    public byte[] executeProvisionRequest(UUID uuid, d.c cVar) {
        return r.g(cVar.b() + "&signedRequest=" + new String(cVar.a()), null, PROVISIONING_REQUEST_PROPERTIES);
    }
}
