package tv.danmaku.ijk.media.exo.demo.player;

import android.content.Context;
import android.net.Uri;
import android.os.Handler;
import com.google.android.exoplayer.extractor.ExtractorSampleSource;
import d.h.a.a.a0;
import d.h.a.a.c0.a;
import d.h.a.a.f0.b;
import d.h.a.a.g0.e;
import d.h.a.a.k0.f;
import d.h.a.a.l0.g;
import d.h.a.a.l0.i;
import d.h.a.a.l0.k;
import d.h.a.a.o;
import d.h.a.a.p;
import d.h.a.a.t;
import d.h.a.a.w;
import tv.danmaku.ijk.media.exo.demo.player.DemoPlayer;

public class ExtractorRendererBuilder implements DemoPlayer.RendererBuilder {
    private static final int BUFFER_SEGMENT_COUNT = 256;
    private static final int BUFFER_SEGMENT_SIZE = 65536;
    private final Context context;
    private final Uri uri;
    private final String userAgent;

    public ExtractorRendererBuilder(Context context2, String str, Uri uri2) {
        this.context = context2;
        this.userAgent = str;
        this.uri = uri2;
    }

    @Override // tv.danmaku.ijk.media.exo.demo.player.DemoPlayer.RendererBuilder
    public void buildRenderers(DemoPlayer demoPlayer) {
        g gVar = new g(65536);
        Handler mainHandler = demoPlayer.getMainHandler();
        i iVar = new i(mainHandler, null);
        ExtractorSampleSource extractorSampleSource = new ExtractorSampleSource(this.uri, new k(this.context, iVar, this.userAgent, false), gVar, 16777216, mainHandler, demoPlayer, 0, new e[0]);
        Context context2 = this.context;
        p pVar = p.f10112a;
        t tVar = new t(context2, extractorSampleSource, pVar, 1, 5000, mainHandler, demoPlayer, 50);
        o oVar = new o((w) extractorSampleSource, pVar, (b) null, true, mainHandler, (o.a) demoPlayer, a.a(this.context), 3);
        d.h.a.a.k0.i iVar2 = new d.h.a.a.k0.i(extractorSampleSource, demoPlayer, mainHandler.getLooper(), new f[0]);
        a0[] a0VarArr = new a0[4];
        a0VarArr[0] = tVar;
        a0VarArr[1] = oVar;
        a0VarArr[2] = iVar2;
        demoPlayer.onRenderers(a0VarArr, iVar);
    }

    @Override // tv.danmaku.ijk.media.exo.demo.player.DemoPlayer.RendererBuilder
    public void cancel() {
    }
}
